/* color.c generated by valac 0.26.1, the Vala compiler
 * generated from color.vala, do not modify */

/*
 * Extension to Gdk.Color which has support for an alpha channel.
 *
 * Copyright (C) 2008, 2009 Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * Author : Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <gdk/gdk.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <float.h>
#include <math.h>


#define DESKTOP_AGNOSTIC_TYPE_COLOR (desktop_agnostic_color_get_type ())
#define DESKTOP_AGNOSTIC_COLOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_TYPE_COLOR, DesktopAgnosticColor))
#define DESKTOP_AGNOSTIC_COLOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DESKTOP_AGNOSTIC_TYPE_COLOR, DesktopAgnosticColorClass))
#define DESKTOP_AGNOSTIC_IS_COLOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_TYPE_COLOR))
#define DESKTOP_AGNOSTIC_IS_COLOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DESKTOP_AGNOSTIC_TYPE_COLOR))
#define DESKTOP_AGNOSTIC_COLOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DESKTOP_AGNOSTIC_TYPE_COLOR, DesktopAgnosticColorClass))

typedef struct _DesktopAgnosticColor DesktopAgnosticColor;
typedef struct _DesktopAgnosticColorClass DesktopAgnosticColorClass;
typedef struct _DesktopAgnosticColorPrivate DesktopAgnosticColorPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

typedef enum  {
	DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR_INVALID_INPUT,
	DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR_INVALID_ALPHA
} DesktopAgnosticColorParseError;
#define DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR desktop_agnostic_color_parse_error_quark ()
struct _DesktopAgnosticColor {
	GObject parent_instance;
	DesktopAgnosticColorPrivate * priv;
};

struct _DesktopAgnosticColorClass {
	GObjectClass parent_class;
};

struct _DesktopAgnosticColorPrivate {
	GdkColor _color;
	gushort _alpha;
};


static gpointer desktop_agnostic_color_parent_class = NULL;

GQuark desktop_agnostic_color_parse_error_quark (void);
GType desktop_agnostic_color_get_type (void) G_GNUC_CONST;
#define DESKTOP_AGNOSTIC_COLOR_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), DESKTOP_AGNOSTIC_TYPE_COLOR, DesktopAgnosticColorPrivate))
enum  {
	DESKTOP_AGNOSTIC_COLOR_DUMMY_PROPERTY,
	DESKTOP_AGNOSTIC_COLOR_COLOR,
	DESKTOP_AGNOSTIC_COLOR_RED,
	DESKTOP_AGNOSTIC_COLOR_GREEN,
	DESKTOP_AGNOSTIC_COLOR_BLUE,
	DESKTOP_AGNOSTIC_COLOR_ALPHA
};
#define DESKTOP_AGNOSTIC_COLOR_HTML_STRING "#%02hx%02hx%02hx%02hx"
#define DESKTOP_AGNOSTIC_COLOR_HTML_SCALE ((gushort) 256)
static gushort desktop_agnostic_color_ushortify (DesktopAgnosticColor* self, guint value, GError** error);
DesktopAgnosticColor* desktop_agnostic_color_new (GdkColor* color, gushort alpha);
DesktopAgnosticColor* desktop_agnostic_color_construct (GType object_type, GdkColor* color, gushort alpha);
DesktopAgnosticColor* desktop_agnostic_color_new_from_values (gushort red, gushort green, gushort blue, gushort alpha);
DesktopAgnosticColor* desktop_agnostic_color_construct_from_values (GType object_type, gushort red, gushort green, gushort blue, gushort alpha);
DesktopAgnosticColor* desktop_agnostic_color_new_from_string (const gchar* spec, GError** error);
DesktopAgnosticColor* desktop_agnostic_color_construct_from_string (GType object_type, const gchar* spec, GError** error);
gchar* desktop_agnostic_color_to_html_color (DesktopAgnosticColor* self);
guint desktop_agnostic_color_get_red (DesktopAgnosticColor* self);
guint desktop_agnostic_color_get_green (DesktopAgnosticColor* self);
guint desktop_agnostic_color_get_blue (DesktopAgnosticColor* self);
gchar* desktop_agnostic_color_to_string (DesktopAgnosticColor* self);
void desktop_agnostic_color_get_cairo_color (DesktopAgnosticColor* self, gdouble* red, gdouble* green, gdouble* blue, gdouble* alpha);
gdouble desktop_agnostic_color_gdk_value_to_cairo (gushort value);
void desktop_agnostic_color_set_cairo_color (DesktopAgnosticColor* self, gdouble red, gdouble green, gdouble blue, gdouble alpha);
gushort desktop_agnostic_color_cairo_value_to_gdk (gdouble value);
void desktop_agnostic_color_set_red (DesktopAgnosticColor* self, guint value);
void desktop_agnostic_color_set_green (DesktopAgnosticColor* self, guint value);
void desktop_agnostic_color_set_blue (DesktopAgnosticColor* self, guint value);
void desktop_agnostic_color_get_color (DesktopAgnosticColor* self, GdkColor* result);
void desktop_agnostic_color_set_color (DesktopAgnosticColor* self, GdkColor* value);
guint desktop_agnostic_color_get_alpha (DesktopAgnosticColor* self);
void desktop_agnostic_color_set_alpha (DesktopAgnosticColor* self, guint value);
static void desktop_agnostic_color_finalize (GObject* obj);
static void _vala_desktop_agnostic_color_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_desktop_agnostic_color_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


GQuark desktop_agnostic_color_parse_error_quark (void) {
	return g_quark_from_static_string ("desktop_agnostic_color_parse_error-quark");
}


static gushort desktop_agnostic_color_ushortify (DesktopAgnosticColor* self, guint value, GError** error) {
	gushort result = 0U;
	gboolean _tmp0_ = FALSE;
	guint _tmp1_ = 0U;
	guint _tmp4_ = 0U;
	GError * _inner_error_ = NULL;
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 55 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = value;
#line 55 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (_tmp1_ < ((guint) 0)) {
#line 55 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp0_ = TRUE;
#line 132 "color.c"
	} else {
		guint _tmp2_ = 0U;
#line 55 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp2_ = value;
#line 55 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp0_ = _tmp2_ > ((guint) G_MAXUSHORT);
#line 139 "color.c"
	}
#line 55 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (_tmp0_) {
#line 143 "color.c"
		GError* _tmp3_ = NULL;
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp3_ = g_error_new (DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR, DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR_INVALID_INPUT, "RGB values must be between 0 and %hu.", G_MAXUSHORT);
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_inner_error_ = _tmp3_;
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		if (_inner_error_->domain == DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR) {
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			g_propagate_error (error, _inner_error_);
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			return 0U;
#line 155 "color.c"
		} else {
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			g_clear_error (&_inner_error_);
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			return 0U;
#line 163 "color.c"
		}
	}
#line 60 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp4_ = value;
#line 60 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	result = (gushort) _tmp4_;
#line 60 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return result;
#line 172 "color.c"
}


DesktopAgnosticColor* desktop_agnostic_color_construct (GType object_type, GdkColor* color, gushort alpha) {
	DesktopAgnosticColor * self = NULL;
	GdkColor _tmp0_ = {0};
	gushort _tmp1_ = 0U;
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_val_if_fail (color != NULL, NULL);
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self = (DesktopAgnosticColor*) g_object_new (object_type, NULL);
#line 109 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = *color;
#line 109 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_color = _tmp0_;
#line 110 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = alpha;
#line 110 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_alpha = _tmp1_;
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return self;
#line 194 "color.c"
}


DesktopAgnosticColor* desktop_agnostic_color_new (GdkColor* color, gushort alpha) {
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return desktop_agnostic_color_construct (DESKTOP_AGNOSTIC_TYPE_COLOR, color, alpha);
#line 201 "color.c"
}


DesktopAgnosticColor* desktop_agnostic_color_construct_from_values (GType object_type, gushort red, gushort green, gushort blue, gushort alpha) {
	DesktopAgnosticColor * self = NULL;
	gushort _tmp0_ = 0U;
	gushort _tmp1_ = 0U;
	gushort _tmp2_ = 0U;
	gushort _tmp3_ = 0U;
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self = (DesktopAgnosticColor*) g_object_new (object_type, NULL);
#line 114 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	memset (&self->priv->_color, 0, sizeof (GdkColor));
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = red;
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_color.red = (guint16) _tmp0_;
#line 116 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = green;
#line 116 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_color.green = (guint16) _tmp1_;
#line 117 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp2_ = blue;
#line 117 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_color.blue = (guint16) _tmp2_;
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp3_ = alpha;
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_alpha = _tmp3_;
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return self;
#line 233 "color.c"
}


DesktopAgnosticColor* desktop_agnostic_color_new_from_values (gushort red, gushort green, gushort blue, gushort alpha) {
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return desktop_agnostic_color_construct_from_values (DESKTOP_AGNOSTIC_TYPE_COLOR, red, green, blue, alpha);
#line 240 "color.c"
}


/**
     * Parses color from string.
     * @see Gdk.Color.parse
     */
static gunichar string_get_char (const gchar* self, glong index) {
	gunichar result = 0U;
	glong _tmp0_ = 0L;
	gunichar _tmp1_ = 0U;
#line 1026 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0U);
#line 1027 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp0_ = index;
#line 1027 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp1_ = g_utf8_get_char (((gchar*) self) + _tmp0_);
#line 1027 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	result = _tmp1_;
#line 1027 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	return result;
#line 262 "color.c"
}


static glong string_strnlen (gchar* str, glong maxlen) {
	glong result = 0L;
	gchar* end = NULL;
	gchar* _tmp0_ = NULL;
	glong _tmp1_ = 0L;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 1197 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 1197 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp1_ = maxlen;
#line 1197 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp2_ = memchr (_tmp0_, 0, (gsize) _tmp1_);
#line 1197 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	end = _tmp2_;
#line 1198 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp3_ = end;
#line 1198 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp3_ == NULL) {
#line 285 "color.c"
		glong _tmp4_ = 0L;
#line 1199 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp4_ = maxlen;
#line 1199 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		result = _tmp4_;
#line 1199 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		return result;
#line 293 "color.c"
	} else {
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
#line 1201 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp5_ = end;
#line 1201 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp6_ = str;
#line 1201 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		result = (glong) (_tmp5_ - _tmp6_);
#line 1201 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		return result;
#line 305 "color.c"
	}
}


static gchar* string_substring (const gchar* self, glong offset, glong len) {
	gchar* result = NULL;
	glong string_length = 0L;
	gboolean _tmp0_ = FALSE;
	glong _tmp1_ = 0L;
	glong _tmp8_ = 0L;
	glong _tmp14_ = 0L;
	glong _tmp17_ = 0L;
	glong _tmp18_ = 0L;
	glong _tmp19_ = 0L;
	glong _tmp20_ = 0L;
	glong _tmp21_ = 0L;
	gchar* _tmp22_ = NULL;
#line 1208 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp1_ = offset;
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp1_ >= ((glong) 0)) {
#line 329 "color.c"
		glong _tmp2_ = 0L;
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp2_ = len;
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp0_ = _tmp2_ >= ((glong) 0);
#line 335 "color.c"
	} else {
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp0_ = FALSE;
#line 339 "color.c"
	}
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 343 "color.c"
		glong _tmp3_ = 0L;
		glong _tmp4_ = 0L;
		glong _tmp5_ = 0L;
#line 1212 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp3_ = offset;
#line 1212 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp4_ = len;
#line 1212 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp5_ = string_strnlen ((gchar*) self, _tmp3_ + _tmp4_);
#line 1212 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		string_length = _tmp5_;
#line 355 "color.c"
	} else {
		gint _tmp6_ = 0;
		gint _tmp7_ = 0;
#line 1214 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp6_ = strlen (self);
#line 1214 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp6_;
#line 1214 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		string_length = (glong) _tmp7_;
#line 365 "color.c"
	}
#line 1217 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp8_ = offset;
#line 1217 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp8_ < ((glong) 0)) {
#line 371 "color.c"
		glong _tmp9_ = 0L;
		glong _tmp10_ = 0L;
		glong _tmp11_ = 0L;
#line 1218 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp9_ = string_length;
#line 1218 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp10_ = offset;
#line 1218 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		offset = _tmp9_ + _tmp10_;
#line 1219 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp11_ = offset;
#line 1219 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		g_return_val_if_fail (_tmp11_ >= ((glong) 0), NULL);
#line 385 "color.c"
	} else {
		glong _tmp12_ = 0L;
		glong _tmp13_ = 0L;
#line 1221 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp12_ = offset;
#line 1221 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp13_ = string_length;
#line 1221 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		g_return_val_if_fail (_tmp12_ <= _tmp13_, NULL);
#line 395 "color.c"
	}
#line 1223 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp14_ = len;
#line 1223 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp14_ < ((glong) 0)) {
#line 401 "color.c"
		glong _tmp15_ = 0L;
		glong _tmp16_ = 0L;
#line 1224 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp15_ = string_length;
#line 1224 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp16_ = offset;
#line 1224 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		len = _tmp15_ - _tmp16_;
#line 410 "color.c"
	}
#line 1226 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp17_ = offset;
#line 1226 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp18_ = len;
#line 1226 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp19_ = string_length;
#line 1226 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail ((_tmp17_ + _tmp18_) <= _tmp19_, NULL);
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp20_ = offset;
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp21_ = len;
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp22_ = g_strndup (((gchar*) self) + _tmp20_, (gsize) _tmp21_);
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	result = _tmp22_;
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	return result;
#line 430 "color.c"
}


static const gchar* string_offset (const gchar* self, glong offset) {
	const gchar* result = NULL;
	glong _tmp0_ = 0L;
#line 1035 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1036 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp0_ = offset;
#line 1036 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	result = (const gchar*) (((gchar*) self) + _tmp0_);
#line 1036 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	return result;
#line 445 "color.c"
}


DesktopAgnosticColor* desktop_agnostic_color_construct_from_string (GType object_type, const gchar* spec, GError** error) {
	DesktopAgnosticColor * self = NULL;
	gchar* color_data = NULL;
	const gchar* _tmp0_ = NULL;
	gunichar _tmp1_ = 0U;
	const gchar* _tmp45_ = NULL;
	GdkColor _tmp46_ = {0};
	gboolean _tmp47_ = FALSE;
	GError * _inner_error_ = NULL;
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_val_if_fail (spec != NULL, NULL);
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self = (DesktopAgnosticColor*) g_object_new (object_type, NULL);
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	memset (&self->priv->_color, 0, sizeof (GdkColor));
#line 127 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_alpha = G_MAXUSHORT;
#line 129 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = spec;
#line 129 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = string_get_char (_tmp0_, (glong) 0);
#line 129 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (_tmp1_ == ((gunichar) '#')) {
#line 472 "color.c"
		gsize cd_len = 0UL;
		gchar* color_hex = NULL;
		const gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		gint _tmp5_ = 0;
		gint _tmp6_ = 0;
		gboolean _tmp7_ = FALSE;
		gboolean _tmp8_ = FALSE;
		gsize _tmp9_ = 0UL;
		gsize hex_len = 0UL;
		gsize _tmp13_ = 0UL;
		gsize offset = 0UL;
		gsize _tmp14_ = 0UL;
		gchar* rgb_hex = NULL;
		const gchar* _tmp15_ = NULL;
		gsize _tmp16_ = 0UL;
		gchar* _tmp17_ = NULL;
		const gchar* alpha_hex = NULL;
		const gchar* _tmp18_ = NULL;
		gsize _tmp19_ = 0UL;
		const gchar* _tmp20_ = NULL;
		const gchar* _tmp21_ = NULL;
		gsize _tmp22_ = 0UL;
		gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		gint _tmp29_ = 0;
		gboolean _tmp30_ = FALSE;
		gushort bits = 0U;
		gsize _tmp33_ = 0UL;
		gushort _tmp34_ = 0U;
		gushort _tmp35_ = 0U;
		const gchar* _tmp41_ = NULL;
		gchar* _tmp42_ = NULL;
#line 131 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		cd_len = (gsize) 0;
#line 132 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp2_ = spec;
#line 132 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp3_ = string_substring (_tmp2_, (glong) 1, (glong) (-1));
#line 132 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		color_hex = _tmp3_;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp4_ = color_hex;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp5_ = strlen (_tmp4_);
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp6_ = _tmp5_;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		cd_len = (gsize) _tmp6_;
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp9_ = cd_len;
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		if ((_tmp9_ % 4) != ((gsize) 0)) {
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp8_ = TRUE;
#line 533 "color.c"
		} else {
			gsize _tmp10_ = 0UL;
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp10_ = cd_len;
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp8_ = _tmp10_ < ((gsize) 4);
#line 540 "color.c"
		}
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		if (_tmp8_) {
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp7_ = TRUE;
#line 546 "color.c"
		} else {
			gsize _tmp11_ = 0UL;
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp11_ = cd_len;
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp7_ = _tmp11_ > ((gsize) 16);
#line 553 "color.c"
		}
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		if (_tmp7_) {
#line 557 "color.c"
			GError* _tmp12_ = NULL;
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp12_ = g_error_new_literal (DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR, DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR_INVALID_INPUT, "Invalid input size.");
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_inner_error_ = _tmp12_;
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			if (_inner_error_->domain == DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR) {
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				g_propagate_error (error, _inner_error_);
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				_g_free0 (color_hex);
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				_g_free0 (color_data);
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				_g_object_unref0 (self);
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				return NULL;
#line 575 "color.c"
			} else {
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				_g_free0 (color_hex);
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				_g_free0 (color_data);
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				g_clear_error (&_inner_error_);
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				return NULL;
#line 587 "color.c"
			}
		}
#line 139 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp13_ = cd_len;
#line 139 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		hex_len = _tmp13_ / 4;
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp14_ = hex_len;
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		offset = _tmp14_ * 3;
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp15_ = color_hex;
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp16_ = offset;
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp17_ = string_substring (_tmp15_, (glong) 0, (glong) _tmp16_);
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		rgb_hex = _tmp17_;
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp18_ = color_hex;
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp19_ = offset;
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp20_ = string_offset (_tmp18_, (glong) _tmp19_);
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		alpha_hex = _tmp20_;
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp21_ = alpha_hex;
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp22_ = hex_len;
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp23_ = g_strdup_printf ("%" G_GSIZE_FORMAT, _tmp22_);
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp24_ = _tmp23_;
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp25_ = g_strconcat ("%", _tmp24_, NULL);
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp26_ = _tmp25_;
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp27_ = g_strconcat (_tmp26_, "hx", NULL);
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp28_ = _tmp27_;
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp29_ = sscanf (_tmp21_, _tmp28_, &self->priv->_alpha);
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp30_ = _tmp29_ == 0;
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_g_free0 (_tmp28_);
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_g_free0 (_tmp26_);
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_g_free0 (_tmp24_);
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		if (_tmp30_) {
#line 642 "color.c"
			const gchar* _tmp31_ = NULL;
			GError* _tmp32_ = NULL;
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp31_ = alpha_hex;
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp32_ = g_error_new (DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR, DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR_INVALID_ALPHA, "Could not parse alpha section of input: %s", _tmp31_);
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_inner_error_ = _tmp32_;
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			if (_inner_error_->domain == DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR) {
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				g_propagate_error (error, _inner_error_);
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				_g_free0 (rgb_hex);
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				_g_free0 (color_hex);
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				_g_free0 (color_data);
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				_g_object_unref0 (self);
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				return NULL;
#line 665 "color.c"
			} else {
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				_g_free0 (rgb_hex);
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				_g_free0 (color_hex);
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				_g_free0 (color_data);
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				g_clear_error (&_inner_error_);
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				return NULL;
#line 679 "color.c"
			}
		}
#line 148 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp33_ = cd_len;
#line 148 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		bits = (gushort) _tmp33_;
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp34_ = self->priv->_alpha;
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp35_ = bits;
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		self->priv->_alpha = (gushort) (_tmp34_ << (16 - _tmp35_));
#line 150 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		while (TRUE) {
#line 694 "color.c"
			gushort _tmp36_ = 0U;
			gushort _tmp37_ = 0U;
			gushort _tmp38_ = 0U;
			gushort _tmp39_ = 0U;
			gushort _tmp40_ = 0U;
#line 150 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp36_ = bits;
#line 150 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			if (!(((gint) _tmp36_) < 16)) {
#line 150 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
				break;
#line 706 "color.c"
			}
#line 152 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp37_ = self->priv->_alpha;
#line 152 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp38_ = self->priv->_alpha;
#line 152 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp39_ = bits;
#line 152 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			self->priv->_alpha = _tmp37_ | (_tmp38_ >> _tmp39_);
#line 153 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_tmp40_ = bits;
#line 153 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			bits = (gushort) (_tmp40_ * 2);
#line 720 "color.c"
		}
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp41_ = rgb_hex;
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp42_ = g_strconcat ("#", _tmp41_, NULL);
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_g_free0 (color_data);
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		color_data = _tmp42_;
#line 129 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_g_free0 (rgb_hex);
#line 129 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_g_free0 (color_hex);
#line 734 "color.c"
	} else {
		const gchar* _tmp43_ = NULL;
		gchar* _tmp44_ = NULL;
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp43_ = spec;
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp44_ = g_strdup (_tmp43_);
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_g_free0 (color_data);
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		color_data = _tmp44_;
#line 746 "color.c"
	}
#line 162 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp45_ = color_data;
#line 162 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp47_ = gdk_color_parse (_tmp45_, &_tmp46_);
#line 162 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_color = _tmp46_;
#line 162 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (!_tmp47_) {
#line 756 "color.c"
		const gchar* _tmp48_ = NULL;
		GError* _tmp49_ = NULL;
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp48_ = spec;
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp49_ = g_error_new (DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR, DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR_INVALID_INPUT, "Could not parse color string: %s", _tmp48_);
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_inner_error_ = _tmp49_;
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		if (_inner_error_->domain == DESKTOP_AGNOSTIC_COLOR_PARSE_ERROR) {
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			g_propagate_error (error, _inner_error_);
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_g_free0 (color_data);
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_g_object_unref0 (self);
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			return NULL;
#line 775 "color.c"
		} else {
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			_g_free0 (color_data);
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			g_clear_error (&_inner_error_);
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			return NULL;
#line 785 "color.c"
		}
	}
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_g_free0 (color_data);
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return self;
#line 792 "color.c"
}


DesktopAgnosticColor* desktop_agnostic_color_new_from_string (const gchar* spec, GError** error) {
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return desktop_agnostic_color_construct_from_string (DESKTOP_AGNOSTIC_TYPE_COLOR, spec, error);
#line 799 "color.c"
}


gchar* desktop_agnostic_color_to_html_color (DesktopAgnosticColor* self) {
	gchar* result = NULL;
	guint _tmp0_ = 0U;
	guint _tmp1_ = 0U;
	guint _tmp2_ = 0U;
	guint _tmp3_ = 0U;
	guint _tmp4_ = 0U;
	guint _tmp5_ = 0U;
	gushort _tmp6_ = 0U;
	gchar* _tmp7_ = NULL;
#line 168 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = desktop_agnostic_color_get_red (self);
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = _tmp0_;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp2_ = desktop_agnostic_color_get_green (self);
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp3_ = _tmp2_;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp4_ = desktop_agnostic_color_get_blue (self);
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp5_ = _tmp4_;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp6_ = self->priv->_alpha;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp7_ = g_strdup_printf (DESKTOP_AGNOSTIC_COLOR_HTML_STRING, _tmp1_ / DESKTOP_AGNOSTIC_COLOR_HTML_SCALE, _tmp3_ / DESKTOP_AGNOSTIC_COLOR_HTML_SCALE, _tmp5_ / DESKTOP_AGNOSTIC_COLOR_HTML_SCALE, _tmp6_ / DESKTOP_AGNOSTIC_COLOR_HTML_SCALE);
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	result = _tmp7_;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return result;
#line 835 "color.c"
}


/**
     * Behaves the same as Gdk.Color.to_string (), except that it adds
     * alpha data.
     * @see Gdk.Color.to_string
     */
gchar* desktop_agnostic_color_to_string (DesktopAgnosticColor* self) {
	gchar* result = NULL;
	gchar* gdk_str = NULL;
	gchar* _tmp0_ = NULL;
	gushort _tmp1_ = 0U;
	gchar* _tmp2_ = NULL;
#line 181 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = gdk_color_to_string (&self->priv->_color);
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	gdk_str = _tmp0_;
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = self->priv->_alpha;
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp2_ = g_strdup_printf ("%s%04x", gdk_str, (guint) _tmp1_);
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	result = _tmp2_;
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_g_free0 (gdk_str);
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return result;
#line 866 "color.c"
}


/**
     * Returns the color values as doubles, where 0.0 < value <= 1.0.
     */
void desktop_agnostic_color_get_cairo_color (DesktopAgnosticColor* self, gdouble* red, gdouble* green, gdouble* blue, gdouble* alpha) {
	gdouble _vala_red = 0.0;
	gdouble _vala_green = 0.0;
	gdouble _vala_blue = 0.0;
	gdouble _vala_alpha = 0.0;
#line 190 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_if_fail (self != NULL);
#line 194 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if ((&_vala_red) != NULL) {
#line 882 "color.c"
		guint _tmp0_ = 0U;
		guint _tmp1_ = 0U;
		gdouble _tmp2_ = 0.0;
#line 196 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp0_ = desktop_agnostic_color_get_red (self);
#line 196 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp1_ = _tmp0_;
#line 196 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp2_ = desktop_agnostic_color_gdk_value_to_cairo ((gushort) _tmp1_);
#line 196 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_vala_red = _tmp2_;
#line 894 "color.c"
	}
#line 198 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if ((&_vala_green) != NULL) {
#line 898 "color.c"
		guint _tmp3_ = 0U;
		guint _tmp4_ = 0U;
		gdouble _tmp5_ = 0.0;
#line 200 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp3_ = desktop_agnostic_color_get_green (self);
#line 200 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp4_ = _tmp3_;
#line 200 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp5_ = desktop_agnostic_color_gdk_value_to_cairo ((gushort) _tmp4_);
#line 200 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_vala_green = _tmp5_;
#line 910 "color.c"
	}
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if ((&_vala_blue) != NULL) {
#line 914 "color.c"
		guint _tmp6_ = 0U;
		guint _tmp7_ = 0U;
		gdouble _tmp8_ = 0.0;
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp6_ = desktop_agnostic_color_get_blue (self);
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp7_ = _tmp6_;
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp8_ = desktop_agnostic_color_gdk_value_to_cairo ((gushort) _tmp7_);
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_vala_blue = _tmp8_;
#line 926 "color.c"
	}
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if ((&_vala_alpha) != NULL) {
#line 930 "color.c"
		gushort _tmp9_ = 0U;
		gdouble _tmp10_ = 0.0;
#line 208 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp9_ = self->priv->_alpha;
#line 208 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp10_ = desktop_agnostic_color_gdk_value_to_cairo (_tmp9_);
#line 208 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_vala_alpha = _tmp10_;
#line 939 "color.c"
	}
#line 190 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (red) {
#line 190 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		*red = _vala_red;
#line 945 "color.c"
	}
#line 190 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (green) {
#line 190 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		*green = _vala_green;
#line 951 "color.c"
	}
#line 190 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (blue) {
#line 190 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		*blue = _vala_blue;
#line 957 "color.c"
	}
#line 190 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (alpha) {
#line 190 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		*alpha = _vala_alpha;
#line 963 "color.c"
	}
}


/**
     * Sets the color with values as doubles, where 0.0 < value <= 1.0.
     */
void desktop_agnostic_color_set_cairo_color (DesktopAgnosticColor* self, gdouble red, gdouble green, gdouble blue, gdouble alpha) {
	gboolean _tmp0_ = FALSE;
	gdouble _tmp1_ = 0.0;
	gboolean _tmp5_ = FALSE;
	gdouble _tmp6_ = 0.0;
	gboolean _tmp10_ = FALSE;
	gdouble _tmp11_ = 0.0;
	gboolean _tmp15_ = FALSE;
	gdouble _tmp16_ = 0.0;
#line 214 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_if_fail (self != NULL);
#line 217 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = red;
#line 217 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (_tmp1_ > ((gdouble) 0.0f)) {
#line 986 "color.c"
		gdouble _tmp2_ = 0.0;
#line 217 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp2_ = red;
#line 217 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp0_ = _tmp2_ <= ((gdouble) 1.0f);
#line 992 "color.c"
	} else {
#line 217 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp0_ = FALSE;
#line 996 "color.c"
	}
#line 217 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (_tmp0_) {
#line 1000 "color.c"
		gdouble _tmp3_ = 0.0;
		gushort _tmp4_ = 0U;
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp3_ = red;
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp4_ = desktop_agnostic_color_cairo_value_to_gdk (_tmp3_);
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		desktop_agnostic_color_set_red (self, (guint) _tmp4_);
#line 1009 "color.c"
	}
#line 221 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp6_ = green;
#line 221 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (_tmp6_ > ((gdouble) 0.0f)) {
#line 1015 "color.c"
		gdouble _tmp7_ = 0.0;
#line 221 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp7_ = green;
#line 221 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp5_ = _tmp7_ <= ((gdouble) 1.0f);
#line 1021 "color.c"
	} else {
#line 221 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp5_ = FALSE;
#line 1025 "color.c"
	}
#line 221 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (_tmp5_) {
#line 1029 "color.c"
		gdouble _tmp8_ = 0.0;
		gushort _tmp9_ = 0U;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp8_ = green;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp9_ = desktop_agnostic_color_cairo_value_to_gdk (_tmp8_);
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		desktop_agnostic_color_set_green (self, (guint) _tmp9_);
#line 1038 "color.c"
	}
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp11_ = blue;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (_tmp11_ > ((gdouble) 0.0f)) {
#line 1044 "color.c"
		gdouble _tmp12_ = 0.0;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp12_ = blue;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp10_ = _tmp12_ <= ((gdouble) 1.0f);
#line 1050 "color.c"
	} else {
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp10_ = FALSE;
#line 1054 "color.c"
	}
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (_tmp10_) {
#line 1058 "color.c"
		gdouble _tmp13_ = 0.0;
		gushort _tmp14_ = 0U;
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp13_ = blue;
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp14_ = desktop_agnostic_color_cairo_value_to_gdk (_tmp13_);
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		desktop_agnostic_color_set_blue (self, (guint) _tmp14_);
#line 1067 "color.c"
	}
#line 229 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp16_ = alpha;
#line 229 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (_tmp16_ > ((gdouble) 0.0f)) {
#line 1073 "color.c"
		gdouble _tmp17_ = 0.0;
#line 229 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp17_ = alpha;
#line 229 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp15_ = _tmp17_ <= ((gdouble) 1.0f);
#line 1079 "color.c"
	} else {
#line 229 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp15_ = FALSE;
#line 1083 "color.c"
	}
#line 229 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (_tmp15_) {
#line 1087 "color.c"
		gdouble _tmp18_ = 0.0;
		gushort _tmp19_ = 0U;
#line 231 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp18_ = alpha;
#line 231 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		_tmp19_ = desktop_agnostic_color_cairo_value_to_gdk (_tmp18_);
#line 231 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		self->priv->_alpha = _tmp19_;
#line 1096 "color.c"
	}
}


/**
     * Converts a single RGBA value for cairo to its GDK/Pango equivalent.
     */
gushort desktop_agnostic_color_cairo_value_to_gdk (gdouble value) {
	gushort result = 0U;
	gdouble _tmp0_ = 0.0;
	glong _tmp1_ = 0L;
#line 240 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = value;
#line 240 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = lround (_tmp0_ * 65536);
#line 240 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	result = (gushort) (_tmp1_ - 1);
#line 240 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return result;
#line 1116 "color.c"
}


/**
     * Converts a single RGBA value for GDK/Pango to its cairo equivalent.
     */
gdouble desktop_agnostic_color_gdk_value_to_cairo (gushort value) {
	gdouble result = 0.0;
	gushort _tmp0_ = 0U;
#line 248 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = value;
#line 248 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	result = (_tmp0_ + 1) / 65536.0;
#line 248 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return result;
#line 1132 "color.c"
}


void desktop_agnostic_color_get_color (DesktopAgnosticColor* self, GdkColor* result) {
	GdkColor _tmp0_ = {0};
#line 43 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_if_fail (self != NULL);
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = self->priv->_color;
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	*result = _tmp0_;
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return;
#line 1146 "color.c"
}


void desktop_agnostic_color_set_color (DesktopAgnosticColor* self, GdkColor* value) {
	GdkColor _tmp0_ = {0};
#line 47 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_if_fail (self != NULL);
#line 49 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = *value;
#line 49 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_color = _tmp0_;
#line 47 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_object_notify ((GObject *) self, "color");
#line 1160 "color.c"
}


guint desktop_agnostic_color_get_red (DesktopAgnosticColor* self) {
	guint result;
	GdkColor _tmp0_ = {0};
	guint16 _tmp1_ = 0U;
#line 64 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = self->priv->_color;
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = _tmp0_.red;
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	result = (guint) _tmp1_;
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return result;
#line 1178 "color.c"
}


void desktop_agnostic_color_set_red (DesktopAgnosticColor* self, guint value) {
	gushort _tmp0_ = 0U;
	guint _tmp1_ = 0U;
	gushort _tmp2_ = 0U;
	GError * _inner_error_ = NULL;
#line 68 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_if_fail (self != NULL);
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = value;
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp2_ = desktop_agnostic_color_ushortify (self, _tmp1_, &_inner_error_);
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = _tmp2_;
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		g_clear_error (&_inner_error_);
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		return;
#line 1203 "color.c"
	}
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_color.red = (guint16) _tmp0_;
#line 68 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_object_notify ((GObject *) self, "red");
#line 1209 "color.c"
}


guint desktop_agnostic_color_get_green (DesktopAgnosticColor* self) {
	guint result;
	GdkColor _tmp0_ = {0};
	guint16 _tmp1_ = 0U;
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 77 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = self->priv->_color;
#line 77 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = _tmp0_.green;
#line 77 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	result = (guint) _tmp1_;
#line 77 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return result;
#line 1227 "color.c"
}


void desktop_agnostic_color_set_green (DesktopAgnosticColor* self, guint value) {
	gushort _tmp0_ = 0U;
	guint _tmp1_ = 0U;
	gushort _tmp2_ = 0U;
	GError * _inner_error_ = NULL;
#line 79 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_if_fail (self != NULL);
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = value;
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp2_ = desktop_agnostic_color_ushortify (self, _tmp1_, &_inner_error_);
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = _tmp2_;
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		g_clear_error (&_inner_error_);
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		return;
#line 1252 "color.c"
	}
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_color.green = (guint16) _tmp0_;
#line 79 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_object_notify ((GObject *) self, "green");
#line 1258 "color.c"
}


guint desktop_agnostic_color_get_blue (DesktopAgnosticColor* self) {
	guint result;
	GdkColor _tmp0_ = {0};
	guint16 _tmp1_ = 0U;
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = self->priv->_color;
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = _tmp0_.blue;
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	result = (guint) _tmp1_;
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return result;
#line 1276 "color.c"
}


void desktop_agnostic_color_set_blue (DesktopAgnosticColor* self, guint value) {
	gushort _tmp0_ = 0U;
	guint _tmp1_ = 0U;
	gushort _tmp2_ = 0U;
	GError * _inner_error_ = NULL;
#line 90 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_if_fail (self != NULL);
#line 92 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = value;
#line 92 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp2_ = desktop_agnostic_color_ushortify (self, _tmp1_, &_inner_error_);
#line 92 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = _tmp2_;
#line 92 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 92 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 92 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		g_clear_error (&_inner_error_);
#line 92 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		return;
#line 1301 "color.c"
	}
#line 92 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_color.blue = (guint16) _tmp0_;
#line 90 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_object_notify ((GObject *) self, "blue");
#line 1307 "color.c"
}


guint desktop_agnostic_color_get_alpha (DesktopAgnosticColor* self) {
	guint result;
	gushort _tmp0_ = 0U;
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = self->priv->_alpha;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	result = (guint) _tmp0_;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	return result;
#line 1322 "color.c"
}


void desktop_agnostic_color_set_alpha (DesktopAgnosticColor* self, guint value) {
	gushort _tmp0_ = 0U;
	guint _tmp1_ = 0U;
	gushort _tmp2_ = 0U;
	GError * _inner_error_ = NULL;
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_return_if_fail (self != NULL);
#line 104 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp1_ = value;
#line 104 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp2_ = desktop_agnostic_color_ushortify (self, _tmp1_, &_inner_error_);
#line 104 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	_tmp0_ = _tmp2_;
#line 104 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 104 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 104 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		g_clear_error (&_inner_error_);
#line 104 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		return;
#line 1347 "color.c"
	}
#line 104 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_alpha = _tmp0_;
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_object_notify ((GObject *) self, "alpha");
#line 1353 "color.c"
}


static void desktop_agnostic_color_class_init (DesktopAgnosticColorClass * klass) {
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	desktop_agnostic_color_parent_class = g_type_class_peek_parent (klass);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_type_class_add_private (klass, sizeof (DesktopAgnosticColorPrivate));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_desktop_agnostic_color_get_property;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_desktop_agnostic_color_set_property;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	G_OBJECT_CLASS (klass)->finalize = desktop_agnostic_color_finalize;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_COLOR_COLOR, g_param_spec_boxed ("color", "color", "color", GDK_TYPE_COLOR, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_COLOR_RED, g_param_spec_uint ("red", "red", "red", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_COLOR_GREEN, g_param_spec_uint ("green", "green", "green", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_COLOR_BLUE, g_param_spec_uint ("blue", "blue", "blue", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_COLOR_ALPHA, g_param_spec_uint ("alpha", "alpha", "alpha", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1378 "color.c"
}


static void desktop_agnostic_color_instance_init (DesktopAgnosticColor * self) {
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv = DESKTOP_AGNOSTIC_COLOR_GET_PRIVATE (self);
#line 95 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self->priv->_alpha = G_MAXUSHORT;
#line 1387 "color.c"
}


static void desktop_agnostic_color_finalize (GObject* obj) {
	DesktopAgnosticColor * self;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, DESKTOP_AGNOSTIC_TYPE_COLOR, DesktopAgnosticColor);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	G_OBJECT_CLASS (desktop_agnostic_color_parent_class)->finalize (obj);
#line 1397 "color.c"
}


/**
   * Note: cannot use ushort in properties as Value cannot be mapped to it.
   */
GType desktop_agnostic_color_get_type (void) {
	static volatile gsize desktop_agnostic_color_type_id__volatile = 0;
	if (g_once_init_enter (&desktop_agnostic_color_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DesktopAgnosticColorClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) desktop_agnostic_color_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DesktopAgnosticColor), 0, (GInstanceInitFunc) desktop_agnostic_color_instance_init, NULL };
		GType desktop_agnostic_color_type_id;
		desktop_agnostic_color_type_id = g_type_register_static (G_TYPE_OBJECT, "DesktopAgnosticColor", &g_define_type_info, 0);
		g_once_init_leave (&desktop_agnostic_color_type_id__volatile, desktop_agnostic_color_type_id);
	}
	return desktop_agnostic_color_type_id__volatile;
}


static void _vala_desktop_agnostic_color_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	DesktopAgnosticColor * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DESKTOP_AGNOSTIC_TYPE_COLOR, DesktopAgnosticColor);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	switch (property_id) {
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		case DESKTOP_AGNOSTIC_COLOR_COLOR:
#line 1423 "color.c"
		{
			GdkColor boxed;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			desktop_agnostic_color_get_color (self, &boxed);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
			g_value_set_boxed (value, &boxed);
#line 1430 "color.c"
		}
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		break;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		case DESKTOP_AGNOSTIC_COLOR_RED:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		g_value_set_uint (value, desktop_agnostic_color_get_red (self));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		break;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		case DESKTOP_AGNOSTIC_COLOR_GREEN:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		g_value_set_uint (value, desktop_agnostic_color_get_green (self));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		break;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		case DESKTOP_AGNOSTIC_COLOR_BLUE:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		g_value_set_uint (value, desktop_agnostic_color_get_blue (self));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		break;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		case DESKTOP_AGNOSTIC_COLOR_ALPHA:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		g_value_set_uint (value, desktop_agnostic_color_get_alpha (self));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		break;
#line 1458 "color.c"
		default:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		break;
#line 1464 "color.c"
	}
}


static void _vala_desktop_agnostic_color_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	DesktopAgnosticColor * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DESKTOP_AGNOSTIC_TYPE_COLOR, DesktopAgnosticColor);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
	switch (property_id) {
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		case DESKTOP_AGNOSTIC_COLOR_COLOR:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		desktop_agnostic_color_set_color (self, g_value_get_boxed (value));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		break;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		case DESKTOP_AGNOSTIC_COLOR_RED:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		desktop_agnostic_color_set_red (self, g_value_get_uint (value));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		break;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		case DESKTOP_AGNOSTIC_COLOR_GREEN:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		desktop_agnostic_color_set_green (self, g_value_get_uint (value));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		break;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		case DESKTOP_AGNOSTIC_COLOR_BLUE:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		desktop_agnostic_color_set_blue (self, g_value_get_uint (value));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		break;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		case DESKTOP_AGNOSTIC_COLOR_ALPHA:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		desktop_agnostic_color_set_alpha (self, g_value_get_uint (value));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		break;
#line 1504 "color.c"
		default:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/color.vala"
		break;
#line 1510 "color.c"
	}
}



