/* config-schema.c generated by valac 0.26.1, the Vala compiler
 * generated from config-schema.vala, do not modify */

/*
 * Desktop Agnostic Library: Configuration Schema.
 *
 * Copyright (C) 2008, 2009 Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * Author : Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <hashtable-gtype-key.c>
#include <float.h>
#include <math.h>
#include <glib/gstdio.h>
#include <libdesktop-agnostic/desktop-agnostic.h>
#include <libdesktop-agnostic/vfs.h>


#define DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA (desktop_agnostic_config_schema_get_type ())
#define DESKTOP_AGNOSTIC_CONFIG_SCHEMA(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA, DesktopAgnosticConfigSchema))
#define DESKTOP_AGNOSTIC_CONFIG_SCHEMA_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA, DesktopAgnosticConfigSchemaClass))
#define DESKTOP_AGNOSTIC_CONFIG_IS_SCHEMA(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA))
#define DESKTOP_AGNOSTIC_CONFIG_IS_SCHEMA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA))
#define DESKTOP_AGNOSTIC_CONFIG_SCHEMA_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA, DesktopAgnosticConfigSchemaClass))

typedef struct _DesktopAgnosticConfigSchema DesktopAgnosticConfigSchema;
typedef struct _DesktopAgnosticConfigSchemaClass DesktopAgnosticConfigSchemaClass;
typedef struct _DesktopAgnosticConfigSchemaPrivate DesktopAgnosticConfigSchemaPrivate;

#define DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA_OPTION (desktop_agnostic_config_schema_option_get_type ())
#define DESKTOP_AGNOSTIC_CONFIG_SCHEMA_OPTION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA_OPTION, DesktopAgnosticConfigSchemaOption))
#define DESKTOP_AGNOSTIC_CONFIG_SCHEMA_OPTION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA_OPTION, DesktopAgnosticConfigSchemaOptionClass))
#define DESKTOP_AGNOSTIC_CONFIG_IS_SCHEMA_OPTION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA_OPTION))
#define DESKTOP_AGNOSTIC_CONFIG_IS_SCHEMA_OPTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA_OPTION))
#define DESKTOP_AGNOSTIC_CONFIG_SCHEMA_OPTION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA_OPTION, DesktopAgnosticConfigSchemaOptionClass))

typedef struct _DesktopAgnosticConfigSchemaOption DesktopAgnosticConfigSchemaOption;
typedef struct _DesktopAgnosticConfigSchemaOptionClass DesktopAgnosticConfigSchemaOptionClass;

#define DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA_TYPE (desktop_agnostic_config_schema_type_get_type ())
#define DESKTOP_AGNOSTIC_CONFIG_SCHEMA_TYPE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA_TYPE, DesktopAgnosticConfigSchemaType))
#define DESKTOP_AGNOSTIC_CONFIG_SCHEMA_TYPE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA_TYPE, DesktopAgnosticConfigSchemaTypeClass))
#define DESKTOP_AGNOSTIC_CONFIG_IS_SCHEMA_TYPE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA_TYPE))
#define DESKTOP_AGNOSTIC_CONFIG_IS_SCHEMA_TYPE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA_TYPE))
#define DESKTOP_AGNOSTIC_CONFIG_SCHEMA_TYPE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA_TYPE, DesktopAgnosticConfigSchemaTypeClass))

typedef struct _DesktopAgnosticConfigSchemaType DesktopAgnosticConfigSchemaType;
typedef struct _DesktopAgnosticConfigSchemaTypeClass DesktopAgnosticConfigSchemaTypeClass;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define __g_list_free__g_free0_0(var) ((var == NULL) ? NULL : (var = (_g_list_free__g_free0_ (var), NULL)))
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_key_file_free0(var) ((var == NULL) ? NULL : (var = (g_key_file_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define __g_slist_free__g_free0_0(var) ((var == NULL) ? NULL : (var = (_g_slist_free__g_free0_ (var), NULL)))

/**
   * Configuration schema error types.
   */
typedef enum  {
	DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_PARSE,
	DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_INVALID_METADATA_OPTION,
	DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_INVALID_METADATA_TYPE,
	DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_INVALID_TYPE,
	DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_INVALID_LIST_TYPE,
	DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_TYPE_NAME_EXISTS,
	DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_TYPE_GTYPE_EXISTS
} DesktopAgnosticConfigSchemaError;
#define DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR desktop_agnostic_config_schema_error_quark ()
struct _DesktopAgnosticConfigSchema {
	GObject parent_instance;
	DesktopAgnosticConfigSchemaPrivate * priv;
};

struct _DesktopAgnosticConfigSchemaClass {
	GObjectClass parent_class;
};

struct _DesktopAgnosticConfigSchemaPrivate {
	gchar* _filename;
	gchar* _app_name;
	GData* options;
	GHashTable* keys;
	GList* valid_metadata_keys;
	GData* metadata_options;
};


static gpointer desktop_agnostic_config_schema_parent_class = NULL;
static GHashTable* desktop_agnostic_config_schema_type_registry;
static GHashTable* desktop_agnostic_config_schema_type_registry = NULL;
static GHashTable* desktop_agnostic_config_schema_name_registry;
static GHashTable* desktop_agnostic_config_schema_name_registry = NULL;
static GHashTable* desktop_agnostic_config_schema_common_metadata_keys;
static GHashTable* desktop_agnostic_config_schema_common_metadata_keys = NULL;

GQuark desktop_agnostic_config_schema_error_quark (void);
GType desktop_agnostic_config_schema_get_type (void) G_GNUC_CONST;
GType desktop_agnostic_config_schema_option_get_type (void) G_GNUC_CONST;
#define DESKTOP_AGNOSTIC_CONFIG_SCHEMA_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA, DesktopAgnosticConfigSchemaPrivate))
enum  {
	DESKTOP_AGNOSTIC_CONFIG_SCHEMA_DUMMY_PROPERTY,
	DESKTOP_AGNOSTIC_CONFIG_SCHEMA_FILENAME,
	DESKTOP_AGNOSTIC_CONFIG_SCHEMA_APP_NAME
};
GType desktop_agnostic_config_schema_type_get_type (void) G_GNUC_CONST;
static void _g_object_unref0_ (gpointer var);
static void _g_free0_ (gpointer var);
static void _vala_GValue_free (GValue* self);
static void __vala_GValue_free0_ (gpointer var);
static void _g_list_free__g_free0_ (GList* self);
DesktopAgnosticConfigSchema* desktop_agnostic_config_schema_new (const gchar* filename, GError** error);
DesktopAgnosticConfigSchema* desktop_agnostic_config_schema_construct (GType object_type, const gchar* filename, GError** error);
static void __g_list_free__g_free0_0_ (gpointer var);
static GValue* _g_value_dup (GValue* self);
GHashTable* desktop_agnostic_config_backend_get_backend_metadata_keys (void);
static void desktop_agnostic_config_schema_parse (DesktopAgnosticConfigSchema* self, GError** error);
gboolean desktop_agnostic_config_schema_exists (DesktopAgnosticConfigSchema* self, const gchar* group, const gchar* key);
DesktopAgnosticConfigSchemaOption* desktop_agnostic_config_schema_option_new (GKeyFile** schema, const gchar* group, const gchar* key, GError** error);
DesktopAgnosticConfigSchemaOption* desktop_agnostic_config_schema_option_construct (GType object_type, GKeyFile** schema, const gchar* group, const gchar* key, GError** error);
#define DESKTOP_AGNOSTIC_CONFIG_GROUP_DEFAULT "DEFAULT"
GList* desktop_agnostic_config_schema_get_groups (DesktopAgnosticConfigSchema* self);
GList* desktop_agnostic_config_schema_get_keys (DesktopAgnosticConfigSchema* self, const gchar* group);
DesktopAgnosticConfigSchemaOption* desktop_agnostic_config_schema_get_option (DesktopAgnosticConfigSchema* self, const gchar* group, const gchar* key);
GValue* desktop_agnostic_config_schema_get_metadata_option (DesktopAgnosticConfigSchema* self, const gchar* name, GError** error);
void desktop_agnostic_config_schema_register_type (DesktopAgnosticConfigSchemaType* st, GError** error);
GType desktop_agnostic_config_schema_type_get_schema_type (DesktopAgnosticConfigSchemaType* self);
gchar* desktop_agnostic_config_schema_type_get_name (DesktopAgnosticConfigSchemaType* self);
DesktopAgnosticConfigSchemaType* desktop_agnostic_config_schema_find_type (GType type);
DesktopAgnosticConfigSchemaType* desktop_agnostic_config_schema_find_type_by_name (const gchar* name);
static void desktop_agnostic_config_schema_set_filename (DesktopAgnosticConfigSchema* self, const gchar* value);
static void desktop_agnostic_config_schema_set_app_name (DesktopAgnosticConfigSchema* self, const gchar* value);
const gchar* desktop_agnostic_config_schema_get_app_name (DesktopAgnosticConfigSchema* self);
GType desktop_agnostic_config_get_type (GError** error);
static void _g_slist_free__g_free0_ (GSList* self);
static void desktop_agnostic_config_schema_finalize (GObject* obj);
static void _vala_desktop_agnostic_config_schema_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_desktop_agnostic_config_schema_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


GQuark desktop_agnostic_config_schema_error_quark (void) {
#line 274 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config.vala"
	return g_quark_from_static_string ("desktop_agnostic_config_schema_error-quark");
#line 167 "config-schema.c"
}


static void _g_object_unref0_ (gpointer var) {
#line 47 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 174 "config-schema.c"
}


static void _g_free0_ (gpointer var) {
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	var = (g_free (var), NULL);
#line 181 "config-schema.c"
}


static void _vala_GValue_free (GValue* self) {
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_value_unset (self);
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_free (self);
#line 190 "config-schema.c"
}


static void __vala_GValue_free0_ (gpointer var) {
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	(var == NULL) ? NULL : (var = (_vala_GValue_free (var), NULL));
#line 197 "config-schema.c"
}


static void _g_list_free__g_free0_ (GList* self) {
#line 183 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_list_foreach (self, (GFunc) _g_free0_, NULL);
#line 183 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_list_free (self);
#line 206 "config-schema.c"
}


/**
     * Creates a new Schema object.
     * @param filename the name of the schema file to parse
     */
static void __g_list_free__g_free0_0_ (gpointer var) {
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	(var == NULL) ? NULL : (var = (_g_list_free__g_free0_ (var), NULL));
#line 217 "config-schema.c"
}


static GValue* _g_value_dup (GValue* self) {
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	return g_boxed_copy (G_TYPE_VALUE, self);
#line 224 "config-schema.c"
}


static gpointer __g_value_dup0 (gpointer self) {
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	return self ? _g_value_dup (self) : NULL;
#line 231 "config-schema.c"
}


DesktopAgnosticConfigSchema* desktop_agnostic_config_schema_construct (GType object_type, const gchar* filename, GError** error) {
	DesktopAgnosticConfigSchema * self = NULL;
	const gchar* _tmp0_ = NULL;
	GHashTable* backend_metadata_keys = NULL;
	GHashFunc _tmp1_ = NULL;
	GEqualFunc _tmp2_ = NULL;
	GHashTable* _tmp3_ = NULL;
	GHashTable* _tmp4_ = NULL;
	GList* _tmp5_ = NULL;
	GHashTable* _tmp13_ = NULL;
	GHashTable* _tmp14_ = NULL;
	GList* _tmp15_ = NULL;
	GError * _inner_error_ = NULL;
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (filename != NULL, NULL);
#line 191 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = filename;
#line 191 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	self = (DesktopAgnosticConfigSchema*) g_object_new (object_type, "filename", _tmp0_, NULL);
#line 194 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_datalist_init (&self->priv->options);
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp1_ = g_str_hash;
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp2_ = g_str_equal;
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp3_ = g_hash_table_new_full (_tmp1_, _tmp2_, _g_free0_, __g_list_free__g_free0_0_);
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_g_hash_table_unref0 (self->priv->keys);
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	self->priv->keys = _tmp3_;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	__g_list_free__g_free0_0 (self->priv->valid_metadata_keys);
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	self->priv->valid_metadata_keys = NULL;
#line 198 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_datalist_init (&self->priv->metadata_options);
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp4_ = desktop_agnostic_config_schema_common_metadata_keys;
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp5_ = g_hash_table_get_keys (_tmp4_);
#line 276 "config-schema.c"
	{
		GList* key_collection = NULL;
		GList* key_it = NULL;
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		key_collection = _tmp5_;
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		for (key_it = key_collection; key_it != NULL; key_it = key_it->next) {
#line 284 "config-schema.c"
			const gchar* key = NULL;
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			key = (const gchar*) key_it->data;
#line 288 "config-schema.c"
			{
				const gchar* _tmp6_ = NULL;
				gchar* _tmp7_ = NULL;
				const gchar* _tmp8_ = NULL;
				GHashTable* _tmp9_ = NULL;
				const gchar* _tmp10_ = NULL;
				gconstpointer _tmp11_ = NULL;
				GValue* _tmp12_ = NULL;
#line 201 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp6_ = key;
#line 201 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp7_ = g_strdup (_tmp6_);
#line 201 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				self->priv->valid_metadata_keys = g_list_append (self->priv->valid_metadata_keys, _tmp7_);
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp8_ = key;
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp9_ = desktop_agnostic_config_schema_common_metadata_keys;
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp10_ = key;
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp11_ = g_hash_table_lookup (_tmp9_, _tmp10_);
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp12_ = __g_value_dup0 ((GValue*) _tmp11_);
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				g_datalist_set_data (&self->priv->metadata_options, _tmp8_, _tmp12_);
#line 315 "config-schema.c"
			}
		}
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_g_list_free0 (key_collection);
#line 320 "config-schema.c"
	}
#line 205 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp13_ = desktop_agnostic_config_backend_get_backend_metadata_keys ();
#line 205 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	backend_metadata_keys = _tmp13_;
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp14_ = backend_metadata_keys;
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp15_ = g_hash_table_get_keys (_tmp14_);
#line 330 "config-schema.c"
	{
		GList* key_collection = NULL;
		GList* key_it = NULL;
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		key_collection = _tmp15_;
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		for (key_it = key_collection; key_it != NULL; key_it = key_it->next) {
#line 338 "config-schema.c"
			const gchar* key = NULL;
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			key = (const gchar*) key_it->data;
#line 342 "config-schema.c"
			{
				const gchar* _tmp16_ = NULL;
				gchar* _tmp17_ = NULL;
				const gchar* _tmp18_ = NULL;
				GHashTable* _tmp19_ = NULL;
				const gchar* _tmp20_ = NULL;
				gconstpointer _tmp21_ = NULL;
				GValue* _tmp22_ = NULL;
#line 208 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp16_ = key;
#line 208 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp17_ = g_strdup (_tmp16_);
#line 208 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				self->priv->valid_metadata_keys = g_list_append (self->priv->valid_metadata_keys, _tmp17_);
#line 209 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp18_ = key;
#line 209 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp19_ = backend_metadata_keys;
#line 209 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp20_ = key;
#line 209 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp21_ = g_hash_table_lookup (_tmp19_, _tmp20_);
#line 209 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp22_ = __g_value_dup0 ((GValue*) _tmp21_);
#line 209 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				g_datalist_set_data (&self->priv->metadata_options, _tmp18_, _tmp22_);
#line 369 "config-schema.c"
			}
		}
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_g_list_free0 (key_collection);
#line 374 "config-schema.c"
	}
#line 212 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	desktop_agnostic_config_schema_parse (self, &_inner_error_);
#line 212 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 212 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		g_propagate_error (error, _inner_error_);
#line 212 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_g_object_unref0 (self);
#line 212 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		return NULL;
#line 386 "config-schema.c"
	}
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	return self;
#line 390 "config-schema.c"
}


DesktopAgnosticConfigSchema* desktop_agnostic_config_schema_new (const gchar* filename, GError** error) {
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	return desktop_agnostic_config_schema_construct (DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA, filename, error);
#line 397 "config-schema.c"
}


/**
     * Parses the schema file for configuration options and metadata.
     */
static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1278 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1278 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1279 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1279 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1279 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1279 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	return result;
#line 420 "config-schema.c"
}


static glong string_pointer_to_offset (const gchar* self, const gchar* pos) {
	glong result = 0L;
	const gchar* _tmp0_ = NULL;
#line 1039 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0L);
#line 1039 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail (pos != NULL, 0L);
#line 1040 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp0_ = pos;
#line 1040 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	result = (glong) (((gchar*) _tmp0_) - ((gchar*) self));
#line 1040 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	return result;
#line 437 "config-schema.c"
}


static glong string_strnlen (gchar* str, glong maxlen) {
	glong result = 0L;
	gchar* end = NULL;
	gchar* _tmp0_ = NULL;
	glong _tmp1_ = 0L;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 1197 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 1197 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp1_ = maxlen;
#line 1197 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp2_ = memchr (_tmp0_, 0, (gsize) _tmp1_);
#line 1197 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	end = _tmp2_;
#line 1198 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp3_ = end;
#line 1198 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp3_ == NULL) {
#line 460 "config-schema.c"
		glong _tmp4_ = 0L;
#line 1199 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp4_ = maxlen;
#line 1199 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		result = _tmp4_;
#line 1199 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		return result;
#line 468 "config-schema.c"
	} else {
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
#line 1201 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp5_ = end;
#line 1201 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp6_ = str;
#line 1201 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		result = (glong) (_tmp5_ - _tmp6_);
#line 1201 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		return result;
#line 480 "config-schema.c"
	}
}


static gchar* string_substring (const gchar* self, glong offset, glong len) {
	gchar* result = NULL;
	glong string_length = 0L;
	gboolean _tmp0_ = FALSE;
	glong _tmp1_ = 0L;
	glong _tmp8_ = 0L;
	glong _tmp14_ = 0L;
	glong _tmp17_ = 0L;
	glong _tmp18_ = 0L;
	glong _tmp19_ = 0L;
	glong _tmp20_ = 0L;
	glong _tmp21_ = 0L;
	gchar* _tmp22_ = NULL;
#line 1208 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp1_ = offset;
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp1_ >= ((glong) 0)) {
#line 504 "config-schema.c"
		glong _tmp2_ = 0L;
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp2_ = len;
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp0_ = _tmp2_ >= ((glong) 0);
#line 510 "config-schema.c"
	} else {
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp0_ = FALSE;
#line 514 "config-schema.c"
	}
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 518 "config-schema.c"
		glong _tmp3_ = 0L;
		glong _tmp4_ = 0L;
		glong _tmp5_ = 0L;
#line 1212 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp3_ = offset;
#line 1212 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp4_ = len;
#line 1212 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp5_ = string_strnlen ((gchar*) self, _tmp3_ + _tmp4_);
#line 1212 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		string_length = _tmp5_;
#line 530 "config-schema.c"
	} else {
		gint _tmp6_ = 0;
		gint _tmp7_ = 0;
#line 1214 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp6_ = strlen (self);
#line 1214 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp6_;
#line 1214 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		string_length = (glong) _tmp7_;
#line 540 "config-schema.c"
	}
#line 1217 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp8_ = offset;
#line 1217 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp8_ < ((glong) 0)) {
#line 546 "config-schema.c"
		glong _tmp9_ = 0L;
		glong _tmp10_ = 0L;
		glong _tmp11_ = 0L;
#line 1218 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp9_ = string_length;
#line 1218 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp10_ = offset;
#line 1218 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		offset = _tmp9_ + _tmp10_;
#line 1219 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp11_ = offset;
#line 1219 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		g_return_val_if_fail (_tmp11_ >= ((glong) 0), NULL);
#line 560 "config-schema.c"
	} else {
		glong _tmp12_ = 0L;
		glong _tmp13_ = 0L;
#line 1221 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp12_ = offset;
#line 1221 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp13_ = string_length;
#line 1221 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		g_return_val_if_fail (_tmp12_ <= _tmp13_, NULL);
#line 570 "config-schema.c"
	}
#line 1223 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp14_ = len;
#line 1223 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp14_ < ((glong) 0)) {
#line 576 "config-schema.c"
		glong _tmp15_ = 0L;
		glong _tmp16_ = 0L;
#line 1224 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp15_ = string_length;
#line 1224 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp16_ = offset;
#line 1224 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		len = _tmp15_ - _tmp16_;
#line 585 "config-schema.c"
	}
#line 1226 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp17_ = offset;
#line 1226 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp18_ = len;
#line 1226 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp19_ = string_length;
#line 1226 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail ((_tmp17_ + _tmp18_) <= _tmp19_, NULL);
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp20_ = offset;
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp21_ = len;
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp22_ = g_strndup (((gchar*) self) + _tmp20_, (gsize) _tmp21_);
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	result = _tmp22_;
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	return result;
#line 605 "config-schema.c"
}


static const gchar* string_offset (const gchar* self, glong offset) {
	const gchar* result = NULL;
	glong _tmp0_ = 0L;
#line 1035 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1036 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp0_ = offset;
#line 1036 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	result = (const gchar*) (((gchar*) self) + _tmp0_);
#line 1036 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	return result;
#line 620 "config-schema.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 256 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	return self ? g_object_ref (self) : NULL;
#line 627 "config-schema.c"
}


static void desktop_agnostic_config_schema_parse (DesktopAgnosticConfigSchema* self, GError** error) {
	const gchar* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 217 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_if_fail (self != NULL);
#line 220 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = self->priv->_filename;
#line 220 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	if (_tmp0_ == NULL) {
#line 640 "config-schema.c"
		GError* _tmp1_ = NULL;
#line 222 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp1_ = g_error_new_literal (DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR, DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_PARSE, "A (valid) schema file was not given.");
#line 222 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_inner_error_ = _tmp1_;
#line 222 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		g_propagate_error (error, _inner_error_);
#line 222 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		return;
#line 650 "config-schema.c"
	} else {
		GKeyFile* data = NULL;
		GKeyFile* _tmp2_ = NULL;
		GKeyFile* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		GKeyFile* _tmp5_ = NULL;
		gsize _tmp6_;
		gchar** _tmp7_ = NULL;
#line 226 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp2_ = g_key_file_new ();
#line 226 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		data = _tmp2_;
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp3_ = data;
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp4_ = self->priv->_filename;
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		g_key_file_load_from_file (_tmp3_, _tmp4_, G_KEY_FILE_KEEP_TRANSLATIONS, &_inner_error_);
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			g_propagate_error (error, _inner_error_);
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_g_key_file_free0 (data);
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			return;
#line 677 "config-schema.c"
		}
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp5_ = data;
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp7_ = g_key_file_get_groups (_tmp5_, &_tmp6_);
#line 683 "config-schema.c"
		{
			gchar** group_collection = NULL;
			gint group_collection_length1 = 0;
			gint _group_collection_size_ = 0;
			gint group_it = 0;
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			group_collection = _tmp7_;
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			group_collection_length1 = _tmp6_;
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			for (group_it = 0; group_it < _tmp6_; group_it = group_it + 1) {
#line 695 "config-schema.c"
				const gchar* group = NULL;
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				group = group_collection[group_it];
#line 699 "config-schema.c"
				{
					const gchar* _tmp8_ = NULL;
					gboolean _tmp9_ = FALSE;
#line 230 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp8_ = group;
#line 230 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp9_ = string_contains (_tmp8_, "/");
#line 230 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					if (_tmp9_) {
#line 709 "config-schema.c"
						const gchar* last_slash = NULL;
						const gchar* _tmp10_ = NULL;
						const gchar* _tmp11_ = NULL;
						gint _tmp12_ = 0;
						gint _tmp13_ = 0;
						const gchar* _tmp14_ = NULL;
						glong offset = 0L;
						const gchar* _tmp15_ = NULL;
						const gchar* _tmp16_ = NULL;
						glong _tmp17_ = 0L;
						gchar* option_group = NULL;
						const gchar* _tmp18_ = NULL;
						glong _tmp19_ = 0L;
						gchar* _tmp20_ = NULL;
						const gchar* option_key = NULL;
						const gchar* _tmp21_ = NULL;
						glong _tmp22_ = 0L;
						const gchar* _tmp23_ = NULL;
						GList* list = NULL;
						GHashTable* _tmp24_ = NULL;
						const gchar* _tmp25_ = NULL;
						gconstpointer _tmp26_ = NULL;
						GList* _tmp27_ = NULL;
						DesktopAgnosticConfigSchemaOption* option = NULL;
						const gchar* _tmp42_ = NULL;
						const gchar* _tmp43_ = NULL;
						DesktopAgnosticConfigSchemaOption* _tmp44_ = NULL;
						const gchar* _tmp45_ = NULL;
						DesktopAgnosticConfigSchemaOption* _tmp46_ = NULL;
						DesktopAgnosticConfigSchemaOption* _tmp47_ = NULL;
#line 233 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp10_ = group;
#line 233 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp11_ = group;
#line 233 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp12_ = strlen (_tmp11_);
#line 233 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp13_ = _tmp12_;
#line 233 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp14_ = g_utf8_strrchr (_tmp10_, (gssize) _tmp13_, (gunichar) '/');
#line 233 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						last_slash = _tmp14_;
#line 234 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp15_ = group;
#line 234 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp16_ = last_slash;
#line 234 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp17_ = string_pointer_to_offset (_tmp15_, _tmp16_);
#line 234 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						offset = _tmp17_;
#line 235 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp18_ = group;
#line 235 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp19_ = offset;
#line 235 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp20_ = string_substring (_tmp18_, (glong) 0, _tmp19_);
#line 235 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						option_group = _tmp20_;
#line 236 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp21_ = group;
#line 236 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp22_ = offset;
#line 236 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp23_ = string_offset (_tmp21_, _tmp22_ + 1);
#line 236 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						option_key = _tmp23_;
#line 237 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp24_ = self->priv->keys;
#line 237 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp25_ = option_group;
#line 237 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp26_ = g_hash_table_lookup (_tmp24_, _tmp25_);
#line 237 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						list = (GList*) _tmp26_;
#line 238 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp27_ = list;
#line 238 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						if (_tmp27_ == NULL) {
#line 788 "config-schema.c"
							GList* key_list = NULL;
							const gchar* _tmp28_ = NULL;
							gchar* _tmp29_ = NULL;
							GHashTable* _tmp30_ = NULL;
							const gchar* _tmp31_ = NULL;
							gchar* _tmp32_ = NULL;
							GList* _tmp33_ = NULL;
#line 240 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							key_list = NULL;
#line 241 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp28_ = option_key;
#line 241 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp29_ = g_strdup (_tmp28_);
#line 241 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							key_list = g_list_append (key_list, _tmp29_);
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp30_ = self->priv->keys;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp31_ = option_group;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp32_ = g_strdup (_tmp31_);
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp33_ = key_list;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							key_list = NULL;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							g_hash_table_insert (_tmp30_, _tmp32_, _tmp33_);
#line 238 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							__g_list_free__g_free0_0 (key_list);
#line 818 "config-schema.c"
						} else {
							const gchar* _tmp34_ = NULL;
							const gchar* _tmp35_ = NULL;
							gboolean _tmp36_ = FALSE;
#line 244 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp34_ = option_group;
#line 244 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp35_ = option_key;
#line 244 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp36_ = desktop_agnostic_config_schema_exists (self, _tmp34_, _tmp35_);
#line 244 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							if (!_tmp36_) {
#line 831 "config-schema.c"
								const gchar* _tmp37_ = NULL;
								gchar* _tmp38_ = NULL;
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								_tmp37_ = option_key;
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								_tmp38_ = g_strdup (_tmp37_);
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								list = g_list_append (list, _tmp38_);
#line 840 "config-schema.c"
							} else {
								const gchar* _tmp39_ = NULL;
								const gchar* _tmp40_ = NULL;
								GError* _tmp41_ = NULL;
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								_tmp39_ = option_group;
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								_tmp40_ = option_key;
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								_tmp41_ = g_error_new (DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR, DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_PARSE, "Duplicate key found in '%s': %s", _tmp39_, _tmp40_);
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								_inner_error_ = _tmp41_;
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								g_propagate_error (error, _inner_error_);
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								_g_free0 (option_group);
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								_g_key_file_free0 (data);
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								return;
#line 863 "config-schema.c"
							}
						}
#line 254 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp42_ = option_group;
#line 254 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp43_ = option_key;
#line 254 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp44_ = desktop_agnostic_config_schema_option_new (&data, _tmp42_, _tmp43_, &_inner_error_);
#line 254 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						option = _tmp44_;
#line 254 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 254 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							g_propagate_error (error, _inner_error_);
#line 254 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_g_free0 (option_group);
#line 254 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 254 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_g_key_file_free0 (data);
#line 254 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							return;
#line 886 "config-schema.c"
						}
#line 256 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp45_ = group;
#line 256 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp46_ = option;
#line 256 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp47_ = _g_object_ref0 (_tmp46_);
#line 256 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						g_datalist_set_data (&self->priv->options, _tmp45_, _tmp47_);
#line 230 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_g_object_unref0 (option);
#line 230 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_g_free0 (option_group);
#line 900 "config-schema.c"
					} else {
						const gchar* _tmp48_ = NULL;
#line 258 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp48_ = group;
#line 258 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						if (g_strcmp0 (_tmp48_, DESKTOP_AGNOSTIC_CONFIG_GROUP_DEFAULT) == 0) {
#line 907 "config-schema.c"
							gchar** _tmp49_ = NULL;
							GKeyFile* _tmp50_ = NULL;
							const gchar* _tmp51_ = NULL;
							gsize _tmp52_;
							gchar** _tmp53_ = NULL;
							gint _tmp49__length1 = 0;
							gint __tmp49__size_ = 0;
							gchar** _tmp54_ = NULL;
							gint _tmp54__length1 = 0;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp50_ = data;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp51_ = group;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp53_ = g_key_file_get_keys (_tmp50_, _tmp51_, &_tmp52_, &_inner_error_);
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp49_ = _tmp53_;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp49__length1 = _tmp52_;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							__tmp49__size_ = _tmp49__length1;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								g_propagate_error (error, _inner_error_);
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								_g_key_file_free0 (data);
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								return;
#line 939 "config-schema.c"
							}
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp54_ = _tmp49_;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp54__length1 = _tmp49__length1;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp49_ = NULL;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp49__length1 = 0;
#line 949 "config-schema.c"
							{
								gchar** key_collection = NULL;
								gint key_collection_length1 = 0;
								gint _key_collection_size_ = 0;
								gint key_it = 0;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								key_collection = _tmp54_;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								key_collection_length1 = _tmp54__length1;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								for (key_it = 0; key_it < _tmp54__length1; key_it = key_it + 1) {
#line 961 "config-schema.c"
									const gchar* key = NULL;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
									key = key_collection[key_it];
#line 965 "config-schema.c"
									{
										GList* _tmp55_ = NULL;
										const gchar* _tmp56_ = NULL;
										GCompareFunc _tmp57_ = NULL;
										GList* _tmp58_ = NULL;
#line 263 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
										_tmp55_ = self->priv->valid_metadata_keys;
#line 263 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
										_tmp56_ = key;
#line 263 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
										_tmp57_ = g_strcmp0;
#line 263 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
										_tmp58_ = g_list_find_custom (_tmp55_, _tmp56_, (GCompareFunc) _tmp57_);
#line 263 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
										if (_tmp58_ == NULL) {
#line 981 "config-schema.c"
											const gchar* _tmp59_ = NULL;
											GError* _tmp60_ = NULL;
#line 265 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp59_ = key;
#line 265 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp60_ = g_error_new (DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR, DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_INVALID_METADATA_OPTION, "The option '%s' is not a registered metadata option.", _tmp59_);
#line 265 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_inner_error_ = _tmp60_;
#line 265 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											g_propagate_error (error, _inner_error_);
#line 265 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											key_collection = (_vala_array_free (key_collection, key_collection_length1, (GDestroyNotify) g_free), NULL);
#line 265 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp49_ = (_vala_array_free (_tmp49_, _tmp49__length1, (GDestroyNotify) g_free), NULL);
#line 265 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 265 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_g_key_file_free0 (data);
#line 265 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											return;
#line 1002 "config-schema.c"
										} else {
											GValue cur_val = {0};
											GValue new_val = {0};
											GType cur_val_type = 0UL;
											const gchar* _tmp61_ = NULL;
											gconstpointer _tmp62_ = NULL;
											GValue _tmp63_ = {0};
											GType _tmp64_ = 0UL;
											GType _tmp65_ = 0UL;
											GValue _tmp66_ = {0};
											GValue _tmp67_ = {0};
											GType _tmp68_ = 0UL;
											const gchar* _tmp93_ = NULL;
											GValue _tmp94_ = {0};
											GValue _tmp95_ = {0};
											GValue* _tmp96_ = NULL;
#line 272 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp61_ = key;
#line 272 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp62_ = g_datalist_get_data (&self->priv->metadata_options, _tmp61_);
#line 272 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											if (G_IS_VALUE ((GValue*) _tmp62_)) {
#line 272 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												g_value_init (&_tmp63_, G_VALUE_TYPE ((GValue*) _tmp62_));
#line 272 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												g_value_copy ((GValue*) _tmp62_, &_tmp63_);
#line 1029 "config-schema.c"
											} else {
#line 272 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												_tmp63_ = *((GValue*) _tmp62_);
#line 1033 "config-schema.c"
											}
#line 272 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											G_IS_VALUE (&cur_val) ? (g_value_unset (&cur_val), NULL) : NULL;
#line 272 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											cur_val = _tmp63_;
#line 273 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp64_ = G_VALUE_TYPE (&cur_val);
#line 273 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											cur_val_type = _tmp64_;
#line 274 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp65_ = cur_val_type;
#line 274 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											g_value_init (&_tmp66_, _tmp65_);
#line 274 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											G_IS_VALUE (&new_val) ? (g_value_unset (&new_val), NULL) : NULL;
#line 274 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											new_val = _tmp66_;
#line 274 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp67_ = new_val;
#line 275 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp68_ = cur_val_type;
#line 275 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											if (_tmp68_ == G_TYPE_BOOLEAN) {
#line 1057 "config-schema.c"
												gboolean _tmp69_ = FALSE;
												GKeyFile* _tmp70_ = NULL;
												const gchar* _tmp71_ = NULL;
												const gchar* _tmp72_ = NULL;
												gboolean _tmp73_ = FALSE;
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												_tmp70_ = data;
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												_tmp71_ = group;
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												_tmp72_ = key;
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												_tmp73_ = g_key_file_get_boolean (_tmp70_, _tmp71_, _tmp72_, &_inner_error_);
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												_tmp69_ = _tmp73_;
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													g_propagate_error (error, _inner_error_);
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													G_IS_VALUE (&new_val) ? (g_value_unset (&new_val), NULL) : NULL;
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													G_IS_VALUE (&cur_val) ? (g_value_unset (&cur_val), NULL) : NULL;
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													key_collection = (_vala_array_free (key_collection, key_collection_length1, (GDestroyNotify) g_free), NULL);
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													_tmp49_ = (_vala_array_free (_tmp49_, _tmp49__length1, (GDestroyNotify) g_free), NULL);
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													_g_key_file_free0 (data);
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													return;
#line 1091 "config-schema.c"
												}
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												g_value_set_boolean (&new_val, _tmp69_);
#line 1095 "config-schema.c"
											} else {
												GType _tmp74_ = 0UL;
#line 279 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												_tmp74_ = cur_val_type;
#line 279 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												if (_tmp74_ == G_TYPE_INT) {
#line 1102 "config-schema.c"
													gint _tmp75_ = 0;
													GKeyFile* _tmp76_ = NULL;
													const gchar* _tmp77_ = NULL;
													const gchar* _tmp78_ = NULL;
													gint _tmp79_ = 0;
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													_tmp76_ = data;
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													_tmp77_ = group;
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													_tmp78_ = key;
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													_tmp79_ = g_key_file_get_integer (_tmp76_, _tmp77_, _tmp78_, &_inner_error_);
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													_tmp75_ = _tmp79_;
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														g_propagate_error (error, _inner_error_);
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														G_IS_VALUE (&new_val) ? (g_value_unset (&new_val), NULL) : NULL;
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														G_IS_VALUE (&cur_val) ? (g_value_unset (&cur_val), NULL) : NULL;
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														key_collection = (_vala_array_free (key_collection, key_collection_length1, (GDestroyNotify) g_free), NULL);
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														_tmp49_ = (_vala_array_free (_tmp49_, _tmp49__length1, (GDestroyNotify) g_free), NULL);
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														_g_key_file_free0 (data);
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														return;
#line 1136 "config-schema.c"
													}
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													g_value_set_int (&new_val, _tmp75_);
#line 1140 "config-schema.c"
												} else {
													GType _tmp80_ = 0UL;
#line 283 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													_tmp80_ = cur_val_type;
#line 283 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
													if (_tmp80_ == G_TYPE_FLOAT) {
#line 1147 "config-schema.c"
														gdouble _tmp81_ = 0.0;
														GKeyFile* _tmp82_ = NULL;
														const gchar* _tmp83_ = NULL;
														const gchar* _tmp84_ = NULL;
														gdouble _tmp85_ = 0.0;
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														_tmp82_ = data;
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														_tmp83_ = group;
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														_tmp84_ = key;
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														_tmp85_ = g_key_file_get_double (_tmp82_, _tmp83_, _tmp84_, &_inner_error_);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														_tmp81_ = _tmp85_;
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															g_propagate_error (error, _inner_error_);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															G_IS_VALUE (&new_val) ? (g_value_unset (&new_val), NULL) : NULL;
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															G_IS_VALUE (&cur_val) ? (g_value_unset (&cur_val), NULL) : NULL;
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															key_collection = (_vala_array_free (key_collection, key_collection_length1, (GDestroyNotify) g_free), NULL);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															_tmp49_ = (_vala_array_free (_tmp49_, _tmp49__length1, (GDestroyNotify) g_free), NULL);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															_g_key_file_free0 (data);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															return;
#line 1181 "config-schema.c"
														}
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														g_value_set_float (&new_val, (gfloat) _tmp81_);
#line 1185 "config-schema.c"
													} else {
														GType _tmp86_ = 0UL;
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														_tmp86_ = cur_val_type;
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
														if (_tmp86_ == G_TYPE_STRING) {
#line 1192 "config-schema.c"
															gchar* _tmp87_ = NULL;
															GKeyFile* _tmp88_ = NULL;
															const gchar* _tmp89_ = NULL;
															const gchar* _tmp90_ = NULL;
															gchar* _tmp91_ = NULL;
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															_tmp88_ = data;
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															_tmp89_ = group;
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															_tmp90_ = key;
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															_tmp91_ = g_key_file_get_string (_tmp88_, _tmp89_, _tmp90_, &_inner_error_);
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															_tmp87_ = _tmp91_;
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
																g_propagate_error (error, _inner_error_);
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
																G_IS_VALUE (&new_val) ? (g_value_unset (&new_val), NULL) : NULL;
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
																G_IS_VALUE (&cur_val) ? (g_value_unset (&cur_val), NULL) : NULL;
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
																key_collection = (_vala_array_free (key_collection, key_collection_length1, (GDestroyNotify) g_free), NULL);
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
																_tmp49_ = (_vala_array_free (_tmp49_, _tmp49__length1, (GDestroyNotify) g_free), NULL);
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
																group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
																_g_key_file_free0 (data);
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
																return;
#line 1226 "config-schema.c"
															}
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															g_value_set_string (&new_val, _tmp87_);
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															_g_free0 (_tmp87_);
#line 1232 "config-schema.c"
														} else {
															GError* _tmp92_ = NULL;
#line 293 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															_tmp92_ = g_error_new_literal (DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR, DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_INVALID_METADATA_TYPE, "The metadata option type can only be a simple type.");
#line 293 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															_inner_error_ = _tmp92_;
#line 293 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															g_propagate_error (error, _inner_error_);
#line 293 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															G_IS_VALUE (&new_val) ? (g_value_unset (&new_val), NULL) : NULL;
#line 293 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															G_IS_VALUE (&cur_val) ? (g_value_unset (&cur_val), NULL) : NULL;
#line 293 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															key_collection = (_vala_array_free (key_collection, key_collection_length1, (GDestroyNotify) g_free), NULL);
#line 293 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															_tmp49_ = (_vala_array_free (_tmp49_, _tmp49__length1, (GDestroyNotify) g_free), NULL);
#line 293 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 293 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															_g_key_file_free0 (data);
#line 293 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
															return;
#line 1255 "config-schema.c"
														}
													}
												}
											}
#line 295 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp93_ = key;
#line 295 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp94_ = new_val;
#line 295 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp95_ = _tmp94_;
#line 295 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp96_ = __g_value_dup0 (&_tmp95_);
#line 295 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											g_datalist_set_data (&self->priv->metadata_options, _tmp93_, _tmp96_);
#line 263 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											G_IS_VALUE (&new_val) ? (g_value_unset (&new_val), NULL) : NULL;
#line 263 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											G_IS_VALUE (&cur_val) ? (g_value_unset (&cur_val), NULL) : NULL;
#line 1274 "config-schema.c"
										}
									}
								}
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								key_collection = (_vala_array_free (key_collection, key_collection_length1, (GDestroyNotify) g_free), NULL);
#line 1280 "config-schema.c"
							}
#line 258 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp49_ = (_vala_array_free (_tmp49_, _tmp49__length1, (GDestroyNotify) g_free), NULL);
#line 1284 "config-schema.c"
						} else {
							const gchar* _tmp97_ = NULL;
							const gchar* _tmp98_ = NULL;
							GError* _tmp99_ = NULL;
#line 301 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp97_ = self->priv->_filename;
#line 301 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp98_ = group;
#line 301 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_tmp99_ = g_error_new (DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR, DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_PARSE, "Invalid section in schema ('%s'), there is no group name: %s", _tmp97_, _tmp98_);
#line 301 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_inner_error_ = _tmp99_;
#line 301 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							g_propagate_error (error, _inner_error_);
#line 301 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 301 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							_g_key_file_free0 (data);
#line 301 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							return;
#line 1305 "config-schema.c"
						}
					}
				}
			}
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 1312 "config-schema.c"
		}
#line 220 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_g_key_file_free0 (data);
#line 1316 "config-schema.c"
	}
}


/**
     * Retrieves the configuration groups in the schema.
     * @return a list of zero or more groups
     */
GList* desktop_agnostic_config_schema_get_groups (DesktopAgnosticConfigSchema* self) {
	GList* result = NULL;
	GHashTable* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
#line 311 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 314 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = self->priv->keys;
#line 314 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp1_ = g_hash_table_get_keys (_tmp0_);
#line 314 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	result = _tmp1_;
#line 314 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	return result;
#line 1339 "config-schema.c"
}


/**
     * Retrieves the configuration keys for a specified group in the schema.
     * @param group the group name to search for keys associated with it
     * @return a list of zero or more keys
     */
GList* desktop_agnostic_config_schema_get_keys (DesktopAgnosticConfigSchema* self, const gchar* group) {
	GList* result = NULL;
	GHashTable* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gconstpointer _tmp2_ = NULL;
#line 321 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 321 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (group != NULL, NULL);
#line 324 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = self->priv->keys;
#line 324 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp1_ = group;
#line 324 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp2_ = g_hash_table_lookup (_tmp0_, _tmp1_);
#line 324 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	result = (GList*) _tmp2_;
#line 324 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	return result;
#line 1367 "config-schema.c"
}


/**
     * Determines if a specified group/key exists in the schema.
     * @param group the group that the key is associated with
     * @param key the configuration key to determine if it exists
     * @return whether the group/key exists
     */
gboolean desktop_agnostic_config_schema_exists (DesktopAgnosticConfigSchema* self, const gchar* group, const gchar* key) {
	gboolean result = FALSE;
	GList* group_keys = NULL;
	GHashTable* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gconstpointer _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GList* _tmp4_ = NULL;
#line 332 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 332 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (group != NULL, FALSE);
#line 332 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (key != NULL, FALSE);
#line 335 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = self->priv->keys;
#line 335 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp1_ = group;
#line 335 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp2_ = g_hash_table_lookup (_tmp0_, _tmp1_);
#line 335 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	group_keys = (GList*) _tmp2_;
#line 336 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp4_ = group_keys;
#line 336 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	if (_tmp4_ != NULL) {
#line 1403 "config-schema.c"
		GList* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		GCompareFunc _tmp7_ = NULL;
		GList* _tmp8_ = NULL;
#line 337 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp5_ = group_keys;
#line 337 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp6_ = key;
#line 337 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp7_ = g_strcmp0;
#line 337 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp8_ = g_list_find_custom (_tmp5_, _tmp6_, (GCompareFunc) _tmp7_);
#line 337 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp3_ = _tmp8_ != NULL;
#line 1418 "config-schema.c"
	} else {
#line 336 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp3_ = FALSE;
#line 1422 "config-schema.c"
	}
#line 336 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	result = _tmp3_;
#line 336 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	return result;
#line 1428 "config-schema.c"
}


/**
     * Retrieves the metadata associated with a specific group/key.
     * @param group the group that the key is associated with
     * @param key the configuration key to retrieve metadata from
     * @return an object which contains the option metadata
     */
DesktopAgnosticConfigSchemaOption* desktop_agnostic_config_schema_get_option (DesktopAgnosticConfigSchema* self, const gchar* group, const gchar* key) {
	DesktopAgnosticConfigSchemaOption* result = NULL;
	gchar* full_key = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gconstpointer _tmp6_ = NULL;
#line 345 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 345 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (group != NULL, NULL);
#line 345 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 348 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = group;
#line 348 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp1_ = g_strconcat (_tmp0_, "/", NULL);
#line 348 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp2_ = _tmp1_;
#line 348 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp3_ = key;
#line 348 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp4_ = g_strconcat (_tmp2_, _tmp3_, NULL);
#line 348 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp5_ = _tmp4_;
#line 348 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_g_free0 (_tmp2_);
#line 348 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	full_key = _tmp5_;
#line 349 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp6_ = g_datalist_get_data (&self->priv->options, full_key);
#line 349 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	result = (DesktopAgnosticConfigSchemaOption*) _tmp6_;
#line 349 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_g_free0 (full_key);
#line 349 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	return result;
#line 1478 "config-schema.c"
}


/**
     * Retrieves the value of the specified metadata option.
     * @throws SchemaError if the option named specified is not registered
     */
GValue* desktop_agnostic_config_schema_get_metadata_option (DesktopAgnosticConfigSchema* self, const gchar* name, GError** error) {
	GValue* result = NULL;
	GList* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GCompareFunc _tmp2_ = NULL;
	GList* _tmp3_ = NULL;
	GError * _inner_error_ = NULL;
#line 355 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 355 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 358 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = self->priv->valid_metadata_keys;
#line 358 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp1_ = name;
#line 358 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp2_ = g_strcmp0;
#line 358 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp3_ = g_list_find_custom (_tmp0_, _tmp1_, (GCompareFunc) _tmp2_);
#line 358 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	if (_tmp3_ == NULL) {
#line 1507 "config-schema.c"
		const gchar* _tmp4_ = NULL;
		GError* _tmp5_ = NULL;
#line 360 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp4_ = name;
#line 360 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp5_ = g_error_new (DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR, DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_INVALID_METADATA_OPTION, "The option '%s' is not a registered metadata option.", _tmp4_);
#line 360 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_inner_error_ = _tmp5_;
#line 360 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		if (_inner_error_->domain == DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR) {
#line 360 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			g_propagate_error (error, _inner_error_);
#line 360 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			return NULL;
#line 1522 "config-schema.c"
		} else {
#line 360 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 360 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			g_clear_error (&_inner_error_);
#line 360 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			return NULL;
#line 1530 "config-schema.c"
		}
	} else {
		const gchar* _tmp6_ = NULL;
		gconstpointer _tmp7_ = NULL;
		GValue* _tmp8_ = NULL;
#line 364 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp6_ = name;
#line 364 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp7_ = g_datalist_get_data (&self->priv->metadata_options, _tmp6_);
#line 364 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp8_ = __g_value_dup0 ((GValue*) _tmp7_);
#line 364 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		result = _tmp8_;
#line 364 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		return result;
#line 1546 "config-schema.c"
	}
}


/**
     * Registers a configuration schema type with the class. This is usually
     * not called manually - the class loads all of the configuration schema
     * type modules that it can find when the class is first instantiated.
     */
void desktop_agnostic_config_schema_register_type (DesktopAgnosticConfigSchemaType* st, GError** error) {
	GHashTable* _tmp0_ = NULL;
	DesktopAgnosticConfigSchemaType* _tmp1_ = NULL;
	GType _tmp2_ = 0UL;
	GType _tmp3_ = 0UL;
	gconstpointer _tmp4_ = NULL;
	GError * _inner_error_ = NULL;
#line 372 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_if_fail (st != NULL);
#line 375 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = desktop_agnostic_config_schema_type_registry;
#line 375 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp1_ = st;
#line 375 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp2_ = desktop_agnostic_config_schema_type_get_schema_type (_tmp1_);
#line 375 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp3_ = _tmp2_;
#line 375 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp4_ = g_hash_table_lookup (_tmp0_, (gpointer) ((gintptr) _tmp3_));
#line 375 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	if (((DesktopAgnosticConfigSchemaType*) _tmp4_) != NULL) {
#line 1577 "config-schema.c"
		GError* _tmp5_ = NULL;
#line 377 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp5_ = g_error_new_literal (DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR, DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_TYPE_GTYPE_EXISTS, "The GType associated with the SchemaType is already registered.");
#line 377 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_inner_error_ = _tmp5_;
#line 377 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		if (_inner_error_->domain == DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR) {
#line 377 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			g_propagate_error (error, _inner_error_);
#line 377 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			return;
#line 1589 "config-schema.c"
		} else {
#line 377 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 377 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			g_clear_error (&_inner_error_);
#line 377 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			return;
#line 1597 "config-schema.c"
		}
	} else {
		GHashTable* _tmp6_ = NULL;
		DesktopAgnosticConfigSchemaType* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gconstpointer _tmp11_ = NULL;
		gboolean _tmp12_ = FALSE;
#line 379 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp6_ = desktop_agnostic_config_schema_name_registry;
#line 379 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp7_ = st;
#line 379 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp8_ = desktop_agnostic_config_schema_type_get_name (_tmp7_);
#line 379 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp9_ = _tmp8_;
#line 379 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp10_ = _tmp9_;
#line 379 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp11_ = g_hash_table_lookup (_tmp6_, _tmp10_);
#line 379 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp12_ = ((DesktopAgnosticConfigSchemaType*) _tmp11_) != NULL;
#line 379 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_g_free0 (_tmp10_);
#line 379 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		if (_tmp12_) {
#line 1625 "config-schema.c"
			GError* _tmp13_ = NULL;
#line 381 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_tmp13_ = g_error_new_literal (DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR, DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR_TYPE_NAME_EXISTS, "The name associated with the SchemaType is already registered.");
#line 381 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_inner_error_ = _tmp13_;
#line 381 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			if (_inner_error_->domain == DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR) {
#line 381 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				g_propagate_error (error, _inner_error_);
#line 381 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				return;
#line 1637 "config-schema.c"
			} else {
#line 381 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 381 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				g_clear_error (&_inner_error_);
#line 381 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				return;
#line 1645 "config-schema.c"
			}
		} else {
			GHashTable* _tmp14_ = NULL;
			DesktopAgnosticConfigSchemaType* _tmp15_ = NULL;
			GType _tmp16_ = 0UL;
			GType _tmp17_ = 0UL;
			DesktopAgnosticConfigSchemaType* _tmp18_ = NULL;
			DesktopAgnosticConfigSchemaType* _tmp19_ = NULL;
			GHashTable* _tmp20_ = NULL;
			DesktopAgnosticConfigSchemaType* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
			gchar* _tmp23_ = NULL;
			DesktopAgnosticConfigSchemaType* _tmp24_ = NULL;
			DesktopAgnosticConfigSchemaType* _tmp25_ = NULL;
#line 385 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_tmp14_ = desktop_agnostic_config_schema_type_registry;
#line 385 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_tmp15_ = st;
#line 385 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_tmp16_ = desktop_agnostic_config_schema_type_get_schema_type (_tmp15_);
#line 385 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_tmp17_ = _tmp16_;
#line 385 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_tmp18_ = st;
#line 385 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_tmp19_ = _g_object_ref0 (_tmp18_);
#line 385 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			g_hash_table_insert (_tmp14_, (gpointer) ((gintptr) _tmp17_), _tmp19_);
#line 386 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_tmp20_ = desktop_agnostic_config_schema_name_registry;
#line 386 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_tmp21_ = st;
#line 386 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_tmp22_ = desktop_agnostic_config_schema_type_get_name (_tmp21_);
#line 386 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_tmp23_ = _tmp22_;
#line 386 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_tmp24_ = st;
#line 386 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			_tmp25_ = _g_object_ref0 (_tmp24_);
#line 386 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			g_hash_table_insert (_tmp20_, _tmp23_, _tmp25_);
#line 1688 "config-schema.c"
		}
	}
}


/**
     * Looks for a registered SchemaType by its GType.
     */
DesktopAgnosticConfigSchemaType* desktop_agnostic_config_schema_find_type (GType type) {
	DesktopAgnosticConfigSchemaType* result = NULL;
	GHashTable* _tmp0_ = NULL;
	GType _tmp1_ = 0UL;
	gconstpointer _tmp2_ = NULL;
#line 395 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = desktop_agnostic_config_schema_type_registry;
#line 395 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp1_ = type;
#line 395 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp2_ = g_hash_table_lookup (_tmp0_, (gpointer) ((gintptr) _tmp1_));
#line 395 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	result = (DesktopAgnosticConfigSchemaType*) _tmp2_;
#line 395 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	return result;
#line 1712 "config-schema.c"
}


/**
     * Looks for a registered SchemaType by its declared name.
     */
DesktopAgnosticConfigSchemaType* desktop_agnostic_config_schema_find_type_by_name (const gchar* name) {
	DesktopAgnosticConfigSchemaType* result = NULL;
	GHashTable* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gconstpointer _tmp2_ = NULL;
#line 400 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 403 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = desktop_agnostic_config_schema_name_registry;
#line 403 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp1_ = name;
#line 403 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp2_ = g_hash_table_lookup (_tmp0_, _tmp1_);
#line 403 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	result = (DesktopAgnosticConfigSchemaType*) _tmp2_;
#line 403 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	return result;
#line 1736 "config-schema.c"
}


static void desktop_agnostic_config_schema_set_filename (DesktopAgnosticConfigSchema* self, const gchar* value) {
	gchar* basename = NULL;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	const gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	gint _tmp11_ = 0;
	gint _tmp12_ = 0;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_if_fail (self != NULL);
#line 162 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	basename = NULL;
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = value;
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp1_ = g_str_has_suffix (_tmp0_, ".schema-ini");
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	if (!_tmp1_) {
#line 166 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		g_critical ("config-schema.vala:166: Schema files MUST have the extension '.schema-" \
"ini'.");
#line 167 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_g_free0 (basename);
#line 167 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		return;
#line 1772 "config-schema.c"
	}
#line 169 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp2_ = value;
#line 169 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp3_ = g_file_test (_tmp2_, G_FILE_TEST_EXISTS);
#line 169 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	if (!_tmp3_) {
#line 1780 "config-schema.c"
		const gchar* _tmp4_ = NULL;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp4_ = value;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		g_critical ("config-schema.vala:171: The file '%s' could not be found.", _tmp4_);
#line 172 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_g_free0 (basename);
#line 172 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		return;
#line 1790 "config-schema.c"
	}
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp5_ = value;
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp6_ = g_strdup (_tmp5_);
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_g_free0 (self->priv->_filename);
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	self->priv->_filename = _tmp6_;
#line 175 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp7_ = value;
#line 175 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp8_ = g_path_get_basename (_tmp7_);
#line 175 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_g_free0 (basename);
#line 175 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	basename = _tmp8_;
#line 176 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp9_ = basename;
#line 176 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp10_ = basename;
#line 176 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp11_ = strlen (_tmp10_);
#line 176 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp12_ = _tmp11_;
#line 176 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp13_ = string_substring (_tmp9_, (glong) 0, (glong) (_tmp12_ - 11));
#line 176 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp14_ = _tmp13_;
#line 176 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	desktop_agnostic_config_schema_set_app_name (self, _tmp14_);
#line 176 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_g_free0 (_tmp14_);
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_g_free0 (basename);
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_object_notify ((GObject *) self, "filename");
#line 1828 "config-schema.c"
}


const gchar* desktop_agnostic_config_schema_get_app_name (DesktopAgnosticConfigSchema* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 180 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 180 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = self->priv->_app_name;
#line 180 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	result = _tmp0_;
#line 180 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	return result;
#line 1843 "config-schema.c"
}


static void desktop_agnostic_config_schema_set_app_name (DesktopAgnosticConfigSchema* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 180 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_return_if_fail (self != NULL);
#line 180 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = value;
#line 180 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 180 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_g_free0 (self->priv->_app_name);
#line 180 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	self->priv->_app_name = _tmp1_;
#line 180 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_object_notify ((GObject *) self, "app-name");
#line 1862 "config-schema.c"
}


static void _g_slist_free__g_free0_ (GSList* self) {
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_slist_foreach (self, (GFunc) _g_free0_, NULL);
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_slist_free (self);
#line 1871 "config-schema.c"
}


static void desktop_agnostic_config_schema_class_init (DesktopAgnosticConfigSchemaClass * klass) {
	GHashTable* _tmp0_ = NULL;
	GHashFunc _tmp1_ = NULL;
	GEqualFunc _tmp2_ = NULL;
	GHashTable* _tmp3_ = NULL;
	GHashFunc _tmp4_ = NULL;
	GEqualFunc _tmp5_ = NULL;
	GHashTable* _tmp6_ = NULL;
	GList* type_modules = NULL;
	gchar** paths = NULL;
	gint paths_length1 = 0;
	gint _paths_size_ = 0;
	GSList* search_paths = NULL;
	gint _tmp7_ = 0;
	gchar** _tmp8_ = NULL;
	gchar** _tmp9_ = NULL;
	gint _tmp9__length1 = 0;
	gchar* _tmp13_ = NULL;
	GSList* _tmp14_ = NULL;
	GValue val = {0};
	GValue _tmp51_ = {0};
	GHashTable* _tmp52_ = NULL;
	gchar* _tmp53_ = NULL;
	GValue _tmp54_ = {0};
	GValue _tmp55_ = {0};
	GValue* _tmp56_ = NULL;
	GError * _inner_error_ = NULL;
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	desktop_agnostic_config_schema_parent_class = g_type_class_peek_parent (klass);
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_type_class_add_private (klass, sizeof (DesktopAgnosticConfigSchemaPrivate));
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_desktop_agnostic_config_schema_get_property;
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_desktop_agnostic_config_schema_set_property;
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	G_OBJECT_CLASS (klass)->finalize = desktop_agnostic_config_schema_finalize;
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_CONFIG_SCHEMA_FILENAME, g_param_spec_string ("filename", "filename", "filename", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_CONFIG_SCHEMA_APP_NAME, g_param_spec_string ("app-name", "Application name", "The name of the application associated with the schema", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 47 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp0_ = g_hash_table_new_full ((GHashFunc) desktop_agnostic_config_gtype_hash, (GEqualFunc) desktop_agnostic_config_gtype_equal, NULL, _g_object_unref0_);
#line 47 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	desktop_agnostic_config_schema_type_registry = _tmp0_;
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp1_ = g_str_hash;
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp2_ = g_str_equal;
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp3_ = g_hash_table_new_full (_tmp1_, _tmp2_, _g_free0_, _g_object_unref0_);
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	desktop_agnostic_config_schema_name_registry = _tmp3_;
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp4_ = g_str_hash;
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp5_ = g_str_equal;
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp6_ = g_hash_table_new_full (_tmp4_, _tmp5_, _g_free0_, __vala_GValue_free0_);
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	desktop_agnostic_config_schema_common_metadata_keys = _tmp6_;
#line 61 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	__g_list_free__g_free0_0 (type_modules);
#line 61 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	type_modules = NULL;
#line 63 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	desktop_agnostic_module_loader_get_default ();
#line 1942 "config-schema.c"
	{
#line 67 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		desktop_agnostic_config_get_type (&_inner_error_);
#line 67 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1948 "config-schema.c"
			goto __catch3_g_error;
		}
	}
	goto __finally3;
	__catch3_g_error:
	{
		GError* err = NULL;
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		err = _inner_error_;
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_inner_error_ = NULL;
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_g_error_free0 (err);
#line 1962 "config-schema.c"
	}
	__finally3:
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		__g_slist_free__g_free0_0 (search_paths);
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		paths = (_vala_array_free (paths, paths_length1, (GDestroyNotify) g_free), NULL);
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		__g_list_free__g_free0_0 (type_modules);
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		g_clear_error (&_inner_error_);
#line 1977 "config-schema.c"
	}
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp8_ = desktop_agnostic_module_loader_get_search_paths (&_tmp7_);
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	paths = (_vala_array_free (paths, paths_length1, (GDestroyNotify) g_free), NULL);
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	paths = _tmp8_;
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	paths_length1 = _tmp7_;
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_paths_size_ = paths_length1;
#line 76 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	__g_slist_free__g_free0_0 (search_paths);
#line 76 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	search_paths = NULL;
#line 77 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp9_ = paths;
#line 77 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp9__length1 = paths_length1;
#line 1997 "config-schema.c"
	{
		gchar** path_collection = NULL;
		gint path_collection_length1 = 0;
		gint _path_collection_size_ = 0;
		gint path_it = 0;
#line 77 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		path_collection = _tmp9_;
#line 77 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		path_collection_length1 = _tmp9__length1;
#line 77 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		for (path_it = 0; path_it < _tmp9__length1; path_it = path_it + 1) {
#line 2009 "config-schema.c"
			const gchar* path = NULL;
#line 77 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			path = path_collection[path_it];
#line 2013 "config-schema.c"
			{
				const gchar* _tmp10_ = NULL;
#line 79 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp10_ = path;
#line 79 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				if (_tmp10_ != NULL) {
#line 2020 "config-schema.c"
					const gchar* _tmp11_ = NULL;
					gchar* _tmp12_ = NULL;
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp11_ = path;
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp12_ = g_strdup (_tmp11_);
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					search_paths = g_slist_append (search_paths, _tmp12_);
#line 2029 "config-schema.c"
				}
			}
		}
	}
#line 84 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp13_ = g_get_current_dir ();
#line 84 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	search_paths = g_slist_append (search_paths, _tmp13_);
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp14_ = search_paths;
#line 2040 "config-schema.c"
	{
		GSList* path_collection = NULL;
		GSList* path_it = NULL;
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		path_collection = _tmp14_;
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		for (path_it = path_collection; path_it != NULL; path_it = path_it->next) {
#line 2048 "config-schema.c"
			const gchar* path = NULL;
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			path = (const gchar*) path_it->data;
#line 2052 "config-schema.c"
			{
				const gchar* _tmp15_ = NULL;
				gboolean _tmp16_ = FALSE;
				gchar* module_glob = NULL;
				const gchar* _tmp17_ = NULL;
				gchar* _tmp18_ = NULL;
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp15_ = path;
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp16_ = g_file_test (_tmp15_, G_FILE_TEST_IS_DIR);
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				if (!_tmp16_) {
#line 90 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					continue;
#line 2067 "config-schema.c"
				}
#line 92 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp17_ = path;
#line 92 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_tmp18_ = g_build_filename (_tmp17_, "libda-cfg-type-*", NULL);
#line 92 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				module_glob = _tmp18_;
#line 2075 "config-schema.c"
				{
					DesktopAgnosticVFSGlob* found_modules = NULL;
					gchar** modules_paths = NULL;
					gint modules_paths_length1 = 0;
					gint _modules_paths_size_ = 0;
					DesktopAgnosticVFSGlob* _tmp19_ = NULL;
					const gchar* _tmp20_ = NULL;
					DesktopAgnosticVFSGlob* _tmp21_ = NULL;
					DesktopAgnosticVFSGlob* _tmp22_ = NULL;
					DesktopAgnosticVFSGlob* _tmp23_ = NULL;
					gint _tmp24_ = 0;
					gchar** _tmp25_ = NULL;
					gchar** _tmp26_ = NULL;
					gint _tmp26__length1 = 0;
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp20_ = module_glob;
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp21_ = desktop_agnostic_vfs_glob_execute (_tmp20_, &_inner_error_);
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp19_ = _tmp21_;
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_g_object_unref0 (found_modules);
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						if (_inner_error_->domain == DESKTOP_AGNOSTIC_VFS_GLOB_ERROR) {
#line 2102 "config-schema.c"
							goto __catch4_desktop_agnostic_vfs_glob_error;
						}
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_g_object_unref0 (found_modules);
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_g_free0 (module_glob);
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						__g_slist_free__g_free0_0 (search_paths);
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						paths = (_vala_array_free (paths, paths_length1, (GDestroyNotify) g_free), NULL);
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						__g_list_free__g_free0_0 (type_modules);
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						g_clear_error (&_inner_error_);
#line 2119 "config-schema.c"
					}
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp22_ = _tmp19_;
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp19_ = NULL;
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_g_object_unref0 (found_modules);
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					found_modules = _tmp22_;
#line 99 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp23_ = found_modules;
#line 99 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp25_ = desktop_agnostic_vfs_glob_get_paths (_tmp23_, &_tmp24_);
#line 99 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					modules_paths = _tmp25_;
#line 99 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					modules_paths_length1 = _tmp24_;
#line 99 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_modules_paths_size_ = modules_paths_length1;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp26_ = modules_paths;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp26__length1 = modules_paths_length1;
#line 2143 "config-schema.c"
					{
						gchar** module_collection = NULL;
						gint module_collection_length1 = 0;
						gint _module_collection_size_ = 0;
						gint module_it = 0;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						module_collection = _tmp26_;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						module_collection_length1 = _tmp26__length1;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						for (module_it = 0; module_it < _tmp26__length1; module_it = module_it + 1) {
#line 2155 "config-schema.c"
							const gchar* module = NULL;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
							module = module_collection[module_it];
#line 2159 "config-schema.c"
							{
								GList* _tmp27_ = NULL;
								const gchar* _tmp28_ = NULL;
								GList* _tmp29_ = NULL;
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								_tmp27_ = type_modules;
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								_tmp28_ = module;
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								_tmp29_ = g_list_find (_tmp27_, _tmp28_);
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
								if (_tmp29_ == NULL) {
#line 2172 "config-schema.c"
									GType type = 0UL;
									DesktopAgnosticModuleLoader* loader = NULL;
									DesktopAgnosticModuleLoader* _tmp30_ = NULL;
									DesktopAgnosticModuleLoader* _tmp31_ = NULL;
									const gchar* _tmp32_ = NULL;
									gchar* _tmp33_ = NULL;
									gchar* _tmp34_ = NULL;
									const gchar* _tmp35_ = NULL;
									GType _tmp36_ = 0UL;
									GType _tmp37_ = 0UL;
#line 106 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
									_tmp30_ = desktop_agnostic_module_loader_get_default ();
#line 106 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
									loader = _tmp30_;
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
									_tmp31_ = loader;
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
									_tmp32_ = module;
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
									_tmp33_ = g_path_get_basename (_tmp32_);
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
									_tmp34_ = _tmp33_;
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
									_tmp35_ = module;
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
									_tmp36_ = desktop_agnostic_module_loader_load_from_path (_tmp31_, _tmp34_, _tmp35_);
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
									type = _tmp36_;
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
									_g_free0 (_tmp34_);
#line 109 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
									_tmp37_ = type;
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
									if (_tmp37_ != G_TYPE_INVALID) {
#line 2207 "config-schema.c"
										{
											GObject* obj = NULL;
											GType _tmp38_ = 0UL;
											GObject* _tmp39_ = NULL;
											GObject* _tmp40_ = NULL;
											GObject* _tmp41_ = NULL;
											DesktopAgnosticConfigSchemaType* _tmp42_ = NULL;
											const gchar* _tmp43_ = NULL;
											gchar* _tmp44_ = NULL;
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp38_ = type;
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp39_ = g_object_new (_tmp38_, NULL);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp40_ = G_IS_INITIALLY_UNOWNED (_tmp39_) ? g_object_ref_sink (_tmp39_) : _tmp39_;
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											obj = _tmp40_;
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp41_ = obj;
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											obj = NULL;
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp42_ = G_TYPE_CHECK_INSTANCE_CAST (_tmp41_, DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA_TYPE, DesktopAgnosticConfigSchemaType);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											desktop_agnostic_config_schema_register_type (_tmp42_, &_inner_error_);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_g_object_unref0 (_tmp42_);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												_g_object_unref0 (obj);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												if (_inner_error_->domain == DESKTOP_AGNOSTIC_CONFIG_SCHEMA_ERROR) {
#line 2241 "config-schema.c"
													goto __catch5_desktop_agnostic_config_schema_error;
												}
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												_g_object_unref0 (obj);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												_g_object_unref0 (_tmp19_);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												_g_object_unref0 (found_modules);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												_g_free0 (module_glob);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												__g_slist_free__g_free0_0 (search_paths);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												paths = (_vala_array_free (paths, paths_length1, (GDestroyNotify) g_free), NULL);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												__g_list_free__g_free0_0 (type_modules);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
												g_clear_error (&_inner_error_);
#line 2262 "config-schema.c"
											}
#line 116 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp43_ = module;
#line 116 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp44_ = g_strdup (_tmp43_);
#line 116 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											type_modules = g_list_append (type_modules, _tmp44_);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_g_object_unref0 (obj);
#line 2272 "config-schema.c"
										}
										goto __finally5;
										__catch5_desktop_agnostic_config_schema_error:
										{
											GError* err = NULL;
											GError* _tmp45_ = NULL;
											const gchar* _tmp46_ = NULL;
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											err = _inner_error_;
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_inner_error_ = NULL;
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp45_ = err;
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_tmp46_ = _tmp45_->message;
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											g_warning ("config-schema.vala:120: Schema error: %s", _tmp46_);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_g_error_free0 (err);
#line 2292 "config-schema.c"
										}
										__finally5:
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
										if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_g_object_unref0 (_tmp19_);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_g_object_unref0 (found_modules);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											if (_inner_error_->domain == DESKTOP_AGNOSTIC_VFS_GLOB_ERROR) {
#line 2303 "config-schema.c"
												goto __catch4_desktop_agnostic_vfs_glob_error;
											}
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_g_object_unref0 (_tmp19_);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_g_object_unref0 (found_modules);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											_g_free0 (module_glob);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											__g_slist_free__g_free0_0 (search_paths);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											paths = (_vala_array_free (paths, paths_length1, (GDestroyNotify) g_free), NULL);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											__g_list_free__g_free0_0 (type_modules);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
											g_clear_error (&_inner_error_);
#line 2322 "config-schema.c"
										}
									} else {
										const gchar* _tmp47_ = NULL;
#line 125 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
										_tmp47_ = module;
#line 125 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
										g_warning ("config-schema.vala:125: Could not load the config type module: %s", _tmp47_);
#line 2330 "config-schema.c"
									}
								}
							}
						}
					}
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_g_object_unref0 (_tmp19_);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_g_object_unref0 (found_modules);
#line 2340 "config-schema.c"
				}
				goto __finally4;
				__catch4_desktop_agnostic_vfs_glob_error:
				{
					GError* err = NULL;
					GError* _tmp48_ = NULL;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					err = _inner_error_;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_inner_error_ = NULL;
#line 132 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_tmp48_ = err;
#line 132 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					if (!g_error_matches (_tmp48_, DESKTOP_AGNOSTIC_VFS_GLOB_ERROR, DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_NOMATCH)) {
#line 2355 "config-schema.c"
						GError* _tmp49_ = NULL;
						const gchar* _tmp50_ = NULL;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp49_ = err;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						_tmp50_ = _tmp49_->message;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
						g_warning ("config-schema.vala:134: Glob-related error: %s", _tmp50_);
#line 2364 "config-schema.c"
					}
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_g_error_free0 (err);
#line 2368 "config-schema.c"
				}
				__finally4:
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					_g_free0 (module_glob);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					__g_slist_free__g_free0_0 (search_paths);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					paths = (_vala_array_free (paths, paths_length1, (GDestroyNotify) g_free), NULL);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					__g_list_free__g_free0_0 (type_modules);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
					g_clear_error (&_inner_error_);
#line 2385 "config-schema.c"
				}
#line 93 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				_g_free0 (module_glob);
#line 2389 "config-schema.c"
			}
		}
	}
#line 139 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_value_init (&_tmp51_, G_TYPE_BOOLEAN);
#line 139 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	val = _tmp51_;
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_value_set_boolean (&val, TRUE);
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp52_ = desktop_agnostic_config_schema_common_metadata_keys;
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp53_ = g_strdup ("single_instance");
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp54_ = val;
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp55_ = _tmp54_;
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_tmp56_ = __g_value_dup0 (&_tmp55_);
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_hash_table_insert (_tmp52_, _tmp53_, _tmp56_);
#line 2411 "config-schema.c"
	{
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		desktop_agnostic_config_get_type (&_inner_error_);
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2417 "config-schema.c"
			goto __catch6_g_error;
		}
	}
	goto __finally6;
	__catch6_g_error:
	{
		GError* err = NULL;
		GError* _tmp57_ = NULL;
		const gchar* _tmp58_ = NULL;
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		err = _inner_error_;
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_inner_error_ = NULL;
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp57_ = err;
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_tmp58_ = _tmp57_->message;
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		g_critical ("config-schema.vala:149: Config error: %s", _tmp58_);
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		_g_error_free0 (err);
#line 2439 "config-schema.c"
	}
	__finally6:
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		__g_slist_free__g_free0_0 (search_paths);
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		paths = (_vala_array_free (paths, paths_length1, (GDestroyNotify) g_free), NULL);
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		__g_list_free__g_free0_0 (type_modules);
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 143 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		g_clear_error (&_inner_error_);
#line 2456 "config-schema.c"
	}
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	__g_slist_free__g_free0_0 (search_paths);
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	paths = (_vala_array_free (paths, paths_length1, (GDestroyNotify) g_free), NULL);
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	__g_list_free__g_free0_0 (type_modules);
#line 2466 "config-schema.c"
}


static void desktop_agnostic_config_schema_instance_init (DesktopAgnosticConfigSchema * self) {
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	self->priv = DESKTOP_AGNOSTIC_CONFIG_SCHEMA_GET_PRIVATE (self);
#line 2473 "config-schema.c"
}


static void desktop_agnostic_config_schema_finalize (GObject* obj) {
	DesktopAgnosticConfigSchema * self;
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA, DesktopAgnosticConfigSchema);
#line 153 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_g_free0 (self->priv->_filename);
#line 180 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_g_free0 (self->priv->_app_name);
#line 182 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_g_hash_table_unref0 (self->priv->keys);
#line 183 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	__g_list_free__g_free0_0 (self->priv->valid_metadata_keys);
#line 54 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	G_OBJECT_CLASS (desktop_agnostic_config_schema_parent_class)->finalize (obj);
#line 2491 "config-schema.c"
}


/**
   * A representation of a configuration schema, comprised of one or more
   * configuration options.
   */
GType desktop_agnostic_config_schema_get_type (void) {
	static volatile gsize desktop_agnostic_config_schema_type_id__volatile = 0;
	if (g_once_init_enter (&desktop_agnostic_config_schema_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DesktopAgnosticConfigSchemaClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) desktop_agnostic_config_schema_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DesktopAgnosticConfigSchema), 0, (GInstanceInitFunc) desktop_agnostic_config_schema_instance_init, NULL };
		GType desktop_agnostic_config_schema_type_id;
		desktop_agnostic_config_schema_type_id = g_type_register_static (G_TYPE_OBJECT, "DesktopAgnosticConfigSchema", &g_define_type_info, 0);
		g_once_init_leave (&desktop_agnostic_config_schema_type_id__volatile, desktop_agnostic_config_schema_type_id);
	}
	return desktop_agnostic_config_schema_type_id__volatile;
}


static void _vala_desktop_agnostic_config_schema_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	DesktopAgnosticConfigSchema * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA, DesktopAgnosticConfigSchema);
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	switch (property_id) {
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		case DESKTOP_AGNOSTIC_CONFIG_SCHEMA_APP_NAME:
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		g_value_set_string (value, desktop_agnostic_config_schema_get_app_name (self));
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		break;
#line 2522 "config-schema.c"
		default:
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		break;
#line 2528 "config-schema.c"
	}
}


static void _vala_desktop_agnostic_config_schema_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	DesktopAgnosticConfigSchema * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DESKTOP_AGNOSTIC_CONFIG_TYPE_SCHEMA, DesktopAgnosticConfigSchema);
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	switch (property_id) {
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		case DESKTOP_AGNOSTIC_CONFIG_SCHEMA_FILENAME:
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		desktop_agnostic_config_schema_set_filename (self, g_value_get_string (value));
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		break;
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		case DESKTOP_AGNOSTIC_CONFIG_SCHEMA_APP_NAME:
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		desktop_agnostic_config_schema_set_app_name (self, g_value_get_string (value));
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		break;
#line 2550 "config-schema.c"
		default:
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		break;
#line 2556 "config-schema.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	if ((array != NULL) && (destroy_func != NULL)) {
#line 2564 "config-schema.c"
		int i;
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
		for (i = 0; i < array_length; i = i + 1) {
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
			if (((gpointer*) array)[i] != NULL) {
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
				destroy_func (((gpointer*) array)[i]);
#line 2572 "config-schema.c"
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	_vala_array_destroy (array, array_length, destroy_func);
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-schema.vala"
	g_free (array);
#line 2584 "config-schema.c"
}



