/* desktop-entry.c generated by valac 0.26.1, the Vala compiler
 * generated from desktop-entry.vala, do not modify */

/*
 * Desktop Agnostic Library: Desktop Entry interface.
 *
 * Copyright (C) 2009 Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * Author : Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <libdesktop-agnostic/vfs.h>
#include <libdesktop-agnostic/desktop-agnostic.h>


#define DESKTOP_AGNOSTIC_FDO_TYPE_DESKTOP_ENTRY_LAUNCH_FLAGS (desktop_agnostic_fdo_desktop_entry_launch_flags_get_type ())

#define DESKTOP_AGNOSTIC_FDO_TYPE_DESKTOP_ENTRY_TYPE (desktop_agnostic_fdo_desktop_entry_type_get_type ())

#define DESKTOP_AGNOSTIC_FDO_TYPE_DESKTOP_ENTRY (desktop_agnostic_fdo_desktop_entry_get_type ())
#define DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_FDO_TYPE_DESKTOP_ENTRY, DesktopAgnosticFDODesktopEntry))
#define DESKTOP_AGNOSTIC_FDO_IS_DESKTOP_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_FDO_TYPE_DESKTOP_ENTRY))
#define DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), DESKTOP_AGNOSTIC_FDO_TYPE_DESKTOP_ENTRY, DesktopAgnosticFDODesktopEntryIface))

typedef struct _DesktopAgnosticFDODesktopEntry DesktopAgnosticFDODesktopEntry;
typedef struct _DesktopAgnosticFDODesktopEntryIface DesktopAgnosticFDODesktopEntryIface;
#define _g_free0(var) ((var == NULL) ? NULL : (var = (g_free (var), NULL)))

typedef enum  {
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_LAUNCH_FLAGS_ONLY_ONE = 1 << 0,
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_LAUNCH_FLAGS_USE_CWD = 1 << 1,
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_LAUNCH_FLAGS_DO_NOT_REAP_CHILD = 1 << 2
} DesktopAgnosticFDODesktopEntryLaunchFlags;

typedef enum  {
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_UNKNOWN = 0,
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_APPLICATION,
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_LINK,
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_DIRECTORY
} DesktopAgnosticFDODesktopEntryType;

/**
   * Generic, DesktopEntry-related errors.
   */
typedef enum  {
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_ERROR_INVALID_FILE,
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_ERROR_NOT_LAUNCHABLE
} DesktopAgnosticFDODesktopEntryError;
#define DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_ERROR desktop_agnostic_fdo_desktop_entry_error_quark ()
struct _DesktopAgnosticFDODesktopEntryIface {
	GTypeInterface parent_iface;
	gboolean (*key_exists) (DesktopAgnosticFDODesktopEntry* self, const gchar* key);
	gboolean (*get_boolean) (DesktopAgnosticFDODesktopEntry* self, const gchar* key);
	void (*set_boolean) (DesktopAgnosticFDODesktopEntry* self, const gchar* key, gboolean value);
	gchar* (*get_string) (DesktopAgnosticFDODesktopEntry* self, const gchar* key);
	void (*set_string) (DesktopAgnosticFDODesktopEntry* self, const gchar* key, const gchar* value);
	gchar* (*get_localestring) (DesktopAgnosticFDODesktopEntry* self, const gchar* key, const gchar* locale);
	void (*set_localestring) (DesktopAgnosticFDODesktopEntry* self, const gchar* key, const gchar* locale, const gchar* value);
	gchar** (*get_string_list) (DesktopAgnosticFDODesktopEntry* self, const gchar* key);
	void (*set_string_list) (DesktopAgnosticFDODesktopEntry* self, const gchar* key, gchar** value);
	gboolean (*exists) (DesktopAgnosticFDODesktopEntry* self);
	GPid (*launch) (DesktopAgnosticFDODesktopEntry* self, DesktopAgnosticFDODesktopEntryLaunchFlags flags, GSList* documents, GError** error);
	void (*save) (DesktopAgnosticFDODesktopEntry* self, DesktopAgnosticVFSFile* new_file, GError** error);
	DesktopAgnosticVFSFile* (*get_file) (DesktopAgnosticFDODesktopEntry* self);
	void (*set_file) (DesktopAgnosticFDODesktopEntry* self, DesktopAgnosticVFSFile* value);
	GKeyFile* (*get_keyfile) (DesktopAgnosticFDODesktopEntry* self);
	void (*set_keyfile) (DesktopAgnosticFDODesktopEntry* self, GKeyFile* value);
	void (*set_data) (DesktopAgnosticFDODesktopEntry* self, const gchar* value);
	DesktopAgnosticFDODesktopEntryType (*get_entry_type) (DesktopAgnosticFDODesktopEntry* self);
	void (*set_entry_type) (DesktopAgnosticFDODesktopEntry* self, DesktopAgnosticFDODesktopEntryType value);
	gchar* (*get_name) (DesktopAgnosticFDODesktopEntry* self);
	void (*set_name) (DesktopAgnosticFDODesktopEntry* self, const gchar* value);
	gchar* (*get_icon) (DesktopAgnosticFDODesktopEntry* self);
	void (*set_icon) (DesktopAgnosticFDODesktopEntry* self, const gchar* value);
};


extern GType* desktop_agnostic_fdo_module_type;
GType* desktop_agnostic_fdo_module_type = NULL;

GType desktop_agnostic_fdo_desktop_entry_launch_flags_get_type (void) G_GNUC_CONST;
GType desktop_agnostic_fdo_desktop_entry_type_get_type (void) G_GNUC_CONST;
GQuark desktop_agnostic_fdo_desktop_entry_error_quark (void);
gchar* desktop_agnostic_fdo_desktop_entry_type_to_string (DesktopAgnosticFDODesktopEntryType entry_type);
GType desktop_agnostic_fdo_desktop_entry_get_type (void) G_GNUC_CONST;
gboolean desktop_agnostic_fdo_desktop_entry_key_exists (DesktopAgnosticFDODesktopEntry* self, const gchar* key);
gboolean desktop_agnostic_fdo_desktop_entry_get_boolean (DesktopAgnosticFDODesktopEntry* self, const gchar* key);
void desktop_agnostic_fdo_desktop_entry_set_boolean (DesktopAgnosticFDODesktopEntry* self, const gchar* key, gboolean value);
gchar* desktop_agnostic_fdo_desktop_entry_get_string (DesktopAgnosticFDODesktopEntry* self, const gchar* key);
void desktop_agnostic_fdo_desktop_entry_set_string (DesktopAgnosticFDODesktopEntry* self, const gchar* key, const gchar* value);
gchar* desktop_agnostic_fdo_desktop_entry_get_localestring (DesktopAgnosticFDODesktopEntry* self, const gchar* key, const gchar* locale);
void desktop_agnostic_fdo_desktop_entry_set_localestring (DesktopAgnosticFDODesktopEntry* self, const gchar* key, const gchar* locale, const gchar* value);
gchar** desktop_agnostic_fdo_desktop_entry_get_string_list (DesktopAgnosticFDODesktopEntry* self, const gchar* key);
void desktop_agnostic_fdo_desktop_entry_set_string_list (DesktopAgnosticFDODesktopEntry* self, const gchar* key, gchar** value);
gboolean desktop_agnostic_fdo_desktop_entry_exists (DesktopAgnosticFDODesktopEntry* self);
GPid desktop_agnostic_fdo_desktop_entry_launch (DesktopAgnosticFDODesktopEntry* self, DesktopAgnosticFDODesktopEntryLaunchFlags flags, GSList* documents, GError** error);
void desktop_agnostic_fdo_desktop_entry_save (DesktopAgnosticFDODesktopEntry* self, DesktopAgnosticVFSFile* new_file, GError** error);
DesktopAgnosticVFSFile* desktop_agnostic_fdo_desktop_entry_get_file (DesktopAgnosticFDODesktopEntry* self);
void desktop_agnostic_fdo_desktop_entry_set_file (DesktopAgnosticFDODesktopEntry* self, DesktopAgnosticVFSFile* value);
GKeyFile* desktop_agnostic_fdo_desktop_entry_get_keyfile (DesktopAgnosticFDODesktopEntry* self);
void desktop_agnostic_fdo_desktop_entry_set_keyfile (DesktopAgnosticFDODesktopEntry* self, GKeyFile* value);
void desktop_agnostic_fdo_desktop_entry_set_data (DesktopAgnosticFDODesktopEntry* self, const gchar* value);
DesktopAgnosticFDODesktopEntryType desktop_agnostic_fdo_desktop_entry_get_entry_type (DesktopAgnosticFDODesktopEntry* self);
void desktop_agnostic_fdo_desktop_entry_set_entry_type (DesktopAgnosticFDODesktopEntry* self, DesktopAgnosticFDODesktopEntryType value);
gchar* desktop_agnostic_fdo_desktop_entry_get_name (DesktopAgnosticFDODesktopEntry* self);
void desktop_agnostic_fdo_desktop_entry_set_name (DesktopAgnosticFDODesktopEntry* self, const gchar* value);
gchar* desktop_agnostic_fdo_desktop_entry_get_icon (DesktopAgnosticFDODesktopEntry* self);
void desktop_agnostic_fdo_desktop_entry_set_icon (DesktopAgnosticFDODesktopEntry* self, const gchar* value);
GType desktop_agnostic_fdo_get_type (GError** error);
static GType* _g_type_dup (GType* self);
DesktopAgnosticFDODesktopEntry* desktop_agnostic_fdo_desktop_entry_new (GError** error);
DesktopAgnosticFDODesktopEntry* desktop_agnostic_fdo_desktop_entry_new_for_file (DesktopAgnosticVFSFile* file, GError** error);
DesktopAgnosticFDODesktopEntry* desktop_agnostic_fdo_desktop_entry_new_for_keyfile (GKeyFile* keyfile, GError** error);
DesktopAgnosticFDODesktopEntry* desktop_agnostic_fdo_desktop_entry_new_for_data (const gchar* data, GError** error);


/**
   * Flags used when launching an application from a desktop entry.
   */
GType desktop_agnostic_fdo_desktop_entry_launch_flags_get_type (void) {
	static volatile gsize desktop_agnostic_fdo_desktop_entry_launch_flags_type_id__volatile = 0;
	if (g_once_init_enter (&desktop_agnostic_fdo_desktop_entry_launch_flags_type_id__volatile)) {
		static const GEnumValue values[] = {{DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_LAUNCH_FLAGS_ONLY_ONE, "DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_LAUNCH_FLAGS_ONLY_ONE", "only-one"}, {DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_LAUNCH_FLAGS_USE_CWD, "DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_LAUNCH_FLAGS_USE_CWD", "use-cwd"}, {DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_LAUNCH_FLAGS_DO_NOT_REAP_CHILD, "DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_LAUNCH_FLAGS_DO_NOT_REAP_CHILD", "do-not-reap-child"}, {0, NULL, NULL}};
		GType desktop_agnostic_fdo_desktop_entry_launch_flags_type_id;
		desktop_agnostic_fdo_desktop_entry_launch_flags_type_id = g_enum_register_static ("DesktopAgnosticFDODesktopEntryLaunchFlags", values);
		g_once_init_leave (&desktop_agnostic_fdo_desktop_entry_launch_flags_type_id__volatile, desktop_agnostic_fdo_desktop_entry_launch_flags_type_id);
	}
	return desktop_agnostic_fdo_desktop_entry_launch_flags_type_id__volatile;
}


/**
   * The kind of desktop entry.
   *
   * [[http://standards.freedesktop.org/desktop-entry-spec/latest/ar01s05.html]]
   */
GType desktop_agnostic_fdo_desktop_entry_type_get_type (void) {
	static volatile gsize desktop_agnostic_fdo_desktop_entry_type_type_id__volatile = 0;
	if (g_once_init_enter (&desktop_agnostic_fdo_desktop_entry_type_type_id__volatile)) {
		static const GEnumValue values[] = {{DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_UNKNOWN, "DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_UNKNOWN", "unknown"}, {DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_APPLICATION, "DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_APPLICATION", "application"}, {DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_LINK, "DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_LINK", "link"}, {DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_DIRECTORY, "DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_DIRECTORY", "directory"}, {0, NULL, NULL}};
		GType desktop_agnostic_fdo_desktop_entry_type_type_id;
		desktop_agnostic_fdo_desktop_entry_type_type_id = g_enum_register_static ("DesktopAgnosticFDODesktopEntryType", values);
		g_once_init_leave (&desktop_agnostic_fdo_desktop_entry_type_type_id__volatile, desktop_agnostic_fdo_desktop_entry_type_type_id);
	}
	return desktop_agnostic_fdo_desktop_entry_type_type_id__volatile;
}


GQuark desktop_agnostic_fdo_desktop_entry_error_quark (void) {
	return g_quark_from_static_string ("desktop_agnostic_fdo_desktop_entry_error-quark");
}


/**
   * Converts a DesktopEntryType to its string counterpart.
   */
gchar* desktop_agnostic_fdo_desktop_entry_type_to_string (DesktopAgnosticFDODesktopEntryType entry_type) {
	gchar* result = NULL;
	DesktopAgnosticFDODesktopEntryType _tmp0_ = 0;
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	_tmp0_ = entry_type;
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	switch (_tmp0_) {
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		case DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_APPLICATION:
#line 185 "desktop-entry.c"
		{
			gchar* _tmp1_ = NULL;
#line 69 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			_tmp1_ = g_strdup ("Application");
#line 69 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			result = _tmp1_;
#line 69 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			return result;
#line 194 "desktop-entry.c"
		}
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		case DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_LINK:
#line 198 "desktop-entry.c"
		{
			gchar* _tmp2_ = NULL;
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			_tmp2_ = g_strdup ("Link");
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			result = _tmp2_;
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			return result;
#line 207 "desktop-entry.c"
		}
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		case DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_TYPE_DIRECTORY:
#line 211 "desktop-entry.c"
		{
			gchar* _tmp3_ = NULL;
#line 73 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			_tmp3_ = g_strdup ("Directory");
#line 73 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			result = _tmp3_;
#line 73 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			return result;
#line 220 "desktop-entry.c"
		}
		default:
		{
			gchar* _tmp4_ = NULL;
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			_tmp4_ = g_strdup ("Unknown");
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			result = _tmp4_;
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			return result;
#line 231 "desktop-entry.c"
		}
	}
}


gboolean desktop_agnostic_fdo_desktop_entry_key_exists (DesktopAgnosticFDODesktopEntry* self, const gchar* key) {
#line 110 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 110 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->key_exists (self, key);
#line 242 "desktop-entry.c"
}


gboolean desktop_agnostic_fdo_desktop_entry_get_boolean (DesktopAgnosticFDODesktopEntry* self, const gchar* key) {
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->get_boolean (self, key);
#line 251 "desktop-entry.c"
}


void desktop_agnostic_fdo_desktop_entry_set_boolean (DesktopAgnosticFDODesktopEntry* self, const gchar* key, gboolean value) {
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_if_fail (self != NULL);
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->set_boolean (self, key, value);
#line 260 "desktop-entry.c"
}


gchar* desktop_agnostic_fdo_desktop_entry_get_string (DesktopAgnosticFDODesktopEntry* self, const gchar* key) {
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->get_string (self, key);
#line 269 "desktop-entry.c"
}


void desktop_agnostic_fdo_desktop_entry_set_string (DesktopAgnosticFDODesktopEntry* self, const gchar* key, const gchar* value) {
#line 114 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_if_fail (self != NULL);
#line 114 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->set_string (self, key, value);
#line 278 "desktop-entry.c"
}


gchar* desktop_agnostic_fdo_desktop_entry_get_localestring (DesktopAgnosticFDODesktopEntry* self, const gchar* key, const gchar* locale) {
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->get_localestring (self, key, locale);
#line 287 "desktop-entry.c"
}


void desktop_agnostic_fdo_desktop_entry_set_localestring (DesktopAgnosticFDODesktopEntry* self, const gchar* key, const gchar* locale, const gchar* value) {
#line 116 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_if_fail (self != NULL);
#line 116 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->set_localestring (self, key, locale, value);
#line 296 "desktop-entry.c"
}


gchar** desktop_agnostic_fdo_desktop_entry_get_string_list (DesktopAgnosticFDODesktopEntry* self, const gchar* key) {
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->get_string_list (self, key);
#line 305 "desktop-entry.c"
}


void desktop_agnostic_fdo_desktop_entry_set_string_list (DesktopAgnosticFDODesktopEntry* self, const gchar* key, gchar** value) {
#line 119 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_if_fail (self != NULL);
#line 119 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->set_string_list (self, key, value);
#line 314 "desktop-entry.c"
}


/**
     * Whether the path specified in the "Exec" key exists. if the entry type is
     * "Application", also checks to see if it's launchable.
     */
gboolean desktop_agnostic_fdo_desktop_entry_exists (DesktopAgnosticFDODesktopEntry* self) {
#line 125 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 125 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->exists (self);
#line 327 "desktop-entry.c"
}


GPid desktop_agnostic_fdo_desktop_entry_launch (DesktopAgnosticFDODesktopEntry* self, DesktopAgnosticFDODesktopEntryLaunchFlags flags, GSList* documents, GError** error) {
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->launch (self, flags, documents, error);
#line 336 "desktop-entry.c"
}


void desktop_agnostic_fdo_desktop_entry_save (DesktopAgnosticFDODesktopEntry* self, DesktopAgnosticVFSFile* new_file, GError** error) {
#line 127 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_if_fail (self != NULL);
#line 127 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->save (self, new_file, error);
#line 345 "desktop-entry.c"
}


DesktopAgnosticVFSFile* desktop_agnostic_fdo_desktop_entry_get_file (DesktopAgnosticFDODesktopEntry* self) {
#line 87 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 87 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->get_file (self);
#line 354 "desktop-entry.c"
}


void desktop_agnostic_fdo_desktop_entry_set_file (DesktopAgnosticFDODesktopEntry* self, DesktopAgnosticVFSFile* value) {
#line 87 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_if_fail (self != NULL);
#line 87 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->set_file (self, value);
#line 363 "desktop-entry.c"
}


GKeyFile* desktop_agnostic_fdo_desktop_entry_get_keyfile (DesktopAgnosticFDODesktopEntry* self) {
#line 94 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 94 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->get_keyfile (self);
#line 372 "desktop-entry.c"
}


void desktop_agnostic_fdo_desktop_entry_set_keyfile (DesktopAgnosticFDODesktopEntry* self, GKeyFile* value) {
#line 94 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_if_fail (self != NULL);
#line 94 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->set_keyfile (self, value);
#line 381 "desktop-entry.c"
}


void desktop_agnostic_fdo_desktop_entry_set_data (DesktopAgnosticFDODesktopEntry* self, const gchar* value) {
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_if_fail (self != NULL);
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->set_data (self, value);
#line 390 "desktop-entry.c"
}


DesktopAgnosticFDODesktopEntryType desktop_agnostic_fdo_desktop_entry_get_entry_type (DesktopAgnosticFDODesktopEntry* self) {
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->get_entry_type (self);
#line 399 "desktop-entry.c"
}


void desktop_agnostic_fdo_desktop_entry_set_entry_type (DesktopAgnosticFDODesktopEntry* self, DesktopAgnosticFDODesktopEntryType value) {
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_if_fail (self != NULL);
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->set_entry_type (self, value);
#line 408 "desktop-entry.c"
}


gchar* desktop_agnostic_fdo_desktop_entry_get_name (DesktopAgnosticFDODesktopEntry* self) {
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->get_name (self);
#line 417 "desktop-entry.c"
}


void desktop_agnostic_fdo_desktop_entry_set_name (DesktopAgnosticFDODesktopEntry* self, const gchar* value) {
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_if_fail (self != NULL);
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->set_name (self, value);
#line 426 "desktop-entry.c"
}


gchar* desktop_agnostic_fdo_desktop_entry_get_icon (DesktopAgnosticFDODesktopEntry* self) {
#line 109 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 109 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->get_icon (self);
#line 435 "desktop-entry.c"
}


void desktop_agnostic_fdo_desktop_entry_set_icon (DesktopAgnosticFDODesktopEntry* self, const gchar* value) {
#line 109 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_if_fail (self != NULL);
#line 109 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	DESKTOP_AGNOSTIC_FDO_DESKTOP_ENTRY_GET_INTERFACE (self)->set_icon (self, value);
#line 444 "desktop-entry.c"
}


static void desktop_agnostic_fdo_desktop_entry_base_init (DesktopAgnosticFDODesktopEntryIface * iface) {
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	static gboolean initialized = FALSE;
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	if (!initialized) {
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		initialized = TRUE;
#line 455 "desktop-entry.c"
		/**
		     * The file object which points to the desktop entry file. Cannot be
		     * constructed in conjunction with either keyfile or data.
		     * Note: these are really construct-only, but construct-only properties
		     * don't work with GModules.
		     */
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		g_object_interface_install_property (iface, g_param_spec_object ("file", "file", "file", DESKTOP_AGNOSTIC_VFS_TYPE_FILE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 464 "desktop-entry.c"
		/**
		     * The URI of the desktop entry. Cannot be constructed with either file
		     * or data.
		     * Note: these are really construct-only, but construct-only properties
		     * don't work with GModules.
		     */
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		g_object_interface_install_property (iface, g_param_spec_pointer ("keyfile", "keyfile", "keyfile", G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 473 "desktop-entry.c"
		/**
		     * The raw data that is formatted according to the desktop entry
		     * specification. Cannot be constructed in conjunction with either file or
		     * keyfile.
		     * Note: these are really construct-only, but construct-only properties
		     * don't work with GModules.
		     */
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		g_object_interface_install_property (iface, g_param_spec_string ("data", "data", "data", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 483 "desktop-entry.c"
		/**
		     * The type of desktop entry, corresponding to the "Type" key.
		     */
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		g_object_interface_install_property (iface, g_param_spec_enum ("entry-type", "entry-type", "entry-type", DESKTOP_AGNOSTIC_FDO_TYPE_DESKTOP_ENTRY_TYPE, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		g_object_interface_install_property (iface, g_param_spec_string ("name", "name", "name", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		g_object_interface_install_property (iface, g_param_spec_string ("icon", "icon", "icon", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 493 "desktop-entry.c"
	}
}


GType desktop_agnostic_fdo_desktop_entry_get_type (void) {
	static volatile gsize desktop_agnostic_fdo_desktop_entry_type_id__volatile = 0;
	if (g_once_init_enter (&desktop_agnostic_fdo_desktop_entry_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DesktopAgnosticFDODesktopEntryIface), (GBaseInitFunc) desktop_agnostic_fdo_desktop_entry_base_init, (GBaseFinalizeFunc) NULL, (GClassInitFunc) NULL, (GClassFinalizeFunc) NULL, NULL, 0, 0, (GInstanceInitFunc) NULL, NULL };
		GType desktop_agnostic_fdo_desktop_entry_type_id;
		desktop_agnostic_fdo_desktop_entry_type_id = g_type_register_static (G_TYPE_INTERFACE, "DesktopAgnosticFDODesktopEntry", &g_define_type_info, 0);
		g_type_interface_add_prerequisite (desktop_agnostic_fdo_desktop_entry_type_id, G_TYPE_OBJECT);
		g_once_init_leave (&desktop_agnostic_fdo_desktop_entry_type_id__volatile, desktop_agnostic_fdo_desktop_entry_type_id);
	}
	return desktop_agnostic_fdo_desktop_entry_type_id__volatile;
}


static GType* _g_type_dup (GType* self) {
	GType* dup;
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	dup = g_new0 (GType, 1);
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	memcpy (dup, self, sizeof (GType));
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return dup;
#line 519 "desktop-entry.c"
}


static gpointer __g_type_dup0 (gpointer self) {
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return self ? _g_type_dup (self) : NULL;
#line 526 "desktop-entry.c"
}


GType desktop_agnostic_fdo_get_type (GError** error) {
	GType result = 0UL;
	GType* _tmp0_ = NULL;
	GType* _tmp4_ = NULL;
	GError * _inner_error_ = NULL;
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	_tmp0_ = desktop_agnostic_fdo_module_type;
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	if (_tmp0_ == NULL) {
#line 539 "desktop-entry.c"
		GType _tmp1_ = 0UL;
		GType _tmp2_ = 0UL;
		GType* _tmp3_ = NULL;
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp2_ = desktop_agnostic_get_module_type ("fdo", "desktop-entry", &_inner_error_);
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp1_ = _tmp2_;
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			g_propagate_error (error, _inner_error_);
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
			return 0UL;
#line 553 "desktop-entry.c"
		}
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp3_ = __g_type_dup0 (&_tmp1_);
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_g_free0 (desktop_agnostic_fdo_module_type);
#line 137 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		desktop_agnostic_fdo_module_type = _tmp3_;
#line 561 "desktop-entry.c"
	}
#line 139 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	_tmp4_ = desktop_agnostic_fdo_module_type;
#line 139 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	result = *_tmp4_;
#line 139 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	return result;
#line 569 "desktop-entry.c"
}


/**
   * Convenience method for creating a new desktop entry from scratch.
   */
DesktopAgnosticFDODesktopEntry* desktop_agnostic_fdo_desktop_entry_new (GError** error) {
	DesktopAgnosticFDODesktopEntry* result = NULL;
	GType type = 0UL;
	GType _tmp0_ = 0UL;
	GError * _inner_error_ = NULL;
#line 148 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	_tmp0_ = desktop_agnostic_fdo_get_type (&_inner_error_);
#line 148 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	type = _tmp0_;
#line 148 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 148 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		g_propagate_error (error, _inner_error_);
#line 148 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		return NULL;
#line 591 "desktop-entry.c"
	}
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	if (type == G_TYPE_INVALID) {
#line 151 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		result = NULL;
#line 151 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		return result;
#line 599 "desktop-entry.c"
	} else {
		GObject* _tmp1_ = NULL;
		GObject* _tmp2_ = NULL;
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp1_ = g_object_new (type, NULL);
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp2_ = G_IS_INITIALLY_UNOWNED (_tmp1_) ? g_object_ref_sink (_tmp1_) : _tmp1_;
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		result = G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, DESKTOP_AGNOSTIC_FDO_TYPE_DESKTOP_ENTRY, DesktopAgnosticFDODesktopEntry);
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		return result;
#line 611 "desktop-entry.c"
	}
}


/**
   * Convenience method for loading a desktop entry via a VFS.File.
   */
DesktopAgnosticFDODesktopEntry* desktop_agnostic_fdo_desktop_entry_new_for_file (DesktopAgnosticVFSFile* file, GError** error) {
	DesktopAgnosticFDODesktopEntry* result = NULL;
	GType type = 0UL;
	GType _tmp0_ = 0UL;
	GError * _inner_error_ = NULL;
#line 162 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (file != NULL, NULL);
#line 165 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	_tmp0_ = desktop_agnostic_fdo_get_type (&_inner_error_);
#line 165 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	type = _tmp0_;
#line 165 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 165 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		g_propagate_error (error, _inner_error_);
#line 165 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		return NULL;
#line 636 "desktop-entry.c"
	}
#line 166 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	if (type == G_TYPE_INVALID) {
#line 168 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		result = NULL;
#line 168 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		return result;
#line 644 "desktop-entry.c"
	} else {
		DesktopAgnosticVFSFile* _tmp1_ = NULL;
		GObject* _tmp2_ = NULL;
		GObject* _tmp3_ = NULL;
#line 172 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp1_ = file;
#line 172 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp2_ = g_object_new (type, "file", _tmp1_, NULL);
#line 172 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp3_ = G_IS_INITIALLY_UNOWNED (_tmp2_) ? g_object_ref_sink (_tmp2_) : _tmp2_;
#line 172 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		result = G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, DESKTOP_AGNOSTIC_FDO_TYPE_DESKTOP_ENTRY, DesktopAgnosticFDODesktopEntry);
#line 172 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		return result;
#line 659 "desktop-entry.c"
	}
}


/**
   * Convenience method for loading a desktop entry from a KeyFile object.
   */
DesktopAgnosticFDODesktopEntry* desktop_agnostic_fdo_desktop_entry_new_for_keyfile (GKeyFile* keyfile, GError** error) {
	DesktopAgnosticFDODesktopEntry* result = NULL;
	GType type = 0UL;
	GType _tmp0_ = 0UL;
	GError * _inner_error_ = NULL;
#line 179 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (keyfile != NULL, NULL);
#line 182 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	_tmp0_ = desktop_agnostic_fdo_get_type (&_inner_error_);
#line 182 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	type = _tmp0_;
#line 182 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 182 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		g_propagate_error (error, _inner_error_);
#line 182 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		return NULL;
#line 684 "desktop-entry.c"
	}
#line 183 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	if (type == G_TYPE_INVALID) {
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		result = NULL;
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		return result;
#line 692 "desktop-entry.c"
	} else {
		GKeyFile* _tmp1_ = NULL;
		GObject* _tmp2_ = NULL;
		GObject* _tmp3_ = NULL;
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp1_ = keyfile;
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp2_ = g_object_new (type, "keyfile", _tmp1_, NULL);
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp3_ = G_IS_INITIALLY_UNOWNED (_tmp2_) ? g_object_ref_sink (_tmp2_) : _tmp2_;
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		result = G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, DESKTOP_AGNOSTIC_FDO_TYPE_DESKTOP_ENTRY, DesktopAgnosticFDODesktopEntry);
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		return result;
#line 707 "desktop-entry.c"
	}
}


/**
   * Convenience method for loading a desktop entry from a string of data.
   */
DesktopAgnosticFDODesktopEntry* desktop_agnostic_fdo_desktop_entry_new_for_data (const gchar* data, GError** error) {
	DesktopAgnosticFDODesktopEntry* result = NULL;
	GType type = 0UL;
	GType _tmp0_ = 0UL;
	GError * _inner_error_ = NULL;
#line 196 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	g_return_val_if_fail (data != NULL, NULL);
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	_tmp0_ = desktop_agnostic_fdo_get_type (&_inner_error_);
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	type = _tmp0_;
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		g_propagate_error (error, _inner_error_);
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		return NULL;
#line 732 "desktop-entry.c"
	}
#line 200 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
	if (type == G_TYPE_INVALID) {
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		result = NULL;
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		return result;
#line 740 "desktop-entry.c"
	} else {
		const gchar* _tmp1_ = NULL;
		GObject* _tmp2_ = NULL;
		GObject* _tmp3_ = NULL;
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp1_ = data;
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp2_ = g_object_new (type, "data", _tmp1_, NULL);
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		_tmp3_ = G_IS_INITIALLY_UNOWNED (_tmp2_) ? g_object_ref_sink (_tmp2_) : _tmp2_;
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		result = G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, DESKTOP_AGNOSTIC_FDO_TYPE_DESKTOP_ENTRY, DesktopAgnosticFDODesktopEntry);
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/desktop-entry.vala"
		return result;
#line 755 "desktop-entry.c"
	}
}



