/* module-guesser.c generated by valac 0.26.1, the Vala compiler
 * generated from module-guesser.vala, do not modify */

/*
 * Desktop Agnostic Module guesser function.
 *
 * Copyright (C) 2009 Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * Author : Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <libdesktop-agnostic/desktop-agnostic.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gstdio.h>
#include <libdesktop-agnostic/vfs.h>

#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))



GType guess_module (DesktopAgnosticModuleLoader* loader, const gchar* library_prefix);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


/**
 * Given a valid library prefix, this function takes the first valid module
 * that is locates via the search paths and glob and loads it.
 */
GType guess_module (DesktopAgnosticModuleLoader* loader, const gchar* library_prefix) {
	GType result = 0UL;
	gchar** paths = NULL;
	DesktopAgnosticModuleLoader* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gchar** _tmp2_ = NULL;
	gint paths_length1 = 0;
	gint _paths_size_ = 0;
	gchar* module_glob_suffix = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GType _result_ = 0UL;
	gchar** _tmp5_ = NULL;
	gint _tmp5__length1 = 0;
	GError * _inner_error_ = NULL;
#line 30 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	g_return_val_if_fail (loader != NULL, 0UL);
#line 30 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	g_return_val_if_fail (library_prefix != NULL, 0UL);
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	_tmp0_ = loader;
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	_tmp2_ = desktop_agnostic_module_loader_get_search_paths (&_tmp1_);
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	paths = _tmp2_;
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	paths_length1 = _tmp1_;
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	_paths_size_ = paths_length1;
#line 34 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	_tmp3_ = library_prefix;
#line 34 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	_tmp4_ = g_strdup_printf ("%s*", _tmp3_);
#line 34 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	module_glob_suffix = _tmp4_;
#line 35 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	_result_ = G_TYPE_INVALID;
#line 37 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	_tmp5_ = paths;
#line 37 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	_tmp5__length1 = paths_length1;
#line 91 "module-guesser.c"
	{
		gchar** path_prefix_collection = NULL;
		gint path_prefix_collection_length1 = 0;
		gint _path_prefix_collection_size_ = 0;
		gint path_prefix_it = 0;
#line 37 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
		path_prefix_collection = _tmp5_;
#line 37 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
		path_prefix_collection_length1 = _tmp5__length1;
#line 37 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
		for (path_prefix_it = 0; path_prefix_it < _tmp5__length1; path_prefix_it = path_prefix_it + 1) {
#line 103 "module-guesser.c"
			const gchar* path_prefix = NULL;
#line 37 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
			path_prefix = path_prefix_collection[path_prefix_it];
#line 107 "module-guesser.c"
			{
				gboolean _tmp6_ = FALSE;
				const gchar* _tmp7_ = NULL;
				gchar* module_glob = NULL;
				const gchar* _tmp10_ = NULL;
				const gchar* _tmp11_ = NULL;
				gchar* _tmp12_ = NULL;
				GType _tmp29_ = 0UL;
#line 39 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
				_tmp7_ = path_prefix;
#line 39 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
				if (_tmp7_ == NULL) {
#line 39 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp6_ = TRUE;
#line 122 "module-guesser.c"
				} else {
					const gchar* _tmp8_ = NULL;
					gboolean _tmp9_ = FALSE;
#line 39 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp8_ = path_prefix;
#line 39 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp9_ = g_file_test (_tmp8_, G_FILE_TEST_IS_DIR);
#line 39 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp6_ = !_tmp9_;
#line 132 "module-guesser.c"
				}
#line 39 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
				if (_tmp6_) {
#line 41 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					continue;
#line 138 "module-guesser.c"
				}
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
				_tmp10_ = path_prefix;
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
				_tmp11_ = module_glob_suffix;
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
				_tmp12_ = g_build_filename (_tmp10_, _tmp11_, NULL);
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
				module_glob = _tmp12_;
#line 148 "module-guesser.c"
				{
					DesktopAgnosticVFSGlob* found_modules = NULL;
					gchar** modules_paths = NULL;
					gint modules_paths_length1 = 0;
					gint _modules_paths_size_ = 0;
					DesktopAgnosticVFSGlob* _tmp13_ = NULL;
					const gchar* _tmp14_ = NULL;
					DesktopAgnosticVFSGlob* _tmp15_ = NULL;
					DesktopAgnosticVFSGlob* _tmp16_ = NULL;
					DesktopAgnosticVFSGlob* _tmp17_ = NULL;
					gint _tmp18_ = 0;
					gchar** _tmp19_ = NULL;
					gchar** _tmp20_ = NULL;
					gint _tmp20__length1 = 0;
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp14_ = module_glob;
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp15_ = desktop_agnostic_vfs_glob_execute (_tmp14_, &_inner_error_);
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp13_ = _tmp15_;
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						_g_object_unref0 (found_modules);
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						if (_inner_error_->domain == DESKTOP_AGNOSTIC_VFS_GLOB_ERROR) {
#line 175 "module-guesser.c"
							goto __catch0_desktop_agnostic_vfs_glob_error;
						}
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						_g_object_unref0 (found_modules);
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						_g_free0 (module_glob);
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						_g_free0 (module_glob_suffix);
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						paths = (_vala_array_free (paths, paths_length1, (GDestroyNotify) g_free), NULL);
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						g_clear_error (&_inner_error_);
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						return 0UL;
#line 192 "module-guesser.c"
					}
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp16_ = _tmp13_;
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp13_ = NULL;
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_g_object_unref0 (found_modules);
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					found_modules = _tmp16_;
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp17_ = found_modules;
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp19_ = desktop_agnostic_vfs_glob_get_paths (_tmp17_, &_tmp18_);
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					modules_paths = _tmp19_;
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					modules_paths_length1 = _tmp18_;
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_modules_paths_size_ = modules_paths_length1;
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp20_ = modules_paths;
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp20__length1 = modules_paths_length1;
#line 216 "module-guesser.c"
					{
						gchar** module_collection = NULL;
						gint module_collection_length1 = 0;
						gint _module_collection_size_ = 0;
						gint module_it = 0;
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						module_collection = _tmp20_;
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						module_collection_length1 = _tmp20__length1;
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						for (module_it = 0; module_it < _tmp20__length1; module_it = module_it + 1) {
#line 228 "module-guesser.c"
							const gchar* module = NULL;
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
							module = module_collection[module_it];
#line 232 "module-guesser.c"
							{
								DesktopAgnosticModuleLoader* _tmp21_ = NULL;
								const gchar* _tmp22_ = NULL;
								const gchar* _tmp23_ = NULL;
								GType _tmp24_ = 0UL;
								GType _tmp25_ = 0UL;
#line 54 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
								_tmp21_ = loader;
#line 54 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
								_tmp22_ = path_prefix;
#line 54 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
								_tmp23_ = module;
#line 54 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
								_tmp24_ = desktop_agnostic_module_loader_load_from_path (_tmp21_, _tmp22_, _tmp23_);
#line 54 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
								_result_ = _tmp24_;
#line 55 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
								_tmp25_ = _result_;
#line 55 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
								if (_tmp25_ != G_TYPE_INVALID) {
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
									break;
#line 255 "module-guesser.c"
								}
							}
						}
					}
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_g_object_unref0 (_tmp13_);
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_g_object_unref0 (found_modules);
#line 264 "module-guesser.c"
				}
				goto __finally0;
				__catch0_desktop_agnostic_vfs_glob_error:
				{
					GError* err = NULL;
					GError* _tmp26_ = NULL;
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					err = _inner_error_;
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_inner_error_ = NULL;
#line 63 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_tmp26_ = err;
#line 63 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					if (!g_error_matches (_tmp26_, DESKTOP_AGNOSTIC_VFS_GLOB_ERROR, DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_NOMATCH)) {
#line 279 "module-guesser.c"
						GError* _tmp27_ = NULL;
						const gchar* _tmp28_ = NULL;
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						_tmp27_ = err;
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						_tmp28_ = _tmp27_->message;
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
						g_warning ("module-guesser.vala:65: Glob-related eror: %s", _tmp28_);
#line 288 "module-guesser.c"
					}
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_g_error_free0 (err);
#line 292 "module-guesser.c"
				}
				__finally0:
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_g_free0 (module_glob);
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_g_free0 (module_glob_suffix);
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					paths = (_vala_array_free (paths, paths_length1, (GDestroyNotify) g_free), NULL);
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					g_clear_error (&_inner_error_);
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					return 0UL;
#line 309 "module-guesser.c"
				}
#line 68 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
				_tmp29_ = _result_;
#line 68 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
				if (_tmp29_ != G_TYPE_INVALID) {
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					_g_free0 (module_glob);
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
					break;
#line 319 "module-guesser.c"
				}
#line 37 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
				_g_free0 (module_glob);
#line 323 "module-guesser.c"
			}
		}
	}
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	result = _result_;
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	_g_free0 (module_glob_suffix);
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	paths = (_vala_array_free (paths, paths_length1, (GDestroyNotify) g_free), NULL);
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/module-guesser.vala"
	return result;
#line 335 "module-guesser.c"
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



