/* vfs-file-impl-gio.c generated by valac 0.26.1, the Vala compiler
 * generated from vfs-file-impl-gio.vala, do not modify */

/*
 * Desktop Agnostic Library: File implementation (with GIO).
 *
 * Copyright (C) 2009 Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * Author : Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <libdesktop-agnostic/vfs.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>


#define DESKTOP_AGNOSTIC_VFS_TYPE_FILE_GIO (desktop_agnostic_vfs_file_gio_get_type ())
#define DESKTOP_AGNOSTIC_VFS_FILE_GIO(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_FILE_GIO, DesktopAgnosticVFSFileGIO))
#define DESKTOP_AGNOSTIC_VFS_FILE_GIO_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DESKTOP_AGNOSTIC_VFS_TYPE_FILE_GIO, DesktopAgnosticVFSFileGIOClass))
#define DESKTOP_AGNOSTIC_VFS_IS_FILE_GIO(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_FILE_GIO))
#define DESKTOP_AGNOSTIC_VFS_IS_FILE_GIO_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DESKTOP_AGNOSTIC_VFS_TYPE_FILE_GIO))
#define DESKTOP_AGNOSTIC_VFS_FILE_GIO_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_FILE_GIO, DesktopAgnosticVFSFileGIOClass))

typedef struct _DesktopAgnosticVFSFileGIO DesktopAgnosticVFSFileGIO;
typedef struct _DesktopAgnosticVFSFileGIOClass DesktopAgnosticVFSFileGIOClass;
typedef struct _DesktopAgnosticVFSFileGIOPrivate DesktopAgnosticVFSFileGIOPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

#define DESKTOP_AGNOSTIC_VFS_TYPE_FILE_MONITOR_GIO (desktop_agnostic_vfs_file_monitor_gio_get_type ())
#define DESKTOP_AGNOSTIC_VFS_FILE_MONITOR_GIO(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_FILE_MONITOR_GIO, DesktopAgnosticVFSFileMonitorGIO))
#define DESKTOP_AGNOSTIC_VFS_FILE_MONITOR_GIO_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DESKTOP_AGNOSTIC_VFS_TYPE_FILE_MONITOR_GIO, DesktopAgnosticVFSFileMonitorGIOClass))
#define DESKTOP_AGNOSTIC_VFS_IS_FILE_MONITOR_GIO(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_FILE_MONITOR_GIO))
#define DESKTOP_AGNOSTIC_VFS_IS_FILE_MONITOR_GIO_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DESKTOP_AGNOSTIC_VFS_TYPE_FILE_MONITOR_GIO))
#define DESKTOP_AGNOSTIC_VFS_FILE_MONITOR_GIO_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_FILE_MONITOR_GIO, DesktopAgnosticVFSFileMonitorGIOClass))

typedef struct _DesktopAgnosticVFSFileMonitorGIO DesktopAgnosticVFSFileMonitorGIO;
typedef struct _DesktopAgnosticVFSFileMonitorGIOClass DesktopAgnosticVFSFileMonitorGIOClass;
#define __g_list_free__g_object_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_list_free__g_object_unref0_ (var), NULL)))
#define __g_slist_free__g_object_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_slist_free__g_object_unref0_ (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _DesktopAgnosticVFSFileGIO {
	DesktopAgnosticVFSFile parent_instance;
	DesktopAgnosticVFSFileGIOPrivate * priv;
};

struct _DesktopAgnosticVFSFileGIOClass {
	DesktopAgnosticVFSFileClass parent_class;
};

struct _DesktopAgnosticVFSFileGIOPrivate {
	GFile* _file;
	gchar* _uri;
};


static gpointer desktop_agnostic_vfs_file_gio_parent_class = NULL;

GType desktop_agnostic_vfs_file_gio_get_type (void) G_GNUC_CONST;
#define DESKTOP_AGNOSTIC_VFS_FILE_GIO_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), DESKTOP_AGNOSTIC_VFS_TYPE_FILE_GIO, DesktopAgnosticVFSFileGIOPrivate))
enum  {
	DESKTOP_AGNOSTIC_VFS_FILE_GIO_DUMMY_PROPERTY,
	DESKTOP_AGNOSTIC_VFS_FILE_GIO_IMPLEMENTATION,
	DESKTOP_AGNOSTIC_VFS_FILE_GIO_IMPL_PATH,
	DESKTOP_AGNOSTIC_VFS_FILE_GIO_IMPL_URI,
	DESKTOP_AGNOSTIC_VFS_FILE_GIO_FILE_TYPE,
	DESKTOP_AGNOSTIC_VFS_FILE_GIO_ACCESS_FLAGS,
	DESKTOP_AGNOSTIC_VFS_FILE_GIO_PARENT
};
static void desktop_agnostic_vfs_file_gio_real_init (DesktopAgnosticVFSFile* base, const gchar* uri);
static gboolean desktop_agnostic_vfs_file_gio_real_exists (DesktopAgnosticVFSFile* base);
static DesktopAgnosticVFSFileMonitor* desktop_agnostic_vfs_file_gio_real_monitor (DesktopAgnosticVFSFile* base);
DesktopAgnosticVFSFileMonitorGIO* desktop_agnostic_vfs_file_monitor_gio_new (DesktopAgnosticVFSFileGIO* file);
DesktopAgnosticVFSFileMonitorGIO* desktop_agnostic_vfs_file_monitor_gio_construct (GType object_type, DesktopAgnosticVFSFileGIO* file);
GType desktop_agnostic_vfs_file_monitor_gio_get_type (void) G_GNUC_CONST;
static gboolean desktop_agnostic_vfs_file_gio_real_load_contents (DesktopAgnosticVFSFile* base, gchar** contents, gsize* length, GError** error);
static gboolean desktop_agnostic_vfs_file_gio_real_replace_contents (DesktopAgnosticVFSFile* base, const gchar* contents, GError** error);
static gboolean desktop_agnostic_vfs_file_gio_real_launch (DesktopAgnosticVFSFile* base, GError** error);
static void _g_object_unref0_ (gpointer var);
static void _g_list_free__g_object_unref0_ (GList* self);
static GSList* desktop_agnostic_vfs_file_gio_real_enumerate_children (DesktopAgnosticVFSFile* base, GError** error);
static void _g_slist_free__g_object_unref0_ (GSList* self);
static gboolean desktop_agnostic_vfs_file_gio_real_copy (DesktopAgnosticVFSFile* base, DesktopAgnosticVFSFile* destination, gboolean overwrite, GError** error);
static gboolean desktop_agnostic_vfs_file_gio_real_remove (DesktopAgnosticVFSFile* base, GError** error);
static gboolean desktop_agnostic_vfs_file_gio_real_is_native (DesktopAgnosticVFSFile* base);
static gchar* desktop_agnostic_vfs_file_gio_real_get_mime_type (DesktopAgnosticVFSFile* base, GError** error);
static gchar** desktop_agnostic_vfs_file_gio_real_get_icon_names (DesktopAgnosticVFSFile* base, int* result_length1, GError** error);
static gchar** _vala_array_dup1 (gchar** self, int length);
static gchar* desktop_agnostic_vfs_file_gio_real_get_thumbnail_path (DesktopAgnosticVFSFile* base);
DesktopAgnosticVFSFileGIO* desktop_agnostic_vfs_file_gio_new (void);
DesktopAgnosticVFSFileGIO* desktop_agnostic_vfs_file_gio_construct (GType object_type);
static void desktop_agnostic_vfs_file_gio_finalize (GObject* obj);
static void _vala_desktop_agnostic_vfs_file_gio_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


static void desktop_agnostic_vfs_file_gio_real_init (DesktopAgnosticVFSFile* base, const gchar* uri) {
	DesktopAgnosticVFSFileGIO * self;
	const gchar* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 164 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_return_if_fail (uri != NULL);
#line 167 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = uri;
#line 167 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp1_ = g_file_new_for_uri (_tmp0_);
#line 167 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (self->priv->_file);
#line 167 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self->priv->_file = _tmp1_;
#line 133 "vfs-file-impl-gio.c"
}


static gboolean desktop_agnostic_vfs_file_gio_real_exists (DesktopAgnosticVFSFile* base) {
	DesktopAgnosticVFSFileGIO * self;
	gboolean result = FALSE;
	GFile* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 169 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = self->priv->_file;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp1_ = g_file_query_exists (_tmp0_, NULL);
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = _tmp1_;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 152 "vfs-file-impl-gio.c"
}


static DesktopAgnosticVFSFileMonitor* desktop_agnostic_vfs_file_gio_real_monitor (DesktopAgnosticVFSFile* base) {
	DesktopAgnosticVFSFileGIO * self;
	DesktopAgnosticVFSFileMonitor* result = NULL;
	DesktopAgnosticVFSFileMonitorGIO* _tmp0_ = NULL;
#line 173 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 175 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = desktop_agnostic_vfs_file_monitor_gio_new (self);
#line 175 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = (DesktopAgnosticVFSFileMonitor*) _tmp0_;
#line 175 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 168 "vfs-file-impl-gio.c"
}


static gboolean desktop_agnostic_vfs_file_gio_real_load_contents (DesktopAgnosticVFSFile* base, gchar** contents, gsize* length, GError** error) {
	DesktopAgnosticVFSFileGIO * self;
	gchar* _vala_contents = NULL;
	gsize _vala_length = 0UL;
	gboolean result = FALSE;
	guint8* glib_contents = NULL;
	gint glib_contents_length1 = 0;
	gint _glib_contents_size_ = 0;
	gboolean _tmp0_ = FALSE;
	GFile* _tmp1_ = NULL;
	guint8* _tmp2_ = NULL;
	gsize _tmp3_;
	gboolean _tmp4_ = FALSE;
	GError * _inner_error_ = NULL;
#line 177 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 181 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp1_ = self->priv->_file;
#line 181 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp4_ = g_file_load_contents (_tmp1_, NULL, &_tmp2_, &_tmp3_, NULL, &_inner_error_);
#line 181 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	glib_contents = (g_free (glib_contents), NULL);
#line 181 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	glib_contents = _tmp2_;
#line 181 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	glib_contents_length1 = _tmp3_;
#line 181 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_glib_contents_size_ = glib_contents_length1;
#line 181 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = _tmp4_;
#line 181 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 181 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_propagate_error (error, _inner_error_);
#line 181 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		glib_contents = (g_free (glib_contents), NULL);
#line 181 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return FALSE;
#line 210 "vfs-file-impl-gio.c"
	}
#line 181 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (_tmp0_) {
#line 214 "vfs-file-impl-gio.c"
		guint8* _tmp5_ = NULL;
		gint _tmp5__length1 = 0;
		const gchar* _tmp6_ = NULL;
		gint _tmp7_ = 0;
		gint _tmp8_ = 0;
#line 183 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp5_ = glib_contents;
#line 183 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp5__length1 = glib_contents_length1;
#line 183 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		glib_contents = NULL;
#line 183 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		glib_contents_length1 = 0;
#line 183 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_free0 (_vala_contents);
#line 183 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_vala_contents = (gchar*) _tmp5_;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp6_ = _vala_contents;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp7_ = strlen (_tmp6_);
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp8_ = _tmp7_;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_vala_length = (gsize) _tmp8_;
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		result = TRUE;
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		glib_contents = (g_free (glib_contents), NULL);
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		if (contents) {
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			*contents = _vala_contents;
#line 248 "vfs-file-impl-gio.c"
		} else {
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_free0 (_vala_contents);
#line 252 "vfs-file-impl-gio.c"
		}
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		if (length) {
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			*length = _vala_length;
#line 258 "vfs-file-impl-gio.c"
		}
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return result;
#line 262 "vfs-file-impl-gio.c"
	} else {
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		result = FALSE;
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		glib_contents = (g_free (glib_contents), NULL);
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		if (contents) {
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			*contents = _vala_contents;
#line 272 "vfs-file-impl-gio.c"
		} else {
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_free0 (_vala_contents);
#line 276 "vfs-file-impl-gio.c"
		}
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		if (length) {
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			*length = _vala_length;
#line 282 "vfs-file-impl-gio.c"
		}
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return result;
#line 286 "vfs-file-impl-gio.c"
	}
#line 177 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	glib_contents = (g_free (glib_contents), NULL);
#line 177 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (contents) {
#line 177 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		*contents = _vala_contents;
#line 294 "vfs-file-impl-gio.c"
	} else {
#line 177 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_free0 (_vala_contents);
#line 298 "vfs-file-impl-gio.c"
	}
#line 177 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (length) {
#line 177 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		*length = _vala_length;
#line 304 "vfs-file-impl-gio.c"
	}
}


static guint8* string_get_data (const gchar* self, int* result_length1) {
	guint8* result;
	guint8* res = NULL;
	gint res_length1 = 0;
	gint _res_size_ = 0;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	guint8* _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
	guint8* _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
#line 1300 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1301 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	res = (guint8*) self;
#line 1301 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	res_length1 = -1;
#line 1301 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_res_size_ = res_length1;
#line 1302 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1302 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1302 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	res_length1 = (gint) _tmp1_;
#line 1302 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp2_ = res_length1;
#line 1303 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp3_ = res;
#line 1303 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp3__length1 = res_length1;
#line 1303 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp4_ = _tmp3_;
#line 1303 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp4__length1 = _tmp3__length1;
#line 1303 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (result_length1) {
#line 1303 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		*result_length1 = _tmp4__length1;
#line 349 "vfs-file-impl-gio.c"
	}
#line 1303 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	result = _tmp4_;
#line 1303 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	return result;
#line 355 "vfs-file-impl-gio.c"
}


static gboolean desktop_agnostic_vfs_file_gio_real_replace_contents (DesktopAgnosticVFSFile* base, const gchar* contents, GError** error) {
	DesktopAgnosticVFSFileGIO * self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	GFile* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	guint8* _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
	guint8* _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
	gboolean _tmp5_ = FALSE;
	GError * _inner_error_ = NULL;
#line 192 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 192 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_return_val_if_fail (contents != NULL, FALSE);
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp1_ = self->priv->_file;
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp2_ = contents;
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp3_ = string_get_data (_tmp2_, &_tmp3__length1);
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp4_ = _tmp3_;
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp4__length1 = _tmp3__length1;
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp5_ = g_file_replace_contents (_tmp1_, _tmp4_, (gsize) _tmp4__length1, NULL, FALSE, 0, NULL, NULL, &_inner_error_);
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = _tmp5_;
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_propagate_error (error, _inner_error_);
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return FALSE;
#line 395 "vfs-file-impl-gio.c"
	}
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = _tmp0_;
#line 195 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 401 "vfs-file-impl-gio.c"
}


static void _g_object_unref0_ (gpointer var) {
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 408 "vfs-file-impl-gio.c"
}


static void _g_list_free__g_object_unref0_ (GList* self) {
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_list_foreach (self, (GFunc) _g_object_unref0_, NULL);
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_list_free (self);
#line 417 "vfs-file-impl-gio.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 205 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return self ? g_object_ref (self) : NULL;
#line 424 "vfs-file-impl-gio.c"
}


static gboolean desktop_agnostic_vfs_file_gio_real_launch (DesktopAgnosticVFSFile* base, GError** error) {
	DesktopAgnosticVFSFileGIO * self;
	gboolean result = FALSE;
	GAppInfo* app_info = NULL;
	GList* files = NULL;
	GAppInfo* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GAppInfo* _tmp2_ = NULL;
	GAppInfo* _tmp3_ = NULL;
	GFile* _tmp4_ = NULL;
	GFile* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	GAppInfo* _tmp7_ = NULL;
	GList* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
	GError * _inner_error_ = NULL;
#line 198 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	files = NULL;
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp1_ = self->priv->_file;
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp2_ = g_file_query_default_handler (_tmp1_, NULL, &_inner_error_);
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = _tmp2_;
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_propagate_error (error, _inner_error_);
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		__g_list_free__g_object_unref0_0 (files);
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (app_info);
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return FALSE;
#line 464 "vfs-file-impl-gio.c"
	}
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp3_ = _tmp0_;
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = NULL;
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (app_info);
#line 204 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	app_info = _tmp3_;
#line 205 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp4_ = self->priv->_file;
#line 205 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 205 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	files = g_list_append (files, _tmp5_);
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp7_ = app_info;
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp8_ = files;
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp9_ = g_app_info_launch (_tmp7_, _tmp8_, NULL, &_inner_error_);
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp6_ = _tmp9_;
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_propagate_error (error, _inner_error_);
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (_tmp0_);
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		__g_list_free__g_object_unref0_0 (files);
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (app_info);
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return FALSE;
#line 500 "vfs-file-impl-gio.c"
	}
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = _tmp6_;
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (_tmp0_);
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	__g_list_free__g_object_unref0_0 (files);
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (app_info);
#line 206 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 512 "vfs-file-impl-gio.c"
}


static void _g_slist_free__g_object_unref0_ (GSList* self) {
#line 215 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_slist_foreach (self, (GFunc) _g_object_unref0_, NULL);
#line 215 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_slist_free (self);
#line 521 "vfs-file-impl-gio.c"
}


static GSList* desktop_agnostic_vfs_file_gio_real_enumerate_children (DesktopAgnosticVFSFile* base, GError** error) {
	DesktopAgnosticVFSFileGIO * self;
	GSList* result = NULL;
	GSList* children = NULL;
	GFileEnumerator* enumerator = NULL;
	GFileInfo* info = NULL;
	GFileEnumerator* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFileEnumerator* _tmp2_ = NULL;
	GFileEnumerator* _tmp3_ = NULL;
	GError * _inner_error_ = NULL;
#line 208 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 215 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	__g_slist_free__g_object_unref0_0 (children);
#line 215 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	children = NULL;
#line 216 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp1_ = self->priv->_file;
#line 216 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp2_ = g_file_enumerate_children (_tmp1_, G_FILE_ATTRIBUTE_STANDARD_NAME, G_FILE_QUERY_INFO_NONE, NULL, &_inner_error_);
#line 216 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = _tmp2_;
#line 216 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 216 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_propagate_error (error, _inner_error_);
#line 216 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (info);
#line 216 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (enumerator);
#line 216 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		__g_slist_free__g_object_unref0_0 (children);
#line 216 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return NULL;
#line 560 "vfs-file-impl-gio.c"
	}
#line 216 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp3_ = _tmp0_;
#line 216 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = NULL;
#line 216 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (enumerator);
#line 216 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	enumerator = _tmp3_;
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	while (TRUE) {
#line 572 "vfs-file-impl-gio.c"
		GFileInfo* _tmp4_ = NULL;
		GFileEnumerator* _tmp5_ = NULL;
		GFileInfo* _tmp6_ = NULL;
		GFileInfo* _tmp7_ = NULL;
		GFileInfo* _tmp8_ = NULL;
		GFile* gchild = NULL;
		DesktopAgnosticVFSFile* child = NULL;
		GFile* _tmp9_ = NULL;
		GFileInfo* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		GFile* _tmp12_ = NULL;
		DesktopAgnosticVFSFile* _tmp13_ = NULL;
		GFile* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		DesktopAgnosticVFSFile* _tmp17_ = NULL;
		DesktopAgnosticVFSFile* _tmp18_ = NULL;
		DesktopAgnosticVFSFile* _tmp19_ = NULL;
		DesktopAgnosticVFSFile* _tmp20_ = NULL;
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp5_ = enumerator;
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp6_ = g_file_enumerator_next_file (_tmp5_, NULL, &_inner_error_);
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp4_ = _tmp6_;
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			g_propagate_error (error, _inner_error_);
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (_tmp0_);
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (info);
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (enumerator);
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			__g_slist_free__g_object_unref0_0 (children);
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			return NULL;
#line 612 "vfs-file-impl-gio.c"
		}
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp7_ = _tmp4_;
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp4_ = NULL;
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (info);
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		info = _tmp7_;
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp8_ = info;
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		if (!(_tmp8_ != NULL)) {
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (_tmp4_);
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			break;
#line 630 "vfs-file-impl-gio.c"
		}
#line 224 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp9_ = self->priv->_file;
#line 224 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp10_ = info;
#line 224 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp11_ = g_file_info_get_name (_tmp10_);
#line 224 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp12_ = g_file_get_child (_tmp9_, _tmp11_);
#line 224 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (gchild);
#line 224 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		gchild = _tmp12_;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp14_ = gchild;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp15_ = g_file_get_uri (_tmp14_);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp16_ = _tmp15_;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp17_ = desktop_agnostic_vfs_file_new_for_uri (_tmp16_, &_inner_error_);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp18_ = _tmp17_;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_free0 (_tmp16_);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp13_ = _tmp18_;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			g_propagate_error (error, _inner_error_);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (child);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (gchild);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (_tmp4_);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (_tmp0_);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (info);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (enumerator);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			__g_slist_free__g_object_unref0_0 (children);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			return NULL;
#line 678 "vfs-file-impl-gio.c"
		}
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp19_ = _tmp13_;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp13_ = NULL;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (child);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		child = _tmp19_;
#line 226 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp20_ = child;
#line 226 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		child = NULL;
#line 226 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		children = g_slist_append (children, _tmp20_);
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (_tmp13_);
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (child);
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (gchild);
#line 219 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (_tmp4_);
#line 702 "vfs-file-impl-gio.c"
	}
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = children;
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (_tmp0_);
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (info);
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (enumerator);
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 714 "vfs-file-impl-gio.c"
}


static gboolean desktop_agnostic_vfs_file_gio_real_copy (DesktopAgnosticVFSFile* base, DesktopAgnosticVFSFile* destination, gboolean overwrite, GError** error) {
	DesktopAgnosticVFSFileGIO * self;
	gboolean result = FALSE;
	GFileCopyFlags flags = 0;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GFile* _tmp2_ = NULL;
	DesktopAgnosticVFSFile* _tmp3_ = NULL;
	void* _tmp4_ = NULL;
	void* _tmp5_ = NULL;
	GFileCopyFlags _tmp6_ = 0;
	gboolean _tmp7_ = FALSE;
	GError * _inner_error_ = NULL;
#line 230 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 230 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_return_val_if_fail (destination != NULL, FALSE);
#line 233 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	flags = 0;
#line 235 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = overwrite;
#line 235 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (_tmp0_) {
#line 237 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		flags = G_FILE_COPY_OVERWRITE;
#line 743 "vfs-file-impl-gio.c"
	}
#line 239 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp2_ = self->priv->_file;
#line 239 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp3_ = destination;
#line 239 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp4_ = desktop_agnostic_vfs_file_get_implementation (_tmp3_);
#line 239 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp5_ = _tmp4_;
#line 239 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp6_ = flags;
#line 239 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp7_ = g_file_copy (_tmp2_, G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, G_TYPE_FILE, GFile), _tmp6_, NULL, NULL, NULL, &_inner_error_);
#line 239 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp1_ = _tmp7_;
#line 239 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 239 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_propagate_error (error, _inner_error_);
#line 239 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return FALSE;
#line 765 "vfs-file-impl-gio.c"
	}
#line 239 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = _tmp1_;
#line 239 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 771 "vfs-file-impl-gio.c"
}


static gboolean desktop_agnostic_vfs_file_gio_real_remove (DesktopAgnosticVFSFile* base, GError** error) {
	DesktopAgnosticVFSFileGIO * self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp6_ = FALSE;
	GFile* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
	GError * _inner_error_ = NULL;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 245 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = desktop_agnostic_vfs_file_exists ((DesktopAgnosticVFSFile*) self);
#line 245 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (!_tmp0_) {
#line 789 "vfs-file-impl-gio.c"
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
		GError* _tmp4_ = NULL;
		GError* _tmp5_ = NULL;
#line 247 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp1_ = desktop_agnostic_vfs_file_get_uri ((DesktopAgnosticVFSFile*) self);
#line 247 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp2_ = _tmp1_;
#line 247 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp3_ = _tmp2_;
#line 247 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp4_ = g_error_new (DESKTOP_AGNOSTIC_VFS_FILE_ERROR, DESKTOP_AGNOSTIC_VFS_FILE_ERROR_FILE_NOT_FOUND, "The file '%s' does not exist.", _tmp3_);
#line 247 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp5_ = _tmp4_;
#line 247 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_free0 (_tmp3_);
#line 247 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_inner_error_ = _tmp5_;
#line 247 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_propagate_error (error, _inner_error_);
#line 247 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return FALSE;
#line 813 "vfs-file-impl-gio.c"
	}
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp7_ = self->priv->_file;
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp8_ = g_file_delete (_tmp7_, NULL, &_inner_error_);
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp6_ = _tmp8_;
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_propagate_error (error, _inner_error_);
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return FALSE;
#line 827 "vfs-file-impl-gio.c"
	}
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = _tmp6_;
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 833 "vfs-file-impl-gio.c"
}


static gboolean desktop_agnostic_vfs_file_gio_real_is_native (DesktopAgnosticVFSFile* base) {
	DesktopAgnosticVFSFileGIO * self;
	gboolean result = FALSE;
	GFile* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 253 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 255 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = self->priv->_file;
#line 255 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp1_ = g_file_is_native (_tmp0_);
#line 255 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = _tmp1_;
#line 255 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 852 "vfs-file-impl-gio.c"
}


static gchar* desktop_agnostic_vfs_file_gio_real_get_mime_type (DesktopAgnosticVFSFile* base, GError** error) {
	DesktopAgnosticVFSFileGIO * self;
	gchar* result = NULL;
	GFileInfo* fi = NULL;
	GFile* _tmp0_ = NULL;
	GFileInfo* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GError * _inner_error_ = NULL;
#line 258 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 260 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = self->priv->_file;
#line 260 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp1_ = g_file_query_info (_tmp0_, G_FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE, 0, NULL, &_inner_error_);
#line 260 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	fi = _tmp1_;
#line 260 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 260 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_propagate_error (error, _inner_error_);
#line 260 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return NULL;
#line 879 "vfs-file-impl-gio.c"
	}
#line 262 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp2_ = g_file_info_get_content_type (fi);
#line 262 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 262 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = _tmp3_;
#line 262 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (fi);
#line 262 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 891 "vfs-file-impl-gio.c"
}


static gchar** _vala_array_dup1 (gchar** self, int length) {
	gchar** result;
	int i;
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = g_new0 (gchar*, length + 1);
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	for (i = 0; i < length; i++) {
#line 902 "vfs-file-impl-gio.c"
		gchar* _tmp0_ = NULL;
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp0_ = g_strdup (self[i]);
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		result[i] = _tmp0_;
#line 908 "vfs-file-impl-gio.c"
	}
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 912 "vfs-file-impl-gio.c"
}


static gchar** desktop_agnostic_vfs_file_gio_real_get_icon_names (DesktopAgnosticVFSFile* base, int* result_length1, GError** error) {
	DesktopAgnosticVFSFileGIO * self;
	gchar** result = NULL;
	GFileInfo* fi = NULL;
	GFile* _tmp0_ = NULL;
	GFileInfo* _tmp1_ = NULL;
	GIcon* icon = NULL;
	GIcon* _tmp2_ = NULL;
	GIcon* _tmp3_ = NULL;
	GIcon* _tmp4_ = NULL;
	gchar** unknown = NULL;
	gchar** _tmp19_ = NULL;
	gint unknown_length1 = 0;
	gint _unknown_size_ = 0;
	gchar** _tmp20_ = NULL;
	gint _tmp20__length1 = 0;
	GError * _inner_error_ = NULL;
#line 265 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 267 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = self->priv->_file;
#line 267 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp1_ = g_file_query_info (_tmp0_, G_FILE_ATTRIBUTE_STANDARD_ICON, 0, NULL, &_inner_error_);
#line 267 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	fi = _tmp1_;
#line 267 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 267 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_propagate_error (error, _inner_error_);
#line 267 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return NULL;
#line 947 "vfs-file-impl-gio.c"
	}
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp2_ = g_file_info_get_icon (fi);
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	icon = _tmp3_;
#line 270 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp4_ = icon;
#line 270 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (_tmp4_ != NULL) {
#line 959 "vfs-file-impl-gio.c"
		GIcon* _tmp5_ = NULL;
		GIcon* _tmp11_ = NULL;
#line 272 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp5_ = icon;
#line 272 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp5_, g_themed_icon_get_type ())) {
#line 966 "vfs-file-impl-gio.c"
			GValue v = {0};
			GValue _tmp6_ = {0};
			GIcon* _tmp7_ = NULL;
			gchar** names = NULL;
			GValue _tmp8_ = {0};
			gchar** _tmp9_ = NULL;
			gint _tmp9__length1 = 0;
			gint names_length1 = 0;
			gint _names_size_ = 0;
			gchar** _tmp10_ = NULL;
			gint _tmp10__length1 = 0;
#line 275 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			g_value_init (&_tmp6_, G_TYPE_STRV);
#line 275 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			v = _tmp6_;
#line 276 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp7_ = icon;
#line 276 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			g_object_get_property ((GObject*) _tmp7_, "names", &v);
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp8_ = v;
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp9_ = (g_value_get_boxed (&_tmp8_) != NULL) ? _vala_array_dup1 (g_value_get_boxed (&_tmp8_), g_strv_length (g_value_get_boxed (&_tmp8_))) : ((gpointer) g_value_get_boxed (&_tmp8_));
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp9__length1 = g_strv_length (g_value_get_boxed (&_tmp8_));
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			names = _tmp9_;
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			names_length1 = _tmp9__length1;
#line 277 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_names_size_ = names_length1;
#line 282 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp10_ = names;
#line 282 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp10__length1 = names_length1;
#line 282 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			if (result_length1) {
#line 282 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				*result_length1 = _tmp10__length1;
#line 1006 "vfs-file-impl-gio.c"
			}
#line 282 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			result = _tmp10_;
#line 282 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			G_IS_VALUE (&v) ? (g_value_unset (&v), NULL) : NULL;
#line 282 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (icon);
#line 282 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (fi);
#line 282 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			return result;
#line 1018 "vfs-file-impl-gio.c"
		}
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp11_ = icon;
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp11_, g_file_icon_get_type ())) {
#line 1024 "vfs-file-impl-gio.c"
			gchar* path = NULL;
			GIcon* _tmp12_ = NULL;
			GFile* _tmp13_ = NULL;
			gchar* _tmp14_ = NULL;
			gchar** _result_ = NULL;
			const gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
			gchar** _tmp17_ = NULL;
			gint _result__length1 = 0;
			gint __result__size_ = 0;
			gchar** _tmp18_ = NULL;
			gint _tmp18__length1 = 0;
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp12_ = icon;
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp13_ = g_file_icon_get_file (G_TYPE_CHECK_INSTANCE_TYPE (_tmp12_, g_file_icon_get_type ()) ? ((GFileIcon*) _tmp12_) : NULL);
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp14_ = g_file_get_path (_tmp13_);
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			path = _tmp14_;
#line 288 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp15_ = path;
#line 288 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp16_ = g_strdup (_tmp15_);
#line 288 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp17_ = g_new0 (gchar*, 1 + 1);
#line 288 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp17_[0] = _tmp16_;
#line 288 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_result_ = _tmp17_;
#line 288 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_result__length1 = 1;
#line 288 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			__result__size_ = _result__length1;
#line 290 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp18_ = _result_;
#line 290 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp18__length1 = _result__length1;
#line 290 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			if (result_length1) {
#line 290 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				*result_length1 = _tmp18__length1;
#line 1067 "vfs-file-impl-gio.c"
			}
#line 290 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			result = _tmp18_;
#line 290 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_free0 (path);
#line 290 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (icon);
#line 290 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (fi);
#line 290 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			return result;
#line 1079 "vfs-file-impl-gio.c"
		}
	}
#line 295 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp19_ = g_new0 (gchar*, 0 + 1);
#line 295 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	unknown = _tmp19_;
#line 295 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	unknown_length1 = 0;
#line 295 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_unknown_size_ = unknown_length1;
#line 296 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp20_ = unknown;
#line 296 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp20__length1 = unknown_length1;
#line 296 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (result_length1) {
#line 296 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		*result_length1 = _tmp20__length1;
#line 1098 "vfs-file-impl-gio.c"
	}
#line 296 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = _tmp20_;
#line 296 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (icon);
#line 296 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (fi);
#line 296 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 1108 "vfs-file-impl-gio.c"
}


static gchar* desktop_agnostic_vfs_file_gio_real_get_thumbnail_path (DesktopAgnosticVFSFile* base) {
	DesktopAgnosticVFSFileGIO * self;
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 299 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 1118 "vfs-file-impl-gio.c"
	{
		GFileInfo* fi = NULL;
		GFile* _tmp0_ = NULL;
		GFileInfo* _tmp1_ = NULL;
		GFileInfo* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 304 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp0_ = self->priv->_file;
#line 304 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp1_ = g_file_query_info (_tmp0_, G_FILE_ATTRIBUTE_THUMBNAIL_PATH, 0, NULL, &_inner_error_);
#line 304 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		fi = _tmp1_;
#line 304 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1133 "vfs-file-impl-gio.c"
			goto __catch0_g_error;
		}
#line 306 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp2_ = fi;
#line 306 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp3_ = g_file_info_has_attribute (_tmp2_, G_FILE_ATTRIBUTE_THUMBNAIL_PATH);
#line 306 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		if (_tmp3_) {
#line 1142 "vfs-file-impl-gio.c"
			GFileInfo* _tmp4_ = NULL;
			const gchar* _tmp5_ = NULL;
			gchar* _tmp6_ = NULL;
#line 308 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp4_ = fi;
#line 308 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp5_ = g_file_info_get_attribute_byte_string (_tmp4_, G_FILE_ATTRIBUTE_THUMBNAIL_PATH);
#line 308 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp6_ = g_strdup (_tmp5_);
#line 308 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			result = _tmp6_;
#line 308 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (fi);
#line 308 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			return result;
#line 1158 "vfs-file-impl-gio.c"
		}
#line 302 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (fi);
#line 1162 "vfs-file-impl-gio.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* err = NULL;
		GError* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
#line 302 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		err = _inner_error_;
#line 302 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_inner_error_ = NULL;
#line 313 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp7_ = err;
#line 313 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp8_ = _tmp7_->message;
#line 313 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_warning ("vfs-file-impl-gio.vala:313: %s", _tmp8_);
#line 302 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_error_free0 (err);
#line 1182 "vfs-file-impl-gio.c"
	}
	__finally0:
#line 302 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 302 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 302 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_clear_error (&_inner_error_);
#line 302 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return NULL;
#line 1193 "vfs-file-impl-gio.c"
	}
#line 315 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = NULL;
#line 315 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 1199 "vfs-file-impl-gio.c"
}


DesktopAgnosticVFSFileGIO* desktop_agnostic_vfs_file_gio_construct (GType object_type) {
	DesktopAgnosticVFSFileGIO * self = NULL;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) desktop_agnostic_vfs_file_construct (object_type);
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return self;
#line 1209 "vfs-file-impl-gio.c"
}


DesktopAgnosticVFSFileGIO* desktop_agnostic_vfs_file_gio_new (void) {
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return desktop_agnostic_vfs_file_gio_construct (DESKTOP_AGNOSTIC_VFS_TYPE_FILE_GIO);
#line 1216 "vfs-file-impl-gio.c"
}


static void* desktop_agnostic_vfs_file_gio_real_get_implementation (DesktopAgnosticVFSFile* base) {
	void* result;
	DesktopAgnosticVFSFileGIO* self;
	GFile* _tmp0_ = NULL;
#line 30 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 32 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = self->priv->_file;
#line 32 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = (void*) _tmp0_;
#line 32 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 1232 "vfs-file-impl-gio.c"
}


static gchar* desktop_agnostic_vfs_file_gio_real_get_impl_path (DesktopAgnosticVFSFile* base) {
	gchar* result;
	DesktopAgnosticVFSFileGIO* self;
	GFile* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 38 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 40 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = self->priv->_file;
#line 40 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp1_ = g_file_get_path (_tmp0_);
#line 40 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = _tmp1_;
#line 40 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 1251 "vfs-file-impl-gio.c"
}


static gchar* desktop_agnostic_vfs_file_gio_real_get_impl_uri (DesktopAgnosticVFSFile* base) {
	gchar* result;
	DesktopAgnosticVFSFileGIO* self;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 45 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 47 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = self->priv->_uri;
#line 47 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (_tmp0_ == NULL) {
#line 1267 "vfs-file-impl-gio.c"
		GFile* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
#line 49 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp1_ = self->priv->_file;
#line 49 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp2_ = g_file_get_uri (_tmp1_);
#line 49 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_free0 (self->priv->_uri);
#line 49 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		self->priv->_uri = _tmp2_;
#line 1278 "vfs-file-impl-gio.c"
	}
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp3_ = self->priv->_uri;
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = _tmp4_;
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 1288 "vfs-file-impl-gio.c"
}


static DesktopAgnosticVFSFileType desktop_agnostic_vfs_file_gio_real_get_file_type (DesktopAgnosticVFSFile* base) {
	DesktopAgnosticVFSFileType result;
	DesktopAgnosticVFSFileGIO* self;
	DesktopAgnosticVFSFileType ft = 0;
	gboolean _tmp0_ = FALSE;
	DesktopAgnosticVFSFileType _tmp10_ = 0;
	GError * _inner_error_ = NULL;
#line 56 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 58 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	ft = DESKTOP_AGNOSTIC_VFS_FILE_TYPE_UNKNOWN;
#line 59 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = desktop_agnostic_vfs_file_exists ((DesktopAgnosticVFSFile*) self);
#line 59 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (_tmp0_) {
#line 1307 "vfs-file-impl-gio.c"
		GFileInfo* info = NULL;
		GFileType gft = 0;
		{
			GFileInfo* _tmp1_ = NULL;
			GFile* _tmp2_ = NULL;
			GFileInfo* _tmp3_ = NULL;
			GFileInfo* _tmp4_ = NULL;
			GFileInfo* _tmp5_ = NULL;
			guint32 _tmp6_ = 0U;
			GFileType _tmp7_ = 0;
#line 67 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp2_ = self->priv->_file;
#line 67 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp3_ = g_file_query_info (_tmp2_, G_FILE_ATTRIBUTE_STANDARD_TYPE, G_FILE_QUERY_INFO_NOFOLLOW_SYMLINKS, NULL, &_inner_error_);
#line 67 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp1_ = _tmp3_;
#line 67 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1326 "vfs-file-impl-gio.c"
				goto __catch1_g_error;
			}
#line 67 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp4_ = _tmp1_;
#line 67 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp1_ = NULL;
#line 67 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (info);
#line 67 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			info = _tmp4_;
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp5_ = info;
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp6_ = g_file_info_get_attribute_uint32 (_tmp5_, G_FILE_ATTRIBUTE_STANDARD_TYPE);
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			gft = (GFileType) _tmp6_;
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp7_ = gft;
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			switch (_tmp7_) {
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				case G_FILE_TYPE_REGULAR:
#line 1349 "vfs-file-impl-gio.c"
				{
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
					ft = DESKTOP_AGNOSTIC_VFS_FILE_TYPE_REGULAR;
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
					break;
#line 1355 "vfs-file-impl-gio.c"
				}
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				case G_FILE_TYPE_DIRECTORY:
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				case G_FILE_TYPE_MOUNTABLE:
#line 1361 "vfs-file-impl-gio.c"
				{
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
					ft = DESKTOP_AGNOSTIC_VFS_FILE_TYPE_DIRECTORY;
#line 79 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
					break;
#line 1367 "vfs-file-impl-gio.c"
				}
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				case G_FILE_TYPE_SYMBOLIC_LINK:
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				case G_FILE_TYPE_SHORTCUT:
#line 1373 "vfs-file-impl-gio.c"
				{
#line 82 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
					ft = DESKTOP_AGNOSTIC_VFS_FILE_TYPE_SYMBOLIC_LINK;
#line 83 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
					break;
#line 1379 "vfs-file-impl-gio.c"
				}
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				case G_FILE_TYPE_SPECIAL:
#line 1383 "vfs-file-impl-gio.c"
				{
#line 85 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
					ft = DESKTOP_AGNOSTIC_VFS_FILE_TYPE_SPECIAL;
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
					break;
#line 1389 "vfs-file-impl-gio.c"
				}
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				case G_FILE_TYPE_UNKNOWN:
#line 1393 "vfs-file-impl-gio.c"
				{
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
					ft = DESKTOP_AGNOSTIC_VFS_FILE_TYPE_UNKNOWN;
#line 89 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
					break;
#line 1399 "vfs-file-impl-gio.c"
				}
				default:
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				break;
#line 1404 "vfs-file-impl-gio.c"
			}
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (_tmp1_);
#line 1408 "vfs-file-impl-gio.c"
		}
		goto __finally1;
		__catch1_g_error:
		{
			GError* err = NULL;
			GError* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			err = _inner_error_;
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_inner_error_ = NULL;
#line 94 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp8_ = err;
#line 94 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp9_ = _tmp8_->message;
#line 94 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			g_warning ("vfs-file-impl-gio.vala:94: An error occurred while querying the file t" \
"ype: %s", _tmp9_);
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			ft = DESKTOP_AGNOSTIC_VFS_FILE_TYPE_UNKNOWN;
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_error_free0 (err);
#line 1430 "vfs-file-impl-gio.c"
		}
		__finally1:
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (info);
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			g_clear_error (&_inner_error_);
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			return 0;
#line 1443 "vfs-file-impl-gio.c"
		}
#line 59 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (info);
#line 1447 "vfs-file-impl-gio.c"
	}
#line 99 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp10_ = ft;
#line 99 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = _tmp10_;
#line 99 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 1455 "vfs-file-impl-gio.c"
}


static DesktopAgnosticVFSAccessFlags desktop_agnostic_vfs_file_gio_real_get_access_flags (DesktopAgnosticVFSFile* base) {
	DesktopAgnosticVFSAccessFlags result;
	DesktopAgnosticVFSFileGIO* self;
	DesktopAgnosticVFSAccessFlags flags = 0;
	gboolean _tmp0_ = FALSE;
	DesktopAgnosticVFSAccessFlags _tmp18_ = 0;
	GError * _inner_error_ = NULL;
#line 104 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 106 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	flags = DESKTOP_AGNOSTIC_VFS_ACCESS_FLAGS_NONE;
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = desktop_agnostic_vfs_file_exists ((DesktopAgnosticVFSFile*) self);
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (_tmp0_) {
#line 1474 "vfs-file-impl-gio.c"
		GFileInfo* info = NULL;
		{
			gchar* attrs = NULL;
			gchar* _tmp1_ = NULL;
			GFileInfo* _tmp2_ = NULL;
			GFile* _tmp3_ = NULL;
			const gchar* _tmp4_ = NULL;
			GFileInfo* _tmp5_ = NULL;
			GFileInfo* _tmp6_ = NULL;
			GFileInfo* _tmp7_ = NULL;
			gboolean _tmp8_ = FALSE;
			GFileInfo* _tmp10_ = NULL;
			gboolean _tmp11_ = FALSE;
			GFileInfo* _tmp13_ = NULL;
			gboolean _tmp14_ = FALSE;
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp1_ = g_strdup_printf ("%s,%s,%s", G_FILE_ATTRIBUTE_ACCESS_CAN_READ, G_FILE_ATTRIBUTE_ACCESS_CAN_WRITE, G_FILE_ATTRIBUTE_ACCESS_CAN_EXECUTE);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_free0 (attrs);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			attrs = _tmp1_;
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp3_ = self->priv->_file;
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp4_ = attrs;
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp5_ = g_file_query_info (_tmp3_, _tmp4_, G_FILE_QUERY_INFO_NONE, NULL, &_inner_error_);
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp2_ = _tmp5_;
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				_g_free0 (attrs);
#line 1508 "vfs-file-impl-gio.c"
				goto __catch2_g_error;
			}
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp6_ = _tmp2_;
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp2_ = NULL;
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (info);
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			info = _tmp6_;
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp7_ = info;
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp8_ = g_file_info_get_attribute_boolean (_tmp7_, G_FILE_ATTRIBUTE_ACCESS_CAN_READ);
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			if (_tmp8_) {
#line 1525 "vfs-file-impl-gio.c"
				DesktopAgnosticVFSAccessFlags _tmp9_ = 0;
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				_tmp9_ = flags;
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				flags = _tmp9_ | DESKTOP_AGNOSTIC_VFS_ACCESS_FLAGS_READ;
#line 1531 "vfs-file-impl-gio.c"
			}
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp10_ = info;
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp11_ = g_file_info_get_attribute_boolean (_tmp10_, G_FILE_ATTRIBUTE_ACCESS_CAN_WRITE);
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			if (_tmp11_) {
#line 1539 "vfs-file-impl-gio.c"
				DesktopAgnosticVFSAccessFlags _tmp12_ = 0;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				_tmp12_ = flags;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				flags = _tmp12_ | DESKTOP_AGNOSTIC_VFS_ACCESS_FLAGS_WRITE;
#line 1545 "vfs-file-impl-gio.c"
			}
#line 128 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp13_ = info;
#line 128 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp14_ = g_file_info_get_attribute_boolean (_tmp13_, G_FILE_ATTRIBUTE_ACCESS_CAN_EXECUTE);
#line 128 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			if (_tmp14_) {
#line 1553 "vfs-file-impl-gio.c"
				DesktopAgnosticVFSAccessFlags _tmp15_ = 0;
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				_tmp15_ = flags;
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
				flags = _tmp15_ | DESKTOP_AGNOSTIC_VFS_ACCESS_FLAGS_EXECUTE;
#line 1559 "vfs-file-impl-gio.c"
			}
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (_tmp2_);
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_free0 (attrs);
#line 1565 "vfs-file-impl-gio.c"
		}
		goto __finally2;
		__catch2_g_error:
		{
			GError* err = NULL;
			GError* _tmp16_ = NULL;
			const gchar* _tmp17_ = NULL;
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			err = _inner_error_;
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_inner_error_ = NULL;
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp16_ = err;
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_tmp17_ = _tmp16_->message;
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			g_warning ("vfs-file-impl-gio.vala:135: An error occurred while querying the acces" \
"s flags: %s", _tmp17_);
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_error_free0 (err);
#line 1585 "vfs-file-impl-gio.c"
		}
		__finally2:
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			_g_object_unref0 (info);
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			g_clear_error (&_inner_error_);
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
			return 0;
#line 1598 "vfs-file-impl-gio.c"
		}
#line 107 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (info);
#line 1602 "vfs-file-impl-gio.c"
	}
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp18_ = flags;
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	result = _tmp18_;
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	return result;
#line 1610 "vfs-file-impl-gio.c"
}


static DesktopAgnosticVFSFile* desktop_agnostic_vfs_file_gio_real_get_parent (DesktopAgnosticVFSFile* base) {
	DesktopAgnosticVFSFile* result;
	DesktopAgnosticVFSFileGIO* self;
	GFile* file = NULL;
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = (DesktopAgnosticVFSFileGIO*) base;
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp0_ = self->priv->_file;
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp1_ = g_file_get_parent (_tmp0_);
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (file);
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	file = _tmp1_;
#line 150 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_tmp2_ = file;
#line 150 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	if (_tmp2_ == NULL) {
#line 152 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		result = NULL;
#line 152 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (file);
#line 152 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return result;
#line 1641 "vfs-file-impl-gio.c"
	} else {
		DesktopAgnosticVFSFile* _result_ = NULL;
		DesktopAgnosticVFSFileGIO* _tmp3_ = NULL;
		DesktopAgnosticVFSFile* _tmp4_ = NULL;
		GFile* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
#line 158 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp3_ = desktop_agnostic_vfs_file_gio_new ();
#line 158 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (_result_);
#line 158 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_result_ = (DesktopAgnosticVFSFile*) _tmp3_;
#line 159 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp4_ = _result_;
#line 159 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp5_ = file;
#line 159 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp6_ = g_file_get_uri (_tmp5_);
#line 159 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_tmp7_ = _tmp6_;
#line 159 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		desktop_agnostic_vfs_file_init (_tmp4_, _tmp7_);
#line 159 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_free0 (_tmp7_);
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		result = _result_;
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		_g_object_unref0 (file);
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		return result;
#line 1673 "vfs-file-impl-gio.c"
	}
#line 145 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (file);
#line 1677 "vfs-file-impl-gio.c"
}


static void desktop_agnostic_vfs_file_gio_class_init (DesktopAgnosticVFSFileGIOClass * klass) {
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	desktop_agnostic_vfs_file_gio_parent_class = g_type_class_peek_parent (klass);
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_type_class_add_private (klass, sizeof (DesktopAgnosticVFSFileGIOPrivate));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	((DesktopAgnosticVFSFileClass *) klass)->init = desktop_agnostic_vfs_file_gio_real_init;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	((DesktopAgnosticVFSFileClass *) klass)->exists = desktop_agnostic_vfs_file_gio_real_exists;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	((DesktopAgnosticVFSFileClass *) klass)->monitor = desktop_agnostic_vfs_file_gio_real_monitor;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	((DesktopAgnosticVFSFileClass *) klass)->load_contents = desktop_agnostic_vfs_file_gio_real_load_contents;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	((DesktopAgnosticVFSFileClass *) klass)->replace_contents = desktop_agnostic_vfs_file_gio_real_replace_contents;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	((DesktopAgnosticVFSFileClass *) klass)->launch = desktop_agnostic_vfs_file_gio_real_launch;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	((DesktopAgnosticVFSFileClass *) klass)->enumerate_children = desktop_agnostic_vfs_file_gio_real_enumerate_children;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	((DesktopAgnosticVFSFileClass *) klass)->copy = desktop_agnostic_vfs_file_gio_real_copy;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	((DesktopAgnosticVFSFileClass *) klass)->remove = desktop_agnostic_vfs_file_gio_real_remove;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	((DesktopAgnosticVFSFileClass *) klass)->is_native = desktop_agnostic_vfs_file_gio_real_is_native;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	((DesktopAgnosticVFSFileClass *) klass)->get_mime_type = desktop_agnostic_vfs_file_gio_real_get_mime_type;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	((DesktopAgnosticVFSFileClass *) klass)->get_icon_names = desktop_agnostic_vfs_file_gio_real_get_icon_names;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	((DesktopAgnosticVFSFileClass *) klass)->get_thumbnail_path = desktop_agnostic_vfs_file_gio_real_get_thumbnail_path;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	DESKTOP_AGNOSTIC_VFS_FILE_CLASS (klass)->get_implementation = desktop_agnostic_vfs_file_gio_real_get_implementation;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	DESKTOP_AGNOSTIC_VFS_FILE_CLASS (klass)->get_impl_path = desktop_agnostic_vfs_file_gio_real_get_impl_path;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	DESKTOP_AGNOSTIC_VFS_FILE_CLASS (klass)->get_impl_uri = desktop_agnostic_vfs_file_gio_real_get_impl_uri;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	DESKTOP_AGNOSTIC_VFS_FILE_CLASS (klass)->get_file_type = desktop_agnostic_vfs_file_gio_real_get_file_type;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	DESKTOP_AGNOSTIC_VFS_FILE_CLASS (klass)->get_access_flags = desktop_agnostic_vfs_file_gio_real_get_access_flags;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	DESKTOP_AGNOSTIC_VFS_FILE_CLASS (klass)->get_parent = desktop_agnostic_vfs_file_gio_real_get_parent;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_desktop_agnostic_vfs_file_gio_get_property;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	G_OBJECT_CLASS (klass)->finalize = desktop_agnostic_vfs_file_gio_finalize;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_VFS_FILE_GIO_IMPLEMENTATION, g_param_spec_pointer ("implementation", "implementation", "implementation", G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_VFS_FILE_GIO_IMPL_PATH, g_param_spec_string ("impl-path", "impl-path", "impl-path", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_VFS_FILE_GIO_IMPL_URI, g_param_spec_string ("impl-uri", "impl-uri", "impl-uri", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_VFS_FILE_GIO_FILE_TYPE, g_param_spec_enum ("file-type", "file-type", "file-type", DESKTOP_AGNOSTIC_VFS_TYPE_FILE_TYPE, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_VFS_FILE_GIO_ACCESS_FLAGS, g_param_spec_enum ("access-flags", "access-flags", "access-flags", DESKTOP_AGNOSTIC_VFS_TYPE_ACCESS_FLAGS, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_VFS_FILE_GIO_PARENT, g_param_spec_object ("parent", "parent", "parent", DESKTOP_AGNOSTIC_VFS_TYPE_FILE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 1740 "vfs-file-impl-gio.c"
}


static void desktop_agnostic_vfs_file_gio_instance_init (DesktopAgnosticVFSFileGIO * self) {
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self->priv = DESKTOP_AGNOSTIC_VFS_FILE_GIO_GET_PRIVATE (self);
#line 1747 "vfs-file-impl-gio.c"
}


static void desktop_agnostic_vfs_file_gio_finalize (GObject* obj) {
	DesktopAgnosticVFSFileGIO * self;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, DESKTOP_AGNOSTIC_VFS_TYPE_FILE_GIO, DesktopAgnosticVFSFileGIO);
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_object_unref0 (self->priv->_file);
#line 35 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	_g_free0 (self->priv->_uri);
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	G_OBJECT_CLASS (desktop_agnostic_vfs_file_gio_parent_class)->finalize (obj);
#line 1761 "vfs-file-impl-gio.c"
}


GType desktop_agnostic_vfs_file_gio_get_type (void) {
	static volatile gsize desktop_agnostic_vfs_file_gio_type_id__volatile = 0;
	if (g_once_init_enter (&desktop_agnostic_vfs_file_gio_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DesktopAgnosticVFSFileGIOClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) desktop_agnostic_vfs_file_gio_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DesktopAgnosticVFSFileGIO), 0, (GInstanceInitFunc) desktop_agnostic_vfs_file_gio_instance_init, NULL };
		GType desktop_agnostic_vfs_file_gio_type_id;
		desktop_agnostic_vfs_file_gio_type_id = g_type_register_static (DESKTOP_AGNOSTIC_VFS_TYPE_FILE, "DesktopAgnosticVFSFileGIO", &g_define_type_info, 0);
		g_once_init_leave (&desktop_agnostic_vfs_file_gio_type_id__volatile, desktop_agnostic_vfs_file_gio_type_id);
	}
	return desktop_agnostic_vfs_file_gio_type_id__volatile;
}


static void _vala_desktop_agnostic_vfs_file_gio_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	DesktopAgnosticVFSFileGIO * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DESKTOP_AGNOSTIC_VFS_TYPE_FILE_GIO, DesktopAgnosticVFSFileGIO);
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
	switch (property_id) {
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		case DESKTOP_AGNOSTIC_VFS_FILE_GIO_IMPLEMENTATION:
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_value_set_pointer (value, desktop_agnostic_vfs_file_get_implementation ((DesktopAgnosticVFSFile*) self));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		break;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		case DESKTOP_AGNOSTIC_VFS_FILE_GIO_IMPL_PATH:
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_value_take_string (value, desktop_agnostic_vfs_file_get_impl_path ((DesktopAgnosticVFSFile*) self));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		break;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		case DESKTOP_AGNOSTIC_VFS_FILE_GIO_IMPL_URI:
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_value_take_string (value, desktop_agnostic_vfs_file_get_impl_uri ((DesktopAgnosticVFSFile*) self));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		break;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		case DESKTOP_AGNOSTIC_VFS_FILE_GIO_FILE_TYPE:
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_value_set_enum (value, desktop_agnostic_vfs_file_get_file_type ((DesktopAgnosticVFSFile*) self));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		break;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		case DESKTOP_AGNOSTIC_VFS_FILE_GIO_ACCESS_FLAGS:
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_value_set_enum (value, desktop_agnostic_vfs_file_get_access_flags ((DesktopAgnosticVFSFile*) self));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		break;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		case DESKTOP_AGNOSTIC_VFS_FILE_GIO_PARENT:
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		g_value_take_object (value, desktop_agnostic_vfs_file_get_parent ((DesktopAgnosticVFSFile*) self));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		break;
#line 1818 "vfs-file-impl-gio.c"
		default:
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file-impl-gio.vala"
		break;
#line 1824 "vfs-file-impl-gio.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



