/* vfs-glob.c generated by valac 0.26.1, the Vala compiler
 * generated from vfs-glob.vala, do not modify */

/*
 * Desktop Agnostic Library: glob() wrapper.
 *
 * Copyright (C) 2009 Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * Author : Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <glob.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>


#define DESKTOP_AGNOSTIC_VFS_TYPE_GLOB (desktop_agnostic_vfs_glob_get_type ())
#define DESKTOP_AGNOSTIC_VFS_GLOB(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_GLOB, DesktopAgnosticVFSGlob))
#define DESKTOP_AGNOSTIC_VFS_GLOB_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DESKTOP_AGNOSTIC_VFS_TYPE_GLOB, DesktopAgnosticVFSGlobClass))
#define DESKTOP_AGNOSTIC_VFS_IS_GLOB(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_GLOB))
#define DESKTOP_AGNOSTIC_VFS_IS_GLOB_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DESKTOP_AGNOSTIC_VFS_TYPE_GLOB))
#define DESKTOP_AGNOSTIC_VFS_GLOB_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_GLOB, DesktopAgnosticVFSGlobClass))

typedef struct _DesktopAgnosticVFSGlob DesktopAgnosticVFSGlob;
typedef struct _DesktopAgnosticVFSGlobClass DesktopAgnosticVFSGlobClass;
typedef struct _DesktopAgnosticVFSGlobPrivate DesktopAgnosticVFSGlobPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

typedef enum  {
	DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_NOSPACE,
	DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_ABORTED,
	DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_NOMATCH,
	DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_BAD_PATTERN,
	DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_BAD_FLAGS,
	DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_ERRNO
} DesktopAgnosticVFSGlobError;
#define DESKTOP_AGNOSTIC_VFS_GLOB_ERROR desktop_agnostic_vfs_glob_error_quark ()
struct _DesktopAgnosticVFSGlob {
	GObject parent_instance;
	DesktopAgnosticVFSGlobPrivate * priv;
};

struct _DesktopAgnosticVFSGlobClass {
	GObjectClass parent_class;
};

struct _DesktopAgnosticVFSGlobPrivate {
	glob_t glob;
	gchar* _pattern;
	gint _flags;
};


static gpointer desktop_agnostic_vfs_glob_parent_class = NULL;

GQuark desktop_agnostic_vfs_glob_error_quark (void);
GType desktop_agnostic_vfs_glob_get_type (void) G_GNUC_CONST;
#define DESKTOP_AGNOSTIC_VFS_GLOB_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), DESKTOP_AGNOSTIC_VFS_TYPE_GLOB, DesktopAgnosticVFSGlobPrivate))
enum  {
	DESKTOP_AGNOSTIC_VFS_GLOB_DUMMY_PROPERTY,
	DESKTOP_AGNOSTIC_VFS_GLOB_OFFSET,
	DESKTOP_AGNOSTIC_VFS_GLOB_PATTERN,
	DESKTOP_AGNOSTIC_VFS_GLOB_FLAGS
};
DesktopAgnosticVFSGlob* desktop_agnostic_vfs_glob_execute (const gchar* pattern, GError** error);
static void desktop_agnostic_vfs_glob_run_glob (DesktopAgnosticVFSGlob* self, const gchar* pattern, gint flags, GError** error);
DesktopAgnosticVFSGlob* desktop_agnostic_vfs_glob_execute_with_flags (const gchar* pattern, gint flags, GError** error);
void desktop_agnostic_vfs_glob_append (DesktopAgnosticVFSGlob* self, const gchar* pattern, GError** error);
gchar** desktop_agnostic_vfs_glob_get_paths (DesktopAgnosticVFSGlob* self, int* result_length1);
static gint desktop_agnostic_vfs_glob_on_glob_error (const gchar* path, gint eerrno);
DesktopAgnosticVFSGlob* desktop_agnostic_vfs_glob_new (void);
DesktopAgnosticVFSGlob* desktop_agnostic_vfs_glob_construct (GType object_type);
gsize desktop_agnostic_vfs_glob_get_offset (DesktopAgnosticVFSGlob* self);
const gchar* desktop_agnostic_vfs_glob_get_pattern (DesktopAgnosticVFSGlob* self);
void desktop_agnostic_vfs_glob_set_pattern (DesktopAgnosticVFSGlob* self, const gchar* value);
gint desktop_agnostic_vfs_glob_get_flags (DesktopAgnosticVFSGlob* self);
void desktop_agnostic_vfs_glob_set_flags (DesktopAgnosticVFSGlob* self, gint value);
static void desktop_agnostic_vfs_glob_finalize (GObject* obj);
static void _vala_desktop_agnostic_vfs_glob_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_desktop_agnostic_vfs_glob_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


GQuark desktop_agnostic_vfs_glob_error_quark (void) {
#line 237 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-file.vala"
	return g_quark_from_static_string ("desktop_agnostic_vfs_glob_error-quark");
#line 105 "vfs-glob.c"
}


DesktopAgnosticVFSGlob* desktop_agnostic_vfs_glob_execute (const gchar* pattern, GError** error) {
	DesktopAgnosticVFSGlob* result = NULL;
	DesktopAgnosticVFSGlob* g = NULL;
	const gchar* _tmp0_ = NULL;
	GObject* _tmp1_ = NULL;
	GObject* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gint _tmp4_ = 0;
	GError * _inner_error_ = NULL;
#line 84 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_return_val_if_fail (pattern != NULL, NULL);
#line 87 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp0_ = pattern;
#line 87 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp1_ = g_object_new (DESKTOP_AGNOSTIC_VFS_TYPE_GLOB, "pattern", _tmp0_, NULL);
#line 87 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp2_ = G_IS_INITIALLY_UNOWNED (_tmp1_) ? g_object_ref_sink (_tmp1_) : _tmp1_;
#line 87 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g = G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, DESKTOP_AGNOSTIC_VFS_TYPE_GLOB, DesktopAgnosticVFSGlob);
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp3_ = g->priv->_pattern;
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp4_ = g->priv->_flags;
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	desktop_agnostic_vfs_glob_run_glob (g, _tmp3_, _tmp4_, &_inner_error_);
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		if (_inner_error_->domain == DESKTOP_AGNOSTIC_VFS_GLOB_ERROR) {
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			g_propagate_error (error, _inner_error_);
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			_g_object_unref0 (g);
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			return NULL;
#line 144 "vfs-glob.c"
		} else {
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			_g_object_unref0 (g);
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			g_clear_error (&_inner_error_);
#line 88 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			return NULL;
#line 154 "vfs-glob.c"
		}
	}
#line 89 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	result = g;
#line 89 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	return result;
#line 161 "vfs-glob.c"
}


DesktopAgnosticVFSGlob* desktop_agnostic_vfs_glob_execute_with_flags (const gchar* pattern, gint flags, GError** error) {
	DesktopAgnosticVFSGlob* result = NULL;
	DesktopAgnosticVFSGlob* g = NULL;
	const gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	GObject* _tmp2_ = NULL;
	GObject* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	GError * _inner_error_ = NULL;
#line 91 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_return_val_if_fail (pattern != NULL, NULL);
#line 94 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp0_ = pattern;
#line 94 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp1_ = flags;
#line 94 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp2_ = g_object_new (DESKTOP_AGNOSTIC_VFS_TYPE_GLOB, "pattern", _tmp0_, "flags", _tmp1_, NULL);
#line 94 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp3_ = G_IS_INITIALLY_UNOWNED (_tmp2_) ? g_object_ref_sink (_tmp2_) : _tmp2_;
#line 94 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g = G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, DESKTOP_AGNOSTIC_VFS_TYPE_GLOB, DesktopAgnosticVFSGlob);
#line 97 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp4_ = g->priv->_pattern;
#line 97 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp5_ = g->priv->_flags;
#line 97 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	desktop_agnostic_vfs_glob_run_glob (g, _tmp4_, _tmp5_, &_inner_error_);
#line 97 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 97 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		if (_inner_error_->domain == DESKTOP_AGNOSTIC_VFS_GLOB_ERROR) {
#line 97 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			g_propagate_error (error, _inner_error_);
#line 97 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			_g_object_unref0 (g);
#line 97 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			return NULL;
#line 203 "vfs-glob.c"
		} else {
#line 97 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			_g_object_unref0 (g);
#line 97 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 97 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			g_clear_error (&_inner_error_);
#line 97 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			return NULL;
#line 213 "vfs-glob.c"
		}
	}
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	result = g;
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	return result;
#line 220 "vfs-glob.c"
}


void desktop_agnostic_vfs_glob_append (DesktopAgnosticVFSGlob* self, const gchar* pattern, GError** error) {
	const gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	GError * _inner_error_ = NULL;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_return_if_fail (self != NULL);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_return_if_fail (pattern != NULL);
#line 103 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp0_ = pattern;
#line 103 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp1_ = self->priv->_flags;
#line 103 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	desktop_agnostic_vfs_glob_run_glob (self, _tmp0_, _tmp1_ | GLOB_APPEND, &_inner_error_);
#line 103 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 103 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		if (_inner_error_->domain == DESKTOP_AGNOSTIC_VFS_GLOB_ERROR) {
#line 103 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			g_propagate_error (error, _inner_error_);
#line 103 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			return;
#line 246 "vfs-glob.c"
		} else {
#line 103 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 103 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			g_clear_error (&_inner_error_);
#line 103 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			return;
#line 254 "vfs-glob.c"
		}
	}
}


gchar** desktop_agnostic_vfs_glob_get_paths (DesktopAgnosticVFSGlob* self, int* result_length1) {
	gchar** result = NULL;
	glob_t _tmp0_ = {0};
	gchar** _tmp1_ = NULL;
	gint _tmp1__length1 = 0;
	gchar** _tmp2_ = NULL;
	gint _tmp2__length1 = 0;
#line 105 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp0_ = self->priv->glob;
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp1_ = _tmp0_.gl_pathv;
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp1__length1 = _tmp0_.gl_pathc;
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp2_ = _tmp1_;
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp2__length1 = _tmp1__length1;
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	if (result_length1) {
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		*result_length1 = _tmp2__length1;
#line 283 "vfs-glob.c"
	}
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	result = _tmp2_;
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	return result;
#line 289 "vfs-glob.c"
}


static void desktop_agnostic_vfs_glob_run_glob (DesktopAgnosticVFSGlob* self, const gchar* pattern, gint flags, GError** error) {
	gint res = 0;
	const gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	glob_t _tmp2_ = {0};
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	GError * _inner_error_ = NULL;
#line 110 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_return_if_fail (self != NULL);
#line 110 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_return_if_fail (pattern != NULL);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp0_ = pattern;
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp1_ = flags;
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp3_ = glob (_tmp0_, _tmp1_, (void*) desktop_agnostic_vfs_glob_on_glob_error, &_tmp2_);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	globfree (&self->priv->glob);
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	self->priv->glob = _tmp2_;
#line 113 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	res = _tmp3_;
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp4_ = res;
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	if (_tmp4_ != 0) {
#line 321 "vfs-glob.c"
		gint _tmp5_ = 0;
#line 117 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		_tmp5_ = res;
#line 117 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		switch (_tmp5_) {
#line 117 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			case GLOB_NOSPACE:
#line 329 "vfs-glob.c"
			{
				GError* _tmp6_ = NULL;
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
				_tmp6_ = g_error_new_literal (DESKTOP_AGNOSTIC_VFS_GLOB_ERROR, DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_NOSPACE, "Ran out of memory.");
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
				_inner_error_ = _tmp6_;
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
				if (_inner_error_->domain == DESKTOP_AGNOSTIC_VFS_GLOB_ERROR) {
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					g_propagate_error (error, _inner_error_);
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					return;
#line 342 "vfs-glob.c"
				} else {
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					g_clear_error (&_inner_error_);
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					return;
#line 350 "vfs-glob.c"
				}
			}
#line 117 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			case GLOB_ABORTED:
#line 355 "vfs-glob.c"
			{
				GError* _tmp7_ = NULL;
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
				_tmp7_ = g_error_new_literal (DESKTOP_AGNOSTIC_VFS_GLOB_ERROR, DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_ABORTED, "Read error.");
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
				_inner_error_ = _tmp7_;
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
				if (_inner_error_->domain == DESKTOP_AGNOSTIC_VFS_GLOB_ERROR) {
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					g_propagate_error (error, _inner_error_);
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					return;
#line 368 "vfs-glob.c"
				} else {
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					g_clear_error (&_inner_error_);
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					return;
#line 376 "vfs-glob.c"
				}
			}
#line 117 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			case GLOB_NOMATCH:
#line 381 "vfs-glob.c"
			{
				GError* _tmp8_ = NULL;
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
				_tmp8_ = g_error_new_literal (DESKTOP_AGNOSTIC_VFS_GLOB_ERROR, DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_NOMATCH, "No matches found.");
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
				_inner_error_ = _tmp8_;
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
				if (_inner_error_->domain == DESKTOP_AGNOSTIC_VFS_GLOB_ERROR) {
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					g_propagate_error (error, _inner_error_);
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					return;
#line 394 "vfs-glob.c"
				} else {
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					g_clear_error (&_inner_error_);
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
					return;
#line 402 "vfs-glob.c"
				}
			}
			default:
			{
				gint _tmp9_ = 0;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
				_tmp9_ = res;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
				g_critical ("vfs-glob.vala:126: Unknown error code: %d", _tmp9_);
#line 127 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
				break;
#line 414 "vfs-glob.c"
			}
		}
	}
}


static gint desktop_agnostic_vfs_glob_on_glob_error (const gchar* path, gint eerrno) {
	gint result = 0;
	gint _tmp0_ = 0;
	GError * _inner_error_ = NULL;
#line 131 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_return_val_if_fail (path != NULL, 0);
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp0_ = eerrno;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	switch (_tmp0_) {
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case EACCES:
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case EBADF:
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case EMFILE:
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case ENFILE:
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case ENOENT:
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case ENOMEM:
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case ENOTDIR:
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case EFAULT:
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case EINVAL:
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case ELOOP:
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case ENAMETOOLONG:
#line 453 "vfs-glob.c"
		{
			const gchar* _tmp1_ = NULL;
			gint _tmp2_ = 0;
			gint _tmp3_ = 0;
			const gchar* _tmp4_ = NULL;
			GError* _tmp5_ = NULL;
#line 147 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			_tmp1_ = path;
#line 147 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			_tmp2_ = eerrno;
#line 147 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			_tmp3_ = eerrno;
#line 147 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			_tmp4_ = strerror (_tmp3_);
#line 147 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			_tmp5_ = g_error_new (DESKTOP_AGNOSTIC_VFS_GLOB_ERROR, DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_ERRNO, "Miscellaneous error for '%s' (%d): %s", _tmp1_, _tmp2_, _tmp4_);
#line 147 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			_inner_error_ = _tmp5_;
#line 147 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 147 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			g_clear_error (&_inner_error_);
#line 147 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			return 0;
#line 478 "vfs-glob.c"
		}
		default:
		{
			gint _tmp6_ = 0;
#line 151 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			_tmp6_ = eerrno;
#line 151 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			g_critical ("vfs-glob.vala:151: Unknown error code: %d", _tmp6_);
#line 152 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
			break;
#line 489 "vfs-glob.c"
		}
	}
#line 154 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	result = 1;
#line 154 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	return result;
#line 496 "vfs-glob.c"
}


DesktopAgnosticVFSGlob* desktop_agnostic_vfs_glob_construct (GType object_type) {
	DesktopAgnosticVFSGlob * self = NULL;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	self = (DesktopAgnosticVFSGlob*) g_object_new (object_type, NULL);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	return self;
#line 506 "vfs-glob.c"
}


DesktopAgnosticVFSGlob* desktop_agnostic_vfs_glob_new (void) {
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	return desktop_agnostic_vfs_glob_construct (DESKTOP_AGNOSTIC_VFS_TYPE_GLOB);
#line 513 "vfs-glob.c"
}


gsize desktop_agnostic_vfs_glob_get_offset (DesktopAgnosticVFSGlob* self) {
	gsize result;
	glob_t _tmp0_ = {0};
	gsize _tmp1_ = 0UL;
#line 41 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_return_val_if_fail (self != NULL, 0UL);
#line 43 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp0_ = self->priv->glob;
#line 43 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp1_ = _tmp0_.gl_offs;
#line 43 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	result = _tmp1_;
#line 43 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	return result;
#line 531 "vfs-glob.c"
}


const gchar* desktop_agnostic_vfs_glob_get_pattern (DesktopAgnosticVFSGlob* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 49 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp0_ = self->priv->_pattern;
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	result = _tmp0_;
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	return result;
#line 546 "vfs-glob.c"
}


void desktop_agnostic_vfs_glob_set_pattern (DesktopAgnosticVFSGlob* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 53 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_return_if_fail (self != NULL);
#line 55 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp0_ = value;
#line 55 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	if (g_strcmp0 (_tmp0_, "") != 0) {
#line 559 "vfs-glob.c"
		const gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		_tmp1_ = value;
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		_tmp2_ = g_strdup (_tmp1_);
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		_g_free0 (self->priv->_pattern);
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		self->priv->_pattern = _tmp2_;
#line 570 "vfs-glob.c"
	} else {
		GError* _tmp3_ = NULL;
#line 61 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		_tmp3_ = g_error_new_literal (DESKTOP_AGNOSTIC_VFS_GLOB_ERROR, DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_BAD_PATTERN, "Invalid pattern.");
#line 61 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		_inner_error_ = _tmp3_;
#line 61 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 61 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		g_clear_error (&_inner_error_);
#line 61 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		return;
#line 583 "vfs-glob.c"
	}
#line 53 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_object_notify ((GObject *) self, "pattern");
#line 587 "vfs-glob.c"
}


gint desktop_agnostic_vfs_glob_get_flags (DesktopAgnosticVFSGlob* self) {
	gint result;
	gint _tmp0_ = 0;
#line 68 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp0_ = self->priv->_flags;
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	result = _tmp0_;
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	return result;
#line 602 "vfs-glob.c"
}


void desktop_agnostic_vfs_glob_set_flags (DesktopAgnosticVFSGlob* self, gint value) {
	gint _tmp0_ = 0;
	GError * _inner_error_ = NULL;
#line 72 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_return_if_fail (self != NULL);
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_tmp0_ = value;
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	if (_tmp0_ >= 0) {
#line 615 "vfs-glob.c"
		gint _tmp1_ = 0;
#line 76 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		_tmp1_ = value;
#line 76 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		self->priv->_flags = _tmp1_;
#line 621 "vfs-glob.c"
	} else {
		GError* _tmp2_ = NULL;
#line 80 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		_tmp2_ = g_error_new_literal (DESKTOP_AGNOSTIC_VFS_GLOB_ERROR, DESKTOP_AGNOSTIC_VFS_GLOB_ERROR_BAD_FLAGS, "Invalid flags.");
#line 80 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		_inner_error_ = _tmp2_;
#line 80 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 80 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		g_clear_error (&_inner_error_);
#line 80 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		return;
#line 634 "vfs-glob.c"
	}
#line 72 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_object_notify ((GObject *) self, "flags");
#line 638 "vfs-glob.c"
}


static void desktop_agnostic_vfs_glob_class_init (DesktopAgnosticVFSGlobClass * klass) {
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	desktop_agnostic_vfs_glob_parent_class = g_type_class_peek_parent (klass);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_type_class_add_private (klass, sizeof (DesktopAgnosticVFSGlobPrivate));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_desktop_agnostic_vfs_glob_get_property;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_desktop_agnostic_vfs_glob_set_property;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	G_OBJECT_CLASS (klass)->finalize = desktop_agnostic_vfs_glob_finalize;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_VFS_GLOB_OFFSET, g_param_spec_ulong ("offset", "offset", "offset", 0, G_MAXULONG, 0UL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_VFS_GLOB_PATTERN, g_param_spec_string ("pattern", "pattern", "pattern", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_VFS_GLOB_FLAGS, g_param_spec_int ("flags", "flags", "flags", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 659 "vfs-glob.c"
}


static void desktop_agnostic_vfs_glob_instance_init (DesktopAgnosticVFSGlob * self) {
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	self->priv = DESKTOP_AGNOSTIC_VFS_GLOB_GET_PRIVATE (self);
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	self->priv->_flags = (GLOB_MARK | GLOB_BRACE) | GLOB_TILDE_CHECK;
#line 668 "vfs-glob.c"
}


static void desktop_agnostic_vfs_glob_finalize (GObject* obj) {
	DesktopAgnosticVFSGlob * self;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, DESKTOP_AGNOSTIC_VFS_TYPE_GLOB, DesktopAgnosticVFSGlob);
#line 38 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	globfree (&self->priv->glob);
#line 46 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	_g_free0 (self->priv->_pattern);
#line 91 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	G_OBJECT_CLASS (desktop_agnostic_vfs_glob_parent_class)->finalize (obj);
#line 682 "vfs-glob.c"
}


GType desktop_agnostic_vfs_glob_get_type (void) {
	static volatile gsize desktop_agnostic_vfs_glob_type_id__volatile = 0;
	if (g_once_init_enter (&desktop_agnostic_vfs_glob_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DesktopAgnosticVFSGlobClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) desktop_agnostic_vfs_glob_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DesktopAgnosticVFSGlob), 0, (GInstanceInitFunc) desktop_agnostic_vfs_glob_instance_init, NULL };
		GType desktop_agnostic_vfs_glob_type_id;
		desktop_agnostic_vfs_glob_type_id = g_type_register_static (G_TYPE_OBJECT, "DesktopAgnosticVFSGlob", &g_define_type_info, 0);
		g_once_init_leave (&desktop_agnostic_vfs_glob_type_id__volatile, desktop_agnostic_vfs_glob_type_id);
	}
	return desktop_agnostic_vfs_glob_type_id__volatile;
}


static void _vala_desktop_agnostic_vfs_glob_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	DesktopAgnosticVFSGlob * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DESKTOP_AGNOSTIC_VFS_TYPE_GLOB, DesktopAgnosticVFSGlob);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	switch (property_id) {
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case DESKTOP_AGNOSTIC_VFS_GLOB_OFFSET:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		g_value_set_ulong (value, desktop_agnostic_vfs_glob_get_offset (self));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		break;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case DESKTOP_AGNOSTIC_VFS_GLOB_PATTERN:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		g_value_set_string (value, desktop_agnostic_vfs_glob_get_pattern (self));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		break;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case DESKTOP_AGNOSTIC_VFS_GLOB_FLAGS:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		g_value_set_int (value, desktop_agnostic_vfs_glob_get_flags (self));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		break;
#line 721 "vfs-glob.c"
		default:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		break;
#line 727 "vfs-glob.c"
	}
}


static void _vala_desktop_agnostic_vfs_glob_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	DesktopAgnosticVFSGlob * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DESKTOP_AGNOSTIC_VFS_TYPE_GLOB, DesktopAgnosticVFSGlob);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
	switch (property_id) {
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case DESKTOP_AGNOSTIC_VFS_GLOB_PATTERN:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		desktop_agnostic_vfs_glob_set_pattern (self, g_value_get_string (value));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		break;
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		case DESKTOP_AGNOSTIC_VFS_GLOB_FLAGS:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		desktop_agnostic_vfs_glob_set_flags (self, g_value_get_int (value));
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		break;
#line 749 "vfs-glob.c"
		default:
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-glob.vala"
		break;
#line 755 "vfs-glob.c"
	}
}



