/* vfs-trash-impl-gio.c generated by valac 0.26.1, the Vala compiler
 * generated from vfs-trash-impl-gio.vala, do not modify */

/*
 * Desktop Agnostic Library: Trash implementation with GIO.
 *
 * Copyright (C) 2008, 2009 Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * Author : Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <libdesktop-agnostic/vfs.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>


#define DESKTOP_AGNOSTIC_VFS_TYPE_TRASH_GIO (desktop_agnostic_vfs_trash_gio_get_type ())
#define DESKTOP_AGNOSTIC_VFS_TRASH_GIO(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_TRASH_GIO, DesktopAgnosticVFSTrashGIO))
#define DESKTOP_AGNOSTIC_VFS_TRASH_GIO_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DESKTOP_AGNOSTIC_VFS_TYPE_TRASH_GIO, DesktopAgnosticVFSTrashGIOClass))
#define DESKTOP_AGNOSTIC_VFS_IS_TRASH_GIO(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_TRASH_GIO))
#define DESKTOP_AGNOSTIC_VFS_IS_TRASH_GIO_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DESKTOP_AGNOSTIC_VFS_TYPE_TRASH_GIO))
#define DESKTOP_AGNOSTIC_VFS_TRASH_GIO_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_TRASH_GIO, DesktopAgnosticVFSTrashGIOClass))

typedef struct _DesktopAgnosticVFSTrashGIO DesktopAgnosticVFSTrashGIO;
typedef struct _DesktopAgnosticVFSTrashGIOClass DesktopAgnosticVFSTrashGIOClass;
typedef struct _DesktopAgnosticVFSTrashGIOPrivate DesktopAgnosticVFSTrashGIOPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _DesktopAgnosticVFSTrashGIO {
	GObject parent_instance;
	DesktopAgnosticVFSTrashGIOPrivate * priv;
};

struct _DesktopAgnosticVFSTrashGIOClass {
	GObjectClass parent_class;
};

struct _DesktopAgnosticVFSTrashGIOPrivate {
	DesktopAgnosticVFSFile* trash;
	DesktopAgnosticVFSFileMonitor* monitor;
	guint _file_count;
};


static gpointer desktop_agnostic_vfs_trash_gio_parent_class = NULL;
static DesktopAgnosticVFSTrashIface* desktop_agnostic_vfs_trash_gio_desktop_agnostic_vfs_trash_parent_iface = NULL;

GType desktop_agnostic_vfs_trash_gio_get_type (void) G_GNUC_CONST;
#define DESKTOP_AGNOSTIC_VFS_TRASH_GIO_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), DESKTOP_AGNOSTIC_VFS_TYPE_TRASH_GIO, DesktopAgnosticVFSTrashGIOPrivate))
enum  {
	DESKTOP_AGNOSTIC_VFS_TRASH_GIO_DUMMY_PROPERTY,
	DESKTOP_AGNOSTIC_VFS_TRASH_GIO_FILE_COUNT
};
static void desktop_agnostic_vfs_trash_gio_on_trash_changed (DesktopAgnosticVFSTrashGIO* self, DesktopAgnosticVFSFileMonitor* monitor, DesktopAgnosticVFSFile* file, DesktopAgnosticVFSFile* other_file, DesktopAgnosticVFSFileMonitorEvent event_type);
static void desktop_agnostic_vfs_trash_gio_update_file_count (DesktopAgnosticVFSTrashGIO* self);
static void desktop_agnostic_vfs_trash_gio_on_trash_count (DesktopAgnosticVFSTrashGIO* self, GObject* obj, GAsyncResult* res);
static void _desktop_agnostic_vfs_trash_gio_on_trash_count_gasync_ready_callback (GObject* source_object, GAsyncResult* res, gpointer self);
static void desktop_agnostic_vfs_trash_gio_do_empty (DesktopAgnosticVFSTrashGIO* self, GFile* dir);
static void desktop_agnostic_vfs_trash_gio_real_send_to_trash (DesktopAgnosticVFSTrash* base, DesktopAgnosticVFSFile* uri, GError** error);
static void desktop_agnostic_vfs_trash_gio_real_empty (DesktopAgnosticVFSTrash* base);
DesktopAgnosticVFSTrashGIO* desktop_agnostic_vfs_trash_gio_new (void);
DesktopAgnosticVFSTrashGIO* desktop_agnostic_vfs_trash_gio_construct (GType object_type);
static GObject * desktop_agnostic_vfs_trash_gio_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
static void _desktop_agnostic_vfs_trash_gio_on_trash_changed_desktop_agnostic_vfs_file_monitor_changed (DesktopAgnosticVFSFileMonitor* _sender, DesktopAgnosticVFSFile* file, DesktopAgnosticVFSFile* other, DesktopAgnosticVFSFileMonitorEvent event, gpointer self);
static void desktop_agnostic_vfs_trash_gio_finalize (GObject* obj);
static void _vala_desktop_agnostic_vfs_trash_gio_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);


static void desktop_agnostic_vfs_trash_gio_on_trash_changed (DesktopAgnosticVFSTrashGIO* self, DesktopAgnosticVFSFileMonitor* monitor, DesktopAgnosticVFSFile* file, DesktopAgnosticVFSFile* other_file, DesktopAgnosticVFSFileMonitorEvent event_type) {
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_return_if_fail (self != NULL);
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_return_if_fail (monitor != NULL);
#line 52 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_return_if_fail (file != NULL);
#line 58 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	desktop_agnostic_vfs_trash_gio_update_file_count (self);
#line 98 "vfs-trash-impl-gio.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 64 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	return self ? g_object_ref (self) : NULL;
#line 105 "vfs-trash-impl-gio.c"
}


static void _desktop_agnostic_vfs_trash_gio_on_trash_count_gasync_ready_callback (GObject* source_object, GAsyncResult* res, gpointer self) {
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	desktop_agnostic_vfs_trash_gio_on_trash_count ((DesktopAgnosticVFSTrashGIO*) self, source_object, res);
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_object_unref (self);
#line 114 "vfs-trash-impl-gio.c"
}


static void desktop_agnostic_vfs_trash_gio_update_file_count (DesktopAgnosticVFSTrashGIO* self) {
	GFile* dir = NULL;
	DesktopAgnosticVFSFile* _tmp0_ = NULL;
	void* _tmp1_ = NULL;
	void* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
#line 61 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_return_if_fail (self != NULL);
#line 64 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp0_ = self->priv->trash;
#line 64 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp1_ = desktop_agnostic_vfs_file_get_implementation (_tmp0_);
#line 64 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp2_ = _tmp1_;
#line 64 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp3_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, G_TYPE_FILE, GFile));
#line 64 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	dir = _tmp3_;
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_file_query_info_async (dir, G_FILE_ATTRIBUTE_TRASH_ITEM_COUNT, G_FILE_QUERY_INFO_NONE, G_PRIORITY_DEFAULT, NULL, _desktop_agnostic_vfs_trash_gio_on_trash_count_gasync_ready_callback, g_object_ref (self));
#line 61 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_g_object_unref0 (dir);
#line 140 "vfs-trash-impl-gio.c"
}


static void desktop_agnostic_vfs_trash_gio_on_trash_count (DesktopAgnosticVFSTrashGIO* self, GObject* obj, GAsyncResult* res) {
	GFile* dir = NULL;
	GObject* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFileInfo* file_info = NULL;
	GError * _inner_error_ = NULL;
#line 72 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_return_if_fail (self != NULL);
#line 72 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_return_if_fail (res != NULL);
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp0_ = obj;
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp1_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, G_TYPE_FILE, GFile));
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	dir = _tmp1_;
#line 160 "vfs-trash-impl-gio.c"
	{
		GFileInfo* _tmp2_ = NULL;
		GAsyncResult* _tmp3_ = NULL;
		GFileInfo* _tmp4_ = NULL;
		GFileInfo* _tmp5_ = NULL;
		GFileInfo* _tmp6_ = NULL;
		guint32 _tmp7_ = 0U;
#line 80 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp3_ = res;
#line 80 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp4_ = g_file_query_info_finish (dir, _tmp3_, &_inner_error_);
#line 80 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp2_ = _tmp4_;
#line 80 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 176 "vfs-trash-impl-gio.c"
			goto __catch3_g_error;
		}
#line 80 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp5_ = _tmp2_;
#line 80 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp2_ = NULL;
#line 80 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (file_info);
#line 80 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		file_info = _tmp5_;
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp6_ = file_info;
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp7_ = g_file_info_get_attribute_uint32 (_tmp6_, G_FILE_ATTRIBUTE_TRASH_ITEM_COUNT);
#line 81 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		self->priv->_file_count = (guint) _tmp7_;
#line 82 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		g_signal_emit_by_name ((DesktopAgnosticVFSTrash*) self, "file-count-changed");
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (_tmp2_);
#line 197 "vfs-trash-impl-gio.c"
	}
	goto __finally3;
	__catch3_g_error:
	{
		GError* err = NULL;
		GError* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		err = _inner_error_;
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_inner_error_ = NULL;
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp8_ = err;
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp9_ = _tmp8_->message;
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		g_warning ("vfs-trash-impl-gio.vala:86: Could not update file count: %s", _tmp9_);
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_error_free0 (err);
#line 217 "vfs-trash-impl-gio.c"
	}
	__finally3:
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (file_info);
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (dir);
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		g_clear_error (&_inner_error_);
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		return;
#line 232 "vfs-trash-impl-gio.c"
	}
#line 72 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_g_object_unref0 (file_info);
#line 72 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_g_object_unref0 (dir);
#line 238 "vfs-trash-impl-gio.c"
}


static void desktop_agnostic_vfs_trash_gio_do_empty (DesktopAgnosticVFSTrashGIO* self, GFile* dir) {
	GFileEnumerator* files = NULL;
	GFileInfo* info = NULL;
	GFileEnumerator* _tmp8_ = NULL;
	GError * _inner_error_ = NULL;
#line 90 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_return_if_fail (self != NULL);
#line 90 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_return_if_fail (dir != NULL);
#line 93 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	files = NULL;
#line 253 "vfs-trash-impl-gio.c"
	{
		gchar* attrs = NULL;
		gchar* _tmp0_ = NULL;
		GFileEnumerator* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		GFileEnumerator* _tmp4_ = NULL;
		GFileEnumerator* _tmp5_ = NULL;
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp0_ = g_strdup (G_FILE_ATTRIBUTE_STANDARD_NAME "," G_FILE_ATTRIBUTE_STANDARD_TYPE);
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		attrs = _tmp0_;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp2_ = dir;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp3_ = attrs;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp4_ = g_file_enumerate_children (_tmp2_, _tmp3_, G_FILE_QUERY_INFO_NOFOLLOW_SYMLINKS, NULL, &_inner_error_);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp1_ = _tmp4_;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_g_free0 (attrs);
#line 278 "vfs-trash-impl-gio.c"
			goto __catch4_g_error;
		}
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp5_ = _tmp1_;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp1_ = NULL;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (files);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		files = _tmp5_;
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (_tmp1_);
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_free0 (attrs);
#line 293 "vfs-trash-impl-gio.c"
	}
	goto __finally4;
	__catch4_g_error:
	{
		GError* e = NULL;
		GError* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		e = _inner_error_;
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_inner_error_ = NULL;
#line 106 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp6_ = e;
#line 106 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp7_ = _tmp6_->message;
#line 106 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		g_warning ("vfs-trash-impl-gio.vala:106: Trash error: %s", _tmp7_);
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_error_free0 (e);
#line 313 "vfs-trash-impl-gio.c"
	}
	__finally4:
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (info);
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (files);
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		g_clear_error (&_inner_error_);
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		return;
#line 328 "vfs-trash-impl-gio.c"
	}
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp8_ = files;
#line 108 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	if (_tmp8_ == NULL) {
#line 110 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (info);
#line 110 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (files);
#line 110 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		return;
#line 340 "vfs-trash-impl-gio.c"
	}
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	while (TRUE) {
#line 344 "vfs-trash-impl-gio.c"
		GFileInfo* _tmp9_ = NULL;
		GFileEnumerator* _tmp10_ = NULL;
		GFileInfo* _tmp11_ = NULL;
		GFileInfo* _tmp12_ = NULL;
		GFileInfo* _tmp13_ = NULL;
		GFile* child = NULL;
		GFile* _tmp14_ = NULL;
		GFileInfo* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		GFile* _tmp17_ = NULL;
		GFileInfo* _tmp18_ = NULL;
		GFileType _tmp19_ = 0;
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp10_ = files;
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp11_ = g_file_enumerator_next_file (_tmp10_, NULL, &_inner_error_);
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp9_ = _tmp11_;
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_g_object_unref0 (info);
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_g_object_unref0 (files);
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			g_clear_error (&_inner_error_);
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			return;
#line 375 "vfs-trash-impl-gio.c"
		}
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp12_ = _tmp9_;
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp9_ = NULL;
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (info);
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		info = _tmp12_;
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp13_ = info;
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		if (!(_tmp13_ != NULL)) {
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_g_object_unref0 (_tmp9_);
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			break;
#line 393 "vfs-trash-impl-gio.c"
		}
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp14_ = dir;
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp15_ = info;
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp16_ = g_file_info_get_name (_tmp15_);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp17_ = g_file_get_child (_tmp14_, _tmp16_);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (child);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		child = _tmp17_;
#line 116 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp18_ = info;
#line 116 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_tmp19_ = g_file_info_get_file_type (_tmp18_);
#line 116 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		if (_tmp19_ == G_FILE_TYPE_DIRECTORY) {
#line 413 "vfs-trash-impl-gio.c"
			GFile* _tmp20_ = NULL;
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_tmp20_ = child;
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			desktop_agnostic_vfs_trash_gio_do_empty (self, _tmp20_);
#line 419 "vfs-trash-impl-gio.c"
		}
		{
			GFile* _tmp21_ = NULL;
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_tmp21_ = child;
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			g_file_delete (_tmp21_, NULL, &_inner_error_);
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 429 "vfs-trash-impl-gio.c"
				goto __catch5_g_error;
			}
		}
		goto __finally5;
		__catch5_g_error:
		{
			GError* e = NULL;
			GError* _tmp22_ = NULL;
			const gchar* _tmp23_ = NULL;
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			e = _inner_error_;
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_inner_error_ = NULL;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_tmp22_ = e;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_tmp23_ = _tmp22_->message;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			g_warning ("vfs-trash-impl-gio.vala:126: Trash error: %s", _tmp23_);
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_g_error_free0 (e);
#line 451 "vfs-trash-impl-gio.c"
		}
		__finally5:
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_g_object_unref0 (child);
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_g_object_unref0 (_tmp9_);
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_g_object_unref0 (info);
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			_g_object_unref0 (files);
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			g_clear_error (&_inner_error_);
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
			return;
#line 470 "vfs-trash-impl-gio.c"
		}
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (child);
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (_tmp9_);
#line 476 "vfs-trash-impl-gio.c"
	}
#line 90 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_g_object_unref0 (info);
#line 90 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_g_object_unref0 (files);
#line 482 "vfs-trash-impl-gio.c"
}


static void desktop_agnostic_vfs_trash_gio_real_send_to_trash (DesktopAgnosticVFSTrash* base, DesktopAgnosticVFSFile* uri, GError** error) {
	DesktopAgnosticVFSTrashGIO * self;
	GFile* file = NULL;
	DesktopAgnosticVFSFile* _tmp0_ = NULL;
	void* _tmp1_ = NULL;
	void* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	GError * _inner_error_ = NULL;
#line 131 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	self = (DesktopAgnosticVFSTrashGIO*) base;
#line 131 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_return_if_fail (uri != NULL);
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp0_ = uri;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp1_ = desktop_agnostic_vfs_file_get_implementation (_tmp0_);
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp2_ = _tmp1_;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp3_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, G_TYPE_FILE, GFile));
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	file = _tmp3_;
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_file_trash (file, NULL, &_inner_error_);
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		g_propagate_error (error, _inner_error_);
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		_g_object_unref0 (file);
#line 135 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		return;
#line 518 "vfs-trash-impl-gio.c"
	}
#line 131 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_g_object_unref0 (file);
#line 522 "vfs-trash-impl-gio.c"
}


static void desktop_agnostic_vfs_trash_gio_real_empty (DesktopAgnosticVFSTrash* base) {
	DesktopAgnosticVFSTrashGIO * self;
	DesktopAgnosticVFSFile* _tmp0_ = NULL;
	void* _tmp1_ = NULL;
	void* _tmp2_ = NULL;
#line 138 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	self = (DesktopAgnosticVFSTrashGIO*) base;
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp0_ = self->priv->trash;
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp1_ = desktop_agnostic_vfs_file_get_implementation (_tmp0_);
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp2_ = _tmp1_;
#line 141 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	desktop_agnostic_vfs_trash_gio_do_empty (self, G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, G_TYPE_FILE, GFile));
#line 541 "vfs-trash-impl-gio.c"
}


DesktopAgnosticVFSTrashGIO* desktop_agnostic_vfs_trash_gio_construct (GType object_type) {
	DesktopAgnosticVFSTrashGIO * self = NULL;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	self = (DesktopAgnosticVFSTrashGIO*) g_object_new (object_type, NULL);
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	return self;
#line 551 "vfs-trash-impl-gio.c"
}


DesktopAgnosticVFSTrashGIO* desktop_agnostic_vfs_trash_gio_new (void) {
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	return desktop_agnostic_vfs_trash_gio_construct (DESKTOP_AGNOSTIC_VFS_TYPE_TRASH_GIO);
#line 558 "vfs-trash-impl-gio.c"
}


static guint desktop_agnostic_vfs_trash_gio_real_get_file_count (DesktopAgnosticVFSTrash* base) {
	guint result;
	DesktopAgnosticVFSTrashGIO* self;
	guint _tmp0_ = 0U;
#line 46 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	self = (DesktopAgnosticVFSTrashGIO*) base;
#line 48 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp0_ = self->priv->_file_count;
#line 48 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	result = _tmp0_;
#line 48 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	return result;
#line 574 "vfs-trash-impl-gio.c"
}


static void _desktop_agnostic_vfs_trash_gio_on_trash_changed_desktop_agnostic_vfs_file_monitor_changed (DesktopAgnosticVFSFileMonitor* _sender, DesktopAgnosticVFSFile* file, DesktopAgnosticVFSFile* other, DesktopAgnosticVFSFileMonitorEvent event, gpointer self) {
#line 39 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	desktop_agnostic_vfs_trash_gio_on_trash_changed ((DesktopAgnosticVFSTrashGIO*) self, _sender, file, other, event);
#line 581 "vfs-trash-impl-gio.c"
}


static GObject * desktop_agnostic_vfs_trash_gio_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	DesktopAgnosticVFSTrashGIO * self;
	DesktopAgnosticVFSFile* _tmp0_ = NULL;
	DesktopAgnosticVFSFile* _tmp1_ = NULL;
	DesktopAgnosticVFSFile* _tmp2_ = NULL;
	DesktopAgnosticVFSFile* _tmp3_ = NULL;
	DesktopAgnosticVFSFile* _tmp4_ = NULL;
	DesktopAgnosticVFSFileMonitor* _tmp5_ = NULL;
	DesktopAgnosticVFSFileMonitor* _tmp6_ = NULL;
	GError * _inner_error_ = NULL;
#line 31 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	parent_class = G_OBJECT_CLASS (desktop_agnostic_vfs_trash_gio_parent_class);
#line 31 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 31 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, DESKTOP_AGNOSTIC_VFS_TYPE_TRASH_GIO, DesktopAgnosticVFSTrashGIO);
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp1_ = desktop_agnostic_vfs_file_new_for_uri ("trash://", &_inner_error_);
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp0_ = _tmp1_;
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		g_clear_error (&_inner_error_);
#line 613 "vfs-trash-impl-gio.c"
	}
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp2_ = _tmp0_;
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp0_ = NULL;
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_g_object_unref0 (self->priv->trash);
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	self->priv->trash = _tmp2_;
#line 34 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp3_ = self->priv->trash;
#line 34 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	if (_tmp3_ == NULL) {
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		g_critical ("vfs-trash-impl-gio.vala:36: trash is NULL!!!!");
#line 629 "vfs-trash-impl-gio.c"
	}
#line 38 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp4_ = self->priv->trash;
#line 38 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp5_ = desktop_agnostic_vfs_file_monitor (_tmp4_);
#line 38 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_g_object_unref0 (self->priv->monitor);
#line 38 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	self->priv->monitor = _tmp5_;
#line 39 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_tmp6_ = self->priv->monitor;
#line 39 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_signal_connect_object (_tmp6_, "changed", (GCallback) _desktop_agnostic_vfs_trash_gio_on_trash_changed_desktop_agnostic_vfs_file_monitor_changed, self, 0);
#line 40 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	self->priv->_file_count = (guint) 0;
#line 41 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	desktop_agnostic_vfs_trash_gio_update_file_count (self);
#line 31 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_g_object_unref0 (_tmp0_);
#line 31 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	return obj;
#line 651 "vfs-trash-impl-gio.c"
}


static void desktop_agnostic_vfs_trash_gio_class_init (DesktopAgnosticVFSTrashGIOClass * klass) {
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	desktop_agnostic_vfs_trash_gio_parent_class = g_type_class_peek_parent (klass);
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_type_class_add_private (klass, sizeof (DesktopAgnosticVFSTrashGIOPrivate));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_desktop_agnostic_vfs_trash_gio_get_property;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	G_OBJECT_CLASS (klass)->constructor = desktop_agnostic_vfs_trash_gio_constructor;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	G_OBJECT_CLASS (klass)->finalize = desktop_agnostic_vfs_trash_gio_finalize;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_VFS_TRASH_GIO_FILE_COUNT, g_param_spec_uint ("file-count", "file-count", "file-count", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 668 "vfs-trash-impl-gio.c"
}


static void desktop_agnostic_vfs_trash_gio_desktop_agnostic_vfs_trash_interface_init (DesktopAgnosticVFSTrashIface * iface) {
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	desktop_agnostic_vfs_trash_gio_desktop_agnostic_vfs_trash_parent_iface = g_type_interface_peek_parent (iface);
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	iface->send_to_trash = (void (*)(DesktopAgnosticVFSTrash*, DesktopAgnosticVFSFile*, GError**)) desktop_agnostic_vfs_trash_gio_real_send_to_trash;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	iface->empty = (void (*)(DesktopAgnosticVFSTrash*)) desktop_agnostic_vfs_trash_gio_real_empty;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	iface->get_file_count = desktop_agnostic_vfs_trash_gio_real_get_file_count;
#line 681 "vfs-trash-impl-gio.c"
}


static void desktop_agnostic_vfs_trash_gio_instance_init (DesktopAgnosticVFSTrashGIO * self) {
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	self->priv = DESKTOP_AGNOSTIC_VFS_TRASH_GIO_GET_PRIVATE (self);
#line 688 "vfs-trash-impl-gio.c"
}


static void desktop_agnostic_vfs_trash_gio_finalize (GObject* obj) {
	DesktopAgnosticVFSTrashGIO * self;
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, DESKTOP_AGNOSTIC_VFS_TYPE_TRASH_GIO, DesktopAgnosticVFSTrashGIO);
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_g_object_unref0 (self->priv->trash);
#line 28 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	_g_object_unref0 (self->priv->monitor);
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	G_OBJECT_CLASS (desktop_agnostic_vfs_trash_gio_parent_class)->finalize (obj);
#line 702 "vfs-trash-impl-gio.c"
}


GType desktop_agnostic_vfs_trash_gio_get_type (void) {
	static volatile gsize desktop_agnostic_vfs_trash_gio_type_id__volatile = 0;
	if (g_once_init_enter (&desktop_agnostic_vfs_trash_gio_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DesktopAgnosticVFSTrashGIOClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) desktop_agnostic_vfs_trash_gio_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DesktopAgnosticVFSTrashGIO), 0, (GInstanceInitFunc) desktop_agnostic_vfs_trash_gio_instance_init, NULL };
		static const GInterfaceInfo desktop_agnostic_vfs_trash_info = { (GInterfaceInitFunc) desktop_agnostic_vfs_trash_gio_desktop_agnostic_vfs_trash_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		GType desktop_agnostic_vfs_trash_gio_type_id;
		desktop_agnostic_vfs_trash_gio_type_id = g_type_register_static (G_TYPE_OBJECT, "DesktopAgnosticVFSTrashGIO", &g_define_type_info, 0);
		g_type_add_interface_static (desktop_agnostic_vfs_trash_gio_type_id, DESKTOP_AGNOSTIC_VFS_TYPE_TRASH, &desktop_agnostic_vfs_trash_info);
		g_once_init_leave (&desktop_agnostic_vfs_trash_gio_type_id__volatile, desktop_agnostic_vfs_trash_gio_type_id);
	}
	return desktop_agnostic_vfs_trash_gio_type_id__volatile;
}


static void _vala_desktop_agnostic_vfs_trash_gio_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	DesktopAgnosticVFSTrashGIO * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DESKTOP_AGNOSTIC_VFS_TYPE_TRASH_GIO, DesktopAgnosticVFSTrashGIO);
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
	switch (property_id) {
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		case DESKTOP_AGNOSTIC_VFS_TRASH_GIO_FILE_COUNT:
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		g_value_set_uint (value, desktop_agnostic_vfs_trash_get_file_count ((DesktopAgnosticVFSTrash*) self));
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		break;
#line 731 "vfs-trash-impl-gio.c"
		default:
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 25 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs-trash-impl-gio.vala"
		break;
#line 737 "vfs-trash-impl-gio.c"
	}
}



