/* vfs.c generated by valac 0.26.1, the Vala compiler
 * generated from vfs.vala, do not modify */

/*
 * Desktop Agnostic Library: VFS implementation interface.
 *
 * Copyright (C) 2009 Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * Author : Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <libdesktop-agnostic/desktop-agnostic.h>


#define DESKTOP_AGNOSTIC_VFS_TYPE_IMPLEMENTATION (desktop_agnostic_vfs_implementation_get_type ())
#define DESKTOP_AGNOSTIC_VFS_IMPLEMENTATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_IMPLEMENTATION, DesktopAgnosticVFSImplementation))
#define DESKTOP_AGNOSTIC_VFS_IS_IMPLEMENTATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_IMPLEMENTATION))
#define DESKTOP_AGNOSTIC_VFS_IMPLEMENTATION_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_IMPLEMENTATION, DesktopAgnosticVFSImplementationIface))

typedef struct _DesktopAgnosticVFSImplementation DesktopAgnosticVFSImplementation;
typedef struct _DesktopAgnosticVFSImplementationIface DesktopAgnosticVFSImplementationIface;

#define DESKTOP_AGNOSTIC_VFS_TYPE_FILE (desktop_agnostic_vfs_file_get_type ())
#define DESKTOP_AGNOSTIC_VFS_FILE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_FILE, DesktopAgnosticVFSFile))
#define DESKTOP_AGNOSTIC_VFS_FILE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DESKTOP_AGNOSTIC_VFS_TYPE_FILE, DesktopAgnosticVFSFileClass))
#define DESKTOP_AGNOSTIC_VFS_IS_FILE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_FILE))
#define DESKTOP_AGNOSTIC_VFS_IS_FILE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DESKTOP_AGNOSTIC_VFS_TYPE_FILE))
#define DESKTOP_AGNOSTIC_VFS_FILE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_FILE, DesktopAgnosticVFSFileClass))

typedef struct _DesktopAgnosticVFSFile DesktopAgnosticVFSFile;
typedef struct _DesktopAgnosticVFSFileClass DesktopAgnosticVFSFileClass;

#define DESKTOP_AGNOSTIC_VFS_TYPE_VOLUME_MONITOR (desktop_agnostic_vfs_volume_monitor_get_type ())
#define DESKTOP_AGNOSTIC_VFS_VOLUME_MONITOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_VOLUME_MONITOR, DesktopAgnosticVFSVolumeMonitor))
#define DESKTOP_AGNOSTIC_VFS_IS_VOLUME_MONITOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_VOLUME_MONITOR))
#define DESKTOP_AGNOSTIC_VFS_VOLUME_MONITOR_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_VOLUME_MONITOR, DesktopAgnosticVFSVolumeMonitorIface))

typedef struct _DesktopAgnosticVFSVolumeMonitor DesktopAgnosticVFSVolumeMonitor;
typedef struct _DesktopAgnosticVFSVolumeMonitorIface DesktopAgnosticVFSVolumeMonitorIface;

#define DESKTOP_AGNOSTIC_VFS_TYPE_VOLUME (desktop_agnostic_vfs_volume_get_type ())
#define DESKTOP_AGNOSTIC_VFS_VOLUME(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_VOLUME, DesktopAgnosticVFSVolume))
#define DESKTOP_AGNOSTIC_VFS_IS_VOLUME(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_VOLUME))
#define DESKTOP_AGNOSTIC_VFS_VOLUME_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), DESKTOP_AGNOSTIC_VFS_TYPE_VOLUME, DesktopAgnosticVFSVolumeIface))

typedef struct _DesktopAgnosticVFSVolume DesktopAgnosticVFSVolume;
typedef struct _DesktopAgnosticVFSVolumeIface DesktopAgnosticVFSVolumeIface;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define __g_slist_free__g_object_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_slist_free__g_object_unref0_ (var), NULL)))

typedef void (*DesktopAgnosticVFSVolumeCallback) (void* user_data);
typedef enum  {
	DESKTOP_AGNOSTIC_VFS_VOLUME_ERROR_MOUNT,
	DESKTOP_AGNOSTIC_VFS_VOLUME_ERROR_UNMOUNT,
	DESKTOP_AGNOSTIC_VFS_VOLUME_ERROR_EJECT
} DesktopAgnosticVFSVolumeError;
#define DESKTOP_AGNOSTIC_VFS_VOLUME_ERROR desktop_agnostic_vfs_volume_error_quark ()
struct _DesktopAgnosticVFSVolumeIface {
	GTypeInterface parent_iface;
	gboolean (*is_mounted) (DesktopAgnosticVFSVolume* self);
	void (*mount) (DesktopAgnosticVFSVolume* self, DesktopAgnosticVFSVolumeCallback callback, void* callback_target);
	gboolean (*mount_finish) (DesktopAgnosticVFSVolume* self, GError** error);
	void (*unmount) (DesktopAgnosticVFSVolume* self, DesktopAgnosticVFSVolumeCallback callback, void* callback_target);
	gboolean (*unmount_finish) (DesktopAgnosticVFSVolume* self, GError** error);
	gboolean (*can_eject) (DesktopAgnosticVFSVolume* self);
	void (*eject) (DesktopAgnosticVFSVolume* self, DesktopAgnosticVFSVolumeCallback callback, void* callback_target);
	gboolean (*eject_finish) (DesktopAgnosticVFSVolume* self, GError** error);
	gchar* (*get_name) (DesktopAgnosticVFSVolume* self);
	DesktopAgnosticVFSFile* (*get_uri) (DesktopAgnosticVFSVolume* self);
	gchar* (*get_icon) (DesktopAgnosticVFSVolume* self);
};

struct _DesktopAgnosticVFSVolumeMonitorIface {
	GTypeInterface parent_iface;
	void* (*get_implementation) (DesktopAgnosticVFSVolumeMonitor* self);
	GList* (*get_volumes) (DesktopAgnosticVFSVolumeMonitor* self);
};

struct _DesktopAgnosticVFSImplementationIface {
	GTypeInterface parent_iface;
	void (*init) (DesktopAgnosticVFSImplementation* self);
	GSList* (*files_from_uri_list) (DesktopAgnosticVFSImplementation* self, const gchar* uri_list, GError** error);
	DesktopAgnosticVFSVolumeMonitor* (*volume_monitor_get_default) (DesktopAgnosticVFSImplementation* self);
	void (*shutdown) (DesktopAgnosticVFSImplementation* self);
	const gchar* (*get_name) (DesktopAgnosticVFSImplementation* self);
	GType (*get_file_type) (DesktopAgnosticVFSImplementation* self);
	GType (*get_file_monitor_type) (DesktopAgnosticVFSImplementation* self);
	GType (*get_trash_type) (DesktopAgnosticVFSImplementation* self);
	GType (*get_volume_type) (DesktopAgnosticVFSImplementation* self);
};


extern DesktopAgnosticVFSImplementation* desktop_agnostic_vfs_vfs;
DesktopAgnosticVFSImplementation* desktop_agnostic_vfs_vfs = NULL;

GType desktop_agnostic_vfs_file_get_type (void) G_GNUC_CONST;
GQuark desktop_agnostic_vfs_volume_error_quark (void);
GType desktop_agnostic_vfs_volume_get_type (void) G_GNUC_CONST;
GType desktop_agnostic_vfs_volume_monitor_get_type (void) G_GNUC_CONST;
GType desktop_agnostic_vfs_implementation_get_type (void) G_GNUC_CONST;
void desktop_agnostic_vfs_implementation_init (DesktopAgnosticVFSImplementation* self);
GSList* desktop_agnostic_vfs_implementation_files_from_uri_list (DesktopAgnosticVFSImplementation* self, const gchar* uri_list, GError** error);
DesktopAgnosticVFSVolumeMonitor* desktop_agnostic_vfs_implementation_volume_monitor_get_default (DesktopAgnosticVFSImplementation* self);
void desktop_agnostic_vfs_implementation_shutdown (DesktopAgnosticVFSImplementation* self);
const gchar* desktop_agnostic_vfs_implementation_get_name (DesktopAgnosticVFSImplementation* self);
GType desktop_agnostic_vfs_implementation_get_file_type (DesktopAgnosticVFSImplementation* self);
GType desktop_agnostic_vfs_implementation_get_file_monitor_type (DesktopAgnosticVFSImplementation* self);
GType desktop_agnostic_vfs_implementation_get_trash_type (DesktopAgnosticVFSImplementation* self);
GType desktop_agnostic_vfs_implementation_get_volume_type (DesktopAgnosticVFSImplementation* self);
DesktopAgnosticVFSImplementation* desktop_agnostic_vfs_get_default (GError** error);
void desktop_agnostic_vfs_init (GError** error);
void desktop_agnostic_vfs_shutdown (GError** error);
GSList* desktop_agnostic_vfs_files_from_uri_list (const gchar* uri_list, GError** error);
static void _g_object_unref0_ (gpointer var);
static void _g_slist_free__g_object_unref0_ (GSList* self);


void desktop_agnostic_vfs_implementation_init (DesktopAgnosticVFSImplementation* self) {
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	g_return_if_fail (self != NULL);
#line 36 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	DESKTOP_AGNOSTIC_VFS_IMPLEMENTATION_GET_INTERFACE (self)->init (self);
#line 142 "vfs.c"
}


GSList* desktop_agnostic_vfs_implementation_files_from_uri_list (DesktopAgnosticVFSImplementation* self, const gchar* uri_list, GError** error) {
#line 37 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 37 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	return DESKTOP_AGNOSTIC_VFS_IMPLEMENTATION_GET_INTERFACE (self)->files_from_uri_list (self, uri_list, error);
#line 151 "vfs.c"
}


DesktopAgnosticVFSVolumeMonitor* desktop_agnostic_vfs_implementation_volume_monitor_get_default (DesktopAgnosticVFSImplementation* self) {
#line 39 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 39 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	return DESKTOP_AGNOSTIC_VFS_IMPLEMENTATION_GET_INTERFACE (self)->volume_monitor_get_default (self);
#line 160 "vfs.c"
}


void desktop_agnostic_vfs_implementation_shutdown (DesktopAgnosticVFSImplementation* self) {
#line 40 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	g_return_if_fail (self != NULL);
#line 40 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	DESKTOP_AGNOSTIC_VFS_IMPLEMENTATION_GET_INTERFACE (self)->shutdown (self);
#line 169 "vfs.c"
}


const gchar* desktop_agnostic_vfs_implementation_get_name (DesktopAgnosticVFSImplementation* self) {
#line 31 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 31 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	return DESKTOP_AGNOSTIC_VFS_IMPLEMENTATION_GET_INTERFACE (self)->get_name (self);
#line 178 "vfs.c"
}


GType desktop_agnostic_vfs_implementation_get_file_type (DesktopAgnosticVFSImplementation* self) {
#line 32 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	g_return_val_if_fail (self != NULL, 0UL);
#line 32 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	return DESKTOP_AGNOSTIC_VFS_IMPLEMENTATION_GET_INTERFACE (self)->get_file_type (self);
#line 187 "vfs.c"
}


GType desktop_agnostic_vfs_implementation_get_file_monitor_type (DesktopAgnosticVFSImplementation* self) {
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	g_return_val_if_fail (self != NULL, 0UL);
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	return DESKTOP_AGNOSTIC_VFS_IMPLEMENTATION_GET_INTERFACE (self)->get_file_monitor_type (self);
#line 196 "vfs.c"
}


GType desktop_agnostic_vfs_implementation_get_trash_type (DesktopAgnosticVFSImplementation* self) {
#line 34 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	g_return_val_if_fail (self != NULL, 0UL);
#line 34 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	return DESKTOP_AGNOSTIC_VFS_IMPLEMENTATION_GET_INTERFACE (self)->get_trash_type (self);
#line 205 "vfs.c"
}


GType desktop_agnostic_vfs_implementation_get_volume_type (DesktopAgnosticVFSImplementation* self) {
#line 35 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	g_return_val_if_fail (self != NULL, 0UL);
#line 35 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	return DESKTOP_AGNOSTIC_VFS_IMPLEMENTATION_GET_INTERFACE (self)->get_volume_type (self);
#line 214 "vfs.c"
}


static void desktop_agnostic_vfs_implementation_base_init (DesktopAgnosticVFSImplementationIface * iface) {
#line 26 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	static gboolean initialized = FALSE;
#line 26 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	if (!initialized) {
#line 26 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		initialized = TRUE;
#line 225 "vfs.c"
		/**
		     * The (unique) name of the implementation.
		     */
#line 26 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		g_object_interface_install_property (iface, g_param_spec_string ("name", "name", "name", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 26 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		g_object_interface_install_property (iface, g_param_spec_gtype ("file-type", "file-type", "file-type", G_TYPE_NONE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 26 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		g_object_interface_install_property (iface, g_param_spec_gtype ("file-monitor-type", "file-monitor-type", "file-monitor-type", G_TYPE_NONE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 26 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		g_object_interface_install_property (iface, g_param_spec_gtype ("trash-type", "trash-type", "trash-type", G_TYPE_NONE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 26 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		g_object_interface_install_property (iface, g_param_spec_gtype ("volume-type", "volume-type", "volume-type", G_TYPE_NONE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 239 "vfs.c"
	}
}


GType desktop_agnostic_vfs_implementation_get_type (void) {
	static volatile gsize desktop_agnostic_vfs_implementation_type_id__volatile = 0;
	if (g_once_init_enter (&desktop_agnostic_vfs_implementation_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DesktopAgnosticVFSImplementationIface), (GBaseInitFunc) desktop_agnostic_vfs_implementation_base_init, (GBaseFinalizeFunc) NULL, (GClassInitFunc) NULL, (GClassFinalizeFunc) NULL, NULL, 0, 0, (GInstanceInitFunc) NULL, NULL };
		GType desktop_agnostic_vfs_implementation_type_id;
		desktop_agnostic_vfs_implementation_type_id = g_type_register_static (G_TYPE_INTERFACE, "DesktopAgnosticVFSImplementation", &g_define_type_info, 0);
		g_type_interface_add_prerequisite (desktop_agnostic_vfs_implementation_type_id, G_TYPE_OBJECT);
		g_once_init_leave (&desktop_agnostic_vfs_implementation_type_id__volatile, desktop_agnostic_vfs_implementation_type_id);
	}
	return desktop_agnostic_vfs_implementation_type_id__volatile;
}


DesktopAgnosticVFSImplementation* desktop_agnostic_vfs_get_default (GError** error) {
	DesktopAgnosticVFSImplementation* result = NULL;
	DesktopAgnosticVFSImplementation* _tmp0_ = NULL;
	DesktopAgnosticVFSImplementation* _tmp6_ = NULL;
	GError * _inner_error_ = NULL;
#line 48 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	_tmp0_ = desktop_agnostic_vfs_vfs;
#line 48 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	if (_tmp0_ == NULL) {
#line 266 "vfs.c"
		GType type = 0UL;
		GType _tmp1_ = 0UL;
		GType _tmp2_ = 0UL;
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		_tmp1_ = desktop_agnostic_get_module_type ("vfs", "vfs", &_inner_error_);
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		type = _tmp1_;
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
			g_propagate_error (error, _inner_error_);
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
			return NULL;
#line 280 "vfs.c"
		}
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		_tmp2_ = type;
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		if (_tmp2_ == G_TYPE_INVALID) {
#line 53 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
			result = NULL;
#line 53 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
			return result;
#line 290 "vfs.c"
		} else {
			GType _tmp3_ = 0UL;
			GObject* _tmp4_ = NULL;
			GObject* _tmp5_ = NULL;
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
			_tmp3_ = type;
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
			_tmp4_ = g_object_new (_tmp3_, NULL);
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
			_tmp5_ = G_IS_INITIALLY_UNOWNED (_tmp4_) ? g_object_ref_sink (_tmp4_) : _tmp4_;
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
			_g_object_unref0 (desktop_agnostic_vfs_vfs);
#line 57 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
			desktop_agnostic_vfs_vfs = G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, DESKTOP_AGNOSTIC_VFS_TYPE_IMPLEMENTATION, DesktopAgnosticVFSImplementation);
#line 305 "vfs.c"
		}
	}
#line 60 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	_tmp6_ = desktop_agnostic_vfs_vfs;
#line 60 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	result = _tmp6_;
#line 60 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	return result;
#line 314 "vfs.c"
}


/**
   * Initializes the VFS, if the backend needs it.
   */
void desktop_agnostic_vfs_init (GError** error) {
	DesktopAgnosticVFSImplementation* vfs = NULL;
	DesktopAgnosticVFSImplementation* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 69 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	_tmp0_ = desktop_agnostic_vfs_get_default (&_inner_error_);
#line 69 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	vfs = _tmp0_;
#line 69 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 69 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		g_propagate_error (error, _inner_error_);
#line 69 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		return;
#line 335 "vfs.c"
	}
#line 70 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	if (vfs != NULL) {
#line 72 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		desktop_agnostic_vfs_implementation_init (vfs);
#line 341 "vfs.c"
	}
}


/**
   * Shuts down the VFS, if the backend needs it.
   */
void desktop_agnostic_vfs_shutdown (GError** error) {
	DesktopAgnosticVFSImplementation* vfs = NULL;
	DesktopAgnosticVFSImplementation* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 82 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	_tmp0_ = desktop_agnostic_vfs_get_default (&_inner_error_);
#line 82 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	vfs = _tmp0_;
#line 82 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 82 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		g_propagate_error (error, _inner_error_);
#line 82 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		return;
#line 363 "vfs.c"
	}
#line 83 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	if (vfs != NULL) {
#line 85 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		desktop_agnostic_vfs_implementation_shutdown (vfs);
#line 369 "vfs.c"
	}
}


/**
   * Creates a list of files based on a newline-delimited list of URIs.
   */
static void _g_object_unref0_ (gpointer var) {
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 380 "vfs.c"
}


static void _g_slist_free__g_object_unref0_ (GSList* self) {
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	g_slist_foreach (self, (GFunc) _g_object_unref0_, NULL);
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	g_slist_free (self);
#line 389 "vfs.c"
}


GSList* desktop_agnostic_vfs_files_from_uri_list (const gchar* uri_list, GError** error) {
	GSList* result = NULL;
	DesktopAgnosticVFSImplementation* vfs = NULL;
	DesktopAgnosticVFSImplementation* _tmp0_ = NULL;
	DesktopAgnosticVFSImplementation* _tmp1_ = NULL;
	GError * _inner_error_ = NULL;
#line 92 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	g_return_val_if_fail (uri_list != NULL, NULL);
#line 95 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	_tmp0_ = desktop_agnostic_vfs_get_default (&_inner_error_);
#line 95 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	vfs = _tmp0_;
#line 95 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 95 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		g_propagate_error (error, _inner_error_);
#line 95 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		return NULL;
#line 411 "vfs.c"
	}
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	_tmp1_ = vfs;
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
	if (_tmp1_ == NULL) {
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		result = NULL;
#line 98 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		return result;
#line 421 "vfs.c"
	} else {
		GSList* _tmp2_ = NULL;
		DesktopAgnosticVFSImplementation* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		GSList* _tmp5_ = NULL;
		GSList* _tmp6_ = NULL;
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		_tmp3_ = vfs;
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		_tmp4_ = uri_list;
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		_tmp5_ = desktop_agnostic_vfs_implementation_files_from_uri_list (_tmp3_, _tmp4_, &_inner_error_);
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		_tmp2_ = _tmp5_;
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
			g_propagate_error (error, _inner_error_);
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
			return NULL;
#line 442 "vfs.c"
		}
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		_tmp6_ = _tmp2_;
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		_tmp2_ = NULL;
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		result = _tmp6_;
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		__g_slist_free__g_object_unref0_0 (_tmp2_);
#line 102 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/vfs.vala"
		return result;
#line 454 "vfs.c"
	}
}



