/* config-impl-keyfile.c generated by valac 0.26.1, the Vala compiler
 * generated from config-impl-keyfile.vala, do not modify */

/*
 * A GKeyFile-based implementation of the Config interface.
 *
 * Copyright (C) 2009 Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * Author : Mark Lee <libdesktop-agnostic@lazymalevolence.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <libdesktop-agnostic/config.h>
#include <libdesktop-agnostic/vfs.h>
#include <stdlib.h>
#include <string.h>
#include <config-notify-delegate.c>
#include <float.h>
#include <math.h>
#include <glib/gstdio.h>


#define DESKTOP_AGNOSTIC_CONFIG_TYPE_GKEY_FILE (desktop_agnostic_config_gkey_file_get_type ())
#define DESKTOP_AGNOSTIC_CONFIG_GKEY_FILE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_AGNOSTIC_CONFIG_TYPE_GKEY_FILE, DesktopAgnosticConfigGKeyFile))
#define DESKTOP_AGNOSTIC_CONFIG_GKEY_FILE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DESKTOP_AGNOSTIC_CONFIG_TYPE_GKEY_FILE, DesktopAgnosticConfigGKeyFileClass))
#define DESKTOP_AGNOSTIC_CONFIG_IS_GKEY_FILE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_AGNOSTIC_CONFIG_TYPE_GKEY_FILE))
#define DESKTOP_AGNOSTIC_CONFIG_IS_GKEY_FILE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DESKTOP_AGNOSTIC_CONFIG_TYPE_GKEY_FILE))
#define DESKTOP_AGNOSTIC_CONFIG_GKEY_FILE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DESKTOP_AGNOSTIC_CONFIG_TYPE_GKEY_FILE, DesktopAgnosticConfigGKeyFileClass))

typedef struct _DesktopAgnosticConfigGKeyFile DesktopAgnosticConfigGKeyFile;
typedef struct _DesktopAgnosticConfigGKeyFileClass DesktopAgnosticConfigGKeyFileClass;
typedef struct _DesktopAgnosticConfigGKeyFilePrivate DesktopAgnosticConfigGKeyFilePrivate;
#define _g_key_file_free0(var) ((var == NULL) ? NULL : (var = (g_key_file_free (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_value_array_free0(var) ((var == NULL) ? NULL : (var = (g_value_array_free (var), NULL)))
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _desktop_agnostic_config_notify_delegate_free0(var) ((var == NULL) ? NULL : (var = (desktop_agnostic_config_notify_delegate_free (var), NULL)))

struct _DesktopAgnosticConfigGKeyFile {
	DesktopAgnosticConfigBackend parent_instance;
	DesktopAgnosticConfigGKeyFilePrivate * priv;
};

struct _DesktopAgnosticConfigGKeyFileClass {
	DesktopAgnosticConfigBackendClass parent_class;
};

struct _DesktopAgnosticConfigGKeyFilePrivate {
	GKeyFile* _data;
	DesktopAgnosticVFSFile* _keyfile;
	DesktopAgnosticVFSFileMonitor* _keyfile_monitor;
	gulong _monitor_changed_id;
	gchar* _checksum;
	gboolean _autosave;
	GData* _notifiers;
};


static gpointer desktop_agnostic_config_gkey_file_parent_class = NULL;

GType desktop_agnostic_config_gkey_file_get_type (void) G_GNUC_CONST;
#define DESKTOP_AGNOSTIC_CONFIG_GKEY_FILE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), DESKTOP_AGNOSTIC_CONFIG_TYPE_GKEY_FILE, DesktopAgnosticConfigGKeyFilePrivate))
enum  {
	DESKTOP_AGNOSTIC_CONFIG_GKEY_FILE_DUMMY_PROPERTY,
	DESKTOP_AGNOSTIC_CONFIG_GKEY_FILE_NAME
};
static void desktop_agnostic_config_gkey_file_save_config (DesktopAgnosticConfigGKeyFile* self, GError** error);
static void desktop_agnostic_config_gkey_file_update_config (DesktopAgnosticConfigGKeyFile* self, const gchar* group, const gchar* key, GError** error);
static void desktop_agnostic_config_gkey_file_get_data_from_file (DesktopAgnosticConfigGKeyFile* self, DesktopAgnosticVFSFile* file, gchar** contents, gsize* length, gchar** checksum, GError** error);
static void desktop_agnostic_config_gkey_file_load_data (DesktopAgnosticConfigGKeyFile* self, DesktopAgnosticVFSFile* file, GError** error);
static void desktop_agnostic_config_gkey_file_set_value_from_keyfile (DesktopAgnosticConfigGKeyFile* self, GKeyFile* keyfile, const gchar* group, const gchar* key, GError** error);
static GValueArray* desktop_agnostic_config_gkey_file_generate_valuearray_from_keyfile (DesktopAgnosticConfigGKeyFile* self, GKeyFile* keyfile, const gchar* group, const gchar* key, GError** error);
static void desktop_agnostic_config_gkey_file_on_keyfile_changed (DesktopAgnosticConfigGKeyFile* self, DesktopAgnosticVFSFile* file, DesktopAgnosticVFSFile* other, DesktopAgnosticVFSFileMonitorEvent event, DesktopAgnosticVFSFileMonitor* monitor);
static void desktop_agnostic_config_gkey_file_ensure_directory (DesktopAgnosticConfigGKeyFile* self, const gchar* path);
static gboolean desktop_agnostic_config_gkey_file_create_file_monitor (DesktopAgnosticConfigGKeyFile* self);
static void desktop_agnostic_config_gkey_file_real_constructed (GObject* base);
static gboolean _desktop_agnostic_config_gkey_file_create_file_monitor_gsource_func (gpointer self);
static void desktop_agnostic_config_gkey_file_real_reset (DesktopAgnosticConfigBackend* base, GError** error);
static void desktop_agnostic_config_gkey_file_real_notify_add (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, DesktopAgnosticConfigNotifyFunc callback, void* callback_target, GError** error);
static void desktop_agnostic_config_gkey_file_real_notify (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GError** error);
static void desktop_agnostic_config_gkey_file_real_notify_remove (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, DesktopAgnosticConfigNotifyFunc callback, void* callback_target, GError** error);
static void desktop_agnostic_config_gkey_file_real_remove (DesktopAgnosticConfigBackend* base, GError** error);
static void desktop_agnostic_config_gkey_file_real_get_value (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GValue* result, GError** error);
static gboolean desktop_agnostic_config_gkey_file_real_get_bool (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GError** error);
static void desktop_agnostic_config_gkey_file_real_set_bool (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, gboolean value, GError** error);
static gfloat desktop_agnostic_config_gkey_file_real_get_float (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GError** error);
static void desktop_agnostic_config_gkey_file_real_set_float (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, gfloat value, GError** error);
static gint desktop_agnostic_config_gkey_file_real_get_int (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GError** error);
static void desktop_agnostic_config_gkey_file_real_set_int (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, gint value, GError** error);
static gchar* desktop_agnostic_config_gkey_file_real_get_string (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GError** error);
static void desktop_agnostic_config_gkey_file_real_set_string (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, const gchar* value, GError** error);
static GValueArray* desktop_agnostic_config_gkey_file_real_get_list (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GError** error);
static void desktop_agnostic_config_gkey_file_real_set_list (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GValueArray* value, GError** error);
static void _vala_array_add1 (gboolean** array, int* length, int* size, gboolean value);
static void _vala_array_add2 (gint** array, int* length, int* size, gint value);
static void _vala_array_add3 (gdouble** array, int* length, int* size, gdouble value);
static void _vala_array_add4 (gchar*** array, int* length, int* size, gchar* value);
static void _vala_array_add5 (gchar*** array, int* length, int* size, gchar* value);
DesktopAgnosticConfigGKeyFile* desktop_agnostic_config_gkey_file_new (void);
DesktopAgnosticConfigGKeyFile* desktop_agnostic_config_gkey_file_construct (GType object_type);
static GObject * desktop_agnostic_config_gkey_file_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
static void desktop_agnostic_config_gkey_file_finalize (GObject* obj);
static void _vala_desktop_agnostic_config_gkey_file_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
GType register_plugin (void);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


/**
     * Saves the current state of the configuration to the filesystem,
     * suppressing the "changed" signal from the file monitor.
     */
static void desktop_agnostic_config_gkey_file_save_config (DesktopAgnosticConfigGKeyFile* self, GError** error) {
	gchar* data = NULL;
	gsize length = 0UL;
	GKeyFile* _tmp0_ = NULL;
	gsize _tmp1_ = 0UL;
	gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gsize _tmp4_ = 0UL;
	gchar* _tmp5_ = NULL;
	gulong _tmp6_ = 0UL;
	DesktopAgnosticVFSFile* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	gulong _tmp11_ = 0UL;
	GError * _inner_error_ = NULL;
#line 59 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (self != NULL);
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = self->priv->_data;
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = g_key_file_to_data (_tmp0_, &_tmp1_, NULL);
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	length = _tmp1_;
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (data);
#line 65 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	data = _tmp2_;
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = data;
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = length;
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp5_ = g_compute_checksum_for_string (G_CHECKSUM_SHA256, _tmp3_, _tmp4_);
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (self->priv->_checksum);
#line 66 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self->priv->_checksum = _tmp5_;
#line 68 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp6_ = self->priv->_monitor_changed_id;
#line 68 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp6_ != ((gulong) 0)) {
#line 171 "config-impl-keyfile.c"
		DesktopAgnosticVFSFileMonitor* _tmp7_ = NULL;
		gulong _tmp8_ = 0UL;
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp7_ = self->priv->_keyfile_monitor;
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp8_ = self->priv->_monitor_changed_id;
#line 71 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_signal_handler_block (_tmp7_, _tmp8_);
#line 180 "config-impl-keyfile.c"
	}
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp9_ = self->priv->_keyfile;
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp10_ = data;
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	desktop_agnostic_vfs_file_replace_contents (_tmp9_, _tmp10_, &_inner_error_);
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (data);
#line 74 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 196 "config-impl-keyfile.c"
	}
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp11_ = self->priv->_monitor_changed_id;
#line 75 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp11_ != ((gulong) 0)) {
#line 202 "config-impl-keyfile.c"
		DesktopAgnosticVFSFileMonitor* _tmp12_ = NULL;
		gulong _tmp13_ = 0UL;
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp12_ = self->priv->_keyfile_monitor;
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp13_ = self->priv->_monitor_changed_id;
#line 78 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_signal_handler_unblock (_tmp12_, _tmp13_);
#line 211 "config-impl-keyfile.c"
	}
#line 59 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (data);
#line 215 "config-impl-keyfile.c"
}


/**
     * Saves the current configuration state to the filesystem (if autosave is
     * on) and emits the notify signal.
     */
static void desktop_agnostic_config_gkey_file_update_config (DesktopAgnosticConfigGKeyFile* self, const gchar* group, const gchar* key, GError** error) {
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	GError * _inner_error_ = NULL;
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (self != NULL);
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (group != NULL);
#line 86 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (key != NULL);
#line 89 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = self->priv->_autosave;
#line 89 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp0_) {
#line 91 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		desktop_agnostic_config_gkey_file_save_config (self, &_inner_error_);
#line 91 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 91 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 91 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 246 "config-impl-keyfile.c"
		}
	}
#line 93 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = group;
#line 93 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = key;
#line 93 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	desktop_agnostic_config_backend_notify ((DesktopAgnosticConfigBackend*) self, _tmp1_, _tmp2_, &_inner_error_);
#line 93 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 93 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 93 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 261 "config-impl-keyfile.c"
	}
}


static void desktop_agnostic_config_gkey_file_get_data_from_file (DesktopAgnosticConfigGKeyFile* self, DesktopAgnosticVFSFile* file, gchar** contents, gsize* length, gchar** checksum, GError** error) {
	gchar* _vala_contents = NULL;
	gsize _vala_length = 0UL;
	gchar* _vala_checksum = NULL;
	DesktopAgnosticVFSFile* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gsize _tmp2_ = 0UL;
	gchar* _tmp3_ = NULL;
	GError * _inner_error_ = NULL;
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (self != NULL);
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (file != NULL);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = file;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	desktop_agnostic_vfs_file_load_contents (_tmp0_, &_tmp1_, &_tmp2_, &_inner_error_);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (_vala_contents);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_vala_contents = _tmp1_;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_vala_length = _tmp2_;
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 100 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 295 "config-impl-keyfile.c"
	}
#line 101 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = g_compute_checksum_for_string (G_CHECKSUM_SHA256, _vala_contents, _vala_length);
#line 101 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (_vala_checksum);
#line 101 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_vala_checksum = _tmp3_;
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (contents) {
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		*contents = _vala_contents;
#line 307 "config-impl-keyfile.c"
	} else {
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (_vala_contents);
#line 311 "config-impl-keyfile.c"
	}
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (length) {
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		*length = _vala_length;
#line 317 "config-impl-keyfile.c"
	}
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (checksum) {
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		*checksum = _vala_checksum;
#line 323 "config-impl-keyfile.c"
	} else {
#line 96 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (_vala_checksum);
#line 327 "config-impl-keyfile.c"
	}
}


static void desktop_agnostic_config_gkey_file_load_data (DesktopAgnosticConfigGKeyFile* self, DesktopAgnosticVFSFile* file, GError** error) {
	gchar* data = NULL;
	gsize length = 0UL;
	DesktopAgnosticVFSFile* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gsize _tmp2_ = 0UL;
	gchar* _tmp3_ = NULL;
	GKeyFile* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gsize _tmp6_ = 0UL;
	GError * _inner_error_ = NULL;
#line 105 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (self != NULL);
#line 105 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (file != NULL);
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = file;
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	desktop_agnostic_config_gkey_file_get_data_from_file (self, _tmp0_, &_tmp1_, &_tmp2_, &_tmp3_, &_inner_error_);
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (data);
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	data = _tmp1_;
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	length = _tmp2_;
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (self->priv->_checksum);
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self->priv->_checksum = _tmp3_;
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (data);
#line 111 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 369 "config-impl-keyfile.c"
	}
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = self->priv->_data;
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp5_ = data;
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp6_ = length;
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_key_file_load_from_data (_tmp4_, _tmp5_, (gsize) ((gulong) _tmp6_), G_KEY_FILE_NONE, &_inner_error_);
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (data);
#line 112 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 387 "config-impl-keyfile.c"
	}
#line 105 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (data);
#line 391 "config-impl-keyfile.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return self ? g_object_ref (self) : NULL;
#line 398 "config-impl-keyfile.c"
}


static void desktop_agnostic_config_gkey_file_set_value_from_keyfile (DesktopAgnosticConfigGKeyFile* self, GKeyFile* keyfile, const gchar* group, const gchar* key, GError** error) {
	DesktopAgnosticConfigSchemaOption* option = NULL;
	DesktopAgnosticConfigSchema* _tmp0_ = NULL;
	DesktopAgnosticConfigSchema* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	DesktopAgnosticConfigSchemaOption* _tmp4_ = NULL;
	DesktopAgnosticConfigSchemaOption* _tmp5_ = NULL;
	GType type = 0UL;
	DesktopAgnosticConfigSchemaOption* _tmp6_ = NULL;
	GType _tmp7_ = 0UL;
	GType _tmp8_ = 0UL;
	GType _tmp9_ = 0UL;
	GError * _inner_error_ = NULL;
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (self != NULL);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (keyfile != NULL);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (group != NULL);
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (key != NULL);
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = desktop_agnostic_config_backend_get_schema ((DesktopAgnosticConfigBackend*) self);
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = _tmp0_;
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = group;
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = key;
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = desktop_agnostic_config_schema_get_option (_tmp1_, _tmp2_, _tmp3_);
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 118 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	option = _tmp5_;
#line 119 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp6_ = option;
#line 119 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp7_ = desktop_agnostic_config_schema_option_get_option_type (_tmp6_);
#line 119 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp8_ = _tmp7_;
#line 119 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	type = _tmp8_;
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp9_ = type;
#line 120 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp9_ == G_TYPE_BOOLEAN) {
#line 450 "config-impl-keyfile.c"
		gboolean _tmp10_ = FALSE;
		GKeyFile* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		gboolean _tmp14_ = FALSE;
		const gchar* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp11_ = keyfile;
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp12_ = group;
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp13_ = key;
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp14_ = g_key_file_get_boolean (_tmp11_, _tmp12_, _tmp13_, &_inner_error_);
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp10_ = _tmp14_;
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_object_unref0 (option);
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 476 "config-impl-keyfile.c"
		}
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp15_ = group;
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp16_ = key;
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		desktop_agnostic_config_backend_set_bool ((DesktopAgnosticConfigBackend*) self, _tmp15_, _tmp16_, _tmp10_, &_inner_error_);
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_object_unref0 (option);
#line 122 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 492 "config-impl-keyfile.c"
		}
	} else {
		GType _tmp17_ = 0UL;
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp17_ = type;
#line 124 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (_tmp17_ == G_TYPE_INT) {
#line 500 "config-impl-keyfile.c"
			gint _tmp18_ = 0;
			GKeyFile* _tmp19_ = NULL;
			const gchar* _tmp20_ = NULL;
			const gchar* _tmp21_ = NULL;
			gint _tmp22_ = 0;
			const gchar* _tmp23_ = NULL;
			const gchar* _tmp24_ = NULL;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp19_ = keyfile;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp20_ = group;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp21_ = key;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp22_ = g_key_file_get_integer (_tmp19_, _tmp20_, _tmp21_, &_inner_error_);
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp18_ = _tmp22_;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_propagate_error (error, _inner_error_);
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_object_unref0 (option);
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				return;
#line 526 "config-impl-keyfile.c"
			}
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp23_ = group;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp24_ = key;
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			desktop_agnostic_config_backend_set_int ((DesktopAgnosticConfigBackend*) self, _tmp23_, _tmp24_, _tmp18_, &_inner_error_);
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_propagate_error (error, _inner_error_);
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_object_unref0 (option);
#line 126 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				return;
#line 542 "config-impl-keyfile.c"
			}
		} else {
			GType _tmp25_ = 0UL;
#line 128 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp25_ = type;
#line 128 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (_tmp25_ == G_TYPE_FLOAT) {
#line 550 "config-impl-keyfile.c"
				gdouble _tmp26_ = 0.0;
				GKeyFile* _tmp27_ = NULL;
				const gchar* _tmp28_ = NULL;
				const gchar* _tmp29_ = NULL;
				gdouble _tmp30_ = 0.0;
				const gchar* _tmp31_ = NULL;
				const gchar* _tmp32_ = NULL;
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp27_ = keyfile;
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp28_ = group;
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp29_ = key;
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp30_ = g_key_file_get_double (_tmp27_, _tmp28_, _tmp29_, &_inner_error_);
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp26_ = _tmp30_;
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					g_propagate_error (error, _inner_error_);
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_object_unref0 (option);
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					return;
#line 576 "config-impl-keyfile.c"
				}
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp31_ = group;
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp32_ = key;
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				desktop_agnostic_config_backend_set_float ((DesktopAgnosticConfigBackend*) self, _tmp31_, _tmp32_, (gfloat) _tmp26_, &_inner_error_);
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					g_propagate_error (error, _inner_error_);
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_object_unref0 (option);
#line 130 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					return;
#line 592 "config-impl-keyfile.c"
				}
			} else {
				GType _tmp33_ = 0UL;
#line 132 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp33_ = type;
#line 132 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				if (_tmp33_ == G_TYPE_STRING) {
#line 600 "config-impl-keyfile.c"
					gchar* _tmp34_ = NULL;
					GKeyFile* _tmp35_ = NULL;
					const gchar* _tmp36_ = NULL;
					const gchar* _tmp37_ = NULL;
					gchar* _tmp38_ = NULL;
					const gchar* _tmp39_ = NULL;
					const gchar* _tmp40_ = NULL;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp35_ = keyfile;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp36_ = group;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp37_ = key;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp38_ = g_key_file_get_string (_tmp35_, _tmp36_, _tmp37_, &_inner_error_);
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp34_ = _tmp38_;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						g_propagate_error (error, _inner_error_);
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_object_unref0 (option);
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						return;
#line 626 "config-impl-keyfile.c"
					}
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp39_ = group;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp40_ = key;
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					desktop_agnostic_config_backend_set_string ((DesktopAgnosticConfigBackend*) self, _tmp39_, _tmp40_, _tmp34_, &_inner_error_);
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						g_propagate_error (error, _inner_error_);
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_free0 (_tmp34_);
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_object_unref0 (option);
#line 134 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						return;
#line 644 "config-impl-keyfile.c"
					}
#line 132 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_free0 (_tmp34_);
#line 648 "config-impl-keyfile.c"
				} else {
					GType _tmp41_ = 0UL;
#line 136 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp41_ = type;
#line 136 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					if (_tmp41_ == G_TYPE_VALUE_ARRAY) {
#line 655 "config-impl-keyfile.c"
						GValueArray* arr = NULL;
						GValueArray* _tmp42_ = NULL;
						GKeyFile* _tmp43_ = NULL;
						const gchar* _tmp44_ = NULL;
						const gchar* _tmp45_ = NULL;
						GValueArray* _tmp46_ = NULL;
						GValueArray* _tmp47_ = NULL;
						const gchar* _tmp48_ = NULL;
						const gchar* _tmp49_ = NULL;
						GValueArray* _tmp50_ = NULL;
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp43_ = keyfile;
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp44_ = group;
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp45_ = key;
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp46_ = desktop_agnostic_config_gkey_file_generate_valuearray_from_keyfile (self, _tmp43_, _tmp44_, _tmp45_, &_inner_error_);
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp42_ = _tmp46_;
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							g_propagate_error (error, _inner_error_);
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_value_array_free0 (arr);
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (option);
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							return;
#line 686 "config-impl-keyfile.c"
						}
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp47_ = _tmp42_;
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp42_ = NULL;
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_value_array_free0 (arr);
#line 140 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						arr = _tmp47_;
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp48_ = group;
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp49_ = key;
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp50_ = arr;
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						desktop_agnostic_config_backend_set_list ((DesktopAgnosticConfigBackend*) self, _tmp48_, _tmp49_, _tmp50_, &_inner_error_);
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							g_propagate_error (error, _inner_error_);
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_value_array_free0 (_tmp42_);
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_value_array_free0 (arr);
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (option);
#line 142 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							return;
#line 716 "config-impl-keyfile.c"
						}
#line 136 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_value_array_free0 (_tmp42_);
#line 136 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_value_array_free0 (arr);
#line 722 "config-impl-keyfile.c"
					} else {
						DesktopAgnosticConfigSchemaType* st = NULL;
						GType _tmp51_ = 0UL;
						DesktopAgnosticConfigSchemaType* _tmp52_ = NULL;
						DesktopAgnosticConfigSchemaType* _tmp53_ = NULL;
						DesktopAgnosticConfigSchemaType* _tmp54_ = NULL;
						GValue val = {0};
						gchar* _tmp58_ = NULL;
						GKeyFile* _tmp59_ = NULL;
						const gchar* _tmp60_ = NULL;
						const gchar* _tmp61_ = NULL;
						gchar* _tmp62_ = NULL;
						GValue _tmp63_ = {0};
						DesktopAgnosticConfigSchemaType* _tmp64_ = NULL;
						GValue _tmp65_ = {0};
						GValue _tmp66_ = {0};
						const gchar* _tmp67_ = NULL;
						const gchar* _tmp68_ = NULL;
						GValue _tmp69_ = {0};
#line 146 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp51_ = type;
#line 146 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp52_ = desktop_agnostic_config_schema_find_type (_tmp51_);
#line 146 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp53_ = _g_object_ref0 (_tmp52_);
#line 146 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						st = _tmp53_;
#line 147 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp54_ = st;
#line 147 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						if (_tmp54_ == NULL) {
#line 754 "config-impl-keyfile.c"
							GType _tmp55_ = 0UL;
							const gchar* _tmp56_ = NULL;
							GError* _tmp57_ = NULL;
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp55_ = type;
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp56_ = g_type_name (_tmp55_);
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp57_ = g_error_new (DESKTOP_AGNOSTIC_CONFIG_ERROR, DESKTOP_AGNOSTIC_CONFIG_ERROR_INVALID_TYPE, "'%s' is an invalid config type.", _tmp56_);
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_inner_error_ = _tmp57_;
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							g_propagate_error (error, _inner_error_);
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (st);
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (option);
#line 149 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							return;
#line 774 "config-impl-keyfile.c"
						}
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp59_ = keyfile;
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp60_ = group;
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp61_ = key;
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp62_ = g_key_file_get_string (_tmp59_, _tmp60_, _tmp61_, &_inner_error_);
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp58_ = _tmp62_;
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							g_propagate_error (error, _inner_error_);
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (st);
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (option);
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							return;
#line 798 "config-impl-keyfile.c"
						}
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp64_ = st;
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						desktop_agnostic_config_schema_type_deserialize (_tmp64_, _tmp58_, &_tmp65_, &_inner_error_);
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp63_ = _tmp65_;
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							g_propagate_error (error, _inner_error_);
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_free0 (_tmp58_);
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (st);
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (option);
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							return;
#line 820 "config-impl-keyfile.c"
						}
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp66_ = _tmp63_;
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						memset (&_tmp63_, 0, sizeof (GValue));
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 155 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						val = _tmp66_;
#line 156 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp67_ = group;
#line 156 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp68_ = key;
#line 156 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp69_ = val;
#line 156 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						desktop_agnostic_config_backend_set_value ((DesktopAgnosticConfigBackend*) self, _tmp67_, _tmp68_, &_tmp69_, &_inner_error_);
#line 156 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 156 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							g_propagate_error (error, _inner_error_);
#line 156 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							G_IS_VALUE (&_tmp63_) ? (g_value_unset (&_tmp63_), NULL) : NULL;
#line 156 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_free0 (_tmp58_);
#line 156 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 156 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (st);
#line 156 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (option);
#line 156 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							return;
#line 854 "config-impl-keyfile.c"
						}
#line 136 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						G_IS_VALUE (&_tmp63_) ? (g_value_unset (&_tmp63_), NULL) : NULL;
#line 136 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_free0 (_tmp58_);
#line 136 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 136 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_object_unref0 (st);
#line 864 "config-impl-keyfile.c"
					}
				}
			}
		}
	}
#line 115 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_object_unref0 (option);
#line 872 "config-impl-keyfile.c"
}


static GValueArray* desktop_agnostic_config_gkey_file_generate_valuearray_from_keyfile (DesktopAgnosticConfigGKeyFile* self, GKeyFile* keyfile, const gchar* group, const gchar* key, GError** error) {
	GValueArray* result = NULL;
	DesktopAgnosticConfigSchemaOption* option = NULL;
	GType list_type = 0UL;
	GValueArray* arr = NULL;
	DesktopAgnosticConfigSchema* _tmp0_ = NULL;
	DesktopAgnosticConfigSchema* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	DesktopAgnosticConfigSchemaOption* _tmp4_ = NULL;
	DesktopAgnosticConfigSchemaOption* _tmp5_ = NULL;
	DesktopAgnosticConfigSchemaOption* _tmp6_ = NULL;
	DesktopAgnosticConfigSchemaOption* _tmp16_ = NULL;
	GType _tmp17_ = 0UL;
	GType _tmp18_ = 0UL;
	GType _tmp19_ = 0UL;
	GError * _inner_error_ = NULL;
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (keyfile != NULL, NULL);
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (group != NULL, NULL);
#line 160 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 168 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = desktop_agnostic_config_backend_get_schema ((DesktopAgnosticConfigBackend*) self);
#line 168 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = _tmp0_;
#line 168 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = group;
#line 168 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = key;
#line 168 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = desktop_agnostic_config_schema_get_option (_tmp1_, _tmp2_, _tmp3_);
#line 168 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 168 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_object_unref0 (option);
#line 168 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	option = _tmp5_;
#line 169 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp6_ = option;
#line 169 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp6_ == NULL) {
#line 921 "config-impl-keyfile.c"
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		GError* _tmp9_ = NULL;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp7_ = group;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp8_ = key;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp9_ = g_error_new (DESKTOP_AGNOSTIC_CONFIG_ERROR, DESKTOP_AGNOSTIC_CONFIG_ERROR_KEY_NOT_FOUND, "The key %s/%s is invalid.", _tmp7_, _tmp8_);
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_inner_error_ = _tmp9_;
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_value_array_free0 (arr);
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_object_unref0 (option);
#line 171 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return NULL;
#line 941 "config-impl-keyfile.c"
	} else {
		gboolean _tmp10_ = FALSE;
		GKeyFile* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		gboolean _tmp14_ = FALSE;
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp11_ = keyfile;
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp12_ = group;
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp13_ = key;
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp14_ = g_key_file_has_key (_tmp11_, _tmp12_, _tmp13_, &_inner_error_);
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp10_ = _tmp14_;
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_value_array_free0 (arr);
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_object_unref0 (option);
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return NULL;
#line 968 "config-impl-keyfile.c"
		}
#line 174 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (!_tmp10_) {
#line 972 "config-impl-keyfile.c"
			GValueArray* _tmp15_ = NULL;
#line 176 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp15_ = g_value_array_new ((guint) 0);
#line 176 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			result = _tmp15_;
#line 176 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_value_array_free0 (arr);
#line 176 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_object_unref0 (option);
#line 176 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return result;
#line 984 "config-impl-keyfile.c"
		}
	}
#line 178 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp16_ = option;
#line 178 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp17_ = desktop_agnostic_config_schema_option_get_list_type (_tmp16_);
#line 178 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp18_ = _tmp17_;
#line 178 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	list_type = _tmp18_;
#line 179 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp19_ = list_type;
#line 179 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp19_ == G_TYPE_BOOLEAN) {
#line 999 "config-impl-keyfile.c"
		gboolean* list_data = NULL;
		gint list_data_length1 = 0;
		gint _list_data_size_ = 0;
		GValue val = {0};
		gboolean* _tmp20_ = NULL;
		GKeyFile* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
		const gchar* _tmp23_ = NULL;
		gsize _tmp24_;
		gboolean* _tmp25_ = NULL;
		gint _tmp20__length1 = 0;
		gint __tmp20__size_ = 0;
		gboolean* _tmp26_ = NULL;
		gint _tmp26__length1 = 0;
		gboolean* _tmp27_ = NULL;
		gint _tmp27__length1 = 0;
		GValueArray* _tmp28_ = NULL;
		gboolean* _tmp29_ = NULL;
		gint _tmp29__length1 = 0;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp21_ = keyfile;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp22_ = group;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp23_ = key;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp25_ = g_key_file_get_boolean_list (_tmp21_, _tmp22_, _tmp23_, &_tmp24_, &_inner_error_);
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp20_ = _tmp25_;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp20__length1 = _tmp24_;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		__tmp20__size_ = _tmp20__length1;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			list_data = (g_free (list_data), NULL);
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_value_array_free0 (arr);
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_object_unref0 (option);
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return NULL;
#line 1047 "config-impl-keyfile.c"
		}
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp26_ = _tmp20_;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp26__length1 = _tmp20__length1;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp20_ = NULL;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp20__length1 = 0;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		list_data = (g_free (list_data), NULL);
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		list_data = _tmp26_;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		list_data_length1 = _tmp26__length1;
#line 184 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_list_data_size_ = list_data_length1;
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp27_ = list_data;
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp27__length1 = list_data_length1;
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp28_ = g_value_array_new ((guint) _tmp27__length1);
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_value_array_free0 (arr);
#line 185 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		arr = _tmp28_;
#line 186 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp29_ = list_data;
#line 186 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp29__length1 = list_data_length1;
#line 1079 "config-impl-keyfile.c"
		{
			gboolean* item_collection = NULL;
			gint item_collection_length1 = 0;
			gint _item_collection_size_ = 0;
			gint item_it = 0;
#line 186 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			item_collection = _tmp29_;
#line 186 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			item_collection_length1 = _tmp29__length1;
#line 186 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			for (item_it = 0; item_it < _tmp29__length1; item_it = item_it + 1) {
#line 1091 "config-impl-keyfile.c"
				gboolean item = FALSE;
#line 186 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				item = item_collection[item_it];
#line 1095 "config-impl-keyfile.c"
				{
					gboolean _tmp30_ = FALSE;
					GValue _tmp31_ = {0};
					GValueArray* _tmp32_ = NULL;
					GValue _tmp33_ = {0};
#line 188 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp30_ = item;
#line 188 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					g_value_init (&_tmp31_, G_TYPE_BOOLEAN);
#line 188 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					g_value_set_boolean (&_tmp31_, _tmp30_);
#line 188 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 188 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					val = _tmp31_;
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp32_ = arr;
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp33_ = val;
#line 189 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					g_value_array_append (_tmp32_, &_tmp33_);
#line 1117 "config-impl-keyfile.c"
				}
			}
		}
#line 179 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp20_ = (g_free (_tmp20_), NULL);
#line 179 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 179 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		list_data = (g_free (list_data), NULL);
#line 1127 "config-impl-keyfile.c"
	} else {
		GType _tmp34_ = 0UL;
#line 192 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp34_ = list_type;
#line 192 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (_tmp34_ == G_TYPE_INT) {
#line 1134 "config-impl-keyfile.c"
			gint* list_data = NULL;
			gint list_data_length1 = 0;
			gint _list_data_size_ = 0;
			GValue val = {0};
			gint* _tmp35_ = NULL;
			GKeyFile* _tmp36_ = NULL;
			const gchar* _tmp37_ = NULL;
			const gchar* _tmp38_ = NULL;
			gsize _tmp39_;
			gint* _tmp40_ = NULL;
			gint _tmp35__length1 = 0;
			gint __tmp35__size_ = 0;
			gint* _tmp41_ = NULL;
			gint _tmp41__length1 = 0;
			gint* _tmp42_ = NULL;
			gint _tmp42__length1 = 0;
			GValueArray* _tmp43_ = NULL;
			gint* _tmp44_ = NULL;
			gint _tmp44__length1 = 0;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp36_ = keyfile;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp37_ = group;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp38_ = key;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp40_ = g_key_file_get_integer_list (_tmp36_, _tmp37_, _tmp38_, &_tmp39_, &_inner_error_);
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp35_ = _tmp40_;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp35__length1 = _tmp39_;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			__tmp35__size_ = _tmp35__length1;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_propagate_error (error, _inner_error_);
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				list_data = (g_free (list_data), NULL);
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_value_array_free0 (arr);
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_object_unref0 (option);
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				return NULL;
#line 1182 "config-impl-keyfile.c"
			}
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp41_ = _tmp35_;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp41__length1 = _tmp35__length1;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp35_ = NULL;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp35__length1 = 0;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			list_data = (g_free (list_data), NULL);
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			list_data = _tmp41_;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			list_data_length1 = _tmp41__length1;
#line 197 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_list_data_size_ = list_data_length1;
#line 198 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp42_ = list_data;
#line 198 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp42__length1 = list_data_length1;
#line 198 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp43_ = g_value_array_new ((guint) _tmp42__length1);
#line 198 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_value_array_free0 (arr);
#line 198 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			arr = _tmp43_;
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp44_ = list_data;
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp44__length1 = list_data_length1;
#line 1214 "config-impl-keyfile.c"
			{
				gint* item_collection = NULL;
				gint item_collection_length1 = 0;
				gint _item_collection_size_ = 0;
				gint item_it = 0;
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				item_collection = _tmp44_;
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				item_collection_length1 = _tmp44__length1;
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				for (item_it = 0; item_it < _tmp44__length1; item_it = item_it + 1) {
#line 1226 "config-impl-keyfile.c"
					gint item = 0;
#line 199 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					item = item_collection[item_it];
#line 1230 "config-impl-keyfile.c"
					{
						gint _tmp45_ = 0;
						GValue _tmp46_ = {0};
						GValueArray* _tmp47_ = NULL;
						GValue _tmp48_ = {0};
#line 201 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp45_ = item;
#line 201 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						g_value_init (&_tmp46_, G_TYPE_INT);
#line 201 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						g_value_set_int (&_tmp46_, _tmp45_);
#line 201 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 201 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						val = _tmp46_;
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp47_ = arr;
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp48_ = val;
#line 202 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						g_value_array_append (_tmp47_, &_tmp48_);
#line 1252 "config-impl-keyfile.c"
					}
				}
			}
#line 192 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp35_ = (g_free (_tmp35_), NULL);
#line 192 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 192 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			list_data = (g_free (list_data), NULL);
#line 1262 "config-impl-keyfile.c"
		} else {
			GType _tmp49_ = 0UL;
#line 205 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp49_ = list_type;
#line 205 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (_tmp49_ == G_TYPE_FLOAT) {
#line 1269 "config-impl-keyfile.c"
				gdouble* list_data = NULL;
				gint list_data_length1 = 0;
				gint _list_data_size_ = 0;
				GValue val = {0};
				gdouble* _tmp50_ = NULL;
				GKeyFile* _tmp51_ = NULL;
				const gchar* _tmp52_ = NULL;
				const gchar* _tmp53_ = NULL;
				gsize _tmp54_;
				gdouble* _tmp55_ = NULL;
				gint _tmp50__length1 = 0;
				gint __tmp50__size_ = 0;
				gdouble* _tmp56_ = NULL;
				gint _tmp56__length1 = 0;
				gdouble* _tmp57_ = NULL;
				gint _tmp57__length1 = 0;
				GValueArray* _tmp58_ = NULL;
				gdouble* _tmp59_ = NULL;
				gint _tmp59__length1 = 0;
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp51_ = keyfile;
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp52_ = group;
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp53_ = key;
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp55_ = g_key_file_get_double_list (_tmp51_, _tmp52_, _tmp53_, &_tmp54_, &_inner_error_);
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp50_ = _tmp55_;
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp50__length1 = _tmp54_;
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				__tmp50__size_ = _tmp50__length1;
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					g_propagate_error (error, _inner_error_);
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					list_data = (g_free (list_data), NULL);
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_value_array_free0 (arr);
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_object_unref0 (option);
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					return NULL;
#line 1317 "config-impl-keyfile.c"
				}
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp56_ = _tmp50_;
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp56__length1 = _tmp50__length1;
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp50_ = NULL;
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp50__length1 = 0;
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				list_data = (g_free (list_data), NULL);
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				list_data = (gdouble*) _tmp56_;
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				list_data_length1 = (_tmp56__length1 * sizeof (gdouble)) / sizeof (gdouble);
#line 210 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_list_data_size_ = list_data_length1;
#line 211 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp57_ = list_data;
#line 211 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp57__length1 = list_data_length1;
#line 211 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp58_ = g_value_array_new ((guint) _tmp57__length1);
#line 211 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_value_array_free0 (arr);
#line 211 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				arr = _tmp58_;
#line 212 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp59_ = list_data;
#line 212 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp59__length1 = list_data_length1;
#line 1349 "config-impl-keyfile.c"
				{
					gdouble* item_collection = NULL;
					gint item_collection_length1 = 0;
					gint _item_collection_size_ = 0;
					gint item_it = 0;
#line 212 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					item_collection = _tmp59_;
#line 212 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					item_collection_length1 = _tmp59__length1;
#line 212 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					for (item_it = 0; item_it < _tmp59__length1; item_it = item_it + 1) {
#line 1361 "config-impl-keyfile.c"
						gdouble item = 0.0;
#line 212 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						item = item_collection[item_it];
#line 1365 "config-impl-keyfile.c"
						{
							gdouble _tmp60_ = 0.0;
							GValue _tmp61_ = {0};
							GValueArray* _tmp62_ = NULL;
							GValue _tmp63_ = {0};
#line 214 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp60_ = item;
#line 214 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							g_value_init (&_tmp61_, G_TYPE_FLOAT);
#line 214 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							g_value_set_float (&_tmp61_, (gfloat) _tmp60_);
#line 214 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 214 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							val = _tmp61_;
#line 215 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp62_ = arr;
#line 215 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp63_ = val;
#line 215 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							g_value_array_append (_tmp62_, &_tmp63_);
#line 1387 "config-impl-keyfile.c"
						}
					}
				}
#line 205 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp50_ = (g_free (_tmp50_), NULL);
#line 205 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 205 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				list_data = (g_free (list_data), NULL);
#line 1397 "config-impl-keyfile.c"
			} else {
				GType _tmp64_ = 0UL;
#line 218 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp64_ = list_type;
#line 218 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				if (_tmp64_ == G_TYPE_STRING) {
#line 1404 "config-impl-keyfile.c"
					gchar** list_data = NULL;
					gint list_data_length1 = 0;
					gint _list_data_size_ = 0;
					GValue val = {0};
					gchar** _tmp65_ = NULL;
					GKeyFile* _tmp66_ = NULL;
					const gchar* _tmp67_ = NULL;
					const gchar* _tmp68_ = NULL;
					gsize _tmp69_;
					gchar** _tmp70_ = NULL;
					gint _tmp65__length1 = 0;
					gint __tmp65__size_ = 0;
					gchar** _tmp71_ = NULL;
					gint _tmp71__length1 = 0;
					gchar** _tmp72_ = NULL;
					gint _tmp72__length1 = 0;
					GValueArray* _tmp73_ = NULL;
					gchar** _tmp74_ = NULL;
					gint _tmp74__length1 = 0;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp66_ = keyfile;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp67_ = group;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp68_ = key;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp70_ = g_key_file_get_string_list (_tmp66_, _tmp67_, _tmp68_, &_tmp69_, &_inner_error_);
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp65_ = _tmp70_;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp65__length1 = _tmp69_;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					__tmp65__size_ = _tmp65__length1;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						g_propagate_error (error, _inner_error_);
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						list_data = (_vala_array_free (list_data, list_data_length1, (GDestroyNotify) g_free), NULL);
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_value_array_free0 (arr);
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_object_unref0 (option);
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						return NULL;
#line 1452 "config-impl-keyfile.c"
					}
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp71_ = _tmp65_;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp71__length1 = _tmp65__length1;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp65_ = NULL;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp65__length1 = 0;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					list_data = (_vala_array_free (list_data, list_data_length1, (GDestroyNotify) g_free), NULL);
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					list_data = _tmp71_;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					list_data_length1 = _tmp71__length1;
#line 223 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_list_data_size_ = list_data_length1;
#line 224 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp72_ = list_data;
#line 224 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp72__length1 = list_data_length1;
#line 224 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp73_ = g_value_array_new ((guint) _tmp72__length1);
#line 224 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_value_array_free0 (arr);
#line 224 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					arr = _tmp73_;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp74_ = list_data;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp74__length1 = list_data_length1;
#line 1484 "config-impl-keyfile.c"
					{
						gchar** item_collection = NULL;
						gint item_collection_length1 = 0;
						gint _item_collection_size_ = 0;
						gint item_it = 0;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						item_collection = _tmp74_;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						item_collection_length1 = _tmp74__length1;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						for (item_it = 0; item_it < _tmp74__length1; item_it = item_it + 1) {
#line 1496 "config-impl-keyfile.c"
							gchar* _tmp75_ = NULL;
							gchar* item = NULL;
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp75_ = g_strdup (item_collection[item_it]);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							item = _tmp75_;
#line 1503 "config-impl-keyfile.c"
							{
								const gchar* _tmp76_ = NULL;
								GValue _tmp77_ = {0};
								GValueArray* _tmp78_ = NULL;
								GValue _tmp79_ = {0};
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp76_ = item;
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								g_value_init (&_tmp77_, G_TYPE_STRING);
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								g_value_set_string (&_tmp77_, _tmp76_);
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 227 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								val = _tmp77_;
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp78_ = arr;
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp79_ = val;
#line 228 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								g_value_array_append (_tmp78_, &_tmp79_);
#line 225 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_g_free0 (item);
#line 1527 "config-impl-keyfile.c"
							}
						}
					}
#line 218 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp65_ = (_vala_array_free (_tmp65_, _tmp65__length1, (GDestroyNotify) g_free), NULL);
#line 218 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 218 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					list_data = (_vala_array_free (list_data, list_data_length1, (GDestroyNotify) g_free), NULL);
#line 1537 "config-impl-keyfile.c"
				} else {
					DesktopAgnosticConfigSchemaType* st = NULL;
					GType _tmp80_ = 0UL;
					DesktopAgnosticConfigSchemaType* _tmp81_ = NULL;
					DesktopAgnosticConfigSchemaType* _tmp82_ = NULL;
					DesktopAgnosticConfigSchemaType* _tmp83_ = NULL;
					gchar** list_data = NULL;
					gint list_data_length1 = 0;
					gint _list_data_size_ = 0;
					gchar** _tmp87_ = NULL;
					GKeyFile* _tmp88_ = NULL;
					const gchar* _tmp89_ = NULL;
					const gchar* _tmp90_ = NULL;
					gsize _tmp91_;
					gchar** _tmp92_ = NULL;
					gint _tmp87__length1 = 0;
					gint __tmp87__size_ = 0;
					gchar** _tmp93_ = NULL;
					gint _tmp93__length1 = 0;
					gchar** _tmp94_ = NULL;
					gint _tmp94__length1 = 0;
					GValueArray* _tmp95_ = NULL;
					gchar** _tmp96_ = NULL;
					gint _tmp96__length1 = 0;
#line 233 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp80_ = list_type;
#line 233 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp81_ = desktop_agnostic_config_schema_find_type (_tmp80_);
#line 233 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp82_ = _g_object_ref0 (_tmp81_);
#line 233 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					st = _tmp82_;
#line 234 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp83_ = st;
#line 234 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					if (_tmp83_ == NULL) {
#line 1574 "config-impl-keyfile.c"
						GType _tmp84_ = 0UL;
						const gchar* _tmp85_ = NULL;
						GError* _tmp86_ = NULL;
#line 236 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp84_ = list_type;
#line 236 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp85_ = g_type_name (_tmp84_);
#line 236 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp86_ = g_error_new (DESKTOP_AGNOSTIC_CONFIG_ERROR, DESKTOP_AGNOSTIC_CONFIG_ERROR_INVALID_TYPE, "'%s' is an invalid config type.", _tmp85_);
#line 236 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_inner_error_ = _tmp86_;
#line 236 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						g_propagate_error (error, _inner_error_);
#line 236 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_object_unref0 (st);
#line 236 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_value_array_free0 (arr);
#line 236 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_object_unref0 (option);
#line 236 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						return NULL;
#line 1596 "config-impl-keyfile.c"
					}
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp88_ = keyfile;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp89_ = group;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp90_ = key;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp92_ = g_key_file_get_string_list (_tmp88_, _tmp89_, _tmp90_, &_tmp91_, &_inner_error_);
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp87_ = _tmp92_;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp87__length1 = _tmp91_;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					__tmp87__size_ = _tmp87__length1;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						g_propagate_error (error, _inner_error_);
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						list_data = (_vala_array_free (list_data, list_data_length1, (GDestroyNotify) g_free), NULL);
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_object_unref0 (st);
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_value_array_free0 (arr);
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_object_unref0 (option);
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						return NULL;
#line 1626 "config-impl-keyfile.c"
					}
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp93_ = _tmp87_;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp93__length1 = _tmp87__length1;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp87_ = NULL;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp87__length1 = 0;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					list_data = (_vala_array_free (list_data, list_data_length1, (GDestroyNotify) g_free), NULL);
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					list_data = _tmp93_;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					list_data_length1 = _tmp93__length1;
#line 242 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_list_data_size_ = list_data_length1;
#line 243 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp94_ = list_data;
#line 243 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp94__length1 = list_data_length1;
#line 243 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp95_ = g_value_array_new ((guint) _tmp94__length1);
#line 243 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_value_array_free0 (arr);
#line 243 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					arr = _tmp95_;
#line 244 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp96_ = list_data;
#line 244 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp96__length1 = list_data_length1;
#line 1658 "config-impl-keyfile.c"
					{
						gchar** item_collection = NULL;
						gint item_collection_length1 = 0;
						gint _item_collection_size_ = 0;
						gint item_it = 0;
#line 244 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						item_collection = _tmp96_;
#line 244 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						item_collection_length1 = _tmp96__length1;
#line 244 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						for (item_it = 0; item_it < _tmp96__length1; item_it = item_it + 1) {
#line 1670 "config-impl-keyfile.c"
							gchar* _tmp97_ = NULL;
							gchar* item = NULL;
#line 244 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp97_ = g_strdup (item_collection[item_it]);
#line 244 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							item = _tmp97_;
#line 1677 "config-impl-keyfile.c"
							{
								GValue _tmp98_ = {0};
								DesktopAgnosticConfigSchemaType* _tmp99_ = NULL;
								const gchar* _tmp100_ = NULL;
								GValue _tmp101_ = {0};
								GValueArray* _tmp102_ = NULL;
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp99_ = st;
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp100_ = item;
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								desktop_agnostic_config_schema_type_deserialize (_tmp99_, _tmp100_, &_tmp101_, &_inner_error_);
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp98_ = _tmp101_;
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									g_propagate_error (error, _inner_error_);
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_g_free0 (item);
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_tmp87_ = (_vala_array_free (_tmp87_, _tmp87__length1, (GDestroyNotify) g_free), NULL);
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									list_data = (_vala_array_free (list_data, list_data_length1, (GDestroyNotify) g_free), NULL);
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_g_object_unref0 (st);
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_g_value_array_free0 (arr);
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_g_object_unref0 (option);
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									return NULL;
#line 1710 "config-impl-keyfile.c"
								}
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp102_ = arr;
#line 246 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								g_value_array_append (_tmp102_, &_tmp98_);
#line 244 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								G_IS_VALUE (&_tmp98_) ? (g_value_unset (&_tmp98_), NULL) : NULL;
#line 244 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_g_free0 (item);
#line 1720 "config-impl-keyfile.c"
							}
						}
					}
#line 218 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp87_ = (_vala_array_free (_tmp87_, _tmp87__length1, (GDestroyNotify) g_free), NULL);
#line 218 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					list_data = (_vala_array_free (list_data, list_data_length1, (GDestroyNotify) g_free), NULL);
#line 218 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_object_unref0 (st);
#line 1730 "config-impl-keyfile.c"
				}
			}
		}
	}
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	result = arr;
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_object_unref0 (option);
#line 250 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return result;
#line 1741 "config-impl-keyfile.c"
}


static void desktop_agnostic_config_gkey_file_on_keyfile_changed (DesktopAgnosticConfigGKeyFile* self, DesktopAgnosticVFSFile* file, DesktopAgnosticVFSFile* other, DesktopAgnosticVFSFileMonitorEvent event, DesktopAgnosticVFSFileMonitor* monitor) {
	DesktopAgnosticVFSFileMonitorEvent _tmp0_ = 0;
	GError * _inner_error_ = NULL;
#line 253 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (self != NULL);
#line 253 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (file != NULL);
#line 253 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (monitor != NULL);
#line 257 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = event;
#line 257 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	switch (_tmp0_) {
#line 257 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		case DESKTOP_AGNOSTIC_VFS_FILE_MONITOR_EVENT_CREATED:
#line 1760 "config-impl-keyfile.c"
		{
			DesktopAgnosticVFSFile* _tmp1_ = NULL;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp1_ = file;
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			desktop_agnostic_config_gkey_file_load_data (self, _tmp1_, &_inner_error_);
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_clear_error (&_inner_error_);
#line 261 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				return;
#line 1775 "config-impl-keyfile.c"
			}
#line 262 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			break;
#line 1779 "config-impl-keyfile.c"
		}
#line 257 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		case DESKTOP_AGNOSTIC_VFS_FILE_MONITOR_EVENT_CHANGED:
#line 1783 "config-impl-keyfile.c"
		{
			gchar* data = NULL;
			gsize length = 0UL;
			gchar* checksum = NULL;
			DesktopAgnosticVFSFile* _tmp2_ = NULL;
			gchar* _tmp3_ = NULL;
			gsize _tmp4_ = 0UL;
			gchar* _tmp5_ = NULL;
			const gchar* _tmp6_ = NULL;
			const gchar* _tmp7_ = NULL;
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp2_ = file;
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			desktop_agnostic_config_gkey_file_get_data_from_file (self, _tmp2_, &_tmp3_, &_tmp4_, &_tmp5_, &_inner_error_);
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_free0 (data);
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			data = _tmp3_;
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			length = _tmp4_;
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_free0 (checksum);
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			checksum = _tmp5_;
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_free0 (checksum);
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_free0 (data);
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_clear_error (&_inner_error_);
#line 269 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				return;
#line 1820 "config-impl-keyfile.c"
			}
#line 270 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp6_ = self->priv->_checksum;
#line 270 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp7_ = checksum;
#line 270 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (g_strcmp0 (_tmp6_, _tmp7_) != 0) {
#line 1828 "config-impl-keyfile.c"
				DesktopAgnosticConfigSchema* schema = NULL;
				DesktopAgnosticConfigSchema* _tmp8_ = NULL;
				DesktopAgnosticConfigSchema* _tmp9_ = NULL;
				GKeyFile* new_data = NULL;
				GKeyFile* _tmp10_ = NULL;
				GKeyFile* _tmp11_ = NULL;
				const gchar* _tmp12_ = NULL;
				gsize _tmp13_ = 0UL;
				DesktopAgnosticConfigSchema* _tmp14_ = NULL;
				GList* _tmp15_ = NULL;
#line 273 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp8_ = desktop_agnostic_config_backend_get_schema ((DesktopAgnosticConfigBackend*) self);
#line 273 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp9_ = _tmp8_;
#line 273 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				schema = _tmp9_;
#line 274 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp10_ = g_key_file_new ();
#line 274 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				new_data = _tmp10_;
#line 276 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp11_ = new_data;
#line 276 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp12_ = data;
#line 276 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp13_ = length;
#line 276 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_key_file_load_from_data (_tmp11_, _tmp12_, _tmp13_, G_KEY_FILE_NONE, &_inner_error_);
#line 276 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 276 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_key_file_free0 (new_data);
#line 276 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_free0 (checksum);
#line 276 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_free0 (data);
#line 276 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 276 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					g_clear_error (&_inner_error_);
#line 276 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					return;
#line 1871 "config-impl-keyfile.c"
				}
#line 278 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				self->priv->_autosave = FALSE;
#line 279 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp14_ = schema;
#line 279 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp15_ = desktop_agnostic_config_schema_get_groups (_tmp14_);
#line 1879 "config-impl-keyfile.c"
				{
					GList* group_collection = NULL;
					GList* group_it = NULL;
#line 279 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					group_collection = _tmp15_;
#line 279 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					for (group_it = group_collection; group_it != NULL; group_it = group_it->next) {
#line 1887 "config-impl-keyfile.c"
						const gchar* group = NULL;
#line 279 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						group = (const gchar*) group_it->data;
#line 1891 "config-impl-keyfile.c"
						{
							DesktopAgnosticConfigSchema* _tmp16_ = NULL;
							const gchar* _tmp17_ = NULL;
							GList* _tmp18_ = NULL;
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp16_ = schema;
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp17_ = group;
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp18_ = desktop_agnostic_config_schema_get_keys (_tmp16_, _tmp17_);
#line 1902 "config-impl-keyfile.c"
							{
								GList* key_collection = NULL;
								GList* key_it = NULL;
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								key_collection = _tmp18_;
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								for (key_it = key_collection; key_it != NULL; key_it = key_it->next) {
#line 1910 "config-impl-keyfile.c"
									const gchar* key = NULL;
#line 281 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									key = (const gchar*) key_it->data;
#line 1914 "config-impl-keyfile.c"
									{
										GKeyFile* _tmp19_ = NULL;
										const gchar* _tmp20_ = NULL;
										gboolean _tmp21_ = FALSE;
#line 283 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
										_tmp19_ = self->priv->_data;
#line 283 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
										_tmp20_ = group;
#line 283 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
										_tmp21_ = g_key_file_has_group (_tmp19_, _tmp20_);
#line 283 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
										if (_tmp21_) {
#line 1927 "config-impl-keyfile.c"
											gboolean _tmp22_ = FALSE;
											gboolean _tmp23_ = FALSE;
											gboolean _tmp24_ = FALSE;
											GKeyFile* _tmp25_ = NULL;
											const gchar* _tmp26_ = NULL;
											const gchar* _tmp27_ = NULL;
											gboolean _tmp28_ = FALSE;
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
											_tmp25_ = self->priv->_data;
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
											_tmp26_ = group;
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
											_tmp27_ = key;
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
											_tmp28_ = g_key_file_has_key (_tmp25_, _tmp26_, _tmp27_, &_inner_error_);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
											_tmp24_ = _tmp28_;
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
											if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_g_list_free0 (group_collection);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_g_key_file_free0 (new_data);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_g_free0 (checksum);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_g_free0 (data);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												g_clear_error (&_inner_error_);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												return;
#line 1961 "config-impl-keyfile.c"
											}
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
											if (_tmp24_) {
#line 1965 "config-impl-keyfile.c"
												gchar* _tmp29_ = NULL;
												GKeyFile* _tmp30_ = NULL;
												const gchar* _tmp31_ = NULL;
												const gchar* _tmp32_ = NULL;
												gchar* _tmp33_ = NULL;
												gchar* _tmp34_ = NULL;
												GKeyFile* _tmp35_ = NULL;
												const gchar* _tmp36_ = NULL;
												const gchar* _tmp37_ = NULL;
												gchar* _tmp38_ = NULL;
												gchar* _tmp39_ = NULL;
												gchar* _tmp40_ = NULL;
												gchar* _tmp41_ = NULL;
												gchar* _tmp42_ = NULL;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp30_ = self->priv->_data;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp31_ = group;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp32_ = key;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp33_ = g_key_file_get_value (_tmp30_, _tmp31_, _tmp32_, &_inner_error_);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp29_ = _tmp33_;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													_g_list_free0 (group_collection);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													_g_key_file_free0 (new_data);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													_g_free0 (checksum);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													_g_free0 (data);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													g_clear_error (&_inner_error_);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													return;
#line 2006 "config-impl-keyfile.c"
												}
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp35_ = new_data;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp36_ = group;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp37_ = key;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp38_ = g_key_file_get_value (_tmp35_, _tmp36_, _tmp37_, &_inner_error_);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp34_ = _tmp38_;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													_g_free0 (_tmp29_);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													_g_list_free0 (group_collection);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													_g_key_file_free0 (new_data);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													_g_free0 (checksum);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													_g_free0 (data);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													g_clear_error (&_inner_error_);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													return;
#line 2036 "config-impl-keyfile.c"
												}
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp39_ = _tmp29_;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp29_ = NULL;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp40_ = _tmp39_;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp41_ = _tmp34_;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp34_ = NULL;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp42_ = _tmp41_;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp23_ = g_strcmp0 (_tmp40_, _tmp42_) != 0;
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_g_free0 (_tmp42_);
#line 286 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_g_free0 (_tmp40_);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_g_free0 (_tmp34_);
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_g_free0 (_tmp29_);
#line 2060 "config-impl-keyfile.c"
											} else {
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp23_ = FALSE;
#line 2064 "config-impl-keyfile.c"
											}
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
											if (_tmp23_) {
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp22_ = TRUE;
#line 2070 "config-impl-keyfile.c"
											} else {
												DesktopAgnosticConfigSchema* _tmp43_ = NULL;
												const gchar* _tmp44_ = NULL;
												const gchar* _tmp45_ = NULL;
												DesktopAgnosticConfigSchemaOption* _tmp46_ = NULL;
												GType _tmp47_ = 0UL;
												GType _tmp48_ = 0UL;
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp43_ = schema;
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp44_ = group;
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp45_ = key;
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp46_ = desktop_agnostic_config_schema_get_option (_tmp43_, _tmp44_, _tmp45_);
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp47_ = desktop_agnostic_config_schema_option_get_option_type (_tmp46_);
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp48_ = _tmp47_;
#line 287 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp22_ = _tmp48_ == G_TYPE_VALUE_ARRAY;
#line 2092 "config-impl-keyfile.c"
											}
#line 285 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
											if (_tmp22_) {
#line 2096 "config-impl-keyfile.c"
												GKeyFile* _tmp49_ = NULL;
												const gchar* _tmp50_ = NULL;
												const gchar* _tmp51_ = NULL;
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp49_ = new_data;
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp50_ = group;
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												_tmp51_ = key;
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												desktop_agnostic_config_gkey_file_set_value_from_keyfile (self, _tmp49_, _tmp50_, _tmp51_, &_inner_error_);
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
												if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													_g_list_free0 (group_collection);
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													_g_key_file_free0 (new_data);
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													_g_free0 (checksum);
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													_g_free0 (data);
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													g_clear_error (&_inner_error_);
#line 289 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
													return;
#line 2124 "config-impl-keyfile.c"
												}
											}
										}
									}
								}
							}
						}
					}
#line 279 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_list_free0 (group_collection);
#line 2135 "config-impl-keyfile.c"
				}
#line 294 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				self->priv->_autosave = TRUE;
#line 270 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_key_file_free0 (new_data);
#line 2141 "config-impl-keyfile.c"
			}
#line 296 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_free0 (checksum);
#line 296 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_free0 (data);
#line 296 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			break;
#line 2149 "config-impl-keyfile.c"
		}
#line 257 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		case DESKTOP_AGNOSTIC_VFS_FILE_MONITOR_EVENT_DELETED:
#line 2153 "config-impl-keyfile.c"
		{
#line 299 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			desktop_agnostic_config_backend_reset ((DesktopAgnosticConfigBackend*) self, &_inner_error_);
#line 299 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 299 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 299 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_clear_error (&_inner_error_);
#line 299 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				return;
#line 2165 "config-impl-keyfile.c"
			}
#line 300 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			break;
#line 2169 "config-impl-keyfile.c"
		}
		default:
		{
#line 303 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			break;
#line 2175 "config-impl-keyfile.c"
		}
	}
}


static void desktop_agnostic_config_gkey_file_ensure_directory (DesktopAgnosticConfigGKeyFile* self, const gchar* path) {
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 307 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (self != NULL);
#line 307 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (path != NULL);
#line 310 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = path;
#line 310 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = g_file_test (_tmp0_, G_FILE_TEST_EXISTS);
#line 310 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (!_tmp1_) {
#line 2194 "config-impl-keyfile.c"
		gint d_errno = 0;
		const gchar* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
#line 312 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp2_ = path;
#line 312 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp3_ = g_mkdir_with_parents (_tmp2_, 0755);
#line 312 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		d_errno = _tmp3_;
#line 313 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp4_ = d_errno;
#line 313 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (_tmp4_ != 0) {
#line 2209 "config-impl-keyfile.c"
			gint _tmp5_ = 0;
			const gchar* _tmp6_ = NULL;
#line 315 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp5_ = d_errno;
#line 315 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp6_ = g_strerror (_tmp5_);
#line 315 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_critical ("config-impl-keyfile.vala:315: Config file error: %s", _tmp6_);
#line 2218 "config-impl-keyfile.c"
		}
	}
}


static gboolean desktop_agnostic_config_gkey_file_create_file_monitor (DesktopAgnosticConfigGKeyFile* self) {
	gboolean result = FALSE;
	DesktopAgnosticVFSFile* _tmp0_ = NULL;
	DesktopAgnosticVFSFileMonitor* _tmp1_ = NULL;
	DesktopAgnosticVFSFileMonitor* _tmp2_ = NULL;
	gulong _tmp3_ = 0UL;
#line 320 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 323 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = self->priv->_keyfile;
#line 323 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = desktop_agnostic_vfs_file_monitor (_tmp0_);
#line 323 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_object_unref0 (self->priv->_keyfile_monitor);
#line 323 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self->priv->_keyfile_monitor = _tmp1_;
#line 324 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = self->priv->_keyfile_monitor;
#line 324 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = g_signal_connect_swapped (_tmp2_, "changed", (GCallback) desktop_agnostic_config_gkey_file_on_keyfile_changed, self);
#line 324 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self->priv->_monitor_changed_id = _tmp3_;
#line 328 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	result = FALSE;
#line 328 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return result;
#line 2250 "config-impl-keyfile.c"
}


/**
     * Determines the path to the config file and creates/loads it.
     */
static gboolean _desktop_agnostic_config_gkey_file_create_file_monitor_gsource_func (gpointer self) {
	gboolean result;
	result = desktop_agnostic_config_gkey_file_create_file_monitor ((DesktopAgnosticConfigGKeyFile*) self);
#line 373 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return result;
#line 2262 "config-impl-keyfile.c"
}


static void desktop_agnostic_config_gkey_file_real_constructed (GObject* base) {
	DesktopAgnosticConfigGKeyFile * self;
	gchar* base_path = NULL;
	gchar* path = NULL;
	DesktopAgnosticConfigSchema* schema = NULL;
	DesktopAgnosticConfigSchema* _tmp0_ = NULL;
	DesktopAgnosticConfigSchema* _tmp1_ = NULL;
	DesktopAgnosticConfigSchema* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	DesktopAgnosticVFSFile* _tmp23_ = NULL;
	const gchar* _tmp24_ = NULL;
	DesktopAgnosticVFSFile* _tmp25_ = NULL;
	DesktopAgnosticVFSFile* _tmp26_ = NULL;
	GError * _inner_error_ = NULL;
#line 334 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 339 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = desktop_agnostic_config_backend_get_schema ((DesktopAgnosticConfigBackend*) self);
#line 339 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = _tmp0_;
#line 339 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 339 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	schema = _tmp2_;
#line 341 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = g_get_user_config_dir ();
#line 341 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = g_build_filename (_tmp3_, "desktop-agnostic", NULL);
#line 341 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (base_path);
#line 341 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	base_path = _tmp4_;
#line 343 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp5_ = desktop_agnostic_config_backend_get_instance_id ((DesktopAgnosticConfigBackend*) self);
#line 343 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp6_ = _tmp5_;
#line 343 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp6_ == NULL) {
#line 2307 "config-impl-keyfile.c"
		const gchar* _tmp7_ = NULL;
		DesktopAgnosticConfigSchema* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
#line 345 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp7_ = base_path;
#line 345 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp8_ = schema;
#line 345 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp9_ = desktop_agnostic_config_schema_get_app_name (_tmp8_);
#line 345 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp10_ = _tmp9_;
#line 345 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp11_ = g_strdup_printf ("%s.ini", _tmp10_);
#line 345 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp12_ = _tmp11_;
#line 345 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp13_ = g_build_filename (_tmp7_, _tmp12_, NULL);
#line 345 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (path);
#line 345 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		path = _tmp13_;
#line 345 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (_tmp12_);
#line 2335 "config-impl-keyfile.c"
	} else {
		const gchar* _tmp14_ = NULL;
		DesktopAgnosticConfigSchema* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
#line 350 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp14_ = base_path;
#line 350 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp15_ = schema;
#line 350 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp16_ = desktop_agnostic_config_schema_get_app_name (_tmp15_);
#line 350 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp17_ = _tmp16_;
#line 350 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp18_ = desktop_agnostic_config_backend_get_instance_id ((DesktopAgnosticConfigBackend*) self);
#line 350 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp19_ = _tmp18_;
#line 350 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp20_ = g_strdup_printf ("%s-%s.ini", _tmp17_, _tmp19_);
#line 350 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp21_ = _tmp20_;
#line 350 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp22_ = g_build_filename (_tmp14_, "instances", _tmp21_, NULL);
#line 350 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (path);
#line 350 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		path = _tmp22_;
#line 350 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (_tmp21_);
#line 2370 "config-impl-keyfile.c"
	}
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp24_ = path;
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp25_ = desktop_agnostic_vfs_file_new_for_path (_tmp24_, &_inner_error_);
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp23_ = _tmp25_;
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_object_unref0 (schema);
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (path);
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (base_path);
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_clear_error (&_inner_error_);
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 2392 "config-impl-keyfile.c"
	}
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp26_ = _tmp23_;
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp23_ = NULL;
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_object_unref0 (self->priv->_keyfile);
#line 354 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self->priv->_keyfile = _tmp26_;
#line 2402 "config-impl-keyfile.c"
	{
		DesktopAgnosticVFSFile* _tmp27_ = NULL;
		gboolean _tmp28_ = FALSE;
#line 357 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp27_ = self->priv->_keyfile;
#line 357 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp28_ = desktop_agnostic_vfs_file_exists (_tmp27_);
#line 357 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (_tmp28_) {
#line 2412 "config-impl-keyfile.c"
			DesktopAgnosticVFSFile* _tmp29_ = NULL;
#line 359 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp29_ = self->priv->_keyfile;
#line 359 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			desktop_agnostic_config_gkey_file_load_data (self, _tmp29_, &_inner_error_);
#line 359 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2420 "config-impl-keyfile.c"
				goto __catch0_g_error;
			}
		} else {
			const gchar* _tmp30_ = NULL;
			gchar* _tmp31_ = NULL;
			gchar* _tmp32_ = NULL;
#line 363 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp30_ = path;
#line 363 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp31_ = g_path_get_dirname (_tmp30_);
#line 363 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp32_ = _tmp31_;
#line 363 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			desktop_agnostic_config_gkey_file_ensure_directory (self, _tmp32_);
#line 363 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_free0 (_tmp32_);
#line 364 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			desktop_agnostic_config_backend_reset ((DesktopAgnosticConfigBackend*) self, &_inner_error_);
#line 364 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2441 "config-impl-keyfile.c"
				goto __catch0_g_error;
			}
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* err = NULL;
		GError* _tmp33_ = NULL;
		const gchar* _tmp34_ = NULL;
#line 355 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		err = _inner_error_;
#line 355 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_inner_error_ = NULL;
#line 369 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp33_ = err;
#line 369 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp34_ = _tmp33_->message;
#line 369 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_critical ("config-impl-keyfile.vala:369: Config error: %s", _tmp34_);
#line 355 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_error_free0 (err);
#line 2464 "config-impl-keyfile.c"
	}
	__finally0:
#line 355 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 355 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_object_unref0 (_tmp23_);
#line 355 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_object_unref0 (schema);
#line 355 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (path);
#line 355 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (base_path);
#line 355 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 355 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_clear_error (&_inner_error_);
#line 355 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 2483 "config-impl-keyfile.c"
	}
#line 373 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, _desktop_agnostic_config_gkey_file_create_file_monitor_gsource_func, g_object_ref (self), g_object_unref);
#line 334 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_object_unref0 (_tmp23_);
#line 334 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_object_unref0 (schema);
#line 334 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (path);
#line 334 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (base_path);
#line 2495 "config-impl-keyfile.c"
}


static void desktop_agnostic_config_gkey_file_real_reset (DesktopAgnosticConfigBackend* base, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	DesktopAgnosticConfigSchema* schema = NULL;
	DesktopAgnosticConfigSchema* _tmp0_ = NULL;
	DesktopAgnosticConfigSchema* _tmp1_ = NULL;
	DesktopAgnosticConfigSchema* _tmp2_ = NULL;
	DesktopAgnosticConfigSchema* _tmp4_ = NULL;
	GList* _tmp5_ = NULL;
	GError * _inner_error_ = NULL;
#line 383 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 386 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = desktop_agnostic_config_backend_get_schema ((DesktopAgnosticConfigBackend*) self);
#line 386 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = _tmp0_;
#line 386 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	schema = _tmp1_;
#line 387 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = schema;
#line 387 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp2_ == NULL) {
#line 2520 "config-impl-keyfile.c"
		GError* _tmp3_ = NULL;
#line 389 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp3_ = g_error_new_literal (DESKTOP_AGNOSTIC_CONFIG_ERROR, DESKTOP_AGNOSTIC_CONFIG_ERROR_NO_SCHEMA, "The schema was not loaded.");
#line 389 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_inner_error_ = _tmp3_;
#line 389 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 389 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 2530 "config-impl-keyfile.c"
	}
#line 392 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self->priv->_autosave = FALSE;
#line 393 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = schema;
#line 393 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp5_ = desktop_agnostic_config_schema_get_groups (_tmp4_);
#line 2538 "config-impl-keyfile.c"
	{
		GList* group_collection = NULL;
		GList* group_it = NULL;
#line 393 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		group_collection = _tmp5_;
#line 393 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		for (group_it = group_collection; group_it != NULL; group_it = group_it->next) {
#line 2546 "config-impl-keyfile.c"
			const gchar* group = NULL;
#line 393 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			group = (const gchar*) group_it->data;
#line 2550 "config-impl-keyfile.c"
			{
				DesktopAgnosticConfigSchema* _tmp6_ = NULL;
				const gchar* _tmp7_ = NULL;
				GList* _tmp8_ = NULL;
#line 395 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp6_ = schema;
#line 395 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp7_ = group;
#line 395 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp8_ = desktop_agnostic_config_schema_get_keys (_tmp6_, _tmp7_);
#line 2561 "config-impl-keyfile.c"
				{
					GList* key_collection = NULL;
					GList* key_it = NULL;
#line 395 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					key_collection = _tmp8_;
#line 395 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					for (key_it = key_collection; key_it != NULL; key_it = key_it->next) {
#line 2569 "config-impl-keyfile.c"
						const gchar* key = NULL;
#line 395 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						key = (const gchar*) key_it->data;
#line 2573 "config-impl-keyfile.c"
						{
							DesktopAgnosticConfigSchemaOption* option = NULL;
							DesktopAgnosticConfigSchema* _tmp9_ = NULL;
							const gchar* _tmp10_ = NULL;
							const gchar* _tmp11_ = NULL;
							DesktopAgnosticConfigSchemaOption* _tmp12_ = NULL;
							DesktopAgnosticConfigSchemaOption* _tmp13_ = NULL;
							gboolean _tmp14_ = FALSE;
							const gchar* _tmp15_ = NULL;
							const gchar* _tmp16_ = NULL;
#line 397 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp9_ = schema;
#line 397 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp10_ = group;
#line 397 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp11_ = key;
#line 397 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp12_ = desktop_agnostic_config_schema_get_option (_tmp9_, _tmp10_, _tmp11_);
#line 397 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp13_ = _g_object_ref0 (_tmp12_);
#line 397 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							option = _tmp13_;
#line 398 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp15_ = desktop_agnostic_config_backend_get_instance_id ((DesktopAgnosticConfigBackend*) self);
#line 398 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp16_ = _tmp15_;
#line 398 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							if (_tmp16_ == NULL) {
#line 398 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp14_ = TRUE;
#line 2604 "config-impl-keyfile.c"
							} else {
								DesktopAgnosticConfigSchemaOption* _tmp17_ = NULL;
								gboolean _tmp18_ = FALSE;
								gboolean _tmp19_ = FALSE;
#line 398 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp17_ = option;
#line 398 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp18_ = desktop_agnostic_config_schema_option_get_per_instance (_tmp17_);
#line 398 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp19_ = _tmp18_;
#line 398 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp14_ = _tmp19_;
#line 2617 "config-impl-keyfile.c"
							}
#line 398 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							if (_tmp14_) {
#line 2621 "config-impl-keyfile.c"
								const gchar* _tmp20_ = NULL;
								const gchar* _tmp21_ = NULL;
								DesktopAgnosticConfigSchemaOption* _tmp22_ = NULL;
								GValue _tmp23_ = {0};
								GValue _tmp24_ = {0};
#line 400 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp20_ = group;
#line 400 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp21_ = key;
#line 400 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp22_ = option;
#line 400 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								desktop_agnostic_config_schema_option_get_default_value (_tmp22_, &_tmp23_);
#line 400 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp24_ = _tmp23_;
#line 400 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								desktop_agnostic_config_backend_set_value ((DesktopAgnosticConfigBackend*) self, _tmp20_, _tmp21_, &_tmp24_, &_inner_error_);
#line 400 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 400 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									g_propagate_error (error, _inner_error_);
#line 400 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_g_object_unref0 (option);
#line 400 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_g_list_free0 (group_collection);
#line 400 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									return;
#line 2649 "config-impl-keyfile.c"
								}
							}
#line 395 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (option);
#line 2654 "config-impl-keyfile.c"
						}
					}
				}
			}
		}
#line 393 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_list_free0 (group_collection);
#line 2662 "config-impl-keyfile.c"
	}
#line 404 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self->priv->_autosave = TRUE;
#line 405 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	desktop_agnostic_config_gkey_file_save_config (self, &_inner_error_);
#line 405 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 405 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 405 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 2674 "config-impl-keyfile.c"
	}
}


static void desktop_agnostic_config_gkey_file_real_notify_add (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, DesktopAgnosticConfigNotifyFunc callback, void* callback_target, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	gchar* full_key = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GSList* funcs = NULL;
	gconstpointer _tmp3_ = NULL;
	DesktopAgnosticConfigNotifyDelegate* data = NULL;
	DesktopAgnosticConfigNotifyFunc _tmp4_ = NULL;
	void* _tmp4__target = NULL;
	DesktopAgnosticConfigNotifyDelegate* _tmp5_ = NULL;
	DesktopAgnosticConfigNotifyDelegate* _tmp6_ = NULL;
#line 408 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 408 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (group != NULL);
#line 408 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (key != NULL);
#line 411 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = group;
#line 411 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = key;
#line 411 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = g_strdup_printf ("%s/%s", _tmp0_, _tmp1_);
#line 411 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	full_key = _tmp2_;
#line 412 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = g_datalist_get_data (&self->priv->_notifiers, full_key);
#line 412 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	funcs = (GSList*) _tmp3_;
#line 413 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = callback;
#line 413 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4__target = callback_target;
#line 413 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp5_ = desktop_agnostic_config_notify_delegate_new (_tmp4_, _tmp4__target);
#line 413 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	data = _tmp5_;
#line 414 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp6_ = data;
#line 414 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	data = NULL;
#line 414 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	funcs = g_slist_append (funcs, _tmp6_);
#line 415 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_datalist_set_data (&self->priv->_notifiers, full_key, funcs);
#line 408 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_desktop_agnostic_config_notify_delegate_free0 (data);
#line 408 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (full_key);
#line 2730 "config-impl-keyfile.c"
}


static void desktop_agnostic_config_gkey_file_real_notify (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	gchar* full_key = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GValue value = {0};
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	GValue _tmp5_ = {0};
	GSList* funcs = NULL;
	gconstpointer _tmp6_ = NULL;
	GSList* _tmp7_ = NULL;
	GError * _inner_error_ = NULL;
#line 418 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 418 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (group != NULL);
#line 418 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (key != NULL);
#line 421 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = group;
#line 421 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = key;
#line 421 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = g_strdup_printf ("%s/%s", _tmp0_, _tmp1_);
#line 421 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	full_key = _tmp2_;
#line 422 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = group;
#line 422 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = key;
#line 422 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	desktop_agnostic_config_backend_get_value ((DesktopAgnosticConfigBackend*) self, _tmp3_, _tmp4_, &_tmp5_, &_inner_error_);
#line 422 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	value = _tmp5_;
#line 422 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 422 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 422 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (full_key);
#line 422 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 2778 "config-impl-keyfile.c"
	}
#line 423 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp6_ = g_datalist_get_data (&self->priv->_notifiers, full_key);
#line 423 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	funcs = (GSList*) _tmp6_;
#line 424 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp7_ = funcs;
#line 2786 "config-impl-keyfile.c"
	{
		GSList* data_collection = NULL;
		GSList* data_it = NULL;
#line 424 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		data_collection = _tmp7_;
#line 424 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		for (data_it = data_collection; data_it != NULL; data_it = data_it->next) {
#line 2794 "config-impl-keyfile.c"
			DesktopAgnosticConfigNotifyDelegate* data = NULL;
#line 424 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			data = (DesktopAgnosticConfigNotifyDelegate*) data_it->data;
#line 2798 "config-impl-keyfile.c"
			{
				DesktopAgnosticConfigNotifyDelegate* _tmp8_ = NULL;
				const gchar* _tmp9_ = NULL;
				const gchar* _tmp10_ = NULL;
				GValue _tmp11_ = {0};
#line 427 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp8_ = data;
#line 427 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp9_ = group;
#line 427 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp10_ = key;
#line 427 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp11_ = value;
#line 427 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				desktop_agnostic_config_notify_delegate_execute (_tmp8_, _tmp9_, _tmp10_, &_tmp11_);
#line 2814 "config-impl-keyfile.c"
			}
		}
	}
#line 418 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	G_IS_VALUE (&value) ? (g_value_unset (&value), NULL) : NULL;
#line 418 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (full_key);
#line 2822 "config-impl-keyfile.c"
}


static void desktop_agnostic_config_gkey_file_real_notify_remove (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, DesktopAgnosticConfigNotifyFunc callback, void* callback_target, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	gchar* full_key = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GSList* funcs = NULL;
	const gchar* _tmp3_ = NULL;
	gconstpointer _tmp4_ = NULL;
	DesktopAgnosticConfigNotifyDelegate* ndata = NULL;
	DesktopAgnosticConfigNotifyFunc _tmp5_ = NULL;
	void* _tmp5__target = NULL;
	DesktopAgnosticConfigNotifyDelegate* _tmp6_ = NULL;
	GSList* node = NULL;
	GSList* _tmp7_ = NULL;
	DesktopAgnosticConfigNotifyDelegate* _tmp8_ = NULL;
	GSList* _tmp9_ = NULL;
	GSList* _tmp10_ = NULL;
#line 431 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 431 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (group != NULL);
#line 431 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (key != NULL);
#line 434 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = group;
#line 434 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = key;
#line 434 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = g_strdup_printf ("%s/%s", _tmp0_, _tmp1_);
#line 434 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	full_key = _tmp2_;
#line 435 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = full_key;
#line 435 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = g_datalist_get_data (&self->priv->_notifiers, _tmp3_);
#line 435 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	funcs = (GSList*) _tmp4_;
#line 436 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp5_ = callback;
#line 436 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp5__target = callback_target;
#line 436 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp6_ = desktop_agnostic_config_notify_delegate_new (_tmp5_, _tmp5__target);
#line 436 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	ndata = _tmp6_;
#line 439 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp7_ = funcs;
#line 439 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp8_ = ndata;
#line 439 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp9_ = g_slist_find_custom (_tmp7_, _tmp8_, (GCompareFunc) desktop_agnostic_config_notify_delegate_compare);
#line 439 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	node = _tmp9_;
#line 440 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp10_ = node;
#line 440 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp10_ != NULL) {
#line 2884 "config-impl-keyfile.c"
		GSList* _tmp11_ = NULL;
		GSList* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		GSList* _tmp14_ = NULL;
#line 442 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp11_ = node;
#line 442 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_desktop_agnostic_config_notify_delegate_free0 (_tmp11_->data);
#line 442 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp11_->data = NULL;
#line 443 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp12_ = node;
#line 443 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		funcs = g_slist_delete_link (funcs, _tmp12_);
#line 444 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp13_ = full_key;
#line 444 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp14_ = funcs;
#line 444 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_datalist_set_data (&self->priv->_notifiers, _tmp13_, _tmp14_);
#line 2905 "config-impl-keyfile.c"
	}
#line 431 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_desktop_agnostic_config_notify_delegate_free0 (ndata);
#line 431 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (full_key);
#line 2911 "config-impl-keyfile.c"
}


/**
     * Removes the config file from the file system. Implies reset(), but does
     * not save to disk.
     */
static void desktop_agnostic_config_gkey_file_real_remove (DesktopAgnosticConfigBackend* base, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	DesktopAgnosticVFSFile* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 452 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 455 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = self->priv->_keyfile;
#line 455 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	desktop_agnostic_vfs_file_remove (_tmp0_, &_inner_error_);
#line 455 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 455 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 455 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 2935 "config-impl-keyfile.c"
	}
#line 456 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	desktop_agnostic_config_backend_reset ((DesktopAgnosticConfigBackend*) self, &_inner_error_);
#line 456 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 456 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 456 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 2945 "config-impl-keyfile.c"
	}
}


static void desktop_agnostic_config_gkey_file_real_get_value (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GValue* result, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	DesktopAgnosticConfigSchema* schema = NULL;
	DesktopAgnosticConfigSchema* _tmp0_ = NULL;
	DesktopAgnosticConfigSchema* _tmp1_ = NULL;
	DesktopAgnosticConfigSchema* _tmp2_ = NULL;
	DesktopAgnosticConfigSchemaOption* option = NULL;
	DesktopAgnosticConfigSchema* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	DesktopAgnosticConfigSchemaOption* _tmp6_ = NULL;
	DesktopAgnosticConfigSchemaOption* _tmp7_ = NULL;
	GType option_type = 0UL;
	GValue _result_ = {0};
	DesktopAgnosticConfigSchemaOption* _tmp8_ = NULL;
	DesktopAgnosticConfigSchemaOption* _tmp10_ = NULL;
	GType _tmp11_ = 0UL;
	GType _tmp12_ = 0UL;
	GType _tmp13_ = 0UL;
	GError * _inner_error_ = NULL;
#line 459 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 459 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (group != NULL);
#line 459 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (key != NULL);
#line 462 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = desktop_agnostic_config_backend_get_schema ((DesktopAgnosticConfigBackend*) self);
#line 462 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = _tmp0_;
#line 462 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 462 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	schema = _tmp2_;
#line 463 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = schema;
#line 463 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = group;
#line 463 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp5_ = key;
#line 463 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp6_ = desktop_agnostic_config_schema_get_option (_tmp3_, _tmp4_, _tmp5_);
#line 463 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp7_ = _g_object_ref0 (_tmp6_);
#line 463 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	option = _tmp7_;
#line 467 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp8_ = option;
#line 467 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp8_ == NULL) {
#line 3000 "config-impl-keyfile.c"
		GError* _tmp9_ = NULL;
#line 469 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp9_ = g_error_new_literal (DESKTOP_AGNOSTIC_CONFIG_ERROR, DESKTOP_AGNOSTIC_CONFIG_ERROR_KEY_NOT_FOUND, "Could not find group and/or key in schema.");
#line 469 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_inner_error_ = _tmp9_;
#line 469 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 469 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 469 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_object_unref0 (option);
#line 469 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_object_unref0 (schema);
#line 469 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 3016 "config-impl-keyfile.c"
	}
#line 472 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp10_ = option;
#line 472 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp11_ = desktop_agnostic_config_schema_option_get_option_type (_tmp10_);
#line 472 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp12_ = _tmp11_;
#line 472 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	option_type = _tmp12_;
#line 474 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp13_ = option_type;
#line 474 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp13_ == G_TYPE_BOOLEAN) {
#line 3030 "config-impl-keyfile.c"
		gboolean _tmp14_ = FALSE;
		const gchar* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		gboolean _tmp17_ = FALSE;
		GValue _tmp18_ = {0};
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp15_ = group;
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp16_ = key;
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp17_ = desktop_agnostic_config_backend_get_bool ((DesktopAgnosticConfigBackend*) self, _tmp15_, _tmp16_, &_inner_error_);
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp14_ = _tmp17_;
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_object_unref0 (option);
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_object_unref0 (schema);
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 3056 "config-impl-keyfile.c"
		}
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_value_init (&_tmp18_, G_TYPE_BOOLEAN);
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_value_set_boolean (&_tmp18_, _tmp14_);
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 476 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_result_ = _tmp18_;
#line 3066 "config-impl-keyfile.c"
	} else {
		GType _tmp19_ = 0UL;
#line 478 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp19_ = option_type;
#line 478 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (_tmp19_ == G_TYPE_FLOAT) {
#line 3073 "config-impl-keyfile.c"
			gfloat _tmp20_ = 0.0F;
			const gchar* _tmp21_ = NULL;
			const gchar* _tmp22_ = NULL;
			gfloat _tmp23_ = 0.0F;
			GValue _tmp24_ = {0};
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp21_ = group;
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp22_ = key;
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp23_ = desktop_agnostic_config_backend_get_float ((DesktopAgnosticConfigBackend*) self, _tmp21_, _tmp22_, &_inner_error_);
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp20_ = _tmp23_;
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_propagate_error (error, _inner_error_);
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_object_unref0 (option);
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_object_unref0 (schema);
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				return;
#line 3099 "config-impl-keyfile.c"
			}
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_value_init (&_tmp24_, G_TYPE_FLOAT);
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_value_set_float (&_tmp24_, _tmp20_);
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 480 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_result_ = _tmp24_;
#line 3109 "config-impl-keyfile.c"
		} else {
			GType _tmp25_ = 0UL;
#line 482 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp25_ = option_type;
#line 482 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (_tmp25_ == G_TYPE_INT) {
#line 3116 "config-impl-keyfile.c"
				gint _tmp26_ = 0;
				const gchar* _tmp27_ = NULL;
				const gchar* _tmp28_ = NULL;
				gint _tmp29_ = 0;
				GValue _tmp30_ = {0};
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp27_ = group;
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp28_ = key;
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp29_ = desktop_agnostic_config_backend_get_int ((DesktopAgnosticConfigBackend*) self, _tmp27_, _tmp28_, &_inner_error_);
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp26_ = _tmp29_;
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					g_propagate_error (error, _inner_error_);
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_object_unref0 (option);
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_object_unref0 (schema);
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					return;
#line 3142 "config-impl-keyfile.c"
				}
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_value_init (&_tmp30_, G_TYPE_INT);
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_value_set_int (&_tmp30_, _tmp26_);
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 484 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_result_ = _tmp30_;
#line 3152 "config-impl-keyfile.c"
			} else {
				GType _tmp31_ = 0UL;
#line 486 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp31_ = option_type;
#line 486 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				if (_tmp31_ == G_TYPE_STRING) {
#line 3159 "config-impl-keyfile.c"
					gchar* _tmp32_ = NULL;
					const gchar* _tmp33_ = NULL;
					const gchar* _tmp34_ = NULL;
					gchar* _tmp35_ = NULL;
					gchar* _tmp36_ = NULL;
					GValue _tmp37_ = {0};
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp33_ = group;
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp34_ = key;
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp35_ = desktop_agnostic_config_backend_get_string ((DesktopAgnosticConfigBackend*) self, _tmp33_, _tmp34_, &_inner_error_);
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp32_ = _tmp35_;
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						g_propagate_error (error, _inner_error_);
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_object_unref0 (option);
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_object_unref0 (schema);
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						return;
#line 3186 "config-impl-keyfile.c"
					}
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp36_ = _tmp32_;
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp32_ = NULL;
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					g_value_init (&_tmp37_, G_TYPE_STRING);
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					g_value_take_string (&_tmp37_, _tmp36_);
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 488 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_result_ = _tmp37_;
#line 486 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_g_free0 (_tmp32_);
#line 3202 "config-impl-keyfile.c"
				} else {
					GType _tmp38_ = 0UL;
#line 490 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp38_ = option_type;
#line 490 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					if (_tmp38_ == G_TYPE_VALUE_ARRAY) {
#line 3209 "config-impl-keyfile.c"
						GValueArray* _tmp39_ = NULL;
						const gchar* _tmp40_ = NULL;
						const gchar* _tmp41_ = NULL;
						GValueArray* _tmp42_ = NULL;
						GValueArray* _tmp43_ = NULL;
						GValue _tmp44_ = {0};
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp40_ = group;
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp41_ = key;
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp42_ = desktop_agnostic_config_backend_get_list ((DesktopAgnosticConfigBackend*) self, _tmp40_, _tmp41_, &_inner_error_);
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp39_ = _tmp42_;
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							g_propagate_error (error, _inner_error_);
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (option);
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (schema);
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							return;
#line 3236 "config-impl-keyfile.c"
						}
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp43_ = _tmp39_;
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp39_ = NULL;
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						g_value_init (&_tmp44_, G_TYPE_VALUE_ARRAY);
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						g_value_take_boxed (&_tmp44_, _tmp43_);
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 492 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_result_ = _tmp44_;
#line 490 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_value_array_free0 (_tmp39_);
#line 3252 "config-impl-keyfile.c"
					} else {
						DesktopAgnosticConfigSchemaType* st = NULL;
						DesktopAgnosticConfigSchema* _tmp45_ = NULL;
						DesktopAgnosticConfigSchema* _tmp46_ = NULL;
						GType _tmp47_ = 0UL;
						DesktopAgnosticConfigSchemaType* _tmp48_ = NULL;
						DesktopAgnosticConfigSchemaType* _tmp49_ = NULL;
						DesktopAgnosticConfigSchemaType* _tmp50_ = NULL;
#line 496 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp45_ = desktop_agnostic_config_backend_get_schema ((DesktopAgnosticConfigBackend*) self);
#line 496 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp46_ = _tmp45_;
#line 496 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp47_ = option_type;
#line 496 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp48_ = desktop_agnostic_config_schema_find_type (_tmp47_);
#line 496 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp49_ = _g_object_ref0 (_tmp48_);
#line 496 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						st = _tmp49_;
#line 497 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp50_ = st;
#line 497 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						if (_tmp50_ == NULL) {
#line 3277 "config-impl-keyfile.c"
							GType _tmp51_ = 0UL;
							const gchar* _tmp52_ = NULL;
							GError* _tmp53_ = NULL;
#line 499 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp51_ = option_type;
#line 499 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp52_ = g_type_name (_tmp51_);
#line 499 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp53_ = g_error_new (DESKTOP_AGNOSTIC_CONFIG_ERROR, DESKTOP_AGNOSTIC_CONFIG_ERROR_INVALID_TYPE, "'%s' is an invalid config type.", _tmp52_);
#line 499 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_inner_error_ = _tmp53_;
#line 499 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							g_propagate_error (error, _inner_error_);
#line 499 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (st);
#line 499 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 499 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (option);
#line 499 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (schema);
#line 499 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							return;
#line 3301 "config-impl-keyfile.c"
						} else {
							gchar* _tmp54_ = NULL;
							const gchar* _tmp55_ = NULL;
							const gchar* _tmp56_ = NULL;
							gchar* _tmp57_ = NULL;
							GValue _tmp58_ = {0};
							DesktopAgnosticConfigSchemaType* _tmp59_ = NULL;
							GValue _tmp60_ = {0};
							GValue _tmp61_ = {0};
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp55_ = group;
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp56_ = key;
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp57_ = desktop_agnostic_config_backend_get_string ((DesktopAgnosticConfigBackend*) self, _tmp55_, _tmp56_, &_inner_error_);
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp54_ = _tmp57_;
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								g_propagate_error (error, _inner_error_);
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_g_object_unref0 (st);
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_g_object_unref0 (option);
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_g_object_unref0 (schema);
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								return;
#line 3333 "config-impl-keyfile.c"
							}
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp59_ = st;
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							desktop_agnostic_config_schema_type_deserialize (_tmp59_, _tmp54_, &_tmp60_, &_inner_error_);
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp58_ = _tmp60_;
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								g_propagate_error (error, _inner_error_);
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_g_free0 (_tmp54_);
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_g_object_unref0 (st);
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_g_object_unref0 (option);
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_g_object_unref0 (schema);
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								return;
#line 3357 "config-impl-keyfile.c"
							}
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp61_ = _tmp58_;
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							memset (&_tmp58_, 0, sizeof (GValue));
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							G_IS_VALUE (&_result_) ? (g_value_unset (&_result_), NULL) : NULL;
#line 504 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_result_ = _tmp61_;
#line 497 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							G_IS_VALUE (&_tmp58_) ? (g_value_unset (&_tmp58_), NULL) : NULL;
#line 497 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_free0 (_tmp54_);
#line 3371 "config-impl-keyfile.c"
						}
#line 490 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_object_unref0 (st);
#line 3375 "config-impl-keyfile.c"
					}
				}
			}
		}
	}
#line 507 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	*result = _result_;
#line 507 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_object_unref0 (option);
#line 507 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_object_unref0 (schema);
#line 507 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return;
#line 3389 "config-impl-keyfile.c"
}


static gpointer _g_error_copy0 (gpointer self) {
#line 526 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return self ? g_error_copy (self) : NULL;
#line 3396 "config-impl-keyfile.c"
}


static gboolean desktop_agnostic_config_gkey_file_real_get_bool (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	gboolean result = FALSE;
	GError * _inner_error_ = NULL;
#line 510 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 510 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (group != NULL, FALSE);
#line 510 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (key != NULL, FALSE);
#line 3410 "config-impl-keyfile.c"
	{
		gboolean _tmp0_ = FALSE;
		GKeyFile* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		gboolean _tmp4_ = FALSE;
#line 515 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp1_ = self->priv->_data;
#line 515 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp2_ = group;
#line 515 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp3_ = key;
#line 515 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp4_ = g_key_file_get_boolean (_tmp1_, _tmp2_, _tmp3_, &_inner_error_);
#line 515 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = _tmp4_;
#line 515 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 515 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (_inner_error_->domain == G_KEY_FILE_ERROR) {
#line 3431 "config-impl-keyfile.c"
				goto __catch1_g_key_file_error;
			}
#line 515 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 515 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_clear_error (&_inner_error_);
#line 515 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return FALSE;
#line 3440 "config-impl-keyfile.c"
		}
#line 515 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		result = _tmp0_;
#line 515 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return result;
#line 3446 "config-impl-keyfile.c"
	}
	goto __finally1;
	__catch1_g_key_file_error:
	{
		GError* err = NULL;
		gboolean _tmp5_ = FALSE;
		GError* _tmp6_ = NULL;
#line 513 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		err = _inner_error_;
#line 513 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_inner_error_ = NULL;
#line 519 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp6_ = err;
#line 519 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (g_error_matches (_tmp6_, G_KEY_FILE_ERROR, G_KEY_FILE_ERROR_GROUP_NOT_FOUND)) {
#line 519 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp5_ = TRUE;
#line 3464 "config-impl-keyfile.c"
		} else {
			GError* _tmp7_ = NULL;
#line 520 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp7_ = err;
#line 520 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp5_ = g_error_matches (_tmp7_, G_KEY_FILE_ERROR, G_KEY_FILE_ERROR_KEY_NOT_FOUND);
#line 3471 "config-impl-keyfile.c"
		}
#line 519 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (_tmp5_) {
#line 3475 "config-impl-keyfile.c"
			GError* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
			GError* _tmp10_ = NULL;
#line 522 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp8_ = err;
#line 522 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp9_ = _tmp8_->message;
#line 522 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp10_ = g_error_new_literal (DESKTOP_AGNOSTIC_CONFIG_ERROR, DESKTOP_AGNOSTIC_CONFIG_ERROR_KEY_NOT_FOUND, _tmp9_);
#line 522 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_inner_error_ = _tmp10_;
#line 522 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_error_free0 (err);
#line 3489 "config-impl-keyfile.c"
			goto __finally1;
		} else {
			GError* _tmp11_ = NULL;
			GError* _tmp12_ = NULL;
#line 526 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp11_ = err;
#line 526 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp12_ = _g_error_copy0 (_tmp11_);
#line 526 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_inner_error_ = _tmp12_;
#line 526 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_error_free0 (err);
#line 3502 "config-impl-keyfile.c"
			goto __finally1;
		}
#line 513 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_error_free0 (err);
#line 3507 "config-impl-keyfile.c"
	}
	__finally1:
#line 513 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_propagate_error (error, _inner_error_);
#line 513 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return FALSE;
#line 3514 "config-impl-keyfile.c"
}


static void desktop_agnostic_config_gkey_file_real_set_bool (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, gboolean value, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GKeyFile* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	GError * _inner_error_ = NULL;
#line 531 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 531 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (group != NULL);
#line 531 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (key != NULL);
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = self->priv->_data;
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = group;
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = g_key_file_has_group (_tmp2_, _tmp3_);
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (!_tmp4_) {
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp1_ = TRUE;
#line 3542 "config-impl-keyfile.c"
	} else {
		gboolean _tmp5_ = FALSE;
		GKeyFile* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gboolean _tmp9_ = FALSE;
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp6_ = self->priv->_data;
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp7_ = group;
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp8_ = key;
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp9_ = g_key_file_has_key (_tmp6_, _tmp7_, _tmp8_, &_inner_error_);
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp5_ = _tmp9_;
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 3565 "config-impl-keyfile.c"
		}
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp1_ = !_tmp5_;
#line 3569 "config-impl-keyfile.c"
	}
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp1_) {
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = TRUE;
#line 3575 "config-impl-keyfile.c"
	} else {
		gboolean _tmp10_ = FALSE;
		const gchar* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		gboolean _tmp13_ = FALSE;
		gboolean _tmp14_ = FALSE;
#line 535 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp11_ = group;
#line 535 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp12_ = key;
#line 535 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp13_ = desktop_agnostic_config_backend_get_bool ((DesktopAgnosticConfigBackend*) self, _tmp11_, _tmp12_, &_inner_error_);
#line 535 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp10_ = _tmp13_;
#line 535 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 535 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 535 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 3596 "config-impl-keyfile.c"
		}
#line 535 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp14_ = value;
#line 535 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = _tmp10_ != _tmp14_;
#line 3602 "config-impl-keyfile.c"
	}
#line 534 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp0_) {
#line 3606 "config-impl-keyfile.c"
		GKeyFile* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		gboolean _tmp18_ = FALSE;
		const gchar* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
#line 537 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp15_ = self->priv->_data;
#line 537 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp16_ = group;
#line 537 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp17_ = key;
#line 537 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp18_ = value;
#line 537 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_key_file_set_boolean (_tmp15_, _tmp16_, _tmp17_, _tmp18_);
#line 538 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp19_ = group;
#line 538 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp20_ = key;
#line 538 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		desktop_agnostic_config_gkey_file_update_config (self, _tmp19_, _tmp20_, &_inner_error_);
#line 538 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 538 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 538 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 3635 "config-impl-keyfile.c"
		}
	}
}


static gfloat desktop_agnostic_config_gkey_file_real_get_float (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	gfloat result = 0.0F;
	GError * _inner_error_ = NULL;
#line 542 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 542 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (group != NULL, 0.0F);
#line 542 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (key != NULL, 0.0F);
#line 3651 "config-impl-keyfile.c"
	{
		gdouble _tmp0_ = 0.0;
		GKeyFile* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		gdouble _tmp4_ = 0.0;
#line 547 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp1_ = self->priv->_data;
#line 547 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp2_ = group;
#line 547 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp3_ = key;
#line 547 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp4_ = g_key_file_get_double (_tmp1_, _tmp2_, _tmp3_, &_inner_error_);
#line 547 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = _tmp4_;
#line 547 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 547 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (_inner_error_->domain == G_KEY_FILE_ERROR) {
#line 3672 "config-impl-keyfile.c"
				goto __catch2_g_key_file_error;
			}
#line 547 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 547 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_clear_error (&_inner_error_);
#line 547 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return 0.0F;
#line 3681 "config-impl-keyfile.c"
		}
#line 547 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		result = (gfloat) _tmp0_;
#line 547 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return result;
#line 3687 "config-impl-keyfile.c"
	}
	goto __finally2;
	__catch2_g_key_file_error:
	{
		GError* err = NULL;
		gboolean _tmp5_ = FALSE;
		GError* _tmp6_ = NULL;
#line 545 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		err = _inner_error_;
#line 545 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_inner_error_ = NULL;
#line 551 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp6_ = err;
#line 551 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (g_error_matches (_tmp6_, G_KEY_FILE_ERROR, G_KEY_FILE_ERROR_GROUP_NOT_FOUND)) {
#line 551 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp5_ = TRUE;
#line 3705 "config-impl-keyfile.c"
		} else {
			GError* _tmp7_ = NULL;
#line 552 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp7_ = err;
#line 552 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp5_ = g_error_matches (_tmp7_, G_KEY_FILE_ERROR, G_KEY_FILE_ERROR_KEY_NOT_FOUND);
#line 3712 "config-impl-keyfile.c"
		}
#line 551 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (_tmp5_) {
#line 3716 "config-impl-keyfile.c"
			GError* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
			GError* _tmp10_ = NULL;
#line 554 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp8_ = err;
#line 554 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp9_ = _tmp8_->message;
#line 554 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp10_ = g_error_new_literal (DESKTOP_AGNOSTIC_CONFIG_ERROR, DESKTOP_AGNOSTIC_CONFIG_ERROR_KEY_NOT_FOUND, _tmp9_);
#line 554 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_inner_error_ = _tmp10_;
#line 554 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_error_free0 (err);
#line 3730 "config-impl-keyfile.c"
			goto __finally2;
		} else {
			GError* _tmp11_ = NULL;
			GError* _tmp12_ = NULL;
#line 558 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp11_ = err;
#line 558 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp12_ = _g_error_copy0 (_tmp11_);
#line 558 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_inner_error_ = _tmp12_;
#line 558 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_error_free0 (err);
#line 3743 "config-impl-keyfile.c"
			goto __finally2;
		}
#line 545 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_error_free0 (err);
#line 3748 "config-impl-keyfile.c"
	}
	__finally2:
#line 545 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_inner_error_->domain == DESKTOP_AGNOSTIC_CONFIG_ERROR) {
#line 545 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 545 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return 0.0F;
#line 3757 "config-impl-keyfile.c"
	} else {
#line 545 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 545 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_clear_error (&_inner_error_);
#line 545 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return 0.0F;
#line 3765 "config-impl-keyfile.c"
	}
}


static void desktop_agnostic_config_gkey_file_real_set_float (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, gfloat value, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GKeyFile* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	GError * _inner_error_ = NULL;
#line 563 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 563 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (group != NULL);
#line 563 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (key != NULL);
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = self->priv->_data;
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = group;
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = g_key_file_has_group (_tmp2_, _tmp3_);
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (!_tmp4_) {
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp1_ = TRUE;
#line 3794 "config-impl-keyfile.c"
	} else {
		gboolean _tmp5_ = FALSE;
		GKeyFile* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gboolean _tmp9_ = FALSE;
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp6_ = self->priv->_data;
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp7_ = group;
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp8_ = key;
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp9_ = g_key_file_has_key (_tmp6_, _tmp7_, _tmp8_, &_inner_error_);
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp5_ = _tmp9_;
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 3817 "config-impl-keyfile.c"
		}
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp1_ = !_tmp5_;
#line 3821 "config-impl-keyfile.c"
	}
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp1_) {
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = TRUE;
#line 3827 "config-impl-keyfile.c"
	} else {
		gfloat _tmp10_ = 0.0F;
		const gchar* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		gfloat _tmp13_ = 0.0F;
		gfloat _tmp14_ = 0.0F;
#line 567 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp11_ = group;
#line 567 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp12_ = key;
#line 567 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp13_ = desktop_agnostic_config_backend_get_float ((DesktopAgnosticConfigBackend*) self, _tmp11_, _tmp12_, &_inner_error_);
#line 567 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp10_ = _tmp13_;
#line 567 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 567 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 567 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 3848 "config-impl-keyfile.c"
		}
#line 567 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp14_ = value;
#line 567 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = _tmp10_ != _tmp14_;
#line 3854 "config-impl-keyfile.c"
	}
#line 566 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp0_) {
#line 3858 "config-impl-keyfile.c"
		GKeyFile* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		gfloat _tmp18_ = 0.0F;
		const gchar* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
#line 569 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp15_ = self->priv->_data;
#line 569 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp16_ = group;
#line 569 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp17_ = key;
#line 569 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp18_ = value;
#line 569 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_key_file_set_double (_tmp15_, _tmp16_, _tmp17_, (gdouble) _tmp18_);
#line 570 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp19_ = group;
#line 570 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp20_ = key;
#line 570 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		desktop_agnostic_config_gkey_file_update_config (self, _tmp19_, _tmp20_, &_inner_error_);
#line 570 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 570 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 570 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 3887 "config-impl-keyfile.c"
		}
	}
}


static gint desktop_agnostic_config_gkey_file_real_get_int (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	gint result = 0;
	GError * _inner_error_ = NULL;
#line 574 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 574 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (group != NULL, 0);
#line 574 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (key != NULL, 0);
#line 3903 "config-impl-keyfile.c"
	{
		gint _tmp0_ = 0;
		GKeyFile* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		gint _tmp4_ = 0;
#line 579 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp1_ = self->priv->_data;
#line 579 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp2_ = group;
#line 579 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp3_ = key;
#line 579 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp4_ = g_key_file_get_integer (_tmp1_, _tmp2_, _tmp3_, &_inner_error_);
#line 579 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = _tmp4_;
#line 579 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 579 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (_inner_error_->domain == G_KEY_FILE_ERROR) {
#line 3924 "config-impl-keyfile.c"
				goto __catch3_g_key_file_error;
			}
#line 579 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 579 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_clear_error (&_inner_error_);
#line 579 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return 0;
#line 3933 "config-impl-keyfile.c"
		}
#line 579 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		result = _tmp0_;
#line 579 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return result;
#line 3939 "config-impl-keyfile.c"
	}
	goto __finally3;
	__catch3_g_key_file_error:
	{
		GError* err = NULL;
		gboolean _tmp5_ = FALSE;
		GError* _tmp6_ = NULL;
#line 577 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		err = _inner_error_;
#line 577 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_inner_error_ = NULL;
#line 583 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp6_ = err;
#line 583 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (g_error_matches (_tmp6_, G_KEY_FILE_ERROR, G_KEY_FILE_ERROR_GROUP_NOT_FOUND)) {
#line 583 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp5_ = TRUE;
#line 3957 "config-impl-keyfile.c"
		} else {
			GError* _tmp7_ = NULL;
#line 584 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp7_ = err;
#line 584 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp5_ = g_error_matches (_tmp7_, G_KEY_FILE_ERROR, G_KEY_FILE_ERROR_KEY_NOT_FOUND);
#line 3964 "config-impl-keyfile.c"
		}
#line 583 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (_tmp5_) {
#line 3968 "config-impl-keyfile.c"
			GError* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
			GError* _tmp10_ = NULL;
#line 586 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp8_ = err;
#line 586 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp9_ = _tmp8_->message;
#line 586 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp10_ = g_error_new_literal (DESKTOP_AGNOSTIC_CONFIG_ERROR, DESKTOP_AGNOSTIC_CONFIG_ERROR_KEY_NOT_FOUND, _tmp9_);
#line 586 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_inner_error_ = _tmp10_;
#line 586 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_error_free0 (err);
#line 3982 "config-impl-keyfile.c"
			goto __finally3;
		} else {
			GError* _tmp11_ = NULL;
			GError* _tmp12_ = NULL;
#line 590 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp11_ = err;
#line 590 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp12_ = _g_error_copy0 (_tmp11_);
#line 590 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_inner_error_ = _tmp12_;
#line 590 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_error_free0 (err);
#line 3995 "config-impl-keyfile.c"
			goto __finally3;
		}
#line 577 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_error_free0 (err);
#line 4000 "config-impl-keyfile.c"
	}
	__finally3:
#line 577 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_propagate_error (error, _inner_error_);
#line 577 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return 0;
#line 4007 "config-impl-keyfile.c"
}


static void desktop_agnostic_config_gkey_file_real_set_int (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, gint value, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GKeyFile* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	GError * _inner_error_ = NULL;
#line 595 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 595 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (group != NULL);
#line 595 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (key != NULL);
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = self->priv->_data;
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = group;
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = g_key_file_has_group (_tmp2_, _tmp3_);
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (!_tmp4_) {
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp1_ = TRUE;
#line 4035 "config-impl-keyfile.c"
	} else {
		gboolean _tmp5_ = FALSE;
		GKeyFile* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gboolean _tmp9_ = FALSE;
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp6_ = self->priv->_data;
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp7_ = group;
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp8_ = key;
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp9_ = g_key_file_has_key (_tmp6_, _tmp7_, _tmp8_, &_inner_error_);
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp5_ = _tmp9_;
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 4058 "config-impl-keyfile.c"
		}
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp1_ = !_tmp5_;
#line 4062 "config-impl-keyfile.c"
	}
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp1_) {
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = TRUE;
#line 4068 "config-impl-keyfile.c"
	} else {
		gint _tmp10_ = 0;
		const gchar* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		gint _tmp13_ = 0;
		gint _tmp14_ = 0;
#line 599 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp11_ = group;
#line 599 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp12_ = key;
#line 599 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp13_ = desktop_agnostic_config_backend_get_int ((DesktopAgnosticConfigBackend*) self, _tmp11_, _tmp12_, &_inner_error_);
#line 599 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp10_ = _tmp13_;
#line 599 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 599 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 599 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 4089 "config-impl-keyfile.c"
		}
#line 599 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp14_ = value;
#line 599 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = _tmp10_ != _tmp14_;
#line 4095 "config-impl-keyfile.c"
	}
#line 598 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp0_) {
#line 4099 "config-impl-keyfile.c"
		GKeyFile* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		gint _tmp18_ = 0;
		const gchar* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
#line 601 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp15_ = self->priv->_data;
#line 601 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp16_ = group;
#line 601 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp17_ = key;
#line 601 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp18_ = value;
#line 601 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_key_file_set_integer (_tmp15_, _tmp16_, _tmp17_, _tmp18_);
#line 602 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp19_ = group;
#line 602 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp20_ = key;
#line 602 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		desktop_agnostic_config_gkey_file_update_config (self, _tmp19_, _tmp20_, &_inner_error_);
#line 602 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 602 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 602 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 4128 "config-impl-keyfile.c"
		}
	}
}


static gchar* desktop_agnostic_config_gkey_file_real_get_string (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 606 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 606 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (group != NULL, NULL);
#line 606 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 4144 "config-impl-keyfile.c"
	{
		gchar* _tmp0_ = NULL;
		GKeyFile* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp1_ = self->priv->_data;
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp2_ = group;
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp3_ = key;
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp4_ = g_key_file_get_string (_tmp1_, _tmp2_, _tmp3_, &_inner_error_);
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = _tmp4_;
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (_inner_error_->domain == G_KEY_FILE_ERROR) {
#line 4166 "config-impl-keyfile.c"
				goto __catch4_g_key_file_error;
			}
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_clear_error (&_inner_error_);
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return NULL;
#line 4175 "config-impl-keyfile.c"
		}
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp5_ = _tmp0_;
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = NULL;
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		result = _tmp5_;
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (_tmp0_);
#line 611 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return result;
#line 4187 "config-impl-keyfile.c"
	}
	goto __finally4;
	__catch4_g_key_file_error:
	{
		GError* err = NULL;
		gboolean _tmp6_ = FALSE;
		GError* _tmp7_ = NULL;
#line 609 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		err = _inner_error_;
#line 609 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_inner_error_ = NULL;
#line 615 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp7_ = err;
#line 615 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (g_error_matches (_tmp7_, G_KEY_FILE_ERROR, G_KEY_FILE_ERROR_GROUP_NOT_FOUND)) {
#line 615 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp6_ = TRUE;
#line 4205 "config-impl-keyfile.c"
		} else {
			GError* _tmp8_ = NULL;
#line 616 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp8_ = err;
#line 616 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp6_ = g_error_matches (_tmp8_, G_KEY_FILE_ERROR, G_KEY_FILE_ERROR_KEY_NOT_FOUND);
#line 4212 "config-impl-keyfile.c"
		}
#line 615 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (_tmp6_) {
#line 4216 "config-impl-keyfile.c"
			GError* _tmp9_ = NULL;
			const gchar* _tmp10_ = NULL;
			GError* _tmp11_ = NULL;
#line 618 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp9_ = err;
#line 618 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp10_ = _tmp9_->message;
#line 618 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp11_ = g_error_new_literal (DESKTOP_AGNOSTIC_CONFIG_ERROR, DESKTOP_AGNOSTIC_CONFIG_ERROR_KEY_NOT_FOUND, _tmp10_);
#line 618 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_inner_error_ = _tmp11_;
#line 618 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_error_free0 (err);
#line 4230 "config-impl-keyfile.c"
			goto __finally4;
		} else {
			GError* _tmp12_ = NULL;
			GError* _tmp13_ = NULL;
#line 622 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp12_ = err;
#line 622 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp13_ = _g_error_copy0 (_tmp12_);
#line 622 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_inner_error_ = _tmp13_;
#line 622 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_error_free0 (err);
#line 4243 "config-impl-keyfile.c"
			goto __finally4;
		}
#line 609 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_error_free0 (err);
#line 4248 "config-impl-keyfile.c"
	}
	__finally4:
#line 609 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_propagate_error (error, _inner_error_);
#line 609 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return NULL;
#line 4255 "config-impl-keyfile.c"
}


static void desktop_agnostic_config_gkey_file_real_set_string (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, const gchar* value, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GKeyFile* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	GError * _inner_error_ = NULL;
#line 627 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 627 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (group != NULL);
#line 627 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (key != NULL);
#line 627 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (value != NULL);
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = self->priv->_data;
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = group;
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = g_key_file_has_group (_tmp2_, _tmp3_);
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (!_tmp4_) {
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp1_ = TRUE;
#line 4285 "config-impl-keyfile.c"
	} else {
		gboolean _tmp5_ = FALSE;
		GKeyFile* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gboolean _tmp9_ = FALSE;
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp6_ = self->priv->_data;
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp7_ = group;
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp8_ = key;
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp9_ = g_key_file_has_key (_tmp6_, _tmp7_, _tmp8_, &_inner_error_);
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp5_ = _tmp9_;
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 4308 "config-impl-keyfile.c"
		}
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp1_ = !_tmp5_;
#line 4312 "config-impl-keyfile.c"
	}
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp1_) {
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = TRUE;
#line 4318 "config-impl-keyfile.c"
	} else {
		gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
#line 631 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp11_ = group;
#line 631 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp12_ = key;
#line 631 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp13_ = desktop_agnostic_config_backend_get_string ((DesktopAgnosticConfigBackend*) self, _tmp11_, _tmp12_, &_inner_error_);
#line 631 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp10_ = _tmp13_;
#line 631 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 631 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 631 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 4341 "config-impl-keyfile.c"
		}
#line 631 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp14_ = _tmp10_;
#line 631 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp10_ = NULL;
#line 631 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp15_ = _tmp14_;
#line 631 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp16_ = value;
#line 631 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = g_strcmp0 (_tmp15_, _tmp16_) != 0;
#line 631 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (_tmp15_);
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_free0 (_tmp10_);
#line 4357 "config-impl-keyfile.c"
	}
#line 630 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp0_) {
#line 4361 "config-impl-keyfile.c"
		GKeyFile* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
		const gchar* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
#line 633 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp17_ = self->priv->_data;
#line 633 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp18_ = group;
#line 633 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp19_ = key;
#line 633 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp20_ = value;
#line 633 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_key_file_set_string (_tmp17_, _tmp18_, _tmp19_, _tmp20_);
#line 634 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp21_ = group;
#line 634 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp22_ = key;
#line 634 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		desktop_agnostic_config_gkey_file_update_config (self, _tmp21_, _tmp22_, &_inner_error_);
#line 634 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 634 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 634 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 4390 "config-impl-keyfile.c"
		}
	}
}


static GValueArray* desktop_agnostic_config_gkey_file_real_get_list (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	GValueArray* result = NULL;
	GError * _inner_error_ = NULL;
#line 638 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 638 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (group != NULL, NULL);
#line 638 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 4406 "config-impl-keyfile.c"
	{
		GValueArray* _tmp0_ = NULL;
		GKeyFile* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		GValueArray* _tmp4_ = NULL;
		GValueArray* _tmp5_ = NULL;
#line 643 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp1_ = self->priv->_data;
#line 643 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp2_ = group;
#line 643 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp3_ = key;
#line 643 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp4_ = desktop_agnostic_config_gkey_file_generate_valuearray_from_keyfile (self, _tmp1_, _tmp2_, _tmp3_, &_inner_error_);
#line 643 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = _tmp4_;
#line 643 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 643 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (_inner_error_->domain == G_KEY_FILE_ERROR) {
#line 4428 "config-impl-keyfile.c"
				goto __catch5_g_key_file_error;
			}
			goto __finally5;
		}
#line 643 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp5_ = _tmp0_;
#line 643 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp0_ = NULL;
#line 643 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		result = _tmp5_;
#line 643 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_value_array_free0 (_tmp0_);
#line 643 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return result;
#line 4443 "config-impl-keyfile.c"
	}
	goto __finally5;
	__catch5_g_key_file_error:
	{
		GError* err = NULL;
		gboolean _tmp6_ = FALSE;
		GError* _tmp7_ = NULL;
#line 641 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		err = _inner_error_;
#line 641 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_inner_error_ = NULL;
#line 647 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp7_ = err;
#line 647 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (g_error_matches (_tmp7_, G_KEY_FILE_ERROR, G_KEY_FILE_ERROR_GROUP_NOT_FOUND)) {
#line 647 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp6_ = TRUE;
#line 4461 "config-impl-keyfile.c"
		} else {
			GError* _tmp8_ = NULL;
#line 648 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp8_ = err;
#line 648 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp6_ = g_error_matches (_tmp8_, G_KEY_FILE_ERROR, G_KEY_FILE_ERROR_KEY_NOT_FOUND);
#line 4468 "config-impl-keyfile.c"
		}
#line 647 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (_tmp6_) {
#line 4472 "config-impl-keyfile.c"
			GError* _tmp9_ = NULL;
			const gchar* _tmp10_ = NULL;
			GError* _tmp11_ = NULL;
#line 650 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp9_ = err;
#line 650 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp10_ = _tmp9_->message;
#line 650 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp11_ = g_error_new_literal (DESKTOP_AGNOSTIC_CONFIG_ERROR, DESKTOP_AGNOSTIC_CONFIG_ERROR_KEY_NOT_FOUND, _tmp10_);
#line 650 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_inner_error_ = _tmp11_;
#line 650 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_error_free0 (err);
#line 4486 "config-impl-keyfile.c"
			goto __finally5;
		} else {
			GError* _tmp12_ = NULL;
			GError* _tmp13_ = NULL;
#line 654 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp12_ = err;
#line 654 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp13_ = _g_error_copy0 (_tmp12_);
#line 654 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_inner_error_ = _tmp13_;
#line 654 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_error_free0 (err);
#line 4499 "config-impl-keyfile.c"
			goto __finally5;
		}
#line 641 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_error_free0 (err);
#line 4504 "config-impl-keyfile.c"
	}
	__finally5:
#line 641 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_propagate_error (error, _inner_error_);
#line 641 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return NULL;
#line 4511 "config-impl-keyfile.c"
}


static void _vala_array_add1 (gboolean** array, int* length, int* size, gboolean value) {
#line 713 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if ((*length) == (*size)) {
#line 713 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 713 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		*array = g_renew (gboolean, *array, *size);
#line 4522 "config-impl-keyfile.c"
	}
#line 713 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	(*array)[(*length)++] = value;
#line 4526 "config-impl-keyfile.c"
}


static void _vala_array_add2 (gint** array, int* length, int* size, gint value) {
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if ((*length) == (*size)) {
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		*array = g_renew (gint, *array, *size);
#line 4537 "config-impl-keyfile.c"
	}
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	(*array)[(*length)++] = value;
#line 4541 "config-impl-keyfile.c"
}


static void _vala_array_add3 (gdouble** array, int* length, int* size, gdouble value) {
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if ((*length) == (*size)) {
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		*array = g_renew (gdouble, *array, *size);
#line 4552 "config-impl-keyfile.c"
	}
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	(*array)[(*length)++] = value;
#line 4556 "config-impl-keyfile.c"
}


static void _vala_array_add4 (gchar*** array, int* length, int* size, gchar* value) {
#line 743 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if ((*length) == (*size)) {
#line 743 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 743 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 4567 "config-impl-keyfile.c"
	}
#line 743 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	(*array)[(*length)++] = value;
#line 743 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	(*array)[*length] = NULL;
#line 4573 "config-impl-keyfile.c"
}


static void _vala_array_add5 (gchar*** array, int* length, int* size, gchar* value) {
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if ((*length) == (*size)) {
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 4584 "config-impl-keyfile.c"
	}
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	(*array)[(*length)++] = value;
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	(*array)[*length] = NULL;
#line 4590 "config-impl-keyfile.c"
}


static void desktop_agnostic_config_gkey_file_real_set_list (DesktopAgnosticConfigBackend* base, const gchar* group, const gchar* key, GValueArray* value, GError** error) {
	DesktopAgnosticConfigGKeyFile * self;
	DesktopAgnosticConfigSchemaOption* option = NULL;
	DesktopAgnosticConfigSchema* _tmp0_ = NULL;
	DesktopAgnosticConfigSchema* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	DesktopAgnosticConfigSchemaOption* _tmp4_ = NULL;
	DesktopAgnosticConfigSchemaOption* _tmp5_ = NULL;
	GType list_type = 0UL;
	DesktopAgnosticConfigSchemaOption* _tmp6_ = NULL;
	GType _tmp7_ = 0UL;
	GType _tmp8_ = 0UL;
	gboolean _tmp9_ = FALSE;
	GKeyFile* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	gboolean _tmp12_ = FALSE;
	GValueArray* _tmp46_ = NULL;
	guint _tmp47_ = 0U;
	const gchar* _tmp119_ = NULL;
	const gchar* _tmp120_ = NULL;
	GError * _inner_error_ = NULL;
#line 659 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 659 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (group != NULL);
#line 659 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (key != NULL);
#line 659 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_return_if_fail (value != NULL);
#line 662 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = desktop_agnostic_config_backend_get_schema ((DesktopAgnosticConfigBackend*) self);
#line 662 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = _tmp0_;
#line 662 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = group;
#line 662 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp3_ = key;
#line 662 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp4_ = desktop_agnostic_config_schema_get_option (_tmp1_, _tmp2_, _tmp3_);
#line 662 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 662 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	option = _tmp5_;
#line 663 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp6_ = option;
#line 663 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp7_ = desktop_agnostic_config_schema_option_get_list_type (_tmp6_);
#line 663 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp8_ = _tmp7_;
#line 663 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	list_type = _tmp8_;
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp10_ = self->priv->_data;
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp11_ = group;
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp12_ = g_key_file_has_group (_tmp10_, _tmp11_);
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp12_) {
#line 4654 "config-impl-keyfile.c"
		gboolean _tmp13_ = FALSE;
		GKeyFile* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		gboolean _tmp17_ = FALSE;
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp14_ = self->priv->_data;
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp15_ = group;
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp16_ = key;
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp17_ = g_key_file_has_key (_tmp14_, _tmp15_, _tmp16_, &_inner_error_);
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp13_ = _tmp17_;
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_object_unref0 (option);
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 4678 "config-impl-keyfile.c"
		}
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp9_ = _tmp13_;
#line 4682 "config-impl-keyfile.c"
	} else {
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp9_ = FALSE;
#line 4686 "config-impl-keyfile.c"
	}
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp9_) {
#line 4690 "config-impl-keyfile.c"
		GValueArray* old_value = NULL;
		GValueArray* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
		GValueArray* _tmp21_ = NULL;
		GValueArray* _tmp22_ = NULL;
		GValueArray* _tmp23_ = NULL;
		guint _tmp24_ = 0U;
		GValueArray* _tmp25_ = NULL;
		guint _tmp26_ = 0U;
#line 669 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp19_ = group;
#line 669 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp20_ = key;
#line 669 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp21_ = desktop_agnostic_config_backend_get_list ((DesktopAgnosticConfigBackend*) self, _tmp19_, _tmp20_, &_inner_error_);
#line 669 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp18_ = _tmp21_;
#line 669 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 669 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 669 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_value_array_free0 (old_value);
#line 669 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_object_unref0 (option);
#line 669 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 4719 "config-impl-keyfile.c"
		}
#line 669 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp22_ = _tmp18_;
#line 669 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp18_ = NULL;
#line 669 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_value_array_free0 (old_value);
#line 669 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		old_value = _tmp22_;
#line 670 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp23_ = old_value;
#line 670 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp24_ = _tmp23_->n_values;
#line 670 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp25_ = value;
#line 670 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp26_ = _tmp25_->n_values;
#line 670 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (_tmp24_ == _tmp26_) {
#line 4739 "config-impl-keyfile.c"
			gboolean is_equal = FALSE;
			gboolean _tmp45_ = FALSE;
#line 672 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			is_equal = TRUE;
#line 4744 "config-impl-keyfile.c"
			{
				guint i = 0U;
#line 673 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				i = (guint) 0;
#line 4749 "config-impl-keyfile.c"
				{
					gboolean _tmp27_ = FALSE;
#line 673 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp27_ = TRUE;
#line 673 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					while (TRUE) {
#line 4756 "config-impl-keyfile.c"
						guint _tmp29_ = 0U;
						GValueArray* _tmp30_ = NULL;
						guint _tmp31_ = 0U;
						GValue old_val = {0};
						GValue new_val = {0};
						GValueArray* _tmp32_ = NULL;
						guint _tmp33_ = 0U;
						GValue* _tmp34_ = NULL;
						GValueArray* _tmp35_ = NULL;
						guint _tmp36_ = 0U;
						GValue* _tmp37_ = NULL;
						gboolean _tmp38_ = FALSE;
						GType _tmp39_ = 0UL;
						GType _tmp40_ = 0UL;
#line 673 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						if (!_tmp27_) {
#line 4773 "config-impl-keyfile.c"
							guint _tmp28_ = 0U;
#line 673 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp28_ = i;
#line 673 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							i = _tmp28_ + 1;
#line 4779 "config-impl-keyfile.c"
						}
#line 673 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp27_ = FALSE;
#line 673 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp29_ = i;
#line 673 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp30_ = value;
#line 673 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp31_ = _tmp30_->n_values;
#line 673 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						if (!(_tmp29_ < _tmp31_)) {
#line 673 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							break;
#line 4793 "config-impl-keyfile.c"
						}
#line 679 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp32_ = old_value;
#line 679 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp33_ = i;
#line 679 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp34_ = g_value_array_get_nth (_tmp32_, _tmp33_);
#line 679 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						old_val = *_tmp34_;
#line 680 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp35_ = value;
#line 680 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp36_ = i;
#line 680 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp37_ = g_value_array_get_nth (_tmp35_, _tmp36_);
#line 680 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						new_val = *_tmp37_;
#line 682 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp39_ = G_VALUE_TYPE (&old_val);
#line 682 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp40_ = G_VALUE_TYPE (&new_val);
#line 682 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						if (_tmp39_ != _tmp40_) {
#line 682 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp38_ = TRUE;
#line 4819 "config-impl-keyfile.c"
						} else {
							gchar* _tmp41_ = NULL;
							gchar* _tmp42_ = NULL;
							gchar* _tmp43_ = NULL;
							gchar* _tmp44_ = NULL;
#line 683 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp41_ = g_strdup_value_contents (&old_val);
#line 683 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp42_ = _tmp41_;
#line 683 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp43_ = g_strdup_value_contents (&new_val);
#line 683 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp44_ = _tmp43_;
#line 683 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp38_ = g_strcmp0 (_tmp42_, _tmp44_) != 0;
#line 683 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_free0 (_tmp44_);
#line 683 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_free0 (_tmp42_);
#line 4839 "config-impl-keyfile.c"
						}
#line 682 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						if (_tmp38_) {
#line 685 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							is_equal = FALSE;
#line 686 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							break;
#line 4847 "config-impl-keyfile.c"
						}
					}
				}
			}
#line 689 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp45_ = is_equal;
#line 689 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (_tmp45_) {
#line 691 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_value_array_free0 (_tmp18_);
#line 691 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_value_array_free0 (old_value);
#line 691 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_object_unref0 (option);
#line 691 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				return;
#line 4864 "config-impl-keyfile.c"
			}
		}
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_value_array_free0 (_tmp18_);
#line 665 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_value_array_free0 (old_value);
#line 4871 "config-impl-keyfile.c"
	}
#line 696 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp46_ = value;
#line 696 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp47_ = _tmp46_->n_values;
#line 696 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp47_ == ((guint) 0)) {
#line 4879 "config-impl-keyfile.c"
		GKeyFile* _tmp48_ = NULL;
		const gchar* _tmp49_ = NULL;
		gboolean _tmp50_ = FALSE;
		gboolean _tmp51_ = FALSE;
		GKeyFile* _tmp52_ = NULL;
		const gchar* _tmp53_ = NULL;
		const gchar* _tmp54_ = NULL;
		gboolean _tmp55_ = FALSE;
#line 698 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp48_ = self->priv->_data;
#line 698 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp49_ = group;
#line 698 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp50_ = g_key_file_has_group (_tmp48_, _tmp49_);
#line 698 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (!_tmp50_) {
#line 700 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_object_unref0 (option);
#line 700 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 4900 "config-impl-keyfile.c"
		}
#line 702 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp52_ = self->priv->_data;
#line 702 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp53_ = group;
#line 702 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp54_ = key;
#line 702 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp55_ = g_key_file_has_key (_tmp52_, _tmp53_, _tmp54_, &_inner_error_);
#line 702 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp51_ = _tmp55_;
#line 702 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 702 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_propagate_error (error, _inner_error_);
#line 702 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_g_object_unref0 (option);
#line 702 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			return;
#line 4920 "config-impl-keyfile.c"
		}
#line 702 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (_tmp51_) {
#line 4924 "config-impl-keyfile.c"
			GKeyFile* _tmp56_ = NULL;
			const gchar* _tmp57_ = NULL;
			const gchar* _tmp58_ = NULL;
#line 705 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp56_ = self->priv->_data;
#line 705 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp57_ = group;
#line 705 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp58_ = key;
#line 705 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_key_file_remove_key (_tmp56_, _tmp57_, _tmp58_, &_inner_error_);
#line 705 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 705 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_propagate_error (error, _inner_error_);
#line 705 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_g_object_unref0 (option);
#line 705 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				return;
#line 4944 "config-impl-keyfile.c"
			}
		}
	} else {
		GType _tmp59_ = 0UL;
#line 708 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp59_ = list_type;
#line 708 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		if (_tmp59_ == G_TYPE_BOOLEAN) {
#line 4953 "config-impl-keyfile.c"
			gboolean* list = NULL;
			gboolean* _tmp60_ = NULL;
			gint list_length1 = 0;
			gint _list_size_ = 0;
			GValueArray* _tmp61_ = NULL;
			GKeyFile* _tmp64_ = NULL;
			const gchar* _tmp65_ = NULL;
			const gchar* _tmp66_ = NULL;
			gboolean* _tmp67_ = NULL;
			gint _tmp67__length1 = 0;
#line 710 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp60_ = g_new0 (gboolean, 0);
#line 710 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			list = _tmp60_;
#line 710 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			list_length1 = 0;
#line 710 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_list_size_ = list_length1;
#line 711 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp61_ = value;
#line 4974 "config-impl-keyfile.c"
			{
				GValueArray* val_collection = NULL;
				guint val_index = 0U;
#line 711 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				val_collection = _tmp61_;
#line 711 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				for (val_index = 0; val_index < val_collection->n_values; val_index = val_index + 1) {
#line 4982 "config-impl-keyfile.c"
					GValue val = {0};
#line 711 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					val = *g_value_array_get_nth (val_collection, val_index);
#line 4986 "config-impl-keyfile.c"
					{
						gboolean* _tmp62_ = NULL;
						gint _tmp62__length1 = 0;
						GValue _tmp63_ = {0};
#line 713 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp62_ = list;
#line 713 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp62__length1 = list_length1;
#line 713 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp63_ = val;
#line 713 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_vala_array_add1 (&list, &list_length1, &_list_size_, g_value_get_boolean (&_tmp63_));
#line 4999 "config-impl-keyfile.c"
					}
				}
			}
#line 716 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp64_ = self->priv->_data;
#line 716 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp65_ = group;
#line 716 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp66_ = key;
#line 716 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp67_ = list;
#line 716 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp67__length1 = list_length1;
#line 716 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			g_key_file_set_boolean_list (_tmp64_, _tmp65_, _tmp66_, _tmp67_, _tmp67__length1);
#line 708 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			list = (g_free (list), NULL);
#line 5017 "config-impl-keyfile.c"
		} else {
			GType _tmp68_ = 0UL;
#line 718 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			_tmp68_ = list_type;
#line 718 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
			if (_tmp68_ == G_TYPE_INT) {
#line 5024 "config-impl-keyfile.c"
				gint* list = NULL;
				gint* _tmp69_ = NULL;
				gint list_length1 = 0;
				gint _list_size_ = 0;
				GValueArray* _tmp70_ = NULL;
				GKeyFile* _tmp75_ = NULL;
				const gchar* _tmp76_ = NULL;
				const gchar* _tmp77_ = NULL;
				gint* _tmp78_ = NULL;
				gint _tmp78__length1 = 0;
#line 720 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp69_ = g_new0 (gint, 0);
#line 720 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				list = _tmp69_;
#line 720 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				list_length1 = 0;
#line 720 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_list_size_ = list_length1;
#line 721 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp70_ = value;
#line 5045 "config-impl-keyfile.c"
				{
					GValueArray* val_collection = NULL;
					guint val_index = 0U;
#line 721 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					val_collection = _tmp70_;
#line 721 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					for (val_index = 0; val_index < val_collection->n_values; val_index = val_index + 1) {
#line 5053 "config-impl-keyfile.c"
						GValue val = {0};
#line 721 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						val = *g_value_array_get_nth (val_collection, val_index);
#line 5057 "config-impl-keyfile.c"
						{
							gint _tmp71_ = 0;
							GValue _tmp72_ = {0};
							gint _tmp73_ = 0;
							gint* _tmp74_ = NULL;
							gint _tmp74__length1 = 0;
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp72_ = val;
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp73_ = desktop_agnostic_config_backend_get_int_from_value (&_tmp72_, &_inner_error_);
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp71_ = _tmp73_;
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								g_propagate_error (error, _inner_error_);
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								list = (g_free (list), NULL);
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_g_object_unref0 (option);
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								return;
#line 5080 "config-impl-keyfile.c"
							}
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp74_ = list;
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp74__length1 = list_length1;
#line 723 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_vala_array_add2 (&list, &list_length1, &_list_size_, _tmp71_);
#line 5088 "config-impl-keyfile.c"
						}
					}
				}
#line 726 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp75_ = self->priv->_data;
#line 726 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp76_ = group;
#line 726 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp77_ = key;
#line 726 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp78_ = list;
#line 726 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp78__length1 = list_length1;
#line 726 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				g_key_file_set_integer_list (_tmp75_, _tmp76_, _tmp77_, _tmp78_, _tmp78__length1);
#line 718 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				list = (g_free (list), NULL);
#line 5106 "config-impl-keyfile.c"
			} else {
				GType _tmp79_ = 0UL;
#line 728 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				_tmp79_ = list_type;
#line 728 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
				if (_tmp79_ == G_TYPE_FLOAT) {
#line 5113 "config-impl-keyfile.c"
					gdouble* list = NULL;
					gdouble* _tmp80_ = NULL;
					gint list_length1 = 0;
					gint _list_size_ = 0;
					GValueArray* _tmp81_ = NULL;
					GKeyFile* _tmp86_ = NULL;
					const gchar* _tmp87_ = NULL;
					const gchar* _tmp88_ = NULL;
					gdouble* _tmp89_ = NULL;
					gint _tmp89__length1 = 0;
#line 730 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp80_ = g_new0 (gdouble, 0);
#line 730 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					list = _tmp80_;
#line 730 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					list_length1 = 0;
#line 730 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_list_size_ = list_length1;
#line 731 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp81_ = value;
#line 5134 "config-impl-keyfile.c"
					{
						GValueArray* val_collection = NULL;
						guint val_index = 0U;
#line 731 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						val_collection = _tmp81_;
#line 731 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						for (val_index = 0; val_index < val_collection->n_values; val_index = val_index + 1) {
#line 5142 "config-impl-keyfile.c"
							GValue val = {0};
#line 731 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							val = *g_value_array_get_nth (val_collection, val_index);
#line 5146 "config-impl-keyfile.c"
							{
								gfloat _tmp82_ = 0.0F;
								GValue _tmp83_ = {0};
								gfloat _tmp84_ = 0.0F;
								gdouble* _tmp85_ = NULL;
								gint _tmp85__length1 = 0;
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp83_ = val;
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp84_ = desktop_agnostic_config_backend_get_float_from_value (&_tmp83_, &_inner_error_);
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp82_ = _tmp84_;
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									g_propagate_error (error, _inner_error_);
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									list = (g_free (list), NULL);
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_g_object_unref0 (option);
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									return;
#line 5169 "config-impl-keyfile.c"
								}
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp85_ = list;
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_tmp85__length1 = list_length1;
#line 733 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								_vala_array_add3 (&list, &list_length1, &_list_size_, (gdouble) _tmp82_);
#line 5177 "config-impl-keyfile.c"
							}
						}
					}
#line 736 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp86_ = self->priv->_data;
#line 736 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp87_ = group;
#line 736 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp88_ = key;
#line 736 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp89_ = list;
#line 736 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp89__length1 = list_length1;
#line 736 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					g_key_file_set_double_list (_tmp86_, _tmp87_, _tmp88_, _tmp89_, _tmp89__length1);
#line 728 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					list = (g_free (list), NULL);
#line 5195 "config-impl-keyfile.c"
				} else {
					GType _tmp90_ = 0UL;
#line 738 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					_tmp90_ = list_type;
#line 738 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
					if (_tmp90_ == G_TYPE_STRING) {
#line 5202 "config-impl-keyfile.c"
						gchar** list = NULL;
						gchar** _tmp91_ = NULL;
						gint list_length1 = 0;
						gint _list_size_ = 0;
						GValueArray* _tmp92_ = NULL;
						GKeyFile* _tmp96_ = NULL;
						const gchar* _tmp97_ = NULL;
						const gchar* _tmp98_ = NULL;
						gchar** _tmp99_ = NULL;
						gint _tmp99__length1 = 0;
#line 740 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp91_ = g_new0 (gchar*, 0 + 1);
#line 740 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						list = _tmp91_;
#line 740 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						list_length1 = 0;
#line 740 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_list_size_ = list_length1;
#line 741 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp92_ = value;
#line 5223 "config-impl-keyfile.c"
						{
							GValueArray* val_collection = NULL;
							guint val_index = 0U;
#line 741 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							val_collection = _tmp92_;
#line 741 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							for (val_index = 0; val_index < val_collection->n_values; val_index = val_index + 1) {
#line 5231 "config-impl-keyfile.c"
								GValue val = {0};
#line 741 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								val = *g_value_array_get_nth (val_collection, val_index);
#line 5235 "config-impl-keyfile.c"
								{
									gchar** _tmp93_ = NULL;
									gint _tmp93__length1 = 0;
									GValue _tmp94_ = {0};
									gchar* _tmp95_ = NULL;
#line 743 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_tmp93_ = list;
#line 743 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_tmp93__length1 = list_length1;
#line 743 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_tmp94_ = val;
#line 743 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_tmp95_ = g_strdup (g_value_get_string (&_tmp94_));
#line 743 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_vala_array_add4 (&list, &list_length1, &_list_size_, _tmp95_);
#line 5251 "config-impl-keyfile.c"
								}
							}
						}
#line 746 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp96_ = self->priv->_data;
#line 746 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp97_ = group;
#line 746 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp98_ = key;
#line 746 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp99_ = list;
#line 746 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp99__length1 = list_length1;
#line 746 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						g_key_file_set_string_list (_tmp96_, _tmp97_, _tmp98_, (const gchar* const*) _tmp99_, _tmp99__length1);
#line 738 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						list = (_vala_array_free (list, list_length1, (GDestroyNotify) g_free), NULL);
#line 5269 "config-impl-keyfile.c"
					} else {
						DesktopAgnosticConfigSchemaType* st = NULL;
						GType _tmp100_ = 0UL;
						DesktopAgnosticConfigSchemaType* _tmp101_ = NULL;
						DesktopAgnosticConfigSchemaType* _tmp102_ = NULL;
						DesktopAgnosticConfigSchemaType* _tmp103_ = NULL;
						gchar** list = NULL;
						gchar** _tmp107_ = NULL;
						gint list_length1 = 0;
						gint _list_size_ = 0;
						GValueArray* _tmp108_ = NULL;
						GKeyFile* _tmp115_ = NULL;
						const gchar* _tmp116_ = NULL;
						const gchar* _tmp117_ = NULL;
						gchar** _tmp118_ = NULL;
						gint _tmp118__length1 = 0;
#line 750 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp100_ = list_type;
#line 750 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp101_ = desktop_agnostic_config_schema_find_type (_tmp100_);
#line 750 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp102_ = _g_object_ref0 (_tmp101_);
#line 750 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						st = _tmp102_;
#line 751 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp103_ = st;
#line 751 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						if (_tmp103_ == NULL) {
#line 5298 "config-impl-keyfile.c"
							GType _tmp104_ = 0UL;
							const gchar* _tmp105_ = NULL;
							GError* _tmp106_ = NULL;
#line 753 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp104_ = list_type;
#line 753 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp105_ = g_type_name (_tmp104_);
#line 753 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_tmp106_ = g_error_new (DESKTOP_AGNOSTIC_CONFIG_ERROR, DESKTOP_AGNOSTIC_CONFIG_ERROR_INVALID_TYPE, "'%s' is an invalid config type.", _tmp105_);
#line 753 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_inner_error_ = _tmp106_;
#line 753 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							g_propagate_error (error, _inner_error_);
#line 753 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (st);
#line 753 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							_g_object_unref0 (option);
#line 753 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							return;
#line 5318 "config-impl-keyfile.c"
						}
#line 757 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp107_ = g_new0 (gchar*, 0 + 1);
#line 757 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						list = _tmp107_;
#line 757 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						list_length1 = 0;
#line 757 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_list_size_ = list_length1;
#line 758 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp108_ = value;
#line 5330 "config-impl-keyfile.c"
						{
							GValueArray* val_collection = NULL;
							guint val_index = 0U;
#line 758 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							val_collection = _tmp108_;
#line 758 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
							for (val_index = 0; val_index < val_collection->n_values; val_index = val_index + 1) {
#line 5338 "config-impl-keyfile.c"
								GValue val = {0};
#line 758 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
								val = *g_value_array_get_nth (val_collection, val_index);
#line 5342 "config-impl-keyfile.c"
								{
									gchar* _tmp109_ = NULL;
									DesktopAgnosticConfigSchemaType* _tmp110_ = NULL;
									GValue _tmp111_ = {0};
									gchar* _tmp112_ = NULL;
									gchar** _tmp113_ = NULL;
									gint _tmp113__length1 = 0;
									gchar* _tmp114_ = NULL;
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_tmp110_ = st;
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_tmp111_ = val;
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_tmp112_ = desktop_agnostic_config_schema_type_serialize (_tmp110_, &_tmp111_, &_inner_error_);
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_tmp109_ = _tmp112_;
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
										g_propagate_error (error, _inner_error_);
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
										list = (_vala_array_free (list, list_length1, (GDestroyNotify) g_free), NULL);
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
										_g_object_unref0 (st);
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
										_g_object_unref0 (option);
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
										return;
#line 5371 "config-impl-keyfile.c"
									}
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_tmp113_ = list;
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_tmp113__length1 = list_length1;
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_tmp114_ = _tmp109_;
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_tmp109_ = NULL;
#line 760 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_vala_array_add5 (&list, &list_length1, &_list_size_, _tmp114_);
#line 758 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
									_g_free0 (_tmp109_);
#line 5385 "config-impl-keyfile.c"
								}
							}
						}
#line 763 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp115_ = self->priv->_data;
#line 763 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp116_ = group;
#line 763 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp117_ = key;
#line 763 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp118_ = list;
#line 763 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_tmp118__length1 = list_length1;
#line 763 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						g_key_file_set_string_list (_tmp115_, _tmp116_, _tmp117_, (const gchar* const*) _tmp118_, _tmp118__length1);
#line 738 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						list = (_vala_array_free (list, list_length1, (GDestroyNotify) g_free), NULL);
#line 738 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
						_g_object_unref0 (st);
#line 5405 "config-impl-keyfile.c"
					}
				}
			}
		}
	}
#line 765 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp119_ = group;
#line 765 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp120_ = key;
#line 765 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	desktop_agnostic_config_gkey_file_update_config (self, _tmp119_, _tmp120_, &_inner_error_);
#line 765 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 765 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_propagate_error (error, _inner_error_);
#line 765 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_object_unref0 (option);
#line 765 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		return;
#line 5425 "config-impl-keyfile.c"
	}
#line 659 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_object_unref0 (option);
#line 5429 "config-impl-keyfile.c"
}


DesktopAgnosticConfigGKeyFile* desktop_agnostic_config_gkey_file_construct (GType object_type) {
	DesktopAgnosticConfigGKeyFile * self = NULL;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) desktop_agnostic_config_backend_construct (object_type);
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return self;
#line 5439 "config-impl-keyfile.c"
}


DesktopAgnosticConfigGKeyFile* desktop_agnostic_config_gkey_file_new (void) {
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return desktop_agnostic_config_gkey_file_construct (DESKTOP_AGNOSTIC_CONFIG_TYPE_GKEY_FILE);
#line 5446 "config-impl-keyfile.c"
}


static gchar* desktop_agnostic_config_gkey_file_real_get_name (DesktopAgnosticConfigBackend* base) {
	gchar* result;
	DesktopAgnosticConfigGKeyFile* self;
	gchar* _tmp0_ = NULL;
#line 38 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = (DesktopAgnosticConfigGKeyFile*) base;
#line 40 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = g_strdup ("GKeyFile");
#line 40 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	result = _tmp0_;
#line 40 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return result;
#line 5462 "config-impl-keyfile.c"
}


static GObject * desktop_agnostic_config_gkey_file_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	DesktopAgnosticConfigGKeyFile * self;
	DesktopAgnosticConfigSchema* _tmp0_ = NULL;
	DesktopAgnosticConfigSchema* _tmp1_ = NULL;
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	parent_class = G_OBJECT_CLASS (desktop_agnostic_config_gkey_file_parent_class);
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, DESKTOP_AGNOSTIC_CONFIG_TYPE_GKEY_FILE, DesktopAgnosticConfigGKeyFile);
#line 46 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self->priv->_autosave = TRUE;
#line 47 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self->priv->_monitor_changed_id = (gulong) 0;
#line 48 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = desktop_agnostic_config_backend_get_schema ((DesktopAgnosticConfigBackend*) self);
#line 48 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = _tmp0_;
#line 48 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	if (_tmp1_ != NULL) {
#line 5488 "config-impl-keyfile.c"
		GKeyFile* _tmp2_ = NULL;
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_tmp2_ = g_key_file_new ();
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		_g_key_file_free0 (self->priv->_data);
#line 50 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		self->priv->_data = _tmp2_;
#line 51 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_datalist_init (&self->priv->_notifiers);
#line 5498 "config-impl-keyfile.c"
	}
#line 44 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return obj;
#line 5502 "config-impl-keyfile.c"
}


static void desktop_agnostic_config_gkey_file_class_init (DesktopAgnosticConfigGKeyFileClass * klass) {
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	desktop_agnostic_config_gkey_file_parent_class = g_type_class_peek_parent (klass);
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_type_class_add_private (klass, sizeof (DesktopAgnosticConfigGKeyFilePrivate));
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((GObjectClass *) klass)->constructed = desktop_agnostic_config_gkey_file_real_constructed;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->reset = desktop_agnostic_config_gkey_file_real_reset;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->notify_add = desktop_agnostic_config_gkey_file_real_notify_add;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->notify = desktop_agnostic_config_gkey_file_real_notify;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->notify_remove = desktop_agnostic_config_gkey_file_real_notify_remove;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->remove = desktop_agnostic_config_gkey_file_real_remove;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->get_value = desktop_agnostic_config_gkey_file_real_get_value;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->get_bool = desktop_agnostic_config_gkey_file_real_get_bool;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->set_bool = desktop_agnostic_config_gkey_file_real_set_bool;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->get_float = desktop_agnostic_config_gkey_file_real_get_float;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->set_float = desktop_agnostic_config_gkey_file_real_set_float;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->get_int = desktop_agnostic_config_gkey_file_real_get_int;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->set_int = desktop_agnostic_config_gkey_file_real_set_int;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->get_string = desktop_agnostic_config_gkey_file_real_get_string;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->set_string = desktop_agnostic_config_gkey_file_real_set_string;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->get_list = desktop_agnostic_config_gkey_file_real_get_list;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	((DesktopAgnosticConfigBackendClass *) klass)->set_list = desktop_agnostic_config_gkey_file_real_set_list;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	DESKTOP_AGNOSTIC_CONFIG_BACKEND_CLASS (klass)->get_name = desktop_agnostic_config_gkey_file_real_get_name;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_desktop_agnostic_config_gkey_file_get_property;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	G_OBJECT_CLASS (klass)->constructor = desktop_agnostic_config_gkey_file_constructor;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	G_OBJECT_CLASS (klass)->finalize = desktop_agnostic_config_gkey_file_finalize;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DESKTOP_AGNOSTIC_CONFIG_GKEY_FILE_NAME, g_param_spec_string ("name", "name", "name", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 5555 "config-impl-keyfile.c"
}


static void desktop_agnostic_config_gkey_file_instance_init (DesktopAgnosticConfigGKeyFile * self) {
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self->priv = DESKTOP_AGNOSTIC_CONFIG_GKEY_FILE_GET_PRIVATE (self);
#line 5562 "config-impl-keyfile.c"
}


static void desktop_agnostic_config_gkey_file_finalize (GObject* obj) {
	DesktopAgnosticConfigGKeyFile * self;
	DesktopAgnosticVFSFileMonitor* _tmp0_ = NULL;
	DesktopAgnosticVFSFileMonitor* _tmp1_ = NULL;
	gulong _tmp2_ = 0UL;
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, DESKTOP_AGNOSTIC_CONFIG_TYPE_GKEY_FILE, DesktopAgnosticConfigGKeyFile);
#line 378 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp0_ = self->priv->_keyfile_monitor;
#line 378 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	desktop_agnostic_vfs_file_monitor_cancel (_tmp0_);
#line 379 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp1_ = self->priv->_keyfile_monitor;
#line 379 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_tmp2_ = self->priv->_monitor_changed_id;
#line 379 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	g_signal_handler_disconnect (_tmp1_, _tmp2_);
#line 29 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_key_file_free0 (self->priv->_data);
#line 30 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_object_unref0 (self->priv->_keyfile);
#line 31 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_object_unref0 (self->priv->_keyfile_monitor);
#line 33 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	_g_free0 (self->priv->_checksum);
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	G_OBJECT_CLASS (desktop_agnostic_config_gkey_file_parent_class)->finalize (obj);
#line 5593 "config-impl-keyfile.c"
}


GType desktop_agnostic_config_gkey_file_get_type (void) {
	static volatile gsize desktop_agnostic_config_gkey_file_type_id__volatile = 0;
	if (g_once_init_enter (&desktop_agnostic_config_gkey_file_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DesktopAgnosticConfigGKeyFileClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) desktop_agnostic_config_gkey_file_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DesktopAgnosticConfigGKeyFile), 0, (GInstanceInitFunc) desktop_agnostic_config_gkey_file_instance_init, NULL };
		GType desktop_agnostic_config_gkey_file_type_id;
		desktop_agnostic_config_gkey_file_type_id = g_type_register_static (DESKTOP_AGNOSTIC_CONFIG_TYPE_BACKEND, "DesktopAgnosticConfigGKeyFile", &g_define_type_info, 0);
		g_once_init_leave (&desktop_agnostic_config_gkey_file_type_id__volatile, desktop_agnostic_config_gkey_file_type_id);
	}
	return desktop_agnostic_config_gkey_file_type_id__volatile;
}


static void _vala_desktop_agnostic_config_gkey_file_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	DesktopAgnosticConfigGKeyFile * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DESKTOP_AGNOSTIC_CONFIG_TYPE_GKEY_FILE, DesktopAgnosticConfigGKeyFile);
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	switch (property_id) {
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		case DESKTOP_AGNOSTIC_CONFIG_GKEY_FILE_NAME:
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		g_value_take_string (value, desktop_agnostic_config_backend_get_name ((DesktopAgnosticConfigBackend*) self));
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		break;
#line 5620 "config-impl-keyfile.c"
		default:
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 27 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
		break;
#line 5626 "config-impl-keyfile.c"
	}
}


GType register_plugin (void) {
	GType result = 0UL;
#line 772 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	result = DESKTOP_AGNOSTIC_CONFIG_TYPE_GKEY_FILE;
#line 772 "/home/iurt/rpmbuild/BUILD/libdesktop-agnostic-0.3.94/libdesktop-agnostic/config-impl-keyfile.vala"
	return result;
#line 5637 "config-impl-keyfile.c"
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



